<style>
    #map-container-<?php echo e($id); ?> {
        display: grid;
        grid-template: 1fr / 1fr;
        place-items: center;
    }
    #custom-map-<?php echo e($id); ?> {
        grid-column: 1 / 1;
        grid-row: 1 / 1;
        z-index: 2;
    }
    #custom-map-bg-geo-map-<?php echo e($id); ?> {
        grid-column: 1 / 1;
        grid-row: 1 / 1;
        z-index: 1;
    }
</style>

<div id="map-container-<?php echo e($id); ?>" style="width: 100%; height: 100%">
  <div id="custom-map-<?php echo e($id); ?>" style="width: 99%; height: 99%"></div>
  <?php if (isset($component)) { $__componentOriginal71023699321a46aa6964afcad580a486 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal71023699321a46aa6964afcad580a486 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.geo-map','data' => ['id' => 'custom-map-bg-geo-map-'.e($id).'','init' => $map->background_type == 'map','config' => $background_config,'width' => '99%','height' => '99%','readonly' => true]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('geo-map'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['id' => 'custom-map-bg-geo-map-'.e($id).'','init' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($map->background_type == 'map'),'config' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($background_config),'width' => '99%','height' => '99%','readonly' => true]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal71023699321a46aa6964afcad580a486)): ?>
<?php $attributes = $__attributesOriginal71023699321a46aa6964afcad580a486; ?>
<?php unset($__attributesOriginal71023699321a46aa6964afcad580a486); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71023699321a46aa6964afcad580a486)): ?>
<?php $component = $__componentOriginal71023699321a46aa6964afcad580a486; ?>
<?php unset($__componentOriginal71023699321a46aa6964afcad580a486); ?>
<?php endif; ?>
</div>

<script type="application/javascript">
    (function () {
        var bgtype = <?php echo e(Js::from($map->background_type)); ?>;
        var bgdata = <?php echo e(Js::from($background_config)); ?>;
        var reverse_arrows = <?php echo e($map->reverse_arrows); ?>;
        var legend = <?php echo json_encode($map->legend, 15, 512) ?>;
        var custom_image_base = "<?php echo e($base_url); ?>images/custommap/icons/";
        var network_nodes = new vis.DataSet({queue: {delay: 100}});
        var network_edges = new vis.DataSet({queue: {delay: 100}});
        var edge_port_map = {};

        var network_options = <?php echo e(Js::from($map_conf)); ?>;

        var scale = <?php echo e($scale); ?>


        $.get( '<?php echo e(route('maps.custom.data', ['map' => $map->custom_map_id])); ?>')
            .done(function( data ) {
                // Add/update nodes
                $.each( data.nodes, function( nodeid, node) {
                    var node_cfg = custommap.getNodeCfg(nodeid, node, Boolean(<?php echo e($screenshot); ?>), custom_image_base);
                    network_nodes.add([node_cfg]);
                });

                $.each( data.edges, function( edgeid, edge) {
                    var mid = custommap.getEdgeMidCfg(edgeid, edge, Boolean(<?php echo e($screenshot); ?>));
                    var edge1 = custommap.getEdgeCfg(edgeid, edge, "from", reverse_arrows);
                    var edge2 = custommap.getEdgeCfg(edgeid, edge, "to", reverse_arrows);

                    if(edge.port_id) {
                        edge_port_map[edgeid] = {device_id: edge.device_id, port_id: edge.port_id};
                    }
                    network_nodes.add([mid]);
                    network_edges.add([edge1, edge2]);
                });

                custommap.redrawDefaultLegend(network_nodes, <?php echo e($map->legend_steps); ?>, <?php echo e($map->legend_x); ?>, <?php echo e($map->legend_y); ?>, <?php echo e($map->legend_font_size); ?>, <?php echo e($map->legend_hide_invalid); ?>, <?php echo e($map->legend_hide_overspeed); ?>, <?php echo e(Js::from($map->legend_colours)); ?>);

                network = custommap.createNetwork('custom-map-<?php echo e($id); ?>', scale, network_nodes, network_edges, network_options, bgtype, bgdata);

                network.on('doubleClick', function (properties) {
                    edge_id = null;
                    if (properties.nodes.length > 0) {
                        node_id = properties.nodes[0];
                        node = network_nodes.get(node_id);
                        if(node.linked_map_id) {
                            window.location.href = '<?php echo e(route('maps.custom.show', ['map' => '?'])); ?>'.replace('?', node.linked_map_id);
                        } else if (node.device_id) {
                            window.location.href = "device/"+node.device_id;
                        } else if (node_id.endsWith('_mid')) {
                            edge_id = node_id.split("_")[0];
                        }
                    } else if (properties.edges.length > 0) {
                        edge_id = properties.edges[0].split("_")[0];
                    }

                    if (edge_id && (edge_id in edge_port_map)) {
                       window.location.href = 'device/device=' + edge_port_map[edge_id].device_id + '/tab=port/port=' + edge_port_map[edge_id].port_id + '/';
                    }
                });
        });
    })();
</script>
<?php /**PATH /usr/share/librenms/resources/views/widgets/custom-map.blade.php ENDPATH**/ ?>