/**
 * vis-timeline and vis-graph2d
 * https://visjs.github.io/vis-timeline/
 *
 * Create a fully customizable, interactive timeline with items and ranges.
 *
 * @version 7.1.3
 * @date    2020-02-20T00:09:13.764Z
 *
 * @copyright (c) 2011-2017 Almende B.V, http://almende.com
 * @copyright (c) 2017-2019 visjs contributors, https://github.com/visjs
 *
 * @license
 * vis.js is dual licensed under both
 *
 *   1. The Apache 2.0 License
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *   and
 *
 *   2. The MIT License
 *      http://opensource.org/licenses/MIT
 *
 * vis.js may be distributed under either license.
 */
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?e(exports):"function"==typeof define&&define.amd?define(["exports"],e):e((t=t||self).vis=t.vis||{})}(this,(function(t){"use strict";var e="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function i(){throw new Error("Dynamic requires are not currently supported by rollup-plugin-commonjs")}function n(t,e){return t(e={exports:{}},e.exports),e.exports}function r(t){return t&&t.default||t}var o=n((function(t,e){t.exports=function(){var e,n;function r(){return e.apply(null,arguments)}function o(t){return t instanceof Array||"[object Array]"===Object.prototype.toString.call(t)}function s(t){return null!=t&&"[object Object]"===Object.prototype.toString.call(t)}function a(t){return void 0===t}function l(t){return"number"==typeof t||"[object Number]"===Object.prototype.toString.call(t)}function u(t){return t instanceof Date||"[object Date]"===Object.prototype.toString.call(t)}function h(t,e){var i,n=[];for(i=0;i<t.length;++i)n.push(e(t[i],i));return n}function c(t,e){return Object.prototype.hasOwnProperty.call(t,e)}function d(t,e){for(var i in e)c(e,i)&&(t[i]=e[i]);return c(e,"toString")&&(t.toString=e.toString),c(e,"valueOf")&&(t.valueOf=e.valueOf),t}function f(t,e,i,n){return De(t,e,i,n,!0).utc()}function p(t){return null==t._pf&&(t._pf={empty:!1,unusedTokens:[],unusedInput:[],overflow:-2,charsLeftOver:0,nullInput:!1,invalidMonth:null,invalidFormat:!1,userInvalidated:!1,iso:!1,parsedDateParts:[],meridiem:null,rfc2822:!1,weekdayMismatch:!1}),t._pf}function m(t){if(null==t._isValid){var e=p(t),i=n.call(e.parsedDateParts,(function(t){return null!=t})),r=!isNaN(t._d.getTime())&&e.overflow<0&&!e.empty&&!e.invalidMonth&&!e.invalidWeekday&&!e.weekdayMismatch&&!e.nullInput&&!e.invalidFormat&&!e.userInvalidated&&(!e.meridiem||e.meridiem&&i);if(t._strict&&(r=r&&0===e.charsLeftOver&&0===e.unusedTokens.length&&void 0===e.bigHour),null!=Object.isFrozen&&Object.isFrozen(t))return r;t._isValid=r}return t._isValid}function v(t){var e=f(NaN);return null!=t?d(p(e),t):p(e).userInvalidated=!0,e}n=Array.prototype.some?Array.prototype.some:function(t){for(var e=Object(this),i=e.length>>>0,n=0;n<i;n++)if(n in e&&t.call(this,e[n],n,e))return!0;return!1};var g=r.momentProperties=[];function y(t,e){var i,n,r;if(a(e._isAMomentObject)||(t._isAMomentObject=e._isAMomentObject),a(e._i)||(t._i=e._i),a(e._f)||(t._f=e._f),a(e._l)||(t._l=e._l),a(e._strict)||(t._strict=e._strict),a(e._tzm)||(t._tzm=e._tzm),a(e._isUTC)||(t._isUTC=e._isUTC),a(e._offset)||(t._offset=e._offset),a(e._pf)||(t._pf=p(e)),a(e._locale)||(t._locale=e._locale),g.length>0)for(i=0;i<g.length;i++)a(r=e[n=g[i]])||(t[n]=r);return t}var b=!1;function _(t){y(this,t),this._d=new Date(null!=t._d?t._d.getTime():NaN),this.isValid()||(this._d=new Date(NaN)),!1===b&&(b=!0,r.updateOffset(this),b=!1)}function w(t){return t instanceof _||null!=t&&null!=t._isAMomentObject}function k(t){return t<0?Math.ceil(t)||0:Math.floor(t)}function S(t){var e=+t,i=0;return 0!==e&&isFinite(e)&&(i=k(e)),i}function D(t,e,i){var n,r=Math.min(t.length,e.length),o=Math.abs(t.length-e.length),s=0;for(n=0;n<r;n++)(i&&t[n]!==e[n]||!i&&S(t[n])!==S(e[n]))&&s++;return s+o}function x(t){!1===r.suppressDeprecationWarnings&&"undefined"!=typeof console&&console.warn&&console.warn("Deprecation warning: "+t)}function O(t,e){var i=!0;return d((function(){if(null!=r.deprecationHandler&&r.deprecationHandler(null,t),i){for(var n,o=[],s=0;s<arguments.length;s++){if(n="","object"==typeof arguments[s]){for(var a in n+="\n["+s+"] ",arguments[0])n+=a+": "+arguments[0][a]+", ";n=n.slice(0,-2)}else n=arguments[s];o.push(n)}x(t+"\nArguments: "+Array.prototype.slice.call(o).join("")+"\n"+(new Error).stack),i=!1}return e.apply(this,arguments)}),e)}var M,T={};function C(t,e){null!=r.deprecationHandler&&r.deprecationHandler(t,e),T[t]||(x(e),T[t]=!0)}function P(t){return t instanceof Function||"[object Function]"===Object.prototype.toString.call(t)}function E(t,e){var i,n=d({},t);for(i in e)c(e,i)&&(s(t[i])&&s(e[i])?(n[i]={},d(n[i],t[i]),d(n[i],e[i])):null!=e[i]?n[i]=e[i]:delete n[i]);for(i in t)c(t,i)&&!c(e,i)&&s(t[i])&&(n[i]=d({},n[i]));return n}function A(t){null!=t&&this.set(t)}r.suppressDeprecationWarnings=!1,r.deprecationHandler=null,M=Object.keys?Object.keys:function(t){var e,i=[];for(e in t)c(t,e)&&i.push(e);return i};var L={};function I(t,e){var i=t.toLowerCase();L[i]=L[i+"s"]=L[e]=t}function j(t){return"string"==typeof t?L[t]||L[t.toLowerCase()]:void 0}function Y(t){var e,i,n={};for(i in t)c(t,i)&&(e=j(i))&&(n[e]=t[i]);return n}var N={};function R(t,e){N[t]=e}function F(t,e,i){var n=""+Math.abs(t),r=e-n.length;return(t>=0?i?"+":"":"-")+Math.pow(10,Math.max(0,r)).toString().substr(1)+n}var H=/(\[[^\[]*\])|(\\)?([Hh]mm(ss)?|Mo|MM?M?M?|Do|DDDo|DD?D?D?|ddd?d?|do?|w[o|w]?|W[o|W]?|Qo?|YYYYYY|YYYYY|YYYY|YY|gg(ggg?)?|GG(GGG?)?|e|E|a|A|hh?|HH?|kk?|mm?|ss?|S{1,9}|x|X|zz?|ZZ?|.)/g,G=/(\[[^\[]*\])|(\\)?(LTS|LT|LL?L?L?|l{1,4})/g,z={},W={};function V(t,e,i,n){var r=n;"string"==typeof n&&(r=function(){return this[n]()}),t&&(W[t]=r),e&&(W[e[0]]=function(){return F(r.apply(this,arguments),e[1],e[2])}),i&&(W[i]=function(){return this.localeData().ordinal(r.apply(this,arguments),t)})}function U(t,e){return t.isValid()?(e=B(e,t.localeData()),z[e]=z[e]||function(t){var e,i,n,r=t.match(H);for(e=0,i=r.length;e<i;e++)W[r[e]]?r[e]=W[r[e]]:r[e]=(n=r[e]).match(/\[[\s\S]/)?n.replace(/^\[|\]$/g,""):n.replace(/\\/g,"");return function(e){var n,o="";for(n=0;n<i;n++)o+=P(r[n])?r[n].call(e,t):r[n];return o}}(e),z[e](t)):t.localeData().invalidDate()}function B(t,e){var i=5;function n(t){return e.longDateFormat(t)||t}for(G.lastIndex=0;i>=0&&G.test(t);)t=t.replace(G,n),G.lastIndex=0,i-=1;return t}var X=/\d/,q=/\d\d/,Z=/\d{3}/,J=/\d{4}/,$=/[+-]?\d{6}/,K=/\d\d?/,Q=/\d\d\d\d?/,tt=/\d\d\d\d\d\d?/,et=/\d{1,3}/,it=/\d{1,4}/,nt=/[+-]?\d{1,6}/,rt=/\d+/,ot=/[+-]?\d+/,st=/Z|[+-]\d\d:?\d\d/gi,at=/Z|[+-]\d\d(?::?\d\d)?/gi,lt=/[0-9]{0,256}['a-z\u00A0-\u05FF\u0700-\uD7FF\uF900-\uFDCF\uFDF0-\uFF07\uFF10-\uFFEF]{1,256}|[\u0600-\u06FF\/]{1,256}(\s*?[\u0600-\u06FF]{1,256}){1,2}/i,ut={};function ht(t,e,i){ut[t]=P(e)?e:function(t,n){return t&&i?i:e}}function ct(t,e){return c(ut,t)?ut[t](e._strict,e._locale):new RegExp(dt(t.replace("\\","").replace(/\\(\[)|\\(\])|\[([^\]\[]*)\]|\\(.)/g,(function(t,e,i,n,r){return e||i||n||r}))))}function dt(t){return t.replace(/[-\/\\^$*+?.()|[\]{}]/g,"\\$&")}var ft={};function pt(t,e){var i,n=e;for("string"==typeof t&&(t=[t]),l(e)&&(n=function(t,i){i[e]=S(t)}),i=0;i<t.length;i++)ft[t[i]]=n}function mt(t,e){pt(t,(function(t,i,n,r){n._w=n._w||{},e(t,n._w,n,r)}))}function vt(t,e,i){null!=e&&c(ft,t)&&ft[t](e,i._a,i,t)}function gt(t){return yt(t)?366:365}function yt(t){return t%4==0&&t%100!=0||t%400==0}V("Y",0,0,(function(){var t=this.year();return t<=9999?""+t:"+"+t})),V(0,["YY",2],0,(function(){return this.year()%100})),V(0,["YYYY",4],0,"year"),V(0,["YYYYY",5],0,"year"),V(0,["YYYYYY",6,!0],0,"year"),I("year","y"),R("year",1),ht("Y",ot),ht("YY",K,q),ht("YYYY",it,J),ht("YYYYY",nt,$),ht("YYYYYY",nt,$),pt(["YYYYY","YYYYYY"],0),pt("YYYY",(function(t,e){e[0]=2===t.length?r.parseTwoDigitYear(t):S(t)})),pt("YY",(function(t,e){e[0]=r.parseTwoDigitYear(t)})),pt("Y",(function(t,e){e[0]=parseInt(t,10)})),r.parseTwoDigitYear=function(t){return S(t)+(S(t)>68?1900:2e3)};var bt,_t=wt("FullYear",!0);function wt(t,e){return function(i){return null!=i?(St(this,t,i),r.updateOffset(this,e),this):kt(this,t)}}function kt(t,e){return t.isValid()?t._d["get"+(t._isUTC?"UTC":"")+e]():NaN}function St(t,e,i){t.isValid()&&!isNaN(i)&&("FullYear"===e&&yt(t.year())&&1===t.month()&&29===t.date()?t._d["set"+(t._isUTC?"UTC":"")+e](i,t.month(),Dt(i,t.month())):t._d["set"+(t._isUTC?"UTC":"")+e](i))}function Dt(t,e){if(isNaN(t)||isNaN(e))return NaN;var i,n=(e%(i=12)+i)%i;return t+=(e-n)/12,1===n?yt(t)?29:28:31-n%7%2}bt=Array.prototype.indexOf?Array.prototype.indexOf:function(t){var e;for(e=0;e<this.length;++e)if(this[e]===t)return e;return-1},V("M",["MM",2],"Mo",(function(){return this.month()+1})),V("MMM",0,0,(function(t){return this.localeData().monthsShort(this,t)})),V("MMMM",0,0,(function(t){return this.localeData().months(this,t)})),I("month","M"),R("month",8),ht("M",K),ht("MM",K,q),ht("MMM",(function(t,e){return e.monthsShortRegex(t)})),ht("MMMM",(function(t,e){return e.monthsRegex(t)})),pt(["M","MM"],(function(t,e){e[1]=S(t)-1})),pt(["MMM","MMMM"],(function(t,e,i,n){var r=i._locale.monthsParse(t,n,i._strict);null!=r?e[1]=r:p(i).invalidMonth=t}));var xt=/D[oD]?(\[[^\[\]]*\]|\s)+MMMM?/,Ot="January_February_March_April_May_June_July_August_September_October_November_December".split("_"),Mt="Jan_Feb_Mar_Apr_May_Jun_Jul_Aug_Sep_Oct_Nov_Dec".split("_");function Tt(t,e,i){var n,r,o,s=t.toLocaleLowerCase();if(!this._monthsParse)for(this._monthsParse=[],this._longMonthsParse=[],this._shortMonthsParse=[],n=0;n<12;++n)o=f([2e3,n]),this._shortMonthsParse[n]=this.monthsShort(o,"").toLocaleLowerCase(),this._longMonthsParse[n]=this.months(o,"").toLocaleLowerCase();return i?"MMM"===e?-1!==(r=bt.call(this._shortMonthsParse,s))?r:null:-1!==(r=bt.call(this._longMonthsParse,s))?r:null:"MMM"===e?-1!==(r=bt.call(this._shortMonthsParse,s))?r:-1!==(r=bt.call(this._longMonthsParse,s))?r:null:-1!==(r=bt.call(this._longMonthsParse,s))?r:-1!==(r=bt.call(this._shortMonthsParse,s))?r:null}function Ct(t,e){var i;if(!t.isValid())return t;if("string"==typeof e)if(/^\d+$/.test(e))e=S(e);else if(!l(e=t.localeData().monthsParse(e)))return t;return i=Math.min(t.date(),Dt(t.year(),e)),t._d["set"+(t._isUTC?"UTC":"")+"Month"](e,i),t}function Pt(t){return null!=t?(Ct(this,t),r.updateOffset(this,!0),this):kt(this,"Month")}var Et=lt,At=lt;function Lt(){function t(t,e){return e.length-t.length}var e,i,n=[],r=[],o=[];for(e=0;e<12;e++)i=f([2e3,e]),n.push(this.monthsShort(i,"")),r.push(this.months(i,"")),o.push(this.months(i,"")),o.push(this.monthsShort(i,""));for(n.sort(t),r.sort(t),o.sort(t),e=0;e<12;e++)n[e]=dt(n[e]),r[e]=dt(r[e]);for(e=0;e<24;e++)o[e]=dt(o[e]);this._monthsRegex=new RegExp("^("+o.join("|")+")","i"),this._monthsShortRegex=this._monthsRegex,this._monthsStrictRegex=new RegExp("^("+r.join("|")+")","i"),this._monthsShortStrictRegex=new RegExp("^("+n.join("|")+")","i")}function It(t,e,i,n,r,o,s){var a;return t<100&&t>=0?(a=new Date(t+400,e,i,n,r,o,s),isFinite(a.getFullYear())&&a.setFullYear(t)):a=new Date(t,e,i,n,r,o,s),a}function jt(t){var e;if(t<100&&t>=0){var i=Array.prototype.slice.call(arguments);i[0]=t+400,e=new Date(Date.UTC.apply(null,i)),isFinite(e.getUTCFullYear())&&e.setUTCFullYear(t)}else e=new Date(Date.UTC.apply(null,arguments));return e}function Yt(t,e,i){var n=7+e-i;return-(7+jt(t,0,n).getUTCDay()-e)%7+n-1}function Nt(t,e,i,n,r){var o,s,a=1+7*(e-1)+(7+i-n)%7+Yt(t,n,r);return a<=0?s=gt(o=t-1)+a:a>gt(t)?(o=t+1,s=a-gt(t)):(o=t,s=a),{year:o,dayOfYear:s}}function Rt(t,e,i){var n,r,o=Yt(t.year(),e,i),s=Math.floor((t.dayOfYear()-o-1)/7)+1;return s<1?n=s+Ft(r=t.year()-1,e,i):s>Ft(t.year(),e,i)?(n=s-Ft(t.year(),e,i),r=t.year()+1):(r=t.year(),n=s),{week:n,year:r}}function Ft(t,e,i){var n=Yt(t,e,i),r=Yt(t+1,e,i);return(gt(t)-n+r)/7}function Ht(t,e){return t.slice(e,7).concat(t.slice(0,e))}V("w",["ww",2],"wo","week"),V("W",["WW",2],"Wo","isoWeek"),I("week","w"),I("isoWeek","W"),R("week",5),R("isoWeek",5),ht("w",K),ht("ww",K,q),ht("W",K),ht("WW",K,q),mt(["w","ww","W","WW"],(function(t,e,i,n){e[n.substr(0,1)]=S(t)})),V("d",0,"do","day"),V("dd",0,0,(function(t){return this.localeData().weekdaysMin(this,t)})),V("ddd",0,0,(function(t){return this.localeData().weekdaysShort(this,t)})),V("dddd",0,0,(function(t){return this.localeData().weekdays(this,t)})),V("e",0,0,"weekday"),V("E",0,0,"isoWeekday"),I("day","d"),I("weekday","e"),I("isoWeekday","E"),R("day",11),R("weekday",11),R("isoWeekday",11),ht("d",K),ht("e",K),ht("E",K),ht("dd",(function(t,e){return e.weekdaysMinRegex(t)})),ht("ddd",(function(t,e){return e.weekdaysShortRegex(t)})),ht("dddd",(function(t,e){return e.weekdaysRegex(t)})),mt(["dd","ddd","dddd"],(function(t,e,i,n){var r=i._locale.weekdaysParse(t,n,i._strict);null!=r?e.d=r:p(i).invalidWeekday=t})),mt(["d","e","E"],(function(t,e,i,n){e[n]=S(t)}));var Gt="Sunday_Monday_Tuesday_Wednesday_Thursday_Friday_Saturday".split("_"),zt="Sun_Mon_Tue_Wed_Thu_Fri_Sat".split("_"),Wt="Su_Mo_Tu_We_Th_Fr_Sa".split("_");function Vt(t,e,i){var n,r,o,s=t.toLocaleLowerCase();if(!this._weekdaysParse)for(this._weekdaysParse=[],this._shortWeekdaysParse=[],this._minWeekdaysParse=[],n=0;n<7;++n)o=f([2e3,1]).day(n),this._minWeekdaysParse[n]=this.weekdaysMin(o,"").toLocaleLowerCase(),this._shortWeekdaysParse[n]=this.weekdaysShort(o,"").toLocaleLowerCase(),this._weekdaysParse[n]=this.weekdays(o,"").toLocaleLowerCase();return i?"dddd"===e?-1!==(r=bt.call(this._weekdaysParse,s))?r:null:"ddd"===e?-1!==(r=bt.call(this._shortWeekdaysParse,s))?r:null:-1!==(r=bt.call(this._minWeekdaysParse,s))?r:null:"dddd"===e?-1!==(r=bt.call(this._weekdaysParse,s))?r:-1!==(r=bt.call(this._shortWeekdaysParse,s))?r:-1!==(r=bt.call(this._minWeekdaysParse,s))?r:null:"ddd"===e?-1!==(r=bt.call(this._shortWeekdaysParse,s))?r:-1!==(r=bt.call(this._weekdaysParse,s))?r:-1!==(r=bt.call(this._minWeekdaysParse,s))?r:null:-1!==(r=bt.call(this._minWeekdaysParse,s))?r:-1!==(r=bt.call(this._weekdaysParse,s))?r:-1!==(r=bt.call(this._shortWeekdaysParse,s))?r:null}var Ut=lt,Bt=lt,Xt=lt;function qt(){function t(t,e){return e.length-t.length}var e,i,n,r,o,s=[],a=[],l=[],u=[];for(e=0;e<7;e++)i=f([2e3,1]).day(e),n=this.weekdaysMin(i,""),r=this.weekdaysShort(i,""),o=this.weekdays(i,""),s.push(n),a.push(r),l.push(o),u.push(n),u.push(r),u.push(o);for(s.sort(t),a.sort(t),l.sort(t),u.sort(t),e=0;e<7;e++)a[e]=dt(a[e]),l[e]=dt(l[e]),u[e]=dt(u[e]);this._weekdaysRegex=new RegExp("^("+u.join("|")+")","i"),this._weekdaysShortRegex=this._weekdaysRegex,this._weekdaysMinRegex=this._weekdaysRegex,this._weekdaysStrictRegex=new RegExp("^("+l.join("|")+")","i"),this._weekdaysShortStrictRegex=new RegExp("^("+a.join("|")+")","i"),this._weekdaysMinStrictRegex=new RegExp("^("+s.join("|")+")","i")}function Zt(){return this.hours()%12||12}function Jt(t,e){V(t,0,0,(function(){return this.localeData().meridiem(this.hours(),this.minutes(),e)}))}function $t(t,e){return e._meridiemParse}V("H",["HH",2],0,"hour"),V("h",["hh",2],0,Zt),V("k",["kk",2],0,(function(){return this.hours()||24})),V("hmm",0,0,(function(){return""+Zt.apply(this)+F(this.minutes(),2)})),V("hmmss",0,0,(function(){return""+Zt.apply(this)+F(this.minutes(),2)+F(this.seconds(),2)})),V("Hmm",0,0,(function(){return""+this.hours()+F(this.minutes(),2)})),V("Hmmss",0,0,(function(){return""+this.hours()+F(this.minutes(),2)+F(this.seconds(),2)})),Jt("a",!0),Jt("A",!1),I("hour","h"),R("hour",13),ht("a",$t),ht("A",$t),ht("H",K),ht("h",K),ht("k",K),ht("HH",K,q),ht("hh",K,q),ht("kk",K,q),ht("hmm",Q),ht("hmmss",tt),ht("Hmm",Q),ht("Hmmss",tt),pt(["H","HH"],3),pt(["k","kk"],(function(t,e,i){var n=S(t);e[3]=24===n?0:n})),pt(["a","A"],(function(t,e,i){i._isPm=i._locale.isPM(t),i._meridiem=t})),pt(["h","hh"],(function(t,e,i){e[3]=S(t),p(i).bigHour=!0})),pt("hmm",(function(t,e,i){var n=t.length-2;e[3]=S(t.substr(0,n)),e[4]=S(t.substr(n)),p(i).bigHour=!0})),pt("hmmss",(function(t,e,i){var n=t.length-4,r=t.length-2;e[3]=S(t.substr(0,n)),e[4]=S(t.substr(n,2)),e[5]=S(t.substr(r)),p(i).bigHour=!0})),pt("Hmm",(function(t,e,i){var n=t.length-2;e[3]=S(t.substr(0,n)),e[4]=S(t.substr(n))})),pt("Hmmss",(function(t,e,i){var n=t.length-4,r=t.length-2;e[3]=S(t.substr(0,n)),e[4]=S(t.substr(n,2)),e[5]=S(t.substr(r))}));var Kt,Qt=wt("Hours",!0),te={calendar:{sameDay:"[Today at] LT",nextDay:"[Tomorrow at] LT",nextWeek:"dddd [at] LT",lastDay:"[Yesterday at] LT",lastWeek:"[Last] dddd [at] LT",sameElse:"L"},longDateFormat:{LTS:"h:mm:ss A",LT:"h:mm A",L:"MM/DD/YYYY",LL:"MMMM D, YYYY",LLL:"MMMM D, YYYY h:mm A",LLLL:"dddd, MMMM D, YYYY h:mm A"},invalidDate:"Invalid date",ordinal:"%d",dayOfMonthOrdinalParse:/\d{1,2}/,relativeTime:{future:"in %s",past:"%s ago",s:"a few seconds",ss:"%d seconds",m:"a minute",mm:"%d minutes",h:"an hour",hh:"%d hours",d:"a day",dd:"%d days",M:"a month",MM:"%d months",y:"a year",yy:"%d years"},months:Ot,monthsShort:Mt,week:{dow:0,doy:6},weekdays:Gt,weekdaysMin:Wt,weekdaysShort:zt,meridiemParse:/[ap]\.?m?\.?/i},ee={},ie={};function ne(t){return t?t.toLowerCase().replace("_","-"):t}function re(e){var n=null;if(!ee[e]&&t&&t.exports)try{n=Kt._abbr,i(),oe(n)}catch(t){}return ee[e]}function oe(t,e){var i;return t&&((i=a(e)?ae(t):se(t,e))?Kt=i:"undefined"!=typeof console&&console.warn&&console.warn("Locale "+t+" not found. Did you forget to load it?")),Kt._abbr}function se(t,e){if(null!==e){var i,n=te;if(e.abbr=t,null!=ee[t])C("defineLocaleOverride","use moment.updateLocale(localeName, config) to change an existing locale. moment.defineLocale(localeName, config) should only be used for creating a new locale See http://momentjs.com/guides/#/warnings/define-locale/ for more info."),n=ee[t]._config;else if(null!=e.parentLocale)if(null!=ee[e.parentLocale])n=ee[e.parentLocale]._config;else{if(null==(i=re(e.parentLocale)))return ie[e.parentLocale]||(ie[e.parentLocale]=[]),ie[e.parentLocale].push({name:t,config:e}),null;n=i._config}return ee[t]=new A(E(n,e)),ie[t]&&ie[t].forEach((function(t){se(t.name,t.config)})),oe(t),ee[t]}return delete ee[t],null}function ae(t){var e;if(t&&t._locale&&t._locale._abbr&&(t=t._locale._abbr),!t)return Kt;if(!o(t)){if(e=re(t))return e;t=[t]}return function(t){for(var e,i,n,r,o=0;o<t.length;){for(e=(r=ne(t[o]).split("-")).length,i=(i=ne(t[o+1]))?i.split("-"):null;e>0;){if(n=re(r.slice(0,e).join("-")))return n;if(i&&i.length>=e&&D(r,i,!0)>=e-1)break;e--}o++}return Kt}(t)}function le(t){var e,i=t._a;return i&&-2===p(t).overflow&&(e=i[1]<0||i[1]>11?1:i[2]<1||i[2]>Dt(i[0],i[1])?2:i[3]<0||i[3]>24||24===i[3]&&(0!==i[4]||0!==i[5]||0!==i[6])?3:i[4]<0||i[4]>59?4:i[5]<0||i[5]>59?5:i[6]<0||i[6]>999?6:-1,p(t)._overflowDayOfYear&&(e<0||e>2)&&(e=2),p(t)._overflowWeeks&&-1===e&&(e=7),p(t)._overflowWeekday&&-1===e&&(e=8),p(t).overflow=e),t}function ue(t,e,i){return null!=t?t:null!=e?e:i}function he(t){var e,i,n,o,s,a=[];if(!t._d){for(n=function(t){var e=new Date(r.now());return t._useUTC?[e.getUTCFullYear(),e.getUTCMonth(),e.getUTCDate()]:[e.getFullYear(),e.getMonth(),e.getDate()]}(t),t._w&&null==t._a[2]&&null==t._a[1]&&function(t){var e,i,n,r,o,s,a,l;if(null!=(e=t._w).GG||null!=e.W||null!=e.E)o=1,s=4,i=ue(e.GG,t._a[0],Rt(xe(),1,4).year),n=ue(e.W,1),((r=ue(e.E,1))<1||r>7)&&(l=!0);else{o=t._locale._week.dow,s=t._locale._week.doy;var u=Rt(xe(),o,s);i=ue(e.gg,t._a[0],u.year),n=ue(e.w,u.week),null!=e.d?((r=e.d)<0||r>6)&&(l=!0):null!=e.e?(r=e.e+o,(e.e<0||e.e>6)&&(l=!0)):r=o}n<1||n>Ft(i,o,s)?p(t)._overflowWeeks=!0:null!=l?p(t)._overflowWeekday=!0:(a=Nt(i,n,r,o,s),t._a[0]=a.year,t._dayOfYear=a.dayOfYear)}(t),null!=t._dayOfYear&&(s=ue(t._a[0],n[0]),(t._dayOfYear>gt(s)||0===t._dayOfYear)&&(p(t)._overflowDayOfYear=!0),i=jt(s,0,t._dayOfYear),t._a[1]=i.getUTCMonth(),t._a[2]=i.getUTCDate()),e=0;e<3&&null==t._a[e];++e)t._a[e]=a[e]=n[e];for(;e<7;e++)t._a[e]=a[e]=null==t._a[e]?2===e?1:0:t._a[e];24===t._a[3]&&0===t._a[4]&&0===t._a[5]&&0===t._a[6]&&(t._nextDay=!0,t._a[3]=0),t._d=(t._useUTC?jt:It).apply(null,a),o=t._useUTC?t._d.getUTCDay():t._d.getDay(),null!=t._tzm&&t._d.setUTCMinutes(t._d.getUTCMinutes()-t._tzm),t._nextDay&&(t._a[3]=24),t._w&&void 0!==t._w.d&&t._w.d!==o&&(p(t).weekdayMismatch=!0)}}var ce=/^\s*((?:[+-]\d{6}|\d{4})-(?:\d\d-\d\d|W\d\d-\d|W\d\d|\d\d\d|\d\d))(?:(T| )(\d\d(?::\d\d(?::\d\d(?:[.,]\d+)?)?)?)([\+\-]\d\d(?::?\d\d)?|\s*Z)?)?$/,de=/^\s*((?:[+-]\d{6}|\d{4})(?:\d\d\d\d|W\d\d\d|W\d\d|\d\d\d|\d\d))(?:(T| )(\d\d(?:\d\d(?:\d\d(?:[.,]\d+)?)?)?)([\+\-]\d\d(?::?\d\d)?|\s*Z)?)?$/,fe=/Z|[+-]\d\d(?::?\d\d)?/,pe=[["YYYYYY-MM-DD",/[+-]\d{6}-\d\d-\d\d/],["YYYY-MM-DD",/\d{4}-\d\d-\d\d/],["GGGG-[W]WW-E",/\d{4}-W\d\d-\d/],["GGGG-[W]WW",/\d{4}-W\d\d/,!1],["YYYY-DDD",/\d{4}-\d{3}/],["YYYY-MM",/\d{4}-\d\d/,!1],["YYYYYYMMDD",/[+-]\d{10}/],["YYYYMMDD",/\d{8}/],["GGGG[W]WWE",/\d{4}W\d{3}/],["GGGG[W]WW",/\d{4}W\d{2}/,!1],["YYYYDDD",/\d{7}/]],me=[["HH:mm:ss.SSSS",/\d\d:\d\d:\d\d\.\d+/],["HH:mm:ss,SSSS",/\d\d:\d\d:\d\d,\d+/],["HH:mm:ss",/\d\d:\d\d:\d\d/],["HH:mm",/\d\d:\d\d/],["HHmmss.SSSS",/\d\d\d\d\d\d\.\d+/],["HHmmss,SSSS",/\d\d\d\d\d\d,\d+/],["HHmmss",/\d\d\d\d\d\d/],["HHmm",/\d\d\d\d/],["HH",/\d\d/]],ve=/^\/?Date\((\-?\d+)/i;function ge(t){var e,i,n,r,o,s,a=t._i,l=ce.exec(a)||de.exec(a);if(l){for(p(t).iso=!0,e=0,i=pe.length;e<i;e++)if(pe[e][1].exec(l[1])){r=pe[e][0],n=!1!==pe[e][2];break}if(null==r)return void(t._isValid=!1);if(l[3]){for(e=0,i=me.length;e<i;e++)if(me[e][1].exec(l[3])){o=(l[2]||" ")+me[e][0];break}if(null==o)return void(t._isValid=!1)}if(!n&&null!=o)return void(t._isValid=!1);if(l[4]){if(!fe.exec(l[4]))return void(t._isValid=!1);s="Z"}t._f=r+(o||"")+(s||""),ke(t)}else t._isValid=!1}var ye=/^(?:(Mon|Tue|Wed|Thu|Fri|Sat|Sun),?\s)?(\d{1,2})\s(Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec)\s(\d{2,4})\s(\d\d):(\d\d)(?::(\d\d))?\s(?:(UT|GMT|[ECMP][SD]T)|([Zz])|([+-]\d{4}))$/;function be(t){var e=parseInt(t,10);return e<=49?2e3+e:e<=999?1900+e:e}var _e={UT:0,GMT:0,EDT:-240,EST:-300,CDT:-300,CST:-360,MDT:-360,MST:-420,PDT:-420,PST:-480};function we(t){var e,i,n,r,o,s,a,l=ye.exec(t._i.replace(/\([^)]*\)|[\n\t]/g," ").replace(/(\s\s+)/g," ").replace(/^\s\s*/,"").replace(/\s\s*$/,""));if(l){var u=(e=l[4],i=l[3],n=l[2],r=l[5],o=l[6],s=l[7],a=[be(e),Mt.indexOf(i),parseInt(n,10),parseInt(r,10),parseInt(o,10)],s&&a.push(parseInt(s,10)),a);if(!function(t,e,i){return!t||zt.indexOf(t)===new Date(e[0],e[1],e[2]).getDay()||(p(i).weekdayMismatch=!0,i._isValid=!1,!1)}(l[1],u,t))return;t._a=u,t._tzm=function(t,e,i){if(t)return _e[t];if(e)return 0;var n=parseInt(i,10),r=n%100;return(n-r)/100*60+r}(l[8],l[9],l[10]),t._d=jt.apply(null,t._a),t._d.setUTCMinutes(t._d.getUTCMinutes()-t._tzm),p(t).rfc2822=!0}else t._isValid=!1}function ke(t){if(t._f!==r.ISO_8601)if(t._f!==r.RFC_2822){t._a=[],p(t).empty=!0;var e,i,n,o,s,a=""+t._i,l=a.length,u=0;for(n=B(t._f,t._locale).match(H)||[],e=0;e<n.length;e++)o=n[e],(i=(a.match(ct(o,t))||[])[0])&&((s=a.substr(0,a.indexOf(i))).length>0&&p(t).unusedInput.push(s),a=a.slice(a.indexOf(i)+i.length),u+=i.length),W[o]?(i?p(t).empty=!1:p(t).unusedTokens.push(o),vt(o,i,t)):t._strict&&!i&&p(t).unusedTokens.push(o);p(t).charsLeftOver=l-u,a.length>0&&p(t).unusedInput.push(a),t._a[3]<=12&&!0===p(t).bigHour&&t._a[3]>0&&(p(t).bigHour=void 0),p(t).parsedDateParts=t._a.slice(0),p(t).meridiem=t._meridiem,t._a[3]=function(t,e,i){var n;return null==i?e:null!=t.meridiemHour?t.meridiemHour(e,i):null!=t.isPM?((n=t.isPM(i))&&e<12&&(e+=12),n||12!==e||(e=0),e):e}(t._locale,t._a[3],t._meridiem),he(t),le(t)}else we(t);else ge(t)}function Se(t){var e=t._i,i=t._f;return t._locale=t._locale||ae(t._l),null===e||void 0===i&&""===e?v({nullInput:!0}):("string"==typeof e&&(t._i=e=t._locale.preparse(e)),w(e)?new _(le(e)):(u(e)?t._d=e:o(i)?function(t){var e,i,n,r,o;if(0===t._f.length)return p(t).invalidFormat=!0,void(t._d=new Date(NaN));for(r=0;r<t._f.length;r++)o=0,e=y({},t),null!=t._useUTC&&(e._useUTC=t._useUTC),e._f=t._f[r],ke(e),m(e)&&(o+=p(e).charsLeftOver,o+=10*p(e).unusedTokens.length,p(e).score=o,(null==n||o<n)&&(n=o,i=e));d(t,i||e)}(t):i?ke(t):function(t){var e=t._i;a(e)?t._d=new Date(r.now()):u(e)?t._d=new Date(e.valueOf()):"string"==typeof e?function(t){var e=ve.exec(t._i);null===e?(ge(t),!1===t._isValid&&(delete t._isValid,we(t),!1===t._isValid&&(delete t._isValid,r.createFromInputFallback(t)))):t._d=new Date(+e[1])}(t):o(e)?(t._a=h(e.slice(0),(function(t){return parseInt(t,10)})),he(t)):s(e)?function(t){if(!t._d){var e=Y(t._i);t._a=h([e.year,e.month,e.day||e.date,e.hour,e.minute,e.second,e.millisecond],(function(t){return t&&parseInt(t,10)})),he(t)}}(t):l(e)?t._d=new Date(e):r.createFromInputFallback(t)}(t),m(t)||(t._d=null),t))}function De(t,e,i,n,r){var a,l={};return!0!==i&&!1!==i||(n=i,i=void 0),(s(t)&&function(t){if(Object.getOwnPropertyNames)return 0===Object.getOwnPropertyNames(t).length;var e;for(e in t)if(t.hasOwnProperty(e))return!1;return!0}(t)||o(t)&&0===t.length)&&(t=void 0),l._isAMomentObject=!0,l._useUTC=l._isUTC=r,l._l=i,l._i=t,l._f=e,l._strict=n,(a=new _(le(Se(l))))._nextDay&&(a.add(1,"d"),a._nextDay=void 0),a}function xe(t,e,i,n){return De(t,e,i,n,!1)}r.createFromInputFallback=O("value provided is not in a recognized RFC2822 or ISO format. moment construction falls back to js Date(), which is not reliable across all browsers and versions. Non RFC2822/ISO date formats are discouraged and will be removed in an upcoming major release. Please refer to http://momentjs.com/guides/#/warnings/js-date/ for more info.",(function(t){t._d=new Date(t._i+(t._useUTC?" UTC":""))})),r.ISO_8601=function(){},r.RFC_2822=function(){};var Oe=O("moment().min is deprecated, use moment.max instead. http://momentjs.com/guides/#/warnings/min-max/",(function(){var t=xe.apply(null,arguments);return this.isValid()&&t.isValid()?t<this?this:t:v()})),Me=O("moment().max is deprecated, use moment.min instead. http://momentjs.com/guides/#/warnings/min-max/",(function(){var t=xe.apply(null,arguments);return this.isValid()&&t.isValid()?t>this?this:t:v()}));function Te(t,e){var i,n;if(1===e.length&&o(e[0])&&(e=e[0]),!e.length)return xe();for(i=e[0],n=1;n<e.length;++n)e[n].isValid()&&!e[n][t](i)||(i=e[n]);return i}var Ce=["year","quarter","month","week","day","hour","minute","second","millisecond"];function Pe(t){var e=Y(t),i=e.year||0,n=e.quarter||0,r=e.month||0,o=e.week||e.isoWeek||0,s=e.day||0,a=e.hour||0,l=e.minute||0,u=e.second||0,h=e.millisecond||0;this._isValid=function(t){for(var e in t)if(-1===bt.call(Ce,e)||null!=t[e]&&isNaN(t[e]))return!1;for(var i=!1,n=0;n<Ce.length;++n)if(t[Ce[n]]){if(i)return!1;parseFloat(t[Ce[n]])!==S(t[Ce[n]])&&(i=!0)}return!0}(e),this._milliseconds=+h+1e3*u+6e4*l+1e3*a*60*60,this._days=+s+7*o,this._months=+r+3*n+12*i,this._data={},this._locale=ae(),this._bubble()}function Ee(t){return t instanceof Pe}function Ae(t){return t<0?-1*Math.round(-1*t):Math.round(t)}function Le(t,e){V(t,0,0,(function(){var t=this.utcOffset(),i="+";return t<0&&(t=-t,i="-"),i+F(~~(t/60),2)+e+F(~~t%60,2)}))}Le("Z",":"),Le("ZZ",""),ht("Z",at),ht("ZZ",at),pt(["Z","ZZ"],(function(t,e,i){i._useUTC=!0,i._tzm=je(at,t)}));var Ie=/([\+\-]|\d\d)/gi;function je(t,e){var i=(e||"").match(t);if(null===i)return null;var n=((i[i.length-1]||[])+"").match(Ie)||["-",0,0],r=60*n[1]+S(n[2]);return 0===r?0:"+"===n[0]?r:-r}function Ye(t,e){var i,n;return e._isUTC?(i=e.clone(),n=(w(t)||u(t)?t.valueOf():xe(t).valueOf())-i.valueOf(),i._d.setTime(i._d.valueOf()+n),r.updateOffset(i,!1),i):xe(t).local()}function Ne(t){return 15*-Math.round(t._d.getTimezoneOffset()/15)}function Re(){return!!this.isValid()&&this._isUTC&&0===this._offset}r.updateOffset=function(){};var Fe=/^(\-|\+)?(?:(\d*)[. ])?(\d+)\:(\d+)(?:\:(\d+)(\.\d*)?)?$/,He=/^(-|\+)?P(?:([-+]?[0-9,.]*)Y)?(?:([-+]?[0-9,.]*)M)?(?:([-+]?[0-9,.]*)W)?(?:([-+]?[0-9,.]*)D)?(?:T(?:([-+]?[0-9,.]*)H)?(?:([-+]?[0-9,.]*)M)?(?:([-+]?[0-9,.]*)S)?)?$/;function Ge(t,e){var i,n,r,o,s,a,u=t,h=null;return Ee(t)?u={ms:t._milliseconds,d:t._days,M:t._months}:l(t)?(u={},e?u[e]=t:u.milliseconds=t):(h=Fe.exec(t))?(i="-"===h[1]?-1:1,u={y:0,d:S(h[2])*i,h:S(h[3])*i,m:S(h[4])*i,s:S(h[5])*i,ms:S(Ae(1e3*h[6]))*i}):(h=He.exec(t))?(i="-"===h[1]?-1:1,u={y:ze(h[2],i),M:ze(h[3],i),w:ze(h[4],i),d:ze(h[5],i),h:ze(h[6],i),m:ze(h[7],i),s:ze(h[8],i)}):null==u?u={}:"object"==typeof u&&("from"in u||"to"in u)&&(o=xe(u.from),s=xe(u.to),r=o.isValid()&&s.isValid()?(s=Ye(s,o),o.isBefore(s)?a=We(o,s):((a=We(s,o)).milliseconds=-a.milliseconds,a.months=-a.months),a):{milliseconds:0,months:0},(u={}).ms=r.milliseconds,u.M=r.months),n=new Pe(u),Ee(t)&&c(t,"_locale")&&(n._locale=t._locale),n}function ze(t,e){var i=t&&parseFloat(t.replace(",","."));return(isNaN(i)?0:i)*e}function We(t,e){var i={};return i.months=e.month()-t.month()+12*(e.year()-t.year()),t.clone().add(i.months,"M").isAfter(e)&&--i.months,i.milliseconds=+e-+t.clone().add(i.months,"M"),i}function Ve(t,e){return function(i,n){var r;return null===n||isNaN(+n)||(C(e,"moment()."+e+"(period, number) is deprecated. Please use moment()."+e+"(number, period). See http://momentjs.com/guides/#/warnings/add-inverted-param/ for more info."),r=i,i=n,n=r),Ue(this,Ge(i="string"==typeof i?+i:i,n),t),this}}function Ue(t,e,i,n){var o=e._milliseconds,s=Ae(e._days),a=Ae(e._months);t.isValid()&&(n=null==n||n,a&&Ct(t,kt(t,"Month")+a*i),s&&St(t,"Date",kt(t,"Date")+s*i),o&&t._d.setTime(t._d.valueOf()+o*i),n&&r.updateOffset(t,s||a))}Ge.fn=Pe.prototype,Ge.invalid=function(){return Ge(NaN)};var Be=Ve(1,"add"),Xe=Ve(-1,"subtract");function qe(t,e){var i=12*(e.year()-t.year())+(e.month()-t.month()),n=t.clone().add(i,"months");return-(i+(e-n<0?(e-n)/(n-t.clone().add(i-1,"months")):(e-n)/(t.clone().add(i+1,"months")-n)))||0}function Ze(t){var e;return void 0===t?this._locale._abbr:(null!=(e=ae(t))&&(this._locale=e),this)}r.defaultFormat="YYYY-MM-DDTHH:mm:ssZ",r.defaultFormatUtc="YYYY-MM-DDTHH:mm:ss[Z]";var Je=O("moment().lang() is deprecated. Instead, use moment().localeData() to get the language configuration. Use moment().locale() to change languages.",(function(t){return void 0===t?this.localeData():this.locale(t)}));function $e(){return this._locale}function Ke(t,e){return(t%e+e)%e}function Qe(t,e,i){return t<100&&t>=0?new Date(t+400,e,i)-126227808e5:new Date(t,e,i).valueOf()}function ti(t,e,i){return t<100&&t>=0?Date.UTC(t+400,e,i)-126227808e5:Date.UTC(t,e,i)}function ei(t,e){V(0,[t,t.length],0,e)}function ii(t,e,i,n,r){var o;return null==t?Rt(this,n,r).year:(e>(o=Ft(t,n,r))&&(e=o),ni.call(this,t,e,i,n,r))}function ni(t,e,i,n,r){var o=Nt(t,e,i,n,r),s=jt(o.year,0,o.dayOfYear);return this.year(s.getUTCFullYear()),this.month(s.getUTCMonth()),this.date(s.getUTCDate()),this}V(0,["gg",2],0,(function(){return this.weekYear()%100})),V(0,["GG",2],0,(function(){return this.isoWeekYear()%100})),ei("gggg","weekYear"),ei("ggggg","weekYear"),ei("GGGG","isoWeekYear"),ei("GGGGG","isoWeekYear"),I("weekYear","gg"),I("isoWeekYear","GG"),R("weekYear",1),R("isoWeekYear",1),ht("G",ot),ht("g",ot),ht("GG",K,q),ht("gg",K,q),ht("GGGG",it,J),ht("gggg",it,J),ht("GGGGG",nt,$),ht("ggggg",nt,$),mt(["gggg","ggggg","GGGG","GGGGG"],(function(t,e,i,n){e[n.substr(0,2)]=S(t)})),mt(["gg","GG"],(function(t,e,i,n){e[n]=r.parseTwoDigitYear(t)})),V("Q",0,"Qo","quarter"),I("quarter","Q"),R("quarter",7),ht("Q",X),pt("Q",(function(t,e){e[1]=3*(S(t)-1)})),V("D",["DD",2],"Do","date"),I("date","D"),R("date",9),ht("D",K),ht("DD",K,q),ht("Do",(function(t,e){return t?e._dayOfMonthOrdinalParse||e._ordinalParse:e._dayOfMonthOrdinalParseLenient})),pt(["D","DD"],2),pt("Do",(function(t,e){e[2]=S(t.match(K)[0])}));var ri=wt("Date",!0);V("DDD",["DDDD",3],"DDDo","dayOfYear"),I("dayOfYear","DDD"),R("dayOfYear",4),ht("DDD",et),ht("DDDD",Z),pt(["DDD","DDDD"],(function(t,e,i){i._dayOfYear=S(t)})),V("m",["mm",2],0,"minute"),I("minute","m"),R("minute",14),ht("m",K),ht("mm",K,q),pt(["m","mm"],4);var oi=wt("Minutes",!1);V("s",["ss",2],0,"second"),I("second","s"),R("second",15),ht("s",K),ht("ss",K,q),pt(["s","ss"],5);var si,ai=wt("Seconds",!1);for(V("S",0,0,(function(){return~~(this.millisecond()/100)})),V(0,["SS",2],0,(function(){return~~(this.millisecond()/10)})),V(0,["SSS",3],0,"millisecond"),V(0,["SSSS",4],0,(function(){return 10*this.millisecond()})),V(0,["SSSSS",5],0,(function(){return 100*this.millisecond()})),V(0,["SSSSSS",6],0,(function(){return 1e3*this.millisecond()})),V(0,["SSSSSSS",7],0,(function(){return 1e4*this.millisecond()})),V(0,["SSSSSSSS",8],0,(function(){return 1e5*this.millisecond()})),V(0,["SSSSSSSSS",9],0,(function(){return 1e6*this.millisecond()})),I("millisecond","ms"),R("millisecond",16),ht("S",et,X),ht("SS",et,q),ht("SSS",et,Z),si="SSSS";si.length<=9;si+="S")ht(si,rt);function li(t,e){e[6]=S(1e3*("0."+t))}for(si="S";si.length<=9;si+="S")pt(si,li);var ui=wt("Milliseconds",!1);V("z",0,0,"zoneAbbr"),V("zz",0,0,"zoneName");var hi=_.prototype;function ci(t){return t}hi.add=Be,hi.calendar=function(t,e){var i=t||xe(),n=Ye(i,this).startOf("day"),o=r.calendarFormat(this,n)||"sameElse",s=e&&(P(e[o])?e[o].call(this,i):e[o]);return this.format(s||this.localeData().calendar(o,this,xe(i)))},hi.clone=function(){return new _(this)},hi.diff=function(t,e,i){var n,r,o;if(!this.isValid())return NaN;if(!(n=Ye(t,this)).isValid())return NaN;switch(r=6e4*(n.utcOffset()-this.utcOffset()),e=j(e)){case"year":o=qe(this,n)/12;break;case"month":o=qe(this,n);break;case"quarter":o=qe(this,n)/3;break;case"second":o=(this-n)/1e3;break;case"minute":o=(this-n)/6e4;break;case"hour":o=(this-n)/36e5;break;case"day":o=(this-n-r)/864e5;break;case"week":o=(this-n-r)/6048e5;break;default:o=this-n}return i?o:k(o)},hi.endOf=function(t){var e;if(void 0===(t=j(t))||"millisecond"===t||!this.isValid())return this;var i=this._isUTC?ti:Qe;switch(t){case"year":e=i(this.year()+1,0,1)-1;break;case"quarter":e=i(this.year(),this.month()-this.month()%3+3,1)-1;break;case"month":e=i(this.year(),this.month()+1,1)-1;break;case"week":e=i(this.year(),this.month(),this.date()-this.weekday()+7)-1;break;case"isoWeek":e=i(this.year(),this.month(),this.date()-(this.isoWeekday()-1)+7)-1;break;case"day":case"date":e=i(this.year(),this.month(),this.date()+1)-1;break;case"hour":e=this._d.valueOf(),e+=36e5-Ke(e+(this._isUTC?0:6e4*this.utcOffset()),36e5)-1;break;case"minute":e=this._d.valueOf(),e+=6e4-Ke(e,6e4)-1;break;case"second":e=this._d.valueOf(),e+=1e3-Ke(e,1e3)-1}return this._d.setTime(e),r.updateOffset(this,!0),this},hi.format=function(t){t||(t=this.isUtc()?r.defaultFormatUtc:r.defaultFormat);var e=U(this,t);return this.localeData().postformat(e)},hi.from=function(t,e){return this.isValid()&&(w(t)&&t.isValid()||xe(t).isValid())?Ge({to:this,from:t}).locale(this.locale()).humanize(!e):this.localeData().invalidDate()},hi.fromNow=function(t){return this.from(xe(),t)},hi.to=function(t,e){return this.isValid()&&(w(t)&&t.isValid()||xe(t).isValid())?Ge({from:this,to:t}).locale(this.locale()).humanize(!e):this.localeData().invalidDate()},hi.toNow=function(t){return this.to(xe(),t)},hi.get=function(t){return P(this[t=j(t)])?this[t]():this},hi.invalidAt=function(){return p(this).overflow},hi.isAfter=function(t,e){var i=w(t)?t:xe(t);return!(!this.isValid()||!i.isValid())&&("millisecond"===(e=j(e)||"millisecond")?this.valueOf()>i.valueOf():i.valueOf()<this.clone().startOf(e).valueOf())},hi.isBefore=function(t,e){var i=w(t)?t:xe(t);return!(!this.isValid()||!i.isValid())&&("millisecond"===(e=j(e)||"millisecond")?this.valueOf()<i.valueOf():this.clone().endOf(e).valueOf()<i.valueOf())},hi.isBetween=function(t,e,i,n){var r=w(t)?t:xe(t),o=w(e)?e:xe(e);return!!(this.isValid()&&r.isValid()&&o.isValid())&&("("===(n=n||"()")[0]?this.isAfter(r,i):!this.isBefore(r,i))&&(")"===n[1]?this.isBefore(o,i):!this.isAfter(o,i))},hi.isSame=function(t,e){var i,n=w(t)?t:xe(t);return!(!this.isValid()||!n.isValid())&&("millisecond"===(e=j(e)||"millisecond")?this.valueOf()===n.valueOf():(i=n.valueOf(),this.clone().startOf(e).valueOf()<=i&&i<=this.clone().endOf(e).valueOf()))},hi.isSameOrAfter=function(t,e){return this.isSame(t,e)||this.isAfter(t,e)},hi.isSameOrBefore=function(t,e){return this.isSame(t,e)||this.isBefore(t,e)},hi.isValid=function(){return m(this)},hi.lang=Je,hi.locale=Ze,hi.localeData=$e,hi.max=Me,hi.min=Oe,hi.parsingFlags=function(){return d({},p(this))},hi.set=function(t,e){if("object"==typeof t)for(var i=function(t){var e=[];for(var i in t)e.push({unit:i,priority:N[i]});return e.sort((function(t,e){return t.priority-e.priority})),e}(t=Y(t)),n=0;n<i.length;n++)this[i[n].unit](t[i[n].unit]);else if(P(this[t=j(t)]))return this[t](e);return this},hi.startOf=function(t){var e;if(void 0===(t=j(t))||"millisecond"===t||!this.isValid())return this;var i=this._isUTC?ti:Qe;switch(t){case"year":e=i(this.year(),0,1);break;case"quarter":e=i(this.year(),this.month()-this.month()%3,1);break;case"month":e=i(this.year(),this.month(),1);break;case"week":e=i(this.year(),this.month(),this.date()-this.weekday());break;case"isoWeek":e=i(this.year(),this.month(),this.date()-(this.isoWeekday()-1));break;case"day":case"date":e=i(this.year(),this.month(),this.date());break;case"hour":e=this._d.valueOf(),e-=Ke(e+(this._isUTC?0:6e4*this.utcOffset()),36e5);break;case"minute":e=this._d.valueOf(),e-=Ke(e,6e4);break;case"second":e=this._d.valueOf(),e-=Ke(e,1e3)}return this._d.setTime(e),r.updateOffset(this,!0),this},hi.subtract=Xe,hi.toArray=function(){var t=this;return[t.year(),t.month(),t.date(),t.hour(),t.minute(),t.second(),t.millisecond()]},hi.toObject=function(){var t=this;return{years:t.year(),months:t.month(),date:t.date(),hours:t.hours(),minutes:t.minutes(),seconds:t.seconds(),milliseconds:t.milliseconds()}},hi.toDate=function(){return new Date(this.valueOf())},hi.toISOString=function(t){if(!this.isValid())return null;var e=!0!==t,i=e?this.clone().utc():this;return i.year()<0||i.year()>9999?U(i,e?"YYYYYY-MM-DD[T]HH:mm:ss.SSS[Z]":"YYYYYY-MM-DD[T]HH:mm:ss.SSSZ"):P(Date.prototype.toISOString)?e?this.toDate().toISOString():new Date(this.valueOf()+60*this.utcOffset()*1e3).toISOString().replace("Z",U(i,"Z")):U(i,e?"YYYY-MM-DD[T]HH:mm:ss.SSS[Z]":"YYYY-MM-DD[T]HH:mm:ss.SSSZ")},hi.inspect=function(){if(!this.isValid())return"moment.invalid(/* "+this._i+" */)";var t="moment",e="";this.isLocal()||(t=0===this.utcOffset()?"moment.utc":"moment.parseZone",e="Z");var i="["+t+'("]',n=0<=this.year()&&this.year()<=9999?"YYYY":"YYYYYY",r=e+'[")]';return this.format(i+n+"-MM-DD[T]HH:mm:ss.SSS"+r)},hi.toJSON=function(){return this.isValid()?this.toISOString():null},hi.toString=function(){return this.clone().locale("en").format("ddd MMM DD YYYY HH:mm:ss [GMT]ZZ")},hi.unix=function(){return Math.floor(this.valueOf()/1e3)},hi.valueOf=function(){return this._d.valueOf()-6e4*(this._offset||0)},hi.creationData=function(){return{input:this._i,format:this._f,locale:this._locale,isUTC:this._isUTC,strict:this._strict}},hi.year=_t,hi.isLeapYear=function(){return yt(this.year())},hi.weekYear=function(t){return ii.call(this,t,this.week(),this.weekday(),this.localeData()._week.dow,this.localeData()._week.doy)},hi.isoWeekYear=function(t){return ii.call(this,t,this.isoWeek(),this.isoWeekday(),1,4)},hi.quarter=hi.quarters=function(t){return null==t?Math.ceil((this.month()+1)/3):this.month(3*(t-1)+this.month()%3)},hi.month=Pt,hi.daysInMonth=function(){return Dt(this.year(),this.month())},hi.week=hi.weeks=function(t){var e=this.localeData().week(this);return null==t?e:this.add(7*(t-e),"d")},hi.isoWeek=hi.isoWeeks=function(t){var e=Rt(this,1,4).week;return null==t?e:this.add(7*(t-e),"d")},hi.weeksInYear=function(){var t=this.localeData()._week;return Ft(this.year(),t.dow,t.doy)},hi.isoWeeksInYear=function(){return Ft(this.year(),1,4)},hi.date=ri,hi.day=hi.days=function(t){if(!this.isValid())return null!=t?this:NaN;var e=this._isUTC?this._d.getUTCDay():this._d.getDay();return null!=t?(t=function(t,e){return"string"!=typeof t?t:isNaN(t)?"number"==typeof(t=e.weekdaysParse(t))?t:null:parseInt(t,10)}(t,this.localeData()),this.add(t-e,"d")):e},hi.weekday=function(t){if(!this.isValid())return null!=t?this:NaN;var e=(this.day()+7-this.localeData()._week.dow)%7;return null==t?e:this.add(t-e,"d")},hi.isoWeekday=function(t){if(!this.isValid())return null!=t?this:NaN;if(null!=t){var e=function(t,e){return"string"==typeof t?e.weekdaysParse(t)%7||7:isNaN(t)?null:t}(t,this.localeData());return this.day(this.day()%7?e:e-7)}return this.day()||7},hi.dayOfYear=function(t){var e=Math.round((this.clone().startOf("day")-this.clone().startOf("year"))/864e5)+1;return null==t?e:this.add(t-e,"d")},hi.hour=hi.hours=Qt,hi.minute=hi.minutes=oi,hi.second=hi.seconds=ai,hi.millisecond=hi.milliseconds=ui,hi.utcOffset=function(t,e,i){var n,o=this._offset||0;if(!this.isValid())return null!=t?this:NaN;if(null!=t){if("string"==typeof t){if(null===(t=je(at,t)))return this}else Math.abs(t)<16&&!i&&(t*=60);return!this._isUTC&&e&&(n=Ne(this)),this._offset=t,this._isUTC=!0,null!=n&&this.add(n,"m"),o!==t&&(!e||this._changeInProgress?Ue(this,Ge(t-o,"m"),1,!1):this._changeInProgress||(this._changeInProgress=!0,r.updateOffset(this,!0),this._changeInProgress=null)),this}return this._isUTC?o:Ne(this)},hi.utc=function(t){return this.utcOffset(0,t)},hi.local=function(t){return this._isUTC&&(this.utcOffset(0,t),this._isUTC=!1,t&&this.subtract(Ne(this),"m")),this},hi.parseZone=function(){if(null!=this._tzm)this.utcOffset(this._tzm,!1,!0);else if("string"==typeof this._i){var t=je(st,this._i);null!=t?this.utcOffset(t):this.utcOffset(0,!0)}return this},hi.hasAlignedHourOffset=function(t){return!!this.isValid()&&(t=t?xe(t).utcOffset():0,(this.utcOffset()-t)%60==0)},hi.isDST=function(){return this.utcOffset()>this.clone().month(0).utcOffset()||this.utcOffset()>this.clone().month(5).utcOffset()},hi.isLocal=function(){return!!this.isValid()&&!this._isUTC},hi.isUtcOffset=function(){return!!this.isValid()&&this._isUTC},hi.isUtc=Re,hi.isUTC=Re,hi.zoneAbbr=function(){return this._isUTC?"UTC":""},hi.zoneName=function(){return this._isUTC?"Coordinated Universal Time":""},hi.dates=O("dates accessor is deprecated. Use date instead.",ri),hi.months=O("months accessor is deprecated. Use month instead",Pt),hi.years=O("years accessor is deprecated. Use year instead",_t),hi.zone=O("moment().zone is deprecated, use moment().utcOffset instead. http://momentjs.com/guides/#/warnings/zone/",(function(t,e){return null!=t?("string"!=typeof t&&(t=-t),this.utcOffset(t,e),this):-this.utcOffset()})),hi.isDSTShifted=O("isDSTShifted is deprecated. See http://momentjs.com/guides/#/warnings/dst-shifted/ for more information",(function(){if(!a(this._isDSTShifted))return this._isDSTShifted;var t={};if(y(t,this),(t=Se(t))._a){var e=t._isUTC?f(t._a):xe(t._a);this._isDSTShifted=this.isValid()&&D(t._a,e.toArray())>0}else this._isDSTShifted=!1;return this._isDSTShifted}));var di=A.prototype;function fi(t,e,i,n){var r=ae(),o=f().set(n,e);return r[i](o,t)}function pi(t,e,i){if(l(t)&&(e=t,t=void 0),t=t||"",null!=e)return fi(t,e,i,"month");var n,r=[];for(n=0;n<12;n++)r[n]=fi(t,n,i,"month");return r}function mi(t,e,i,n){"boolean"==typeof t?(l(e)&&(i=e,e=void 0),e=e||""):(i=e=t,t=!1,l(e)&&(i=e,e=void 0),e=e||"");var r,o=ae(),s=t?o._week.dow:0;if(null!=i)return fi(e,(i+s)%7,n,"day");var a=[];for(r=0;r<7;r++)a[r]=fi(e,(r+s)%7,n,"day");return a}di.calendar=function(t,e,i){var n=this._calendar[t]||this._calendar.sameElse;return P(n)?n.call(e,i):n},di.longDateFormat=function(t){var e=this._longDateFormat[t],i=this._longDateFormat[t.toUpperCase()];return e||!i?e:(this._longDateFormat[t]=i.replace(/MMMM|MM|DD|dddd/g,(function(t){return t.slice(1)})),this._longDateFormat[t])},di.invalidDate=function(){return this._invalidDate},di.ordinal=function(t){return this._ordinal.replace("%d",t)},di.preparse=ci,di.postformat=ci,di.relativeTime=function(t,e,i,n){var r=this._relativeTime[i];return P(r)?r(t,e,i,n):r.replace(/%d/i,t)},di.pastFuture=function(t,e){var i=this._relativeTime[t>0?"future":"past"];return P(i)?i(e):i.replace(/%s/i,e)},di.set=function(t){var e,i;for(i in t)P(e=t[i])?this[i]=e:this["_"+i]=e;this._config=t,this._dayOfMonthOrdinalParseLenient=new RegExp((this._dayOfMonthOrdinalParse.source||this._ordinalParse.source)+"|"+/\d{1,2}/.source)},di.months=function(t,e){return t?o(this._months)?this._months[t.month()]:this._months[(this._months.isFormat||xt).test(e)?"format":"standalone"][t.month()]:o(this._months)?this._months:this._months.standalone},di.monthsShort=function(t,e){return t?o(this._monthsShort)?this._monthsShort[t.month()]:this._monthsShort[xt.test(e)?"format":"standalone"][t.month()]:o(this._monthsShort)?this._monthsShort:this._monthsShort.standalone},di.monthsParse=function(t,e,i){var n,r,o;if(this._monthsParseExact)return Tt.call(this,t,e,i);for(this._monthsParse||(this._monthsParse=[],this._longMonthsParse=[],this._shortMonthsParse=[]),n=0;n<12;n++){if(r=f([2e3,n]),i&&!this._longMonthsParse[n]&&(this._longMonthsParse[n]=new RegExp("^"+this.months(r,"").replace(".","")+"$","i"),this._shortMonthsParse[n]=new RegExp("^"+this.monthsShort(r,"").replace(".","")+"$","i")),i||this._monthsParse[n]||(o="^"+this.months(r,"")+"|^"+this.monthsShort(r,""),this._monthsParse[n]=new RegExp(o.replace(".",""),"i")),i&&"MMMM"===e&&this._longMonthsParse[n].test(t))return n;if(i&&"MMM"===e&&this._shortMonthsParse[n].test(t))return n;if(!i&&this._monthsParse[n].test(t))return n}},di.monthsRegex=function(t){return this._monthsParseExact?(c(this,"_monthsRegex")||Lt.call(this),t?this._monthsStrictRegex:this._monthsRegex):(c(this,"_monthsRegex")||(this._monthsRegex=At),this._monthsStrictRegex&&t?this._monthsStrictRegex:this._monthsRegex)},di.monthsShortRegex=function(t){return this._monthsParseExact?(c(this,"_monthsRegex")||Lt.call(this),t?this._monthsShortStrictRegex:this._monthsShortRegex):(c(this,"_monthsShortRegex")||(this._monthsShortRegex=Et),this._monthsShortStrictRegex&&t?this._monthsShortStrictRegex:this._monthsShortRegex)},di.week=function(t){return Rt(t,this._week.dow,this._week.doy).week},di.firstDayOfYear=function(){return this._week.doy},di.firstDayOfWeek=function(){return this._week.dow},di.weekdays=function(t,e){var i=o(this._weekdays)?this._weekdays:this._weekdays[t&&!0!==t&&this._weekdays.isFormat.test(e)?"format":"standalone"];return!0===t?Ht(i,this._week.dow):t?i[t.day()]:i},di.weekdaysMin=function(t){return!0===t?Ht(this._weekdaysMin,this._week.dow):t?this._weekdaysMin[t.day()]:this._weekdaysMin},di.weekdaysShort=function(t){return!0===t?Ht(this._weekdaysShort,this._week.dow):t?this._weekdaysShort[t.day()]:this._weekdaysShort},di.weekdaysParse=function(t,e,i){var n,r,o;if(this._weekdaysParseExact)return Vt.call(this,t,e,i);for(this._weekdaysParse||(this._weekdaysParse=[],this._minWeekdaysParse=[],this._shortWeekdaysParse=[],this._fullWeekdaysParse=[]),n=0;n<7;n++){if(r=f([2e3,1]).day(n),i&&!this._fullWeekdaysParse[n]&&(this._fullWeekdaysParse[n]=new RegExp("^"+this.weekdays(r,"").replace(".","\\.?")+"$","i"),this._shortWeekdaysParse[n]=new RegExp("^"+this.weekdaysShort(r,"").replace(".","\\.?")+"$","i"),this._minWeekdaysParse[n]=new RegExp("^"+this.weekdaysMin(r,"").replace(".","\\.?")+"$","i")),this._weekdaysParse[n]||(o="^"+this.weekdays(r,"")+"|^"+this.weekdaysShort(r,"")+"|^"+this.weekdaysMin(r,""),this._weekdaysParse[n]=new RegExp(o.replace(".",""),"i")),i&&"dddd"===e&&this._fullWeekdaysParse[n].test(t))return n;if(i&&"ddd"===e&&this._shortWeekdaysParse[n].test(t))return n;if(i&&"dd"===e&&this._minWeekdaysParse[n].test(t))return n;if(!i&&this._weekdaysParse[n].test(t))return n}},di.weekdaysRegex=function(t){return this._weekdaysParseExact?(c(this,"_weekdaysRegex")||qt.call(this),t?this._weekdaysStrictRegex:this._weekdaysRegex):(c(this,"_weekdaysRegex")||(this._weekdaysRegex=Ut),this._weekdaysStrictRegex&&t?this._weekdaysStrictRegex:this._weekdaysRegex)},di.weekdaysShortRegex=function(t){return this._weekdaysParseExact?(c(this,"_weekdaysRegex")||qt.call(this),t?this._weekdaysShortStrictRegex:this._weekdaysShortRegex):(c(this,"_weekdaysShortRegex")||(this._weekdaysShortRegex=Bt),this._weekdaysShortStrictRegex&&t?this._weekdaysShortStrictRegex:this._weekdaysShortRegex)},di.weekdaysMinRegex=function(t){return this._weekdaysParseExact?(c(this,"_weekdaysRegex")||qt.call(this),t?this._weekdaysMinStrictRegex:this._weekdaysMinRegex):(c(this,"_weekdaysMinRegex")||(this._weekdaysMinRegex=Xt),this._weekdaysMinStrictRegex&&t?this._weekdaysMinStrictRegex:this._weekdaysMinRegex)},di.isPM=function(t){return"p"===(t+"").toLowerCase().charAt(0)},di.meridiem=function(t,e,i){return t>11?i?"pm":"PM":i?"am":"AM"},oe("en",{dayOfMonthOrdinalParse:/\d{1,2}(th|st|nd|rd)/,ordinal:function(t){var e=t%10;return t+(1===S(t%100/10)?"th":1===e?"st":2===e?"nd":3===e?"rd":"th")}}),r.lang=O("moment.lang is deprecated. Use moment.locale instead.",oe),r.langData=O("moment.langData is deprecated. Use moment.localeData instead.",ae);var vi=Math.abs;function gi(t,e,i,n){var r=Ge(e,i);return t._milliseconds+=n*r._milliseconds,t._days+=n*r._days,t._months+=n*r._months,t._bubble()}function yi(t){return t<0?Math.floor(t):Math.ceil(t)}function bi(t){return 4800*t/146097}function _i(t){return 146097*t/4800}function wi(t){return function(){return this.as(t)}}var ki=wi("ms"),Si=wi("s"),Di=wi("m"),xi=wi("h"),Oi=wi("d"),Mi=wi("w"),Ti=wi("M"),Ci=wi("Q"),Pi=wi("y");function Ei(t){return function(){return this.isValid()?this._data[t]:NaN}}var Ai=Ei("milliseconds"),Li=Ei("seconds"),Ii=Ei("minutes"),ji=Ei("hours"),Yi=Ei("days"),Ni=Ei("months"),Ri=Ei("years"),Fi=Math.round,Hi={ss:44,s:45,m:45,h:22,d:26,M:11};function Gi(t,e,i,n,r){return r.relativeTime(e||1,!!i,t,n)}function zi(t,e,i){var n=Ge(t).abs(),r=Fi(n.as("s")),o=Fi(n.as("m")),s=Fi(n.as("h")),a=Fi(n.as("d")),l=Fi(n.as("M")),u=Fi(n.as("y")),h=r<=Hi.ss&&["s",r]||r<Hi.s&&["ss",r]||o<=1&&["m"]||o<Hi.m&&["mm",o]||s<=1&&["h"]||s<Hi.h&&["hh",s]||a<=1&&["d"]||a<Hi.d&&["dd",a]||l<=1&&["M"]||l<Hi.M&&["MM",l]||u<=1&&["y"]||["yy",u];return h[2]=e,h[3]=+t>0,h[4]=i,Gi.apply(null,h)}var Wi=Math.abs;function Vi(t){return(t>0)-(t<0)||+t}function Ui(){if(!this.isValid())return this.localeData().invalidDate();var t,e,i=Wi(this._milliseconds)/1e3,n=Wi(this._days),r=Wi(this._months);t=k(i/60),e=k(t/60),i%=60,t%=60;var o=k(r/12),s=r%=12,a=n,l=e,u=t,h=i?i.toFixed(3).replace(/\.?0+$/,""):"",c=this.asSeconds();if(!c)return"P0D";var d=c<0?"-":"",f=Vi(this._months)!==Vi(c)?"-":"",p=Vi(this._days)!==Vi(c)?"-":"",m=Vi(this._milliseconds)!==Vi(c)?"-":"";return d+"P"+(o?f+o+"Y":"")+(s?f+s+"M":"")+(a?p+a+"D":"")+(l||u||h?"T":"")+(l?m+l+"H":"")+(u?m+u+"M":"")+(h?m+h+"S":"")}var Bi=Pe.prototype;return Bi.isValid=function(){return this._isValid},Bi.abs=function(){var t=this._data;return this._milliseconds=vi(this._milliseconds),this._days=vi(this._days),this._months=vi(this._months),t.milliseconds=vi(t.milliseconds),t.seconds=vi(t.seconds),t.minutes=vi(t.minutes),t.hours=vi(t.hours),t.months=vi(t.months),t.years=vi(t.years),this},Bi.add=function(t,e){return gi(this,t,e,1)},Bi.subtract=function(t,e){return gi(this,t,e,-1)},Bi.as=function(t){if(!this.isValid())return NaN;var e,i,n=this._milliseconds;if("month"===(t=j(t))||"quarter"===t||"year"===t)switch(e=this._days+n/864e5,i=this._months+bi(e),t){case"month":return i;case"quarter":return i/3;case"year":return i/12}else switch(e=this._days+Math.round(_i(this._months)),t){case"week":return e/7+n/6048e5;case"day":return e+n/864e5;case"hour":return 24*e+n/36e5;case"minute":return 1440*e+n/6e4;case"second":return 86400*e+n/1e3;case"millisecond":return Math.floor(864e5*e)+n;default:throw new Error("Unknown unit "+t)}},Bi.asMilliseconds=ki,Bi.asSeconds=Si,Bi.asMinutes=Di,Bi.asHours=xi,Bi.asDays=Oi,Bi.asWeeks=Mi,Bi.asMonths=Ti,Bi.asQuarters=Ci,Bi.asYears=Pi,Bi.valueOf=function(){return this.isValid()?this._milliseconds+864e5*this._days+this._months%12*2592e6+31536e6*S(this._months/12):NaN},Bi._bubble=function(){var t,e,i,n,r,o=this._milliseconds,s=this._days,a=this._months,l=this._data;return o>=0&&s>=0&&a>=0||o<=0&&s<=0&&a<=0||(o+=864e5*yi(_i(a)+s),s=0,a=0),l.milliseconds=o%1e3,t=k(o/1e3),l.seconds=t%60,e=k(t/60),l.minutes=e%60,i=k(e/60),l.hours=i%24,s+=k(i/24),r=k(bi(s)),a+=r,s-=yi(_i(r)),n=k(a/12),a%=12,l.days=s,l.months=a,l.years=n,this},Bi.clone=function(){return Ge(this)},Bi.get=function(t){return t=j(t),this.isValid()?this[t+"s"]():NaN},Bi.milliseconds=Ai,Bi.seconds=Li,Bi.minutes=Ii,Bi.hours=ji,Bi.days=Yi,Bi.weeks=function(){return k(this.days()/7)},Bi.months=Ni,Bi.years=Ri,Bi.humanize=function(t){if(!this.isValid())return this.localeData().invalidDate();var e=this.localeData(),i=zi(this,!t,e);return t&&(i=e.pastFuture(+this,i)),e.postformat(i)},Bi.toISOString=Ui,Bi.toString=Ui,Bi.toJSON=Ui,Bi.locale=Ze,Bi.localeData=$e,Bi.toIsoString=O("toIsoString() is deprecated. Please use toISOString() instead (notice the capitals)",Ui),Bi.lang=Je,V("X",0,0,"unix"),V("x",0,0,"valueOf"),ht("x",ot),ht("X",/[+-]?\d+(\.\d{1,3})?/),pt("X",(function(t,e,i){i._d=new Date(1e3*parseFloat(t,10))})),pt("x",(function(t,e,i){i._d=new Date(S(t))})),r.version="2.24.0",e=xe,r.fn=hi,r.min=function(){var t=[].slice.call(arguments,0);return Te("isBefore",t)},r.max=function(){var t=[].slice.call(arguments,0);return Te("isAfter",t)},r.now=function(){return Date.now?Date.now():+new Date},r.utc=f,r.unix=function(t){return xe(1e3*t)},r.months=function(t,e){return pi(t,e,"months")},r.isDate=u,r.locale=oe,r.invalid=v,r.duration=Ge,r.isMoment=w,r.weekdays=function(t,e,i){return mi(t,e,i,"weekdays")},r.parseZone=function(){return xe.apply(null,arguments).parseZone()},r.localeData=ae,r.isDuration=Ee,r.monthsShort=function(t,e){return pi(t,e,"monthsShort")},r.weekdaysMin=function(t,e,i){return mi(t,e,i,"weekdaysMin")},r.defineLocale=se,r.updateLocale=function(t,e){if(null!=e){var i,n,r=te;null!=(n=re(t))&&(r=n._config),(i=new A(e=E(r,e))).parentLocale=ee[t],ee[t]=i,oe(t)}else null!=ee[t]&&(null!=ee[t].parentLocale?ee[t]=ee[t].parentLocale:null!=ee[t]&&delete ee[t]);return ee[t]},r.locales=function(){return M(ee)},r.weekdaysShort=function(t,e,i){return mi(t,e,i,"weekdaysShort")},r.normalizeUnits=j,r.relativeTimeRounding=function(t){return void 0===t?Fi:"function"==typeof t&&(Fi=t,!0)},r.relativeTimeThreshold=function(t,e){return void 0!==Hi[t]&&(void 0===e?Hi[t]:(Hi[t]=e,"s"===t&&(Hi.ss=e-1),!0))},r.calendarFormat=function(t,e){var i=t.diff(e,"days",!0);return i<-6?"sameElse":i<-1?"lastWeek":i<0?"lastDay":i<1?"sameDay":i<2?"nextDay":i<7?"nextWeek":"sameElse"},r.prototype=hi,r.HTML5_FMT={DATETIME_LOCAL:"YYYY-MM-DDTHH:mm",DATETIME_LOCAL_SECONDS:"YYYY-MM-DDTHH:mm:ss",DATETIME_LOCAL_MS:"YYYY-MM-DDTHH:mm:ss.SSS",DATE:"YYYY-MM-DD",TIME:"HH:mm",TIME_SECONDS:"HH:mm:ss",TIME_MS:"HH:mm:ss.SSS",WEEK:"GGGG-[W]WW",MONTH:"YYYY-MM"},r}()})),s=(n((function(t,e){(function(t){function e(t,e,i,n){var r={m:["eine Minute","einer Minute"],h:["eine Stunde","einer Stunde"],d:["ein Tag","einem Tag"],dd:[t+" Tage",t+" Tagen"],M:["ein Monat","einem Monat"],MM:[t+" Monate",t+" Monaten"],y:["ein Jahr","einem Jahr"],yy:[t+" Jahre",t+" Jahren"]};return e?r[i][0]:r[i][1]}t.defineLocale("de",{months:"Januar_Februar_März_April_Mai_Juni_Juli_August_September_Oktober_November_Dezember".split("_"),monthsShort:"Jan._Feb._März_Apr._Mai_Juni_Juli_Aug._Sep._Okt._Nov._Dez.".split("_"),monthsParseExact:!0,weekdays:"Sonntag_Montag_Dienstag_Mittwoch_Donnerstag_Freitag_Samstag".split("_"),weekdaysShort:"So._Mo._Di._Mi._Do._Fr._Sa.".split("_"),weekdaysMin:"So_Mo_Di_Mi_Do_Fr_Sa".split("_"),weekdaysParseExact:!0,longDateFormat:{LT:"HH:mm",LTS:"HH:mm:ss",L:"DD.MM.YYYY",LL:"D. MMMM YYYY",LLL:"D. MMMM YYYY HH:mm",LLLL:"dddd, D. MMMM YYYY HH:mm"},calendar:{sameDay:"[heute um] LT [Uhr]",sameElse:"L",nextDay:"[morgen um] LT [Uhr]",nextWeek:"dddd [um] LT [Uhr]",lastDay:"[gestern um] LT [Uhr]",lastWeek:"[letzten] dddd [um] LT [Uhr]"},relativeTime:{future:"in %s",past:"vor %s",s:"ein paar Sekunden",ss:"%d Sekunden",m:e,mm:"%d Minuten",h:e,hh:"%d Stunden",d:e,dd:e,M:e,MM:e,y:e,yy:e},dayOfMonthOrdinalParse:/\d{1,2}\./,ordinal:"%d.",week:{dow:1,doy:4}})})(o)})),n((function(t,e){(function(t){var e="ene._feb._mar._abr._may._jun._jul._ago._sep._oct._nov._dic.".split("_"),i="ene_feb_mar_abr_may_jun_jul_ago_sep_oct_nov_dic".split("_"),n=[/^ene/i,/^feb/i,/^mar/i,/^abr/i,/^may/i,/^jun/i,/^jul/i,/^ago/i,/^sep/i,/^oct/i,/^nov/i,/^dic/i],r=/^(enero|febrero|marzo|abril|mayo|junio|julio|agosto|septiembre|octubre|noviembre|diciembre|ene\.?|feb\.?|mar\.?|abr\.?|may\.?|jun\.?|jul\.?|ago\.?|sep\.?|oct\.?|nov\.?|dic\.?)/i;t.defineLocale("es",{months:"enero_febrero_marzo_abril_mayo_junio_julio_agosto_septiembre_octubre_noviembre_diciembre".split("_"),monthsShort:function(t,n){return t?/-MMM-/.test(n)?i[t.month()]:e[t.month()]:e},monthsRegex:r,monthsShortRegex:r,monthsStrictRegex:/^(enero|febrero|marzo|abril|mayo|junio|julio|agosto|septiembre|octubre|noviembre|diciembre)/i,monthsShortStrictRegex:/^(ene\.?|feb\.?|mar\.?|abr\.?|may\.?|jun\.?|jul\.?|ago\.?|sep\.?|oct\.?|nov\.?|dic\.?)/i,monthsParse:n,longMonthsParse:n,shortMonthsParse:n,weekdays:"domingo_lunes_martes_miércoles_jueves_viernes_sábado".split("_"),weekdaysShort:"dom._lun._mar._mié._jue._vie._sáb.".split("_"),weekdaysMin:"do_lu_ma_mi_ju_vi_sá".split("_"),weekdaysParseExact:!0,longDateFormat:{LT:"H:mm",LTS:"H:mm:ss",L:"DD/MM/YYYY",LL:"D [de] MMMM [de] YYYY",LLL:"D [de] MMMM [de] YYYY H:mm",LLLL:"dddd, D [de] MMMM [de] YYYY H:mm"},calendar:{sameDay:function(){return"[hoy a la"+(1!==this.hours()?"s":"")+"] LT"},nextDay:function(){return"[mañana a la"+(1!==this.hours()?"s":"")+"] LT"},nextWeek:function(){return"dddd [a la"+(1!==this.hours()?"s":"")+"] LT"},lastDay:function(){return"[ayer a la"+(1!==this.hours()?"s":"")+"] LT"},lastWeek:function(){return"[el] dddd [pasado a la"+(1!==this.hours()?"s":"")+"] LT"},sameElse:"L"},relativeTime:{future:"en %s",past:"hace %s",s:"unos segundos",ss:"%d segundos",m:"un minuto",mm:"%d minutos",h:"una hora",hh:"%d horas",d:"un día",dd:"%d días",M:"un mes",MM:"%d meses",y:"un año",yy:"%d años"},dayOfMonthOrdinalParse:/\d{1,2}º/,ordinal:"%dº",week:{dow:1,doy:4}})})(o)})),n((function(t,e){(function(t){t.defineLocale("fr",{months:"janvier_février_mars_avril_mai_juin_juillet_août_septembre_octobre_novembre_décembre".split("_"),monthsShort:"janv._févr._mars_avr._mai_juin_juil._août_sept._oct._nov._déc.".split("_"),monthsParseExact:!0,weekdays:"dimanche_lundi_mardi_mercredi_jeudi_vendredi_samedi".split("_"),weekdaysShort:"dim._lun._mar._mer._jeu._ven._sam.".split("_"),weekdaysMin:"di_lu_ma_me_je_ve_sa".split("_"),weekdaysParseExact:!0,longDateFormat:{LT:"HH:mm",LTS:"HH:mm:ss",L:"DD/MM/YYYY",LL:"D MMMM YYYY",LLL:"D MMMM YYYY HH:mm",LLLL:"dddd D MMMM YYYY HH:mm"},calendar:{sameDay:"[Aujourd’hui à] LT",nextDay:"[Demain à] LT",nextWeek:"dddd [à] LT",lastDay:"[Hier à] LT",lastWeek:"dddd [dernier à] LT",sameElse:"L"},relativeTime:{future:"dans %s",past:"il y a %s",s:"quelques secondes",ss:"%d secondes",m:"une minute",mm:"%d minutes",h:"une heure",hh:"%d heures",d:"un jour",dd:"%d jours",M:"un mois",MM:"%d mois",y:"un an",yy:"%d ans"},dayOfMonthOrdinalParse:/\d{1,2}(er|)/,ordinal:function(t,e){switch(e){case"D":return t+(1===t?"er":"");default:case"M":case"Q":case"DDD":case"d":return t+(1===t?"er":"e");case"w":case"W":return t+(1===t?"re":"e")}},week:{dow:1,doy:4}})})(o)})),n((function(t,e){(function(t){t.defineLocale("it",{months:"gennaio_febbraio_marzo_aprile_maggio_giugno_luglio_agosto_settembre_ottobre_novembre_dicembre".split("_"),monthsShort:"gen_feb_mar_apr_mag_giu_lug_ago_set_ott_nov_dic".split("_"),weekdays:"domenica_lunedì_martedì_mercoledì_giovedì_venerdì_sabato".split("_"),weekdaysShort:"dom_lun_mar_mer_gio_ven_sab".split("_"),weekdaysMin:"do_lu_ma_me_gi_ve_sa".split("_"),longDateFormat:{LT:"HH:mm",LTS:"HH:mm:ss",L:"DD/MM/YYYY",LL:"D MMMM YYYY",LLL:"D MMMM YYYY HH:mm",LLLL:"dddd D MMMM YYYY HH:mm"},calendar:{sameDay:"[Oggi alle] LT",nextDay:"[Domani alle] LT",nextWeek:"dddd [alle] LT",lastDay:"[Ieri alle] LT",lastWeek:function(){switch(this.day()){case 0:return"[la scorsa] dddd [alle] LT";default:return"[lo scorso] dddd [alle] LT"}},sameElse:"L"},relativeTime:{future:function(t){return(/^[0-9].+$/.test(t)?"tra":"in")+" "+t},past:"%s fa",s:"alcuni secondi",ss:"%d secondi",m:"un minuto",mm:"%d minuti",h:"un'ora",hh:"%d ore",d:"un giorno",dd:"%d giorni",M:"un mese",MM:"%d mesi",y:"un anno",yy:"%d anni"},dayOfMonthOrdinalParse:/\d{1,2}º/,ordinal:"%dº",week:{dow:1,doy:4}})})(o)})),n((function(t,e){(function(t){t.defineLocale("ja",{months:"一月_二月_三月_四月_五月_六月_七月_八月_九月_十月_十一月_十二月".split("_"),monthsShort:"1月_2月_3月_4月_5月_6月_7月_8月_9月_10月_11月_12月".split("_"),weekdays:"日曜日_月曜日_火曜日_水曜日_木曜日_金曜日_土曜日".split("_"),weekdaysShort:"日_月_火_水_木_金_土".split("_"),weekdaysMin:"日_月_火_水_木_金_土".split("_"),longDateFormat:{LT:"HH:mm",LTS:"HH:mm:ss",L:"YYYY/MM/DD",LL:"YYYY年M月D日",LLL:"YYYY年M月D日 HH:mm",LLLL:"YYYY年M月D日 dddd HH:mm",l:"YYYY/MM/DD",ll:"YYYY年M月D日",lll:"YYYY年M月D日 HH:mm",llll:"YYYY年M月D日(ddd) HH:mm"},meridiemParse:/午前|午後/i,isPM:function(t){return"午後"===t},meridiem:function(t,e,i){return t<12?"午前":"午後"},calendar:{sameDay:"[今日] LT",nextDay:"[明日] LT",nextWeek:function(t){return t.week()<this.week()?"[来週]dddd LT":"dddd LT"},lastDay:"[昨日] LT",lastWeek:function(t){return this.week()<t.week()?"[先週]dddd LT":"dddd LT"},sameElse:"L"},dayOfMonthOrdinalParse:/\d{1,2}日/,ordinal:function(t,e){switch(e){case"d":case"D":case"DDD":return t+"日";default:return t}},relativeTime:{future:"%s後",past:"%s前",s:"数秒",ss:"%d秒",m:"1分",mm:"%d分",h:"1時間",hh:"%d時間",d:"1日",dd:"%d日",M:"1ヶ月",MM:"%dヶ月",y:"1年",yy:"%d年"}})})(o)})),n((function(t,e){(function(t){var e="jan._feb._mrt._apr._mei_jun._jul._aug._sep._okt._nov._dec.".split("_"),i="jan_feb_mrt_apr_mei_jun_jul_aug_sep_okt_nov_dec".split("_"),n=[/^jan/i,/^feb/i,/^maart|mrt.?$/i,/^apr/i,/^mei$/i,/^jun[i.]?$/i,/^jul[i.]?$/i,/^aug/i,/^sep/i,/^okt/i,/^nov/i,/^dec/i],r=/^(januari|februari|maart|april|mei|ju[nl]i|augustus|september|oktober|november|december|jan\.?|feb\.?|mrt\.?|apr\.?|ju[nl]\.?|aug\.?|sep\.?|okt\.?|nov\.?|dec\.?)/i;t.defineLocale("nl",{months:"januari_februari_maart_april_mei_juni_juli_augustus_september_oktober_november_december".split("_"),monthsShort:function(t,n){return t?/-MMM-/.test(n)?i[t.month()]:e[t.month()]:e},monthsRegex:r,monthsShortRegex:r,monthsStrictRegex:/^(januari|februari|maart|april|mei|ju[nl]i|augustus|september|oktober|november|december)/i,monthsShortStrictRegex:/^(jan\.?|feb\.?|mrt\.?|apr\.?|mei|ju[nl]\.?|aug\.?|sep\.?|okt\.?|nov\.?|dec\.?)/i,monthsParse:n,longMonthsParse:n,shortMonthsParse:n,weekdays:"zondag_maandag_dinsdag_woensdag_donderdag_vrijdag_zaterdag".split("_"),weekdaysShort:"zo._ma._di._wo._do._vr._za.".split("_"),weekdaysMin:"zo_ma_di_wo_do_vr_za".split("_"),weekdaysParseExact:!0,longDateFormat:{LT:"HH:mm",LTS:"HH:mm:ss",L:"DD-MM-YYYY",LL:"D MMMM YYYY",LLL:"D MMMM YYYY HH:mm",LLLL:"dddd D MMMM YYYY HH:mm"},calendar:{sameDay:"[vandaag om] LT",nextDay:"[morgen om] LT",nextWeek:"dddd [om] LT",lastDay:"[gisteren om] LT",lastWeek:"[afgelopen] dddd [om] LT",sameElse:"L"},relativeTime:{future:"over %s",past:"%s geleden",s:"een paar seconden",ss:"%d seconden",m:"één minuut",mm:"%d minuten",h:"één uur",hh:"%d uur",d:"één dag",dd:"%d dagen",M:"één maand",MM:"%d maanden",y:"één jaar",yy:"%d jaar"},dayOfMonthOrdinalParse:/\d{1,2}(ste|de)/,ordinal:function(t){return t+(1===t||8===t||t>=20?"ste":"de")},week:{dow:1,doy:4}})})(o)})),n((function(t,e){(function(t){var e="styczeń_luty_marzec_kwiecień_maj_czerwiec_lipiec_sierpień_wrzesień_październik_listopad_grudzień".split("_"),i="stycznia_lutego_marca_kwietnia_maja_czerwca_lipca_sierpnia_września_października_listopada_grudnia".split("_");function n(t){return t%10<5&&t%10>1&&~~(t/10)%10!=1}function r(t,e,i){var r=t+" ";switch(i){case"ss":return r+(n(t)?"sekundy":"sekund");case"m":return e?"minuta":"minutę";case"mm":return r+(n(t)?"minuty":"minut");case"h":return e?"godzina":"godzinę";case"hh":return r+(n(t)?"godziny":"godzin");case"MM":return r+(n(t)?"miesiące":"miesięcy");case"yy":return r+(n(t)?"lata":"lat")}}t.defineLocale("pl",{months:function(t,n){return t?""===n?"("+i[t.month()]+"|"+e[t.month()]+")":/D MMMM/.test(n)?i[t.month()]:e[t.month()]:e},monthsShort:"sty_lut_mar_kwi_maj_cze_lip_sie_wrz_paź_lis_gru".split("_"),weekdays:"niedziela_poniedziałek_wtorek_środa_czwartek_piątek_sobota".split("_"),weekdaysShort:"ndz_pon_wt_śr_czw_pt_sob".split("_"),weekdaysMin:"Nd_Pn_Wt_Śr_Cz_Pt_So".split("_"),longDateFormat:{LT:"HH:mm",LTS:"HH:mm:ss",L:"DD.MM.YYYY",LL:"D MMMM YYYY",LLL:"D MMMM YYYY HH:mm",LLLL:"dddd, D MMMM YYYY HH:mm"},calendar:{sameDay:"[Dziś o] LT",nextDay:"[Jutro o] LT",nextWeek:function(){switch(this.day()){case 0:return"[W niedzielę o] LT";case 2:return"[We wtorek o] LT";case 3:return"[W środę o] LT";case 6:return"[W sobotę o] LT";default:return"[W] dddd [o] LT"}},lastDay:"[Wczoraj o] LT",lastWeek:function(){switch(this.day()){case 0:return"[W zeszłą niedzielę o] LT";case 3:return"[W zeszłą środę o] LT";case 6:return"[W zeszłą sobotę o] LT";default:return"[W zeszły] dddd [o] LT"}},sameElse:"L"},relativeTime:{future:"za %s",past:"%s temu",s:"kilka sekund",ss:r,m:r,mm:r,h:r,hh:r,d:"1 dzień",dd:"%d dni",M:"miesiąc",MM:r,y:"rok",yy:r},dayOfMonthOrdinalParse:/\d{1,2}\./,ordinal:"%d.",week:{dow:1,doy:4}})})(o)})),n((function(t,e){(function(t){function e(t,e,i){var n,r;return"m"===i?e?"минута":"минуту":t+" "+(n=+t,r={ss:e?"секунда_секунды_секунд":"секунду_секунды_секунд",mm:e?"минута_минуты_минут":"минуту_минуты_минут",hh:"час_часа_часов",dd:"день_дня_дней",MM:"месяц_месяца_месяцев",yy:"год_года_лет"}[i].split("_"),n%10==1&&n%100!=11?r[0]:n%10>=2&&n%10<=4&&(n%100<10||n%100>=20)?r[1]:r[2])}var i=[/^янв/i,/^фев/i,/^мар/i,/^апр/i,/^ма[йя]/i,/^июн/i,/^июл/i,/^авг/i,/^сен/i,/^окт/i,/^ноя/i,/^дек/i];t.defineLocale("ru",{months:{format:"января_февраля_марта_апреля_мая_июня_июля_августа_сентября_октября_ноября_декабря".split("_"),standalone:"январь_февраль_март_апрель_май_июнь_июль_август_сентябрь_октябрь_ноябрь_декабрь".split("_")},monthsShort:{format:"янв._февр._мар._апр._мая_июня_июля_авг._сент._окт._нояб._дек.".split("_"),standalone:"янв._февр._март_апр._май_июнь_июль_авг._сент._окт._нояб._дек.".split("_")},weekdays:{standalone:"воскресенье_понедельник_вторник_среда_четверг_пятница_суббота".split("_"),format:"воскресенье_понедельник_вторник_среду_четверг_пятницу_субботу".split("_"),isFormat:/\[ ?[Вв] ?(?:прошлую|следующую|эту)? ?\] ?dddd/},weekdaysShort:"вс_пн_вт_ср_чт_пт_сб".split("_"),weekdaysMin:"вс_пн_вт_ср_чт_пт_сб".split("_"),monthsParse:i,longMonthsParse:i,shortMonthsParse:i,monthsRegex:/^(январ[ья]|янв\.?|феврал[ья]|февр?\.?|марта?|мар\.?|апрел[ья]|апр\.?|ма[йя]|июн[ья]|июн\.?|июл[ья]|июл\.?|августа?|авг\.?|сентябр[ья]|сент?\.?|октябр[ья]|окт\.?|ноябр[ья]|нояб?\.?|декабр[ья]|дек\.?)/i,monthsShortRegex:/^(январ[ья]|янв\.?|феврал[ья]|февр?\.?|марта?|мар\.?|апрел[ья]|апр\.?|ма[йя]|июн[ья]|июн\.?|июл[ья]|июл\.?|августа?|авг\.?|сентябр[ья]|сент?\.?|октябр[ья]|окт\.?|ноябр[ья]|нояб?\.?|декабр[ья]|дек\.?)/i,monthsStrictRegex:/^(январ[яь]|феврал[яь]|марта?|апрел[яь]|ма[яй]|июн[яь]|июл[яь]|августа?|сентябр[яь]|октябр[яь]|ноябр[яь]|декабр[яь])/i,monthsShortStrictRegex:/^(янв\.|февр?\.|мар[т.]|апр\.|ма[яй]|июн[ья.]|июл[ья.]|авг\.|сент?\.|окт\.|нояб?\.|дек\.)/i,longDateFormat:{LT:"H:mm",LTS:"H:mm:ss",L:"DD.MM.YYYY",LL:"D MMMM YYYY г.",LLL:"D MMMM YYYY г., H:mm",LLLL:"dddd, D MMMM YYYY г., H:mm"},calendar:{sameDay:"[Сегодня, в] LT",nextDay:"[Завтра, в] LT",lastDay:"[Вчера, в] LT",nextWeek:function(t){if(t.week()===this.week())return 2===this.day()?"[Во] dddd, [в] LT":"[В] dddd, [в] LT";switch(this.day()){case 0:return"[В следующее] dddd, [в] LT";case 1:case 2:case 4:return"[В следующий] dddd, [в] LT";case 3:case 5:case 6:return"[В следующую] dddd, [в] LT"}},lastWeek:function(t){if(t.week()===this.week())return 2===this.day()?"[Во] dddd, [в] LT":"[В] dddd, [в] LT";switch(this.day()){case 0:return"[В прошлое] dddd, [в] LT";case 1:case 2:case 4:return"[В прошлый] dddd, [в] LT";case 3:case 5:case 6:return"[В прошлую] dddd, [в] LT"}},sameElse:"L"},relativeTime:{future:"через %s",past:"%s назад",s:"несколько секунд",ss:e,m:e,mm:e,h:"час",hh:e,d:"день",dd:e,M:"месяц",MM:e,y:"год",yy:e},meridiemParse:/ночи|утра|дня|вечера/i,isPM:function(t){return/^(дня|вечера)$/.test(t)},meridiem:function(t,e,i){return t<4?"ночи":t<12?"утра":t<17?"дня":"вечера"},dayOfMonthOrdinalParse:/\d{1,2}-(й|го|я)/,ordinal:function(t,e){switch(e){case"M":case"d":case"DDD":return t+"-й";case"D":return t+"-го";case"w":case"W":return t+"-я";default:return t}},week:{dow:1,doy:4}})})(o)})),n((function(t,e){(function(t){function e(t,e,i){var n,r;return"m"===i?e?"хвилина":"хвилину":"h"===i?e?"година":"годину":t+" "+(n=+t,r={ss:e?"секунда_секунди_секунд":"секунду_секунди_секунд",mm:e?"хвилина_хвилини_хвилин":"хвилину_хвилини_хвилин",hh:e?"година_години_годин":"годину_години_годин",dd:"день_дні_днів",MM:"місяць_місяці_місяців",yy:"рік_роки_років"}[i].split("_"),n%10==1&&n%100!=11?r[0]:n%10>=2&&n%10<=4&&(n%100<10||n%100>=20)?r[1]:r[2])}function i(t){return function(){return t+"о"+(11===this.hours()?"б":"")+"] LT"}}t.defineLocale("uk",{months:{format:"січня_лютого_березня_квітня_травня_червня_липня_серпня_вересня_жовтня_листопада_грудня".split("_"),standalone:"січень_лютий_березень_квітень_травень_червень_липень_серпень_вересень_жовтень_листопад_грудень".split("_")},monthsShort:"січ_лют_бер_квіт_трав_черв_лип_серп_вер_жовт_лист_груд".split("_"),weekdays:function(t,e){var i={nominative:"неділя_понеділок_вівторок_середа_четвер_п’ятниця_субота".split("_"),accusative:"неділю_понеділок_вівторок_середу_четвер_п’ятницю_суботу".split("_"),genitive:"неділі_понеділка_вівторка_середи_четверга_п’ятниці_суботи".split("_")};return!0===t?i.nominative.slice(1,7).concat(i.nominative.slice(0,1)):t?i[/(\[[ВвУу]\]) ?dddd/.test(e)?"accusative":/\[?(?:минулої|наступної)? ?\] ?dddd/.test(e)?"genitive":"nominative"][t.day()]:i.nominative},weekdaysShort:"нд_пн_вт_ср_чт_пт_сб".split("_"),weekdaysMin:"нд_пн_вт_ср_чт_пт_сб".split("_"),longDateFormat:{LT:"HH:mm",LTS:"HH:mm:ss",L:"DD.MM.YYYY",LL:"D MMMM YYYY р.",LLL:"D MMMM YYYY р., HH:mm",LLLL:"dddd, D MMMM YYYY р., HH:mm"},calendar:{sameDay:i("[Сьогодні "),nextDay:i("[Завтра "),lastDay:i("[Вчора "),nextWeek:i("[У] dddd ["),lastWeek:function(){switch(this.day()){case 0:case 3:case 5:case 6:return i("[Минулої] dddd [").call(this);case 1:case 2:case 4:return i("[Минулого] dddd [").call(this)}},sameElse:"L"},relativeTime:{future:"за %s",past:"%s тому",s:"декілька секунд",ss:e,m:e,mm:e,h:"годину",hh:e,d:"день",dd:e,M:"місяць",MM:e,y:"рік",yy:e},meridiemParse:/ночі|ранку|дня|вечора/,isPM:function(t){return/^(дня|вечора)$/.test(t)},meridiem:function(t,e,i){return t<4?"ночі":t<12?"ранку":t<17?"дня":"вечора"},dayOfMonthOrdinalParse:/\d{1,2}-(й|го)/,ordinal:function(t,e){switch(e){case"M":case"d":case"DDD":case"w":case"W":return t+"-й";case"D":return t+"-го";default:return t}},week:{dow:1,doy:7}})})(o)})),"undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{});function a(t,e){return t(e={exports:{}},e.exports),e.exports}var l=function(t){return t&&t.Math==Math&&t},u=l("object"==typeof globalThis&&globalThis)||l("object"==typeof window&&window)||l("object"==typeof self&&self)||l("object"==typeof s&&s)||Function("return this")(),h=function(t){try{return!!t()}catch(t){return!0}},c=!h((function(){return 7!=Object.defineProperty({},"a",{get:function(){return 7}}).a})),d={}.propertyIsEnumerable,f=Object.getOwnPropertyDescriptor,p={f:f&&!d.call({1:2},1)?function(t){var e=f(this,t);return!!e&&e.enumerable}:d},m=function(t,e){return{enumerable:!(1&t),configurable:!(2&t),writable:!(4&t),value:e}},v={}.toString,g=function(t){return v.call(t).slice(8,-1)},y="".split,b=h((function(){return!Object("z").propertyIsEnumerable(0)}))?function(t){return"String"==g(t)?y.call(t,""):Object(t)}:Object,_=function(t){if(null==t)throw TypeError("Can't call method on "+t);return t},w=function(t){return b(_(t))},k=function(t){return"object"==typeof t?null!==t:"function"==typeof t},S=function(t,e){if(!k(t))return t;var i,n;if(e&&"function"==typeof(i=t.toString)&&!k(n=i.call(t)))return n;if("function"==typeof(i=t.valueOf)&&!k(n=i.call(t)))return n;if(!e&&"function"==typeof(i=t.toString)&&!k(n=i.call(t)))return n;throw TypeError("Can't convert object to primitive value")},D={}.hasOwnProperty,x=function(t,e){return D.call(t,e)},O=u.document,M=k(O)&&k(O.createElement),T=function(t){return M?O.createElement(t):{}},C=!c&&!h((function(){return 7!=Object.defineProperty(T("div"),"a",{get:function(){return 7}}).a})),P=Object.getOwnPropertyDescriptor,E={f:c?P:function(t,e){if(t=w(t),e=S(e,!0),C)try{return P(t,e)}catch(t){}if(x(t,e))return m(!p.f.call(t,e),t[e])}},A=/#|\.prototype\./,L=function(t,e){var i=j[I(t)];return i==N||i!=Y&&("function"==typeof e?h(e):!!e)},I=L.normalize=function(t){return String(t).replace(A,".").toLowerCase()},j=L.data={},Y=L.NATIVE="N",N=L.POLYFILL="P",R=L,F={},H=function(t,e,i){if(function(t){if("function"!=typeof t)throw TypeError(String(t)+" is not a function")}(t),void 0===e)return t;switch(i){case 0:return function(){return t.call(e)};case 1:return function(i){return t.call(e,i)};case 2:return function(i,n){return t.call(e,i,n)};case 3:return function(i,n,r){return t.call(e,i,n,r)}}return function(){return t.apply(e,arguments)}},G=function(t){if(!k(t))throw TypeError(String(t)+" is not an object");return t},z=Object.defineProperty,W={f:c?z:function(t,e,i){if(G(t),e=S(e,!0),G(i),C)try{return z(t,e,i)}catch(t){}if("get"in i||"set"in i)throw TypeError("Accessors not supported");return"value"in i&&(t[e]=i.value),t}},V=c?function(t,e,i){return W.f(t,e,m(1,i))}:function(t,e,i){return t[e]=i,t},U=E.f,B=function(t){var e=function(e,i,n){if(this instanceof t){switch(arguments.length){case 0:return new t;case 1:return new t(e);case 2:return new t(e,i)}return new t(e,i,n)}return t.apply(this,arguments)};return e.prototype=t.prototype,e},X=function(t,e){var i,n,r,o,s,a,l,h,c=t.target,d=t.global,f=t.stat,p=t.proto,m=d?u:f?u[c]:(u[c]||{}).prototype,v=d?F:F[c]||(F[c]={}),g=v.prototype;for(r in e)i=!R(d?r:c+(f?".":"#")+r,t.forced)&&m&&x(m,r),s=v[r],i&&(a=t.noTargetGet?(h=U(m,r))&&h.value:m[r]),o=i&&a?a:e[r],i&&typeof s==typeof o||(l=t.bind&&i?H(o,u):t.wrap&&i?B(o):p&&"function"==typeof o?H(Function.call,o):o,(t.sham||o&&o.sham||s&&s.sham)&&V(l,"sham",!0),v[r]=l,p&&(x(F,n=c+"Prototype")||V(F,n,{}),F[n][r]=o,t.real&&g&&!g[r]&&V(g,r,o)))},q=Array.isArray||function(t){return"Array"==g(t)};X({target:"Array",stat:!0},{isArray:q});var Z=F.Array.isArray,J=Z;var $=function(t){if(J(t))return t},K={},Q=u["__core-js_shared__"]||function(t,e){try{V(u,t,e)}catch(i){u[t]=e}return e}("__core-js_shared__",{}),tt=Function.toString;"function"!=typeof Q.inspectSource&&(Q.inspectSource=function(t){return tt.call(t)});var et,it,nt,rt=Q.inspectSource,ot=u.WeakMap,st="function"==typeof ot&&/native code/.test(rt(ot)),at=a((function(t){(t.exports=function(t,e){return Q[t]||(Q[t]=void 0!==e?e:{})})("versions",[]).push({version:"3.6.0",mode:"pure",copyright:"© 2019 Denis Pushkarev (zloirock.ru)"})})),lt=0,ut=Math.random(),ht=function(t){return"Symbol("+String(void 0===t?"":t)+")_"+(++lt+ut).toString(36)},ct=at("keys"),dt=function(t){return ct[t]||(ct[t]=ht(t))},ft={},pt=u.WeakMap;if(st){var mt=new pt,vt=mt.get,gt=mt.has,yt=mt.set;et=function(t,e){return yt.call(mt,t,e),e},it=function(t){return vt.call(mt,t)||{}},nt=function(t){return gt.call(mt,t)}}else{var bt=dt("state");ft[bt]=!0,et=function(t,e){return V(t,bt,e),e},it=function(t){return x(t,bt)?t[bt]:{}},nt=function(t){return x(t,bt)}}var _t,wt,kt,St={set:et,get:it,has:nt,enforce:function(t){return nt(t)?it(t):et(t,{})},getterFor:function(t){return function(e){var i;if(!k(e)||(i=it(e)).type!==t)throw TypeError("Incompatible receiver, "+t+" required");return i}}},Dt=function(t){return Object(_(t))},xt=!h((function(){function t(){}return t.prototype.constructor=null,Object.getPrototypeOf(new t)!==t.prototype})),Ot=dt("IE_PROTO"),Mt=Object.prototype,Tt=xt?Object.getPrototypeOf:function(t){return t=Dt(t),x(t,Ot)?t[Ot]:"function"==typeof t.constructor&&t instanceof t.constructor?t.constructor.prototype:t instanceof Object?Mt:null},Ct=!!Object.getOwnPropertySymbols&&!h((function(){return!String(Symbol())})),Pt=Ct&&!Symbol.sham&&"symbol"==typeof Symbol(),Et=at("wks"),At=u.Symbol,Lt=Pt?At:ht,It=function(t){return x(Et,t)||(Ct&&x(At,t)?Et[t]=At[t]:Et[t]=Lt("Symbol."+t)),Et[t]},jt=(It("iterator"),!1);[].keys&&("next"in(kt=[].keys())?(wt=Tt(Tt(kt)))!==Object.prototype&&(_t=wt):jt=!0),null==_t&&(_t={});var Yt,Nt={IteratorPrototype:_t,BUGGY_SAFARI_ITERATORS:jt},Rt=Math.ceil,Ft=Math.floor,Ht=function(t){return isNaN(t=+t)?0:(t>0?Ft:Rt)(t)},Gt=Math.min,zt=function(t){return t>0?Gt(Ht(t),9007199254740991):0},Wt=Math.max,Vt=Math.min,Ut=function(t,e){var i=Ht(t);return i<0?Wt(i+e,0):Vt(i,e)},Bt=function(t){return function(e,i,n){var r,o=w(e),s=zt(o.length),a=Ut(n,s);if(t&&i!=i){for(;s>a;)if((r=o[a++])!=r)return!0}else for(;s>a;a++)if((t||a in o)&&o[a]===i)return t||a||0;return!t&&-1}},Xt={includes:Bt(!0),indexOf:Bt(!1)},qt=Xt.indexOf,Zt=function(t,e){var i,n=w(t),r=0,o=[];for(i in n)!x(ft,i)&&x(n,i)&&o.push(i);for(;e.length>r;)x(n,i=e[r++])&&(~qt(o,i)||o.push(i));return o},Jt=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],$t=Object.keys||function(t){return Zt(t,Jt)},Kt=c?Object.defineProperties:function(t,e){G(t);for(var i,n=$t(e),r=n.length,o=0;r>o;)W.f(t,i=n[o++],e[i]);return t},Qt=function(t){return"function"==typeof t?t:void 0},te=function(t,e){return arguments.length<2?Qt(F[t])||Qt(u[t]):F[t]&&F[t][e]||u[t]&&u[t][e]},ee=te("document","documentElement"),ie=dt("IE_PROTO"),ne=function(){},re=function(t){return"<script>"+t+"<\/script>"},oe=function(){try{Yt=document.domain&&new ActiveXObject("htmlfile")}catch(t){}var t,e;oe=Yt?function(t){t.write(re("")),t.close();var e=t.parentWindow.Object;return t=null,e}(Yt):((e=T("iframe")).style.display="none",ee.appendChild(e),e.src=String("javascript:"),(t=e.contentWindow.document).open(),t.write(re("document.F=Object")),t.close(),t.F);for(var i=Jt.length;i--;)delete oe.prototype[Jt[i]];return oe()};ft[ie]=!0;var se=Object.create||function(t,e){var i;return null!==t?(ne.prototype=G(t),i=new ne,ne.prototype=null,i[ie]=t):i=oe(),void 0===e?i:Kt(i,e)},ae={};ae[It("toStringTag")]="z";var le="[object z]"===String(ae),ue=It("toStringTag"),he="Arguments"==g(function(){return arguments}()),ce=le?g:function(t){var e,i,n;return void 0===t?"Undefined":null===t?"Null":"string"==typeof(i=function(t,e){try{return t[e]}catch(t){}}(e=Object(t),ue))?i:he?g(e):"Object"==(n=g(e))&&"function"==typeof e.callee?"Arguments":n},de=le?{}.toString:function(){return"[object "+ce(this)+"]"},fe=W.f,pe=It("toStringTag"),me=function(t,e,i,n){if(t){var r=i?t:t.prototype;x(r,pe)||fe(r,pe,{configurable:!0,value:e}),n&&!le&&V(r,"toString",de)}},ve=Nt.IteratorPrototype,ge=function(){return this},ye=(Object.setPrototypeOf||"__proto__"in{}&&function(){var t,e=!1,i={};try{(t=Object.getOwnPropertyDescriptor(Object.prototype,"__proto__").set).call(i,[]),e=i instanceof Array}catch(t){}}(),function(t,e,i,n){n&&n.enumerable?t[e]=i:V(t,e,i)}),be=Nt.IteratorPrototype,_e=Nt.BUGGY_SAFARI_ITERATORS,we=It("iterator"),ke=function(){return this},Se=function(t,e,i,n,r,o,s){!function(t,e,i){var n=e+" Iterator";t.prototype=se(ve,{next:m(1,i)}),me(t,n,!1,!0),K[n]=ge}(i,e,n);var a,l,u,h=function(t){if(t===r&&v)return v;if(!_e&&t in f)return f[t];switch(t){case"keys":case"values":case"entries":return function(){return new i(this,t)}}return function(){return new i(this)}},c=e+" Iterator",d=!1,f=t.prototype,p=f[we]||f["@@iterator"]||r&&f[r],v=!_e&&p||h(r),g="Array"==e&&f.entries||p;if(g&&(a=Tt(g.call(new t)),be!==Object.prototype&&a.next&&(me(a,c,!0,!0),K[c]=ke)),"values"==r&&p&&"values"!==p.name&&(d=!0,v=function(){return p.call(this)}),s&&f[we]!==v&&V(f,we,v),K[e]=v,r)if(l={values:h("values"),keys:o?v:h("keys"),entries:h("entries")},s)for(u in l)!_e&&!d&&u in f||ye(f,u,l[u]);else X({target:e,proto:!0,forced:_e||d},l);return l},De=St.set,xe=St.getterFor("Array Iterator");Se(Array,"Array",(function(t,e){De(this,{type:"Array Iterator",target:w(t),index:0,kind:e})}),(function(){var t=xe(this),e=t.target,i=t.kind,n=t.index++;return!e||n>=e.length?(t.target=void 0,{value:void 0,done:!0}):"keys"==i?{value:n,done:!1}:"values"==i?{value:e[n],done:!1}:{value:[n,e[n]],done:!1}}),"values");K.Arguments=K.Array;var Oe=It("toStringTag");for(var Me in{CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0}){var Te=u[Me],Ce=Te&&Te.prototype;Ce&&!Ce[Oe]&&V(Ce,Oe,Me),K[Me]=K.Array}var Pe=function(t){return function(e,i){var n,r,o=String(_(e)),s=Ht(i),a=o.length;return s<0||s>=a?t?"":void 0:(n=o.charCodeAt(s))<55296||n>56319||s+1===a||(r=o.charCodeAt(s+1))<56320||r>57343?t?o.charAt(s):n:t?o.slice(s,s+2):r-56320+(n-55296<<10)+65536}},Ee={codeAt:Pe(!1),charAt:Pe(!0)}.charAt,Ae=St.set,Le=St.getterFor("String Iterator");Se(String,"String",(function(t){Ae(this,{type:"String Iterator",string:String(t),index:0})}),(function(){var t,e=Le(this),i=e.string,n=e.index;return n>=i.length?{value:void 0,done:!0}:(t=Ee(i,n),e.index+=t.length,{value:t,done:!1})}));var Ie=It("iterator"),je=function(t){if(null!=t)return t[Ie]||t["@@iterator"]||K[ce(t)]},Ye=function(t){var e=je(t);if("function"!=typeof e)throw TypeError(String(t)+" is not iterable");return G(e.call(t))},Ne=It("iterator"),Re=function(t){var e=Object(t);return void 0!==e[Ne]||"@@iterator"in e||K.hasOwnProperty(ce(e))};var Fe=function(t,e){if(Re(Object(t))||"[object Arguments]"===Object.prototype.toString.call(t)){var i=[],n=!0,r=!1,o=void 0;try{for(var s,a=Ye(t);!(n=(s=a.next()).done)&&(i.push(s.value),!e||i.length!==e);n=!0);}catch(t){r=!0,o=t}finally{try{n||null==a.return||a.return()}finally{if(r)throw o}}return i}};var He=function(){throw new TypeError("Invalid attempt to destructure non-iterable instance")};var Ge=function(t,e){return $(t)||Fe(t,e)||He()};X({target:"Date",stat:!0},{now:function(){return(new Date).getTime()}});var ze=F.Date.now;function We(t){var e=function(){for(var t=Ve(),e=t(" "),i=t(" "),n=t(" "),r=0;r<arguments.length;r++)(e-=t(r<0||arguments.length<=r?void 0:arguments[r]))<0&&(e+=1),(i-=t(r<0||arguments.length<=r?void 0:arguments[r]))<0&&(i+=1),(n-=t(r<0||arguments.length<=r?void 0:arguments[r]))<0&&(n+=1);return[e,i,n]}(t),i=Ge(e,3),n=i[0],r=i[1],o=i[2],s=1,a=function(){var t=2091639*n+2.3283064365386963e-10*s;return n=r,r=o,o=t-(s=0|t)};return a.uint32=function(){return 4294967296*a()},a.fract53=function(){return a()+11102230246251565e-32*(2097152*a()|0)},a.algorithm="Alea",a.seed=t,a.version="0.9",a}function Ve(){var t=4022871197;return function(e){for(var i=e.toString(),n=0;n<i.length;n++){var r=.02519603282416938*(t+=i.charCodeAt(n));r-=t=r>>>0,t=(r*=t)>>>0,t+=4294967296*(r-=t)}return 2.3283064365386963e-10*(t>>>0)}}X({target:"Object",stat:!0,forced:!c,sham:!c},{defineProperty:W.f});var Ue=a((function(t){var e=F.Object,i=t.exports=function(t,i,n){return e.defineProperty(t,i,n)};e.defineProperty.sham&&(i.sham=!0)})),Be=Ue;X({target:"Object",stat:!0,forced:!c,sham:!c},{defineProperties:Kt});var Xe=a((function(t){var e=F.Object,i=t.exports=function(t,i){return e.defineProperties(t,i)};e.defineProperties.sham&&(i.sham=!0)})),qe=Jt.concat("length","prototype"),Ze={f:Object.getOwnPropertyNames||function(t){return Zt(t,qe)}},Je={f:Object.getOwnPropertySymbols},$e=te("Reflect","ownKeys")||function(t){var e=Ze.f(G(t)),i=Je.f;return i?e.concat(i(t)):e},Ke=function(t,e,i){var n=S(e);n in t?W.f(t,n,m(0,i)):t[n]=i};X({target:"Object",stat:!0,sham:!c},{getOwnPropertyDescriptors:function(t){for(var e,i,n=w(t),r=E.f,o=$e(n),s={},a=0;o.length>a;)void 0!==(i=r(n,e=o[a++]))&&Ke(s,e,i);return s}});var Qe=F.Object.getOwnPropertyDescriptors,ti=E.f,ei=h((function(){ti(1)}));X({target:"Object",stat:!0,forced:!c||ei,sham:!c},{getOwnPropertyDescriptor:function(t,e){return ti(w(t),e)}});var ii=a((function(t){var e=F.Object,i=t.exports=function(t,i){return e.getOwnPropertyDescriptor(t,i)};e.getOwnPropertyDescriptor.sham&&(i.sham=!0)})),ni=Ze.f,ri={}.toString,oi="object"==typeof window&&window&&Object.getOwnPropertyNames?Object.getOwnPropertyNames(window):[],si={f:function(t){return oi&&"[object Window]"==ri.call(t)?function(t){try{return ni(t)}catch(t){return oi.slice()}}(t):ni(w(t))}},ai={f:It},li=W.f,ui=function(t){var e=F.Symbol||(F.Symbol={});x(e,t)||li(e,t,{value:ai.f(t)})},hi=It("species"),ci=function(t,e){var i;return q(t)&&("function"!=typeof(i=t.constructor)||i!==Array&&!q(i.prototype)?k(i)&&null===(i=i[hi])&&(i=void 0):i=void 0),new(void 0===i?Array:i)(0===e?0:e)},di=[].push,fi=function(t){var e=1==t,i=2==t,n=3==t,r=4==t,o=6==t,s=5==t||o;return function(a,l,u,h){for(var c,d,f=Dt(a),p=b(f),m=H(l,u,3),v=zt(p.length),g=0,y=h||ci,_=e?y(a,v):i?y(a,0):void 0;v>g;g++)if((s||g in p)&&(d=m(c=p[g],g,f),t))if(e)_[g]=d;else if(d)switch(t){case 3:return!0;case 5:return c;case 6:return g;case 2:di.call(_,c)}else if(r)return!1;return o?-1:n||r?r:_}},pi={forEach:fi(0),map:fi(1),filter:fi(2),some:fi(3),every:fi(4),find:fi(5),findIndex:fi(6)},mi=pi.forEach,vi=dt("hidden"),gi=It("toPrimitive"),yi=St.set,bi=St.getterFor("Symbol"),_i=Object.prototype,wi=u.Symbol,ki=te("JSON","stringify"),Si=E.f,Di=W.f,xi=si.f,Oi=p.f,Mi=at("symbols"),Ti=at("op-symbols"),Ci=at("string-to-symbol-registry"),Pi=at("symbol-to-string-registry"),Ei=at("wks"),Ai=u.QObject,Li=!Ai||!Ai.prototype||!Ai.prototype.findChild,Ii=c&&h((function(){return 7!=se(Di({},"a",{get:function(){return Di(this,"a",{value:7}).a}})).a}))?function(t,e,i){var n=Si(_i,e);n&&delete _i[e],Di(t,e,i),n&&t!==_i&&Di(_i,e,n)}:Di,ji=function(t,e){var i=Mi[t]=se(wi.prototype);return yi(i,{type:"Symbol",tag:t,description:e}),c||(i.description=e),i},Yi=Ct&&"symbol"==typeof wi.iterator?function(t){return"symbol"==typeof t}:function(t){return Object(t)instanceof wi},Ni=function(t,e,i){t===_i&&Ni(Ti,e,i),G(t);var n=S(e,!0);return G(i),x(Mi,n)?(i.enumerable?(x(t,vi)&&t[vi][n]&&(t[vi][n]=!1),i=se(i,{enumerable:m(0,!1)})):(x(t,vi)||Di(t,vi,m(1,{})),t[vi][n]=!0),Ii(t,n,i)):Di(t,n,i)},Ri=function(t,e){G(t);var i=w(e),n=$t(i).concat(zi(i));return mi(n,(function(e){c&&!Fi.call(i,e)||Ni(t,e,i[e])})),t},Fi=function(t){var e=S(t,!0),i=Oi.call(this,e);return!(this===_i&&x(Mi,e)&&!x(Ti,e))&&(!(i||!x(this,e)||!x(Mi,e)||x(this,vi)&&this[vi][e])||i)},Hi=function(t,e){var i=w(t),n=S(e,!0);if(i!==_i||!x(Mi,n)||x(Ti,n)){var r=Si(i,n);return!r||!x(Mi,n)||x(i,vi)&&i[vi][n]||(r.enumerable=!0),r}},Gi=function(t){var e=xi(w(t)),i=[];return mi(e,(function(t){x(Mi,t)||x(ft,t)||i.push(t)})),i},zi=function(t){var e=t===_i,i=xi(e?Ti:w(t)),n=[];return mi(i,(function(t){!x(Mi,t)||e&&!x(_i,t)||n.push(Mi[t])})),n};if(Ct||(ye((wi=function(){if(this instanceof wi)throw TypeError("Symbol is not a constructor");var t=arguments.length&&void 0!==arguments[0]?String(arguments[0]):void 0,e=ht(t),i=function(t){this===_i&&i.call(Ti,t),x(this,vi)&&x(this[vi],e)&&(this[vi][e]=!1),Ii(this,e,m(1,t))};return c&&Li&&Ii(_i,e,{configurable:!0,set:i}),ji(e,t)}).prototype,"toString",(function(){return bi(this).tag})),p.f=Fi,W.f=Ni,E.f=Hi,Ze.f=si.f=Gi,Je.f=zi,c&&Di(wi.prototype,"description",{configurable:!0,get:function(){return bi(this).description}})),Pt||(ai.f=function(t){return ji(It(t),t)}),X({global:!0,wrap:!0,forced:!Ct,sham:!Ct},{Symbol:wi}),mi($t(Ei),(function(t){ui(t)})),X({target:"Symbol",stat:!0,forced:!Ct},{for:function(t){var e=String(t);if(x(Ci,e))return Ci[e];var i=wi(e);return Ci[e]=i,Pi[i]=e,i},keyFor:function(t){if(!Yi(t))throw TypeError(t+" is not a symbol");if(x(Pi,t))return Pi[t]},useSetter:function(){Li=!0},useSimple:function(){Li=!1}}),X({target:"Object",stat:!0,forced:!Ct,sham:!c},{create:function(t,e){return void 0===e?se(t):Ri(se(t),e)},defineProperty:Ni,defineProperties:Ri,getOwnPropertyDescriptor:Hi}),X({target:"Object",stat:!0,forced:!Ct},{getOwnPropertyNames:Gi,getOwnPropertySymbols:zi}),X({target:"Object",stat:!0,forced:h((function(){Je.f(1)}))},{getOwnPropertySymbols:function(t){return Je.f(Dt(t))}}),ki){var Wi=!Ct||h((function(){var t=wi();return"[null]"!=ki([t])||"{}"!=ki({a:t})||"{}"!=ki(Object(t))}));X({target:"JSON",stat:!0,forced:Wi},{stringify:function(t,e,i){for(var n,r=[t],o=1;arguments.length>o;)r.push(arguments[o++]);if(n=e,(k(e)||void 0!==t)&&!Yi(t))return q(e)||(e=function(t,e){if("function"==typeof n&&(e=n.call(this,t,e)),!Yi(e))return e}),r[1]=e,ki.apply(null,r)}})}wi.prototype[gi]||V(wi.prototype,gi,wi.prototype.valueOf),me(wi,"Symbol"),ft[vi]=!0;var Vi=F.Object.getOwnPropertySymbols;X({target:"Object",stat:!0,sham:!c},{create:se});var Ui=F.Object,Bi=function(t,e){return Ui.create(t,e)},Xi=Ue;var qi=function(t,e,i){return e in t?Xi(t,e,{value:i,enumerable:!0,configurable:!0,writable:!0}):t[e]=i,t},Zi=h((function(){$t(1)}));X({target:"Object",stat:!0,forced:Zi},{keys:function(t){return $t(Dt(t))}});var Ji,$i=F.Object.keys,Ki="\t\n\v\f\r                　\u2028\u2029\ufeff",Qi="["+Ki+"]",tn=RegExp("^"+Qi+Qi+"*"),en=RegExp(Qi+Qi+"*$"),nn=function(t){return function(e){var i=String(_(e));return 1&t&&(i=i.replace(tn,"")),2&t&&(i=i.replace(en,"")),i}},rn={start:nn(1),end:nn(2),trim:nn(3)},on=rn.trim;X({target:"String",proto:!0,forced:(Ji="trim",h((function(){return!!Ki[Ji]()||"​᠎"!="​᠎"[Ji]()||Ki[Ji].name!==Ji})))},{trim:function(){return on(this)}});var sn=function(t){return F[t+"Prototype"]},an=sn("String").trim,ln=String.prototype,un=function(t){var e=t.trim;return"string"==typeof t||t===ln||t instanceof String&&e===ln.trim?an:e},hn=function(t,e){var i=[][t];return!i||!h((function(){i.call(null,e||function(){throw 1},1)}))},cn=pi.forEach,dn=hn("forEach")?function(t){return cn(this,t,arguments.length>1?arguments[1]:void 0)}:[].forEach;X({target:"Array",proto:!0,forced:[].forEach!=dn},{forEach:dn});var fn,pn,mn=sn("Array").forEach,vn=Array.prototype,gn={DOMTokenList:!0,NodeList:!0},yn=function(t){var e=t.forEach;return t===vn||t instanceof Array&&e===vn.forEach||gn.hasOwnProperty(ce(t))?mn:e},bn=te("navigator","userAgent")||"",_n=u.process,wn=_n&&_n.versions,kn=wn&&wn.v8;kn?pn=(fn=kn.split("."))[0]+fn[1]:bn&&(!(fn=bn.match(/Edge\/(\d+)/))||fn[1]>=74)&&(fn=bn.match(/Chrome\/(\d+)/))&&(pn=fn[1]);var Sn=pn&&+pn,Dn=It("species"),xn=function(t){return Sn>=51||!h((function(){var e=[];return(e.constructor={})[Dn]=function(){return{foo:1}},1!==e[t](Boolean).foo}))},On=pi.map,Mn=xn("map"),Tn=Mn&&!h((function(){[].map.call({length:-1,0:1},(function(t){throw t}))}));X({target:"Array",proto:!0,forced:!Mn||!Tn},{map:function(t){return On(this,t,arguments.length>1?arguments[1]:void 0)}});var Cn=sn("Array").map,Pn=Array.prototype,En=function(t){var e=t.map;return t===Pn||t instanceof Array&&e===Pn.map?Cn:e},An=rn.trim,Ln=u.parseInt,In=/^[+-]?0[Xx]/,jn=8!==Ln(Ki+"08")||22!==Ln(Ki+"0x16")?function(t,e){var i=An(String(t));return Ln(i,e>>>0||(In.test(i)?16:10))}:Ln;X({global:!0,forced:parseInt!=jn},{parseInt:jn});var Yn=F.parseInt,Nn=p.f,Rn=function(t){return function(e){for(var i,n=w(e),r=$t(n),o=r.length,s=0,a=[];o>s;)i=r[s++],c&&!Nn.call(n,i)||a.push(t?[i,n[i]]:n[i]);return a}},Fn={entries:Rn(!0),values:Rn(!1)}.values;X({target:"Object",stat:!0},{values:function(t){return Fn(t)}});var Hn=F.Object.values,Gn=pi.filter,zn=xn("filter"),Wn=zn&&!h((function(){[].filter.call({length:-1,0:1},(function(t){throw t}))}));X({target:"Array",proto:!0,forced:!zn||!Wn},{filter:function(t){return Gn(this,t,arguments.length>1?arguments[1]:void 0)}});var Vn=sn("Array").filter,Un=Array.prototype,Bn=function(t){var e=t.filter;return t===Un||t instanceof Array&&e===Un.filter?Vn:e},Xn=It("isConcatSpreadable"),qn=Sn>=51||!h((function(){var t=[];return t[Xn]=!1,t.concat()[0]!==t})),Zn=xn("concat"),Jn=function(t){if(!k(t))return!1;var e=t[Xn];return void 0!==e?!!e:q(t)};X({target:"Array",proto:!0,forced:!qn||!Zn},{concat:function(t){var e,i,n,r,o,s=Dt(this),a=ci(s,0),l=0;for(e=-1,n=arguments.length;e<n;e++)if(o=-1===e?s:arguments[e],Jn(o)){if(l+(r=zt(o.length))>9007199254740991)throw TypeError("Maximum allowed index exceeded");for(i=0;i<r;i++,l++)i in o&&Ke(a,l,o[i])}else{if(l>=9007199254740991)throw TypeError("Maximum allowed index exceeded");Ke(a,l++,o)}return a.length=l,a}});var $n=sn("Array").concat,Kn=Array.prototype,Qn=function(t){var e=t.concat;return t===Kn||t instanceof Array&&e===Kn.concat?$n:e};var tr=function(t){if(J(t)){for(var e=0,i=new Array(t.length);e<t.length;e++)i[e]=t[e];return i}},er=function(t,e,i,n){try{return n?e(G(i)[0],i[1]):e(i)}catch(e){var r=t.return;throw void 0!==r&&G(r.call(t)),e}},ir=It("iterator"),nr=Array.prototype,rr=function(t){return void 0!==t&&(K.Array===t||nr[ir]===t)},or=It("iterator"),sr=!1;try{var ar=0,lr={next:function(){return{done:!!ar++}},return:function(){sr=!0}};lr[or]=function(){return this},Array.from(lr,(function(){throw 2}))}catch(t){}var ur=!function(t,e){if(!e&&!sr)return!1;var i=!1;try{var n={};n[or]=function(){return{next:function(){return{done:i=!0}}}},t(n)}catch(t){}return i}((function(t){Array.from(t)}));X({target:"Array",stat:!0,forced:ur},{from:function(t){var e,i,n,r,o,s=Dt(t),a="function"==typeof this?this:Array,l=arguments.length,u=l>1?arguments[1]:void 0,h=void 0!==u,c=0,d=je(s);if(h&&(u=H(u,l>2?arguments[2]:void 0,2)),null==d||a==Array&&rr(d))for(i=new a(e=zt(s.length));e>c;c++)Ke(i,c,h?u(s[c],c):s[c]);else for(o=(r=d.call(s)).next,i=new a;!(n=o.call(r)).done;c++)Ke(i,c,h?er(r,u,[n.value,c],!0):n.value);return i.length=c,i}});var hr=F.Array.from;var cr=function(t){if(Re(Object(t))||"[object Arguments]"===Object.prototype.toString.call(t))return hr(t)};var dr=function(){throw new TypeError("Invalid attempt to spread non-iterable instance")};var fr=function(t){return tr(t)||cr(t)||dr()},pr=It("species"),mr=[].slice,vr=Math.max;X({target:"Array",proto:!0,forced:!xn("slice")},{slice:function(t,e){var i,n,r,o=w(this),s=zt(o.length),a=Ut(t,s),l=Ut(void 0===e?s:e,s);if(q(o)&&("function"!=typeof(i=o.constructor)||i!==Array&&!q(i.prototype)?k(i)&&null===(i=i[pr])&&(i=void 0):i=void 0,i===Array||void 0===i))return mr.call(o,a,l);for(n=new(void 0===i?Array:i)(vr(l-a,0)),r=0;a<l;a++,r++)a in o&&Ke(n,r,o[a]);return n.length=r,n}});var gr=sn("Array").slice,yr=Array.prototype,br=function(t){var e=t.slice;return t===yr||t instanceof Array&&e===yr.slice?gr:e},_r=h((function(){Tt(1)}));X({target:"Object",stat:!0,forced:_r,sham:!xt},{getPrototypeOf:function(t){return Tt(Dt(t))}});var wr=F.Object.getPrototypeOf,kr=Xt.indexOf,Sr=[].indexOf,Dr=!!Sr&&1/[1].indexOf(1,-0)<0,xr=hn("indexOf");X({target:"Array",proto:!0,forced:Dr||xr},{indexOf:function(t){return Dr?Sr.apply(this,arguments)||0:kr(this,t,arguments.length>1?arguments[1]:void 0)}});var Or=sn("Array").indexOf,Mr=Array.prototype,Tr=function(t){var e=t.indexOf;return t===Mr||t instanceof Array&&e===Mr.indexOf?Or:e},Cr=Z,Pr=Object.assign,Er=Object.defineProperty,Ar=!Pr||h((function(){if(c&&1!==Pr({b:1},Pr(Er({},"a",{enumerable:!0,get:function(){Er(this,"b",{value:3,enumerable:!1})}}),{b:2})).b)return!0;var t={},e={},i=Symbol();return t[i]=7,"abcdefghijklmnopqrst".split("").forEach((function(t){e[t]=t})),7!=Pr({},t)[i]||"abcdefghijklmnopqrst"!=$t(Pr({},e)).join("")}))?function(t,e){for(var i=Dt(t),n=arguments.length,r=1,o=Je.f,s=p.f;n>r;)for(var a,l=b(arguments[r++]),u=o?$t(l).concat(o(l)):$t(l),h=u.length,d=0;h>d;)a=u[d++],c&&!s.call(l,a)||(i[a]=l[a]);return i}:Pr;X({target:"Object",stat:!0,forced:Object.assign!==Ar},{assign:Ar});var Lr=F.Object.assign;ui("iterator");var Ir=ai.f("iterator");ui("asyncIterator"),ui("hasInstance"),ui("isConcatSpreadable"),ui("match"),ui("matchAll"),ui("replace"),ui("search"),ui("species"),ui("split"),ui("toPrimitive"),ui("toStringTag"),ui("unscopables"),me(Math,"Math",!0),me(u.JSON,"JSON",!0);var jr=F.Symbol;ui("asyncDispose"),ui("dispose"),ui("observable"),ui("patternMatch"),ui("replaceAll");for(var Yr=jr,Nr=a((function(t){function e(i){return t.exports=e="function"==typeof Yr&&"symbol"==typeof Ir?function(t){return typeof t}:function(t){return t&&"function"==typeof Yr&&t.constructor===Yr&&t!==Yr.prototype?"symbol":typeof t},e(i)}t.exports=e})),Rr=[],Fr=0;Fr<256;Fr++)Rr[Fr]=(Fr+256).toString(16).substr(1);function Hr(t,e){var i=e||0,n=Rr;return n[t[i++]]+n[t[i++]]+n[t[i++]]+n[t[i++]]+"-"+n[t[i++]]+n[t[i++]]+"-"+n[t[i++]]+n[t[i++]]+"-"+n[t[i++]]+n[t[i++]]+"-"+n[t[i++]]+n[t[i++]]+n[t[i++]]+n[t[i++]]+n[t[i++]]+n[t[i++]]}for(var Gr=function(){if("undefined"!=typeof crypto&&crypto.getRandomValues){var t=new Uint8Array(16);return function(){return crypto.getRandomValues(t),t}}var e=new Array(16);return function(){for(var t,i=0;i<16;i++)0==(3&i)&&(t=4294967296*Math.random()),e[i]=t>>>((3&i)<<3)&255;return e}}(),zr=[],Wr=0;Wr<256;Wr++)zr[Wr]=(Wr+256).toString(16).substr(1);var Vr=Gr();Vr[0],Vr[1],Vr[2],Vr[3],Vr[4],Vr[5],Vr[6],Vr[7];function Ur(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},e=arguments.length>1?arguments[1]:void 0,i=arguments.length>2?arguments[2]:void 0,n=e&&i||0;"string"==typeof t&&(e="binary"===t?new Array(16):void 0,t={});var r=t.random||(t.rng||Gr)();if(r[6]=15&r[6]|64,r[8]=63&r[8]|128,e)for(var o=0;o<16;o++)e[n+o]=r[o];return e||Hr(r)}function Br(t,e){var i=$i(t);if(Vi){var n=Vi(t);e&&(n=Bn(n).call(n,(function(e){return ii(t,e).enumerable}))),i.push.apply(i,n)}return i}var Xr=/^\/?Date\((-?\d+)/i,qr=/^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i,Zr=/^#?([a-f\d])([a-f\d])([a-f\d])$/i,Jr=/^rgb\( *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *\)$/i,$r=/^rgba\( *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *([01]|0?\.\d+) *\)$/i;function Kr(t){return t instanceof Number||"number"==typeof t}function Qr(t){if(t)for(;!0===t.hasChildNodes();){var e=t.firstChild;e&&(Qr(e),t.removeChild(e))}}function to(t){return t instanceof String||"string"==typeof t}function eo(t){return"object"===Nr(t)&&null!==t}function io(t){if(t instanceof Date)return!0;if(to(t)){if(Xr.exec(t))return!0;if(!isNaN(Date.parse(t)))return!0}return!1}function no(t,e,i,n){var r=!1;!0===n&&(r=null===e[i]&&void 0!==t[i]),r?delete t[i]:t[i]=e[i]}function ro(t,e){var i=arguments.length>2&&void 0!==arguments[2]&&arguments[2];for(var n in t)if(void 0!==e[n])if(null===e[n]||"object"!==Nr(e[n]))no(t,e,n,i);else{var r=t[n],o=e[n];eo(r)&&eo(o)&&ro(r,o,i)}}var oo=Lr;function so(t,e){if(!Cr(t))throw new Error("Array with property names expected as first argument");for(var i=arguments.length,n=new Array(i>2?i-2:0),r=2;r<i;r++)n[r-2]=arguments[r];for(var o=0,s=n;o<s.length;o++)for(var a=s[o],l=0;l<t.length;l++){var u=t[l];a&&Object.prototype.hasOwnProperty.call(a,u)&&(e[u]=a[u])}return e}function ao(t,e,i){var n=arguments.length>3&&void 0!==arguments[3]&&arguments[3];if(Cr(i))throw new TypeError("Arrays are not supported by deepExtend");for(var r=0;r<t.length;r++){var o=t[r];if(Object.prototype.hasOwnProperty.call(i,o))if(i[o]&&i[o].constructor===Object)void 0===e[o]&&(e[o]={}),e[o].constructor===Object?uo(e[o],i[o],!1,n):no(e,i,o,n);else{if(Cr(i[o]))throw new TypeError("Arrays are not supported by deepExtend");no(e,i,o,n)}}return e}function lo(t,e,i){var n=arguments.length>3&&void 0!==arguments[3]&&arguments[3];if(Cr(i))throw new TypeError("Arrays are not supported by deepExtend");for(var r in i)if(Object.prototype.hasOwnProperty.call(i,r)&&-1===Tr(t).call(t,r))if(i[r]&&i[r].constructor===Object)void 0===e[r]&&(e[r]={}),e[r].constructor===Object?uo(e[r],i[r]):no(e,i,r,n);else if(Cr(i[r])){e[r]=[];for(var o=0;o<i[r].length;o++)e[r].push(i[r][o])}else no(e,i,r,n);return e}function uo(t,e){var i=arguments.length>2&&void 0!==arguments[2]&&arguments[2],n=arguments.length>3&&void 0!==arguments[3]&&arguments[3];for(var r in e)if(Object.prototype.hasOwnProperty.call(e,r)||!0===i)if("object"===Nr(e[r])&&null!==e[r]&&wr(e[r])===Object.prototype)void 0===t[r]?t[r]=uo({},e[r],i):"object"===Nr(t[r])&&null!==t[r]&&wr(t[r])===Object.prototype?uo(t[r],e[r],i):no(t,e,r,n);else if(Cr(e[r])){var o;t[r]=br(o=e[r]).call(o)}else no(t,e,r,n);return t}function ho(t,e){if(t.length!==e.length)return!1;for(var i=0,n=t.length;i<n;i++)if(t[i]!=e[i])return!1;return!0}function co(t){var e=Nr(t);return"object"===e?null===t?"null":t instanceof Boolean?"Boolean":t instanceof Number?"Number":t instanceof String?"String":Cr(t)?"Array":t instanceof Date?"Date":"Object":"number"===e?"Number":"boolean"===e?"Boolean":"string"===e?"String":void 0===e?"undefined":e}function fo(t,e){var i;return Qn(i=[]).call(i,fr(t),[e])}function po(t){return br(t).call(t)}function mo(t){return t.getBoundingClientRect().left}function vo(t){return t.getBoundingClientRect().right}function go(t){return t.getBoundingClientRect().top}function yo(t,e){var i=t.className.split(" "),n=e.split(" ");i=Qn(i).call(i,Bn(n).call(n,(function(t){return Tr(i).call(i,t)<0}))),t.className=i.join(" ")}function bo(t,e){var i=t.className.split(" "),n=e.split(" ");i=Bn(i).call(i,(function(t){return Tr(n).call(n,t)<0})),t.className=i.join(" ")}function _o(t,e){if(Cr(t))for(var i=t.length,n=0;n<i;n++)e(t[n],n,t);else for(var r in t)Object.prototype.hasOwnProperty.call(t,r)&&e(t[r],r,t)}var wo=Hn;function ko(t,e,i){return t[e]!==i&&(t[e]=i,!0)}function So(t){var e=!1;return function(){e||(e=!0,requestAnimationFrame((function(){e=!1,t()})))}}function Do(t,e,i,n){var r;t.addEventListener?(void 0===n&&(n=!1),"mousewheel"===e&&Tr(r=navigator.userAgent).call(r,"Firefox")>=0&&(e="DOMMouseScroll"),t.addEventListener(e,i,n)):t.attachEvent("on"+e,i)}function xo(t,e,i,n){var r;t.removeEventListener?(void 0===n&&(n=!1),"mousewheel"===e&&Tr(r=navigator.userAgent).call(r,"Firefox")>=0&&(e="DOMMouseScroll"),t.removeEventListener(e,i,n)):t.detachEvent("on"+e,i)}function Oo(t){t||(t=window.event),t&&(t.preventDefault?t.preventDefault():t.returnValue=!1)}function Mo(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:window.event,e=null;return t&&(t.target?e=t.target:t.srcElement&&(e=t.srcElement)),e instanceof Element&&(null==e.nodeType||3!=e.nodeType||(e=e.parentNode)instanceof Element)?e:null}function To(t,e){for(var i=t;i;){if(i===e)return!0;if(!i.parentNode)return!1;i=i.parentNode}return!1}var Co={asBoolean:function(t,e){return"function"==typeof t&&(t=t()),null!=t?0!=t:e||null},asNumber:function(t,e){return"function"==typeof t&&(t=t()),null!=t?Number(t)||e||null:e||null},asString:function(t,e){return"function"==typeof t&&(t=t()),null!=t?String(t):e||null},asSize:function(t,e){return"function"==typeof t&&(t=t()),to(t)?t:Kr(t)?t+"px":e||null},asElement:function(t,e){return"function"==typeof t&&(t=t()),t||e||null}};function Po(t){var e;switch(t.length){case 3:case 4:return(e=Zr.exec(t))?{r:Yn(e[1]+e[1],16),g:Yn(e[2]+e[2],16),b:Yn(e[3]+e[3],16)}:null;case 6:case 7:return(e=qr.exec(t))?{r:Yn(e[1],16),g:Yn(e[2],16),b:Yn(e[3],16)}:null;default:return null}}function Eo(t,e){if(-1!==Tr(t).call(t,"rgba"))return t;if(-1!==Tr(t).call(t,"rgb")){var i=t.substr(Tr(t).call(t,"(")+1).replace(")","").split(",");return"rgba("+i[0]+","+i[1]+","+i[2]+","+e+")"}var n=Po(t);return null==n?t:"rgba("+n.r+","+n.g+","+n.b+","+e+")"}function Ao(t,e,i){var n;return"#"+br(n=((1<<24)+(t<<16)+(e<<8)+i).toString(16)).call(n,1)}function Lo(t,e){if(to(t)){var i=t;if(Wo(i)){var n,r=En(n=i.substr(4).substr(0,i.length-5).split(",")).call(n,(function(t){return Yn(t)}));i=Ao(r[0],r[1],r[2])}if(!0===zo(i)){var o=Go(i),s={h:o.h,s:.8*o.s,v:Math.min(1,1.02*o.v)},a={h:o.h,s:Math.min(1,1.25*o.s),v:.8*o.v},l=Ho(a.h,a.s,a.v),u=Ho(s.h,s.s,s.v);return{background:i,border:l,highlight:{background:u,border:l},hover:{background:u,border:l}}}return{background:i,border:i,highlight:{background:i,border:i},hover:{background:i,border:i}}}return e?{background:t.background||e.background,border:t.border||e.border,highlight:to(t.highlight)?{border:t.highlight,background:t.highlight}:{background:t.highlight&&t.highlight.background||e.highlight.background,border:t.highlight&&t.highlight.border||e.highlight.border},hover:to(t.hover)?{border:t.hover,background:t.hover}:{border:t.hover&&t.hover.border||e.hover.border,background:t.hover&&t.hover.background||e.hover.background}}:{background:t.background||void 0,border:t.border||void 0,highlight:to(t.highlight)?{border:t.highlight,background:t.highlight}:{background:t.highlight&&t.highlight.background||void 0,border:t.highlight&&t.highlight.border||void 0},hover:to(t.hover)?{border:t.hover,background:t.hover}:{border:t.hover&&t.hover.border||void 0,background:t.hover&&t.hover.background||void 0}}}function Io(t,e,i){t/=255,e/=255,i/=255;var n=Math.min(t,Math.min(e,i)),r=Math.max(t,Math.max(e,i));return n===r?{h:0,s:0,v:n}:{h:60*((t===n?3:i===n?1:5)-(t===n?e-i:i===n?t-e:i-t)/(r-n))/360,s:(r-n)/r,v:r}}var jo=function(t){var e,i={};return yn(e=t.split(";")).call(e,(function(t){if(""!=un(t).call(t)){var e,n,r=t.split(":"),o=un(e=r[0]).call(e),s=un(n=r[1]).call(n);i[o]=s}})),i},Yo=function(t){var e;return En(e=$i(t)).call(e,(function(e){return e+": "+t[e]})).join("; ")};function No(t,e){var i=function(t){for(var e=1;e<arguments.length;e++){var i,n=null!=arguments[e]?arguments[e]:{};if(e%2)yn(i=Br(Object(n),!0)).call(i,(function(e){qi(t,e,n[e])}));else if(Qe)Xe(t,Qe(n));else{var r;yn(r=Br(Object(n))).call(r,(function(e){Be(t,e,ii(n,e))}))}}return t}({},jo(t.style.cssText),{},jo(e));t.style.cssText=Yo(i)}function Ro(t,e){var i=jo(t.style.cssText),n=jo(e);for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&delete i[r];t.style.cssText=Yo(i)}function Fo(t,e,i){var n,r,o,s=Math.floor(6*t),a=6*t-s,l=i*(1-e),u=i*(1-a*e),h=i*(1-(1-a)*e);switch(s%6){case 0:n=i,r=h,o=l;break;case 1:n=u,r=i,o=l;break;case 2:n=l,r=i,o=h;break;case 3:n=l,r=u,o=i;break;case 4:n=h,r=l,o=i;break;case 5:n=i,r=l,o=u}return{r:Math.floor(255*n),g:Math.floor(255*r),b:Math.floor(255*o)}}function Ho(t,e,i){var n=Fo(t,e,i);return Ao(n.r,n.g,n.b)}function Go(t){var e=Po(t);if(!e)throw new TypeError("'".concat(t,"' is not a valid color."));return Io(e.r,e.g,e.b)}function zo(t){return/(^#[0-9A-F]{6}$)|(^#[0-9A-F]{3}$)/i.test(t)}function Wo(t){return Jr.test(t)}function Vo(t){return $r.test(t)}function Uo(t,e){if(null!==e&&"object"===Nr(e)){for(var i=Bi(e),n=0;n<t.length;n++)Object.prototype.hasOwnProperty.call(e,t[n])&&"object"==Nr(e[t[n]])&&(i[t[n]]=Bo(e[t[n]]));return i}return null}function Bo(t){if(null===t||"object"!==Nr(t))return null;if(t instanceof Element)return t;var e=Bi(t);for(var i in t)Object.prototype.hasOwnProperty.call(t,i)&&"object"==Nr(t[i])&&(e[i]=Bo(t[i]));return e}function Xo(t,e){for(var i=0;i<t.length;i++){var n=t[i],r=void 0;for(r=i;r>0&&e(n,t[r-1])<0;r--)t[r]=t[r-1];t[r]=n}return t}function qo(t,e,i){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{},r=function(t){return null!=t},o=function(t){return null!==t&&"object"===Nr(t)},s=function(t){for(var e in t)if(Object.prototype.hasOwnProperty.call(t,e))return!1;return!0};if(!o(t))throw new Error("Parameter mergeTarget must be an object");if(!o(e))throw new Error("Parameter options must be an object");if(!r(i))throw new Error("Parameter option must have a value");if(!o(n))throw new Error("Parameter globalOptions must be an object");var a=function(t,e,i){o(t[i])||(t[i]={});var n=e[i],r=t[i];for(var s in n)Object.prototype.hasOwnProperty.call(n,s)&&(r[s]=n[s])},l=e[i],u=o(n)&&!s(n),h=u?n[i]:void 0,c=h?h.enabled:void 0;if(void 0!==l){if("boolean"==typeof l)return o(t[i])||(t[i]={}),void(t[i].enabled=l);if(null===l&&!o(t[i])){if(!r(h))return;t[i]=Bi(h)}if(o(l)){var d=!0;void 0!==l.enabled?d=l.enabled:void 0!==c&&(d=h.enabled),a(t,e,i),t[i].enabled=d}}}function Zo(t,e,i,n){for(var r=0,o=0,s=t.length-1;o<=s&&r<1e4;){var a=Math.floor((o+s)/2),l=t[a],u=e(void 0===n?l[i]:l[i][n]);if(0==u)return a;-1==u?o=a+1:s=a-1,r++}return-1}function Jo(t,e,i,n,r){var o,s,a,l,u=0,h=0,c=t.length-1;for(r=null!=r?r:function(t,e){return t==e?0:t<e?-1:1};h<=c&&u<1e4;){if(l=Math.floor(.5*(c+h)),o=t[Math.max(0,l-1)][i],s=t[l][i],a=t[Math.min(t.length-1,l+1)][i],0==r(s,e))return l;if(r(o,e)<0&&r(s,e)>0)return"before"==n?Math.max(0,l-1):l;if(r(s,e)<0&&r(a,e)>0)return"before"==n?l:Math.min(t.length-1,l+1);r(s,e)<0?h=l+1:c=l-1,u++}return-1}var $o={linear:function(t){return t},easeInQuad:function(t){return t*t},easeOutQuad:function(t){return t*(2-t)},easeInOutQuad:function(t){return t<.5?2*t*t:(4-2*t)*t-1},easeInCubic:function(t){return t*t*t},easeOutCubic:function(t){return--t*t*t+1},easeInOutCubic:function(t){return t<.5?4*t*t*t:(t-1)*(2*t-2)*(2*t-2)+1},easeInQuart:function(t){return t*t*t*t},easeOutQuart:function(t){return 1- --t*t*t*t},easeInOutQuart:function(t){return t<.5?8*t*t*t*t:1-8*--t*t*t*t},easeInQuint:function(t){return t*t*t*t*t},easeOutQuint:function(t){return 1+--t*t*t*t*t},easeInOutQuint:function(t){return t<.5?16*t*t*t*t*t:1+16*--t*t*t*t*t}};function Ko(){var t=document.createElement("p");t.style.width="100%",t.style.height="200px";var e=document.createElement("div");e.style.position="absolute",e.style.top="0px",e.style.left="0px",e.style.visibility="hidden",e.style.width="200px",e.style.height="150px",e.style.overflow="hidden",e.appendChild(t),document.body.appendChild(e);var i=t.offsetWidth;e.style.overflow="scroll";var n=t.offsetWidth;return i==n&&(n=e.clientWidth),document.body.removeChild(e),i-n}function Qo(t,e){var i;Cr(e)||(e=[e]);var n=!0,r=!1,o=void 0;try{for(var s,a=Ye(t);!(n=(s=a.next()).done);n=!0){var l=s.value;if(l){i=l[e[0]];for(var u=1;u<e.length;u++)i&&(i=i[e[u]]);if(void 0!==i)break}}}catch(t){r=!0,o=t}finally{try{n||null==a.return||a.return()}finally{if(r)throw o}}return i}var ts=Object.freeze({__proto__:null,isNumber:Kr,recursiveDOMDelete:Qr,isString:to,isObject:eo,isDate:io,fillIfDefined:ro,extend:oo,selectiveExtend:so,selectiveDeepExtend:ao,selectiveNotDeepExtend:lo,deepExtend:uo,equalArray:ho,getType:co,copyAndExtendArray:fo,copyArray:po,getAbsoluteLeft:mo,getAbsoluteRight:vo,getAbsoluteTop:go,addClassName:yo,removeClassName:bo,forEach:_o,toArray:wo,updateProperty:ko,throttle:So,addEventListener:Do,removeEventListener:xo,preventDefault:Oo,getTarget:Mo,hasParent:To,option:Co,hexToRGB:Po,overrideOpacity:Eo,RGBToHex:Ao,parseColor:Lo,RGBToHSV:Io,addCssText:No,removeCssText:Ro,HSVToRGB:Fo,HSVToHex:Ho,hexToHSV:Go,isValidHex:zo,isValidRGB:Wo,isValidRGBA:Vo,selectiveBridgeObject:Uo,bridgeObject:Bo,insertSort:Xo,mergeOptions:qo,binarySearchCustom:Zo,binarySearchValue:Jo,easingFunctions:$o,getScrollBarWidth:Ko,topMost:Qo,randomUUID:Ur}),es=Object.freeze({__proto__:null,default:ts,Alea:function(){for(var t=arguments.length,e=new Array(t),i=0;i<t;i++)e[i]=arguments[i];return We(e.length?e:[ze()])},HSVToHex:Ho,HSVToRGB:Fo,RGBToHSV:Io,RGBToHex:Ao,addClassName:yo,addCssText:No,addEventListener:Do,binarySearchCustom:Zo,binarySearchValue:Jo,bridgeObject:Bo,copyAndExtendArray:fo,copyArray:po,deepExtend:uo,easingFunctions:$o,equalArray:ho,extend:oo,fillIfDefined:ro,forEach:_o,getAbsoluteLeft:mo,getAbsoluteRight:vo,getAbsoluteTop:go,getScrollBarWidth:Ko,getTarget:Mo,getType:co,hasParent:To,hexToHSV:Go,hexToRGB:Po,insertSort:Xo,isDate:io,isNumber:Kr,isObject:eo,isString:to,isValidHex:zo,isValidRGB:Wo,isValidRGBA:Vo,mergeOptions:qo,option:Co,overrideOpacity:Eo,parseColor:Lo,preventDefault:Oo,randomUUID:Ur,recursiveDOMDelete:Qr,removeClassName:bo,removeCssText:Ro,removeEventListener:xo,selectiveBridgeObject:Uo,selectiveDeepExtend:ao,selectiveExtend:so,selectiveNotDeepExtend:lo,throttle:So,toArray:wo,topMost:Qo,updateProperty:ko});function is(t){for(var e in t)t.hasOwnProperty(e)&&(t[e].redundant=t[e].used,t[e].used=[])}function ns(t){for(var e in t)if(t.hasOwnProperty(e)&&t[e].redundant){for(var i=0;i<t[e].redundant.length;i++)t[e].redundant[i].parentNode.removeChild(t[e].redundant[i]);t[e].redundant=[]}}function rs(t){is(t),ns(t),is(t)}function os(t,e,i){var n;return e.hasOwnProperty(t)?e[t].redundant.length>0?(n=e[t].redundant[0],e[t].redundant.shift()):(n=document.createElementNS("http://www.w3.org/2000/svg",t),i.appendChild(n)):(n=document.createElementNS("http://www.w3.org/2000/svg",t),e[t]={used:[],redundant:[]},i.appendChild(n)),e[t].used.push(n),n}function ss(t,e,i,n){var r;return e.hasOwnProperty(t)?e[t].redundant.length>0?(r=e[t].redundant[0],e[t].redundant.shift()):(r=document.createElement(t),void 0!==n?i.insertBefore(r,n):i.appendChild(r)):(r=document.createElement(t),e[t]={used:[],redundant:[]},void 0!==n?i.insertBefore(r,n):i.appendChild(r)),e[t].used.push(r),r}function as(t,e,i,n,r,o){var s;if("circle"==i.style?((s=os("circle",n,r)).setAttributeNS(null,"cx",t),s.setAttributeNS(null,"cy",e),s.setAttributeNS(null,"r",.5*i.size)):((s=os("rect",n,r)).setAttributeNS(null,"x",t-.5*i.size),s.setAttributeNS(null,"y",e-.5*i.size),s.setAttributeNS(null,"width",i.size),s.setAttributeNS(null,"height",i.size)),void 0!==i.styles&&s.setAttributeNS(null,"style",i.styles),s.setAttributeNS(null,"class",i.className+" vis-point"),o){var a=os("text",n,r);o.xOffset&&(t+=o.xOffset),o.yOffset&&(e+=o.yOffset),o.content&&(a.textContent=o.content),o.className&&a.setAttributeNS(null,"class",o.className+" vis-label"),a.setAttributeNS(null,"x",t),a.setAttributeNS(null,"y",e)}return s}function ls(t,e,i,n,r,o,s,a){if(0!=n){n<0&&(e-=n*=-1);var l=os("rect",o,s);l.setAttributeNS(null,"x",t-.5*i),l.setAttributeNS(null,"y",e),l.setAttributeNS(null,"width",i),l.setAttributeNS(null,"height",n),l.setAttributeNS(null,"class",r),a&&l.setAttributeNS(null,"style",a)}}function us(){try{return navigator?navigator.languages&&navigator.languages.length?navigator.languages:navigator.userLanguage||navigator.language||navigator.browserLanguage||"en":"en"}catch(t){return"en"}}var hs=Object.freeze({__proto__:null,prepareElements:is,cleanupElements:ns,resetElements:rs,getSVGElement:os,getDOMElement:ss,drawPoint:as,drawBar:ls,getNavigatorLanguage:us}),cs="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};
/**
	 * vis-data
	 * http://visjs.org/
	 *
	 * Manage unstructured data using DataSet. Add, update, and remove data, and listen for changes in the data.
	 *
	 * @version 6.4.0
	 * @date    2020-02-17T20:51:47.321Z
	 *
	 * @copyright (c) 2011-2017 Almende B.V, http://almende.com
	 * @copyright (c) 2017-2019 visjs contributors, https://github.com/visjs
	 *
	 * @license
	 * vis.js is dual licensed under both
	 *
	 *   1. The Apache 2.0 License
	 *      http://www.apache.org/licenses/LICENSE-2.0
	 *
	 *   and
	 *
	 *   2. The MIT License
	 *      http://opensource.org/licenses/MIT
	 *
	 * vis.js may be distributed under either license.
	 */function ds(){throw new Error("Dynamic requires are not currently supported by rollup-plugin-commonjs")}function fs(t,e){return t(e={exports:{}},e.exports),e.exports}var ps=function(t){return t&&t.Math==Math&&t},ms=ps("object"==typeof globalThis&&globalThis)||ps("object"==typeof window&&window)||ps("object"==typeof self&&self)||ps("object"==typeof cs&&cs)||Function("return this")(),vs=function(t){try{return!!t()}catch(t){return!0}},gs=!vs((function(){return 7!=Object.defineProperty({},1,{get:function(){return 7}})[1]})),ys={}.propertyIsEnumerable,bs=Object.getOwnPropertyDescriptor,_s={f:bs&&!ys.call({1:2},1)?function(t){var e=bs(this,t);return!!e&&e.enumerable}:ys},ws=function(t,e){return{enumerable:!(1&t),configurable:!(2&t),writable:!(4&t),value:e}},ks={}.toString,Ss=function(t){return ks.call(t).slice(8,-1)},Ds="".split,xs=vs((function(){return!Object("z").propertyIsEnumerable(0)}))?function(t){return"String"==Ss(t)?Ds.call(t,""):Object(t)}:Object,Os=function(t){if(null==t)throw TypeError("Can't call method on "+t);return t},Ms=function(t){return xs(Os(t))},Ts=function(t){return"object"==typeof t?null!==t:"function"==typeof t},Cs=function(t,e){if(!Ts(t))return t;var i,n;if(e&&"function"==typeof(i=t.toString)&&!Ts(n=i.call(t)))return n;if("function"==typeof(i=t.valueOf)&&!Ts(n=i.call(t)))return n;if(!e&&"function"==typeof(i=t.toString)&&!Ts(n=i.call(t)))return n;throw TypeError("Can't convert object to primitive value")},Ps={}.hasOwnProperty,Es=function(t,e){return Ps.call(t,e)},As=ms.document,Ls=Ts(As)&&Ts(As.createElement),Is=function(t){return Ls?As.createElement(t):{}},js=!gs&&!vs((function(){return 7!=Object.defineProperty(Is("div"),"a",{get:function(){return 7}}).a})),Ys=Object.getOwnPropertyDescriptor,Ns={f:gs?Ys:function(t,e){if(t=Ms(t),e=Cs(e,!0),js)try{return Ys(t,e)}catch(t){}if(Es(t,e))return ws(!_s.f.call(t,e),t[e])}},Rs=/#|\.prototype\./,Fs=function(t,e){var i=Gs[Hs(t)];return i==Ws||i!=zs&&("function"==typeof e?vs(e):!!e)},Hs=Fs.normalize=function(t){return String(t).replace(Rs,".").toLowerCase()},Gs=Fs.data={},zs=Fs.NATIVE="N",Ws=Fs.POLYFILL="P",Vs=Fs,Us={},Bs=function(t){if("function"!=typeof t)throw TypeError(String(t)+" is not a function");return t},Xs=function(t,e,i){if(Bs(t),void 0===e)return t;switch(i){case 0:return function(){return t.call(e)};case 1:return function(i){return t.call(e,i)};case 2:return function(i,n){return t.call(e,i,n)};case 3:return function(i,n,r){return t.call(e,i,n,r)}}return function(){return t.apply(e,arguments)}},qs=function(t){if(!Ts(t))throw TypeError(String(t)+" is not an object");return t},Zs=Object.defineProperty,Js={f:gs?Zs:function(t,e,i){if(qs(t),e=Cs(e,!0),qs(i),js)try{return Zs(t,e,i)}catch(t){}if("get"in i||"set"in i)throw TypeError("Accessors not supported");return"value"in i&&(t[e]=i.value),t}},$s=gs?function(t,e,i){return Js.f(t,e,ws(1,i))}:function(t,e,i){return t[e]=i,t},Ks=Ns.f,Qs=function(t){var e=function(e,i,n){if(this instanceof t){switch(arguments.length){case 0:return new t;case 1:return new t(e);case 2:return new t(e,i)}return new t(e,i,n)}return t.apply(this,arguments)};return e.prototype=t.prototype,e},ta=function(t,e){var i,n,r,o,s,a,l,u,h=t.target,c=t.global,d=t.stat,f=t.proto,p=c?ms:d?ms[h]:(ms[h]||{}).prototype,m=c?Us:Us[h]||(Us[h]={}),v=m.prototype;for(r in e)i=!Vs(c?r:h+(d?".":"#")+r,t.forced)&&p&&Es(p,r),s=m[r],i&&(a=t.noTargetGet?(u=Ks(p,r))&&u.value:p[r]),o=i&&a?a:e[r],i&&typeof s==typeof o||(l=t.bind&&i?Xs(o,ms):t.wrap&&i?Qs(o):f&&"function"==typeof o?Xs(Function.call,o):o,(t.sham||o&&o.sham||s&&s.sham)&&$s(l,"sham",!0),m[r]=l,f&&(Es(Us,n=h+"Prototype")||$s(Us,n,{}),Us[n][r]=o,t.real&&v&&!v[r]&&$s(v,r,o)))},ea=Array.isArray||function(t){return"Array"==Ss(t)},ia=Math.ceil,na=Math.floor,ra=function(t){return isNaN(t=+t)?0:(t>0?na:ia)(t)},oa=Math.min,sa=function(t){return t>0?oa(ra(t),9007199254740991):0},aa=function(t,e,i,n,r,o,s,a){for(var l,u=r,h=0,c=!!s&&Xs(s,a,3);h<n;){if(h in i){if(l=c?c(i[h],h,e):i[h],o>0&&ea(l))u=aa(t,e,l,sa(l.length),u,o-1)-1;else{if(u>=9007199254740991)throw TypeError("Exceed the acceptable array length");t[u]=l}u++}h++}return u},la=aa,ua=function(t){return Object(Os(t))},ha=ms["__core-js_shared__"]||function(t,e){try{$s(ms,t,e)}catch(i){ms[t]=e}return e}("__core-js_shared__",{}),ca=fs((function(t){(t.exports=function(t,e){return ha[t]||(ha[t]=void 0!==e?e:{})})("versions",[]).push({version:"3.6.4",mode:"pure",copyright:"© 2020 Denis Pushkarev (zloirock.ru)"})})),da=0,fa=Math.random(),pa=function(t){return"Symbol("+String(void 0===t?"":t)+")_"+(++da+fa).toString(36)},ma=!!Object.getOwnPropertySymbols&&!vs((function(){return!String(Symbol())})),va=ma&&!Symbol.sham&&"symbol"==typeof Symbol.iterator,ga=ca("wks"),ya=ms.Symbol,ba=va?ya:ya&&ya.withoutSetter||pa,_a=function(t){return Es(ga,t)||(ma&&Es(ya,t)?ga[t]=ya[t]:ga[t]=ba("Symbol."+t)),ga[t]},wa=_a("species"),ka=function(t,e){var i;return ea(t)&&("function"!=typeof(i=t.constructor)||i!==Array&&!ea(i.prototype)?Ts(i)&&null===(i=i[wa])&&(i=void 0):i=void 0),new(void 0===i?Array:i)(0===e?0:e)};ta({target:"Array",proto:!0},{flatMap:function(t){var e,i=ua(this),n=sa(i.length);return Bs(t),(e=ka(i,0)).length=la(e,i,i,n,0,1,t,arguments.length>1?arguments[1]:void 0),e}});var Sa,Da,xa=function(t){return Us[t+"Prototype"]},Oa=xa("Array").flatMap,Ma=Array.prototype,Ta=function(t){var e=t.flatMap;return t===Ma||t instanceof Array&&e===Ma.flatMap?Oa:e},Ca=[].push,Pa=function(t){var e=1==t,i=2==t,n=3==t,r=4==t,o=6==t,s=5==t||o;return function(a,l,u,h){for(var c,d,f=ua(a),p=xs(f),m=Xs(l,u,3),v=sa(p.length),g=0,y=h||ka,b=e?y(a,v):i?y(a,0):void 0;v>g;g++)if((s||g in p)&&(d=m(c=p[g],g,f),t))if(e)b[g]=d;else if(d)switch(t){case 3:return!0;case 5:return c;case 6:return g;case 2:Ca.call(b,c)}else if(r)return!1;return o?-1:n||r?r:b}},Ea={forEach:Pa(0),map:Pa(1),filter:Pa(2),some:Pa(3),every:Pa(4),find:Pa(5),findIndex:Pa(6)},Aa=function(t){return"function"==typeof t?t:void 0},La=function(t,e){return arguments.length<2?Aa(Us[t])||Aa(ms[t]):Us[t]&&Us[t][e]||ms[t]&&ms[t][e]},Ia=La("navigator","userAgent")||"",ja=ms.process,Ya=ja&&ja.versions,Na=Ya&&Ya.v8;Na?Da=(Sa=Na.split("."))[0]+Sa[1]:Ia&&(!(Sa=Ia.match(/Edge\/(\d+)/))||Sa[1]>=74)&&(Sa=Ia.match(/Chrome\/(\d+)/))&&(Da=Sa[1]);var Ra=Da&&+Da,Fa=_a("species"),Ha=function(t){return Ra>=51||!vs((function(){var e=[];return(e.constructor={})[Fa]=function(){return{foo:1}},1!==e[t](Boolean).foo}))},Ga=Object.defineProperty,za={},Wa=function(t){throw t},Va=function(t,e){if(Es(za,t))return za[t];e||(e={});var i=[][t],n=!!Es(e,"ACCESSORS")&&e.ACCESSORS,r=Es(e,0)?e[0]:Wa,o=Es(e,1)?e[1]:void 0;return za[t]=!!i&&!vs((function(){if(n&&!gs)return!0;var t={length:-1};n?Ga(t,1,{enumerable:!0,get:Wa}):t[1]=1,i.call(t,r,o)}))},Ua=Ea.map,Ba=Ha("map"),Xa=Va("map");ta({target:"Array",proto:!0,forced:!Ba||!Xa},{map:function(t){return Ua(this,t,arguments.length>1?arguments[1]:void 0)}});var qa=xa("Array").map,Za=Array.prototype,Ja=function(t){var e=t.map;return t===Za||t instanceof Array&&e===Za.map?qa:e},$a=Ea.filter,Ka=Ha("filter"),Qa=Va("filter");ta({target:"Array",proto:!0,forced:!Ka||!Qa},{filter:function(t){return $a(this,t,arguments.length>1?arguments[1]:void 0)}});var tl=xa("Array").filter,el=Array.prototype,il=function(t){var e=t.filter;return t===el||t instanceof Array&&e===el.filter?tl:e},nl=function(t){return function(e,i,n,r){Bs(i);var o=ua(e),s=xs(o),a=sa(o.length),l=t?a-1:0,u=t?-1:1;if(n<2)for(;;){if(l in s){r=s[l],l+=u;break}if(l+=u,t?l<0:a<=l)throw TypeError("Reduce of empty array with no initial value")}for(;t?l>=0:a>l;l+=u)l in s&&(r=i(r,s[l],l,o));return r}},rl=function(t,e){var i=[][t];return!!i&&vs((function(){i.call(null,e||function(){throw 1},1)}))},ol={left:nl(!1),right:nl(!0)}.left,sl=rl("reduce"),al=Va("reduce",{1:0});ta({target:"Array",proto:!0,forced:!sl||!al},{reduce:function(t){return ol(this,t,arguments.length,arguments.length>1?arguments[1]:void 0)}});var ll=xa("Array").reduce,ul=Array.prototype,hl=function(t){var e=t.reduce;return t===ul||t instanceof Array&&e===ul.reduce?ll:e},cl=[].slice,dl={},fl=function(t,e,i){if(!(e in dl)){for(var n=[],r=0;r<e;r++)n[r]="a["+r+"]";dl[e]=Function("C,a","return new C("+n.join(",")+")")}return dl[e](t,i)},pl=Function.bind||function(t){var e=Bs(this),i=cl.call(arguments,1),n=function(){var r=i.concat(cl.call(arguments));return this instanceof n?fl(e,r.length,r):e.apply(t,r)};return Ts(e.prototype)&&(n.prototype=e.prototype),n};ta({target:"Function",proto:!0},{bind:pl});var ml=xa("Function").bind,vl=Function.prototype,gl=function(t){var e=t.bind;return t===vl||t instanceof Function&&e===vl.bind?ml:e};var yl=function(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")};ta({target:"Object",stat:!0,forced:!gs,sham:!gs},{defineProperty:Js.f});var bl=fs((function(t){var e=Us.Object,i=t.exports=function(t,i,n){return e.defineProperty(t,i,n)};e.defineProperty.sham&&(i.sham=!0)})),_l=bl;function wl(t,e){for(var i=0;i<e.length;i++){var n=e[i];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),_l(t,n.key,n)}}var kl=function(t,e,i){return e&&wl(t.prototype,e),i&&wl(t,i),t};function Sl(t){return new xl(t)}var Dl=function(){function t(e,i,n){var r,o,s;yl(this,t),this._source=e,this._transformers=i,this._target=n,this._listeners={add:gl(r=this._add).call(r,this),remove:gl(o=this._remove).call(o,this),update:gl(s=this._update).call(s,this)}}return kl(t,[{key:"all",value:function(){return this._target.update(this._transformItems(this._source.get())),this}},{key:"start",value:function(){return this._source.on("add",this._listeners.add),this._source.on("remove",this._listeners.remove),this._source.on("update",this._listeners.update),this}},{key:"stop",value:function(){return this._source.off("add",this._listeners.add),this._source.off("remove",this._listeners.remove),this._source.off("update",this._listeners.update),this}},{key:"_transformItems",value:function(t){var e;return hl(e=this._transformers).call(e,(function(t,e){return e(t)}),t)}},{key:"_add",value:function(t,e){null!=e&&this._target.add(this._transformItems(this._source.get(e.items)))}},{key:"_update",value:function(t,e){null!=e&&this._target.update(this._transformItems(this._source.get(e.items)))}},{key:"_remove",value:function(t,e){null!=e&&this._target.remove(this._transformItems(e.oldData))}}]),t}(),xl=function(){function t(e){yl(this,t),this._source=e,this._transformers=[]}return kl(t,[{key:"filter",value:function(t){return this._transformers.push((function(e){return il(e).call(e,t)})),this}},{key:"map",value:function(t){return this._transformers.push((function(e){return Ja(e).call(e,t)})),this}},{key:"flatMap",value:function(t){return this._transformers.push((function(e){return Ta(e).call(e,t)})),this}},{key:"to",value:function(t){return new Dl(this._source,this._transformers,t)}}]),t}(),Ol=bl,Ml=Math.max,Tl=Math.min,Cl=function(t,e){var i=ra(t);return i<0?Ml(i+e,0):Tl(i,e)},Pl=function(t){return function(e,i,n){var r,o=Ms(e),s=sa(o.length),a=Cl(n,s);if(t&&i!=i){for(;s>a;)if((r=o[a++])!=r)return!0}else for(;s>a;a++)if((t||a in o)&&o[a]===i)return t||a||0;return!t&&-1}},El={includes:Pl(!0),indexOf:Pl(!1)},Al={},Ll=El.indexOf,Il=function(t,e){var i,n=Ms(t),r=0,o=[];for(i in n)!Es(Al,i)&&Es(n,i)&&o.push(i);for(;e.length>r;)Es(n,i=e[r++])&&(~Ll(o,i)||o.push(i));return o},jl=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],Yl=Object.keys||function(t){return Il(t,jl)},Nl=gs?Object.defineProperties:function(t,e){qs(t);for(var i,n=Yl(e),r=n.length,o=0;r>o;)Js.f(t,i=n[o++],e[i]);return t};ta({target:"Object",stat:!0,forced:!gs,sham:!gs},{defineProperties:Nl});var Rl=fs((function(t){var e=Us.Object,i=t.exports=function(t,i){return e.defineProperties(t,i)};e.defineProperties.sham&&(i.sham=!0)})),Fl=jl.concat("length","prototype"),Hl={f:Object.getOwnPropertyNames||function(t){return Il(t,Fl)}},Gl={f:Object.getOwnPropertySymbols},zl=La("Reflect","ownKeys")||function(t){var e=Hl.f(qs(t)),i=Gl.f;return i?e.concat(i(t)):e},Wl=function(t,e,i){var n=Cs(e);n in t?Js.f(t,n,ws(0,i)):t[n]=i};ta({target:"Object",stat:!0,sham:!gs},{getOwnPropertyDescriptors:function(t){for(var e,i,n=Ms(t),r=Ns.f,o=zl(n),s={},a=0;o.length>a;)void 0!==(i=r(n,e=o[a++]))&&Wl(s,e,i);return s}});var Vl=Us.Object.getOwnPropertyDescriptors,Ul={},Bl=Function.toString;"function"!=typeof ha.inspectSource&&(ha.inspectSource=function(t){return Bl.call(t)});var Xl,ql,Zl,Jl=ha.inspectSource,$l=ms.WeakMap,Kl="function"==typeof $l&&/native code/.test(Jl($l)),Ql=ca("keys"),tu=function(t){return Ql[t]||(Ql[t]=pa(t))},eu=ms.WeakMap;if(Kl){var iu=new eu,nu=iu.get,ru=iu.has,ou=iu.set;Xl=function(t,e){return ou.call(iu,t,e),e},ql=function(t){return nu.call(iu,t)||{}},Zl=function(t){return ru.call(iu,t)}}else{var su=tu("state");Al[su]=!0,Xl=function(t,e){return $s(t,su,e),e},ql=function(t){return Es(t,su)?t[su]:{}},Zl=function(t){return Es(t,su)}}var au,lu,uu,hu={set:Xl,get:ql,has:Zl,enforce:function(t){return Zl(t)?ql(t):Xl(t,{})},getterFor:function(t){return function(e){var i;if(!Ts(e)||(i=ql(e)).type!==t)throw TypeError("Incompatible receiver, "+t+" required");return i}}},cu=!vs((function(){function t(){}return t.prototype.constructor=null,Object.getPrototypeOf(new t)!==t.prototype})),du=tu("IE_PROTO"),fu=Object.prototype,pu=cu?Object.getPrototypeOf:function(t){return t=ua(t),Es(t,du)?t[du]:"function"==typeof t.constructor&&t instanceof t.constructor?t.constructor.prototype:t instanceof Object?fu:null},mu=(_a("iterator"),!1);[].keys&&("next"in(uu=[].keys())?(lu=pu(pu(uu)))!==Object.prototype&&(au=lu):mu=!0),null==au&&(au={});var vu,gu={IteratorPrototype:au,BUGGY_SAFARI_ITERATORS:mu},yu=La("document","documentElement"),bu=tu("IE_PROTO"),_u=function(){},wu=function(t){return"<script>"+t+"<\/script>"},ku=function(){try{vu=document.domain&&new ActiveXObject("htmlfile")}catch(t){}var t,e;ku=vu?function(t){t.write(wu("")),t.close();var e=t.parentWindow.Object;return t=null,e}(vu):((e=Is("iframe")).style.display="none",yu.appendChild(e),e.src=String("javascript:"),(t=e.contentWindow.document).open(),t.write(wu("document.F=Object")),t.close(),t.F);for(var i=jl.length;i--;)delete ku.prototype[jl[i]];return ku()};Al[bu]=!0;var Su=Object.create||function(t,e){var i;return null!==t?(_u.prototype=qs(t),i=new _u,_u.prototype=null,i[bu]=t):i=ku(),void 0===e?i:Nl(i,e)},Du={};Du[_a("toStringTag")]="z";var xu="[object z]"===String(Du),Ou=_a("toStringTag"),Mu="Arguments"==Ss(function(){return arguments}()),Tu=xu?Ss:function(t){var e,i,n;return void 0===t?"Undefined":null===t?"Null":"string"==typeof(i=function(t,e){try{return t[e]}catch(t){}}(e=Object(t),Ou))?i:Mu?Ss(e):"Object"==(n=Ss(e))&&"function"==typeof e.callee?"Arguments":n},Cu=xu?{}.toString:function(){return"[object "+Tu(this)+"]"},Pu=Js.f,Eu=_a("toStringTag"),Au=function(t,e,i,n){if(t){var r=i?t:t.prototype;Es(r,Eu)||Pu(r,Eu,{configurable:!0,value:e}),n&&!xu&&$s(r,"toString",Cu)}},Lu=gu.IteratorPrototype,Iu=function(){return this},ju=Object.setPrototypeOf||("__proto__"in{}?function(){var t,e=!1,i={};try{(t=Object.getOwnPropertyDescriptor(Object.prototype,"__proto__").set).call(i,[]),e=i instanceof Array}catch(t){}return function(i,n){return qs(i),function(t){if(!Ts(t)&&null!==t)throw TypeError("Can't set "+String(t)+" as a prototype")}(n),e?t.call(i,n):i.__proto__=n,i}}():void 0),Yu=function(t,e,i,n){n&&n.enumerable?t[e]=i:$s(t,e,i)},Nu=gu.IteratorPrototype,Ru=gu.BUGGY_SAFARI_ITERATORS,Fu=_a("iterator"),Hu=function(){return this},Gu=function(t,e,i,n,r,o,s){!function(t,e,i){var n=e+" Iterator";t.prototype=Su(Lu,{next:ws(1,i)}),Au(t,n,!1,!0),Ul[n]=Iu}(i,e,n);var a,l,u,h=function(t){if(t===r&&m)return m;if(!Ru&&t in f)return f[t];switch(t){case"keys":case"values":case"entries":return function(){return new i(this,t)}}return function(){return new i(this)}},c=e+" Iterator",d=!1,f=t.prototype,p=f[Fu]||f["@@iterator"]||r&&f[r],m=!Ru&&p||h(r),v="Array"==e&&f.entries||p;if(v&&(a=pu(v.call(new t)),Nu!==Object.prototype&&a.next&&(Au(a,c,!0,!0),Ul[c]=Hu)),"values"==r&&p&&"values"!==p.name&&(d=!0,m=function(){return p.call(this)}),s&&f[Fu]!==m&&$s(f,Fu,m),Ul[e]=m,r)if(l={values:h("values"),keys:o?m:h("keys"),entries:h("entries")},s)for(u in l)!Ru&&!d&&u in f||Yu(f,u,l[u]);else ta({target:e,proto:!0,forced:Ru||d},l);return l},zu=hu.set,Wu=hu.getterFor("Array Iterator");Gu(Array,"Array",(function(t,e){zu(this,{type:"Array Iterator",target:Ms(t),index:0,kind:e})}),(function(){var t=Wu(this),e=t.target,i=t.kind,n=t.index++;return!e||n>=e.length?(t.target=void 0,{value:void 0,done:!0}):"keys"==i?{value:n,done:!1}:"values"==i?{value:e[n],done:!1}:{value:[n,e[n]],done:!1}}),"values");Ul.Arguments=Ul.Array;var Vu=_a("toStringTag");for(var Uu in{CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0}){var Bu=ms[Uu],Xu=Bu&&Bu.prototype;Xu&&Tu(Xu)!==Vu&&$s(Xu,Vu,Uu),Ul[Uu]=Ul.Array}var qu=Ea.forEach,Zu=rl("forEach"),Ju=Va("forEach"),$u=Zu&&Ju?[].forEach:function(t){return qu(this,t,arguments.length>1?arguments[1]:void 0)};ta({target:"Array",proto:!0,forced:[].forEach!=$u},{forEach:$u});var Ku=xa("Array").forEach,Qu=Array.prototype,th={DOMTokenList:!0,NodeList:!0},eh=function(t){var e=t.forEach;return t===Qu||t instanceof Array&&e===Qu.forEach||th.hasOwnProperty(Tu(t))?Ku:e},ih=Ns.f,nh=vs((function(){ih(1)}));ta({target:"Object",stat:!0,forced:!gs||nh,sham:!gs},{getOwnPropertyDescriptor:function(t,e){return ih(Ms(t),e)}});var rh=fs((function(t){var e=Us.Object,i=t.exports=function(t,i){return e.getOwnPropertyDescriptor(t,i)};e.getOwnPropertyDescriptor.sham&&(i.sham=!0)})),oh=Hl.f,sh={}.toString,ah="object"==typeof window&&window&&Object.getOwnPropertyNames?Object.getOwnPropertyNames(window):[],lh={f:function(t){return ah&&"[object Window]"==sh.call(t)?function(t){try{return oh(t)}catch(t){return ah.slice()}}(t):oh(Ms(t))}},uh={f:_a},hh=Js.f,ch=function(t){var e=Us.Symbol||(Us.Symbol={});Es(e,t)||hh(e,t,{value:uh.f(t)})},dh=Ea.forEach,fh=tu("hidden"),ph=_a("toPrimitive"),mh=hu.set,vh=hu.getterFor("Symbol"),gh=Object.prototype,yh=ms.Symbol,bh=La("JSON","stringify"),_h=Ns.f,wh=Js.f,kh=lh.f,Sh=_s.f,Dh=ca("symbols"),xh=ca("op-symbols"),Oh=ca("string-to-symbol-registry"),Mh=ca("symbol-to-string-registry"),Th=ca("wks"),Ch=ms.QObject,Ph=!Ch||!Ch.prototype||!Ch.prototype.findChild,Eh=gs&&vs((function(){return 7!=Su(wh({},"a",{get:function(){return wh(this,"a",{value:7}).a}})).a}))?function(t,e,i){var n=_h(gh,e);n&&delete gh[e],wh(t,e,i),n&&t!==gh&&wh(gh,e,n)}:wh,Ah=function(t,e){var i=Dh[t]=Su(yh.prototype);return mh(i,{type:"Symbol",tag:t,description:e}),gs||(i.description=e),i},Lh=va?function(t){return"symbol"==typeof t}:function(t){return Object(t)instanceof yh},Ih=function(t,e,i){t===gh&&Ih(xh,e,i),qs(t);var n=Cs(e,!0);return qs(i),Es(Dh,n)?(i.enumerable?(Es(t,fh)&&t[fh][n]&&(t[fh][n]=!1),i=Su(i,{enumerable:ws(0,!1)})):(Es(t,fh)||wh(t,fh,ws(1,{})),t[fh][n]=!0),Eh(t,n,i)):wh(t,n,i)},jh=function(t,e){qs(t);var i=Ms(e),n=Yl(i).concat(Fh(i));return dh(n,(function(e){gs&&!Yh.call(i,e)||Ih(t,e,i[e])})),t},Yh=function(t){var e=Cs(t,!0),i=Sh.call(this,e);return!(this===gh&&Es(Dh,e)&&!Es(xh,e))&&(!(i||!Es(this,e)||!Es(Dh,e)||Es(this,fh)&&this[fh][e])||i)},Nh=function(t,e){var i=Ms(t),n=Cs(e,!0);if(i!==gh||!Es(Dh,n)||Es(xh,n)){var r=_h(i,n);return!r||!Es(Dh,n)||Es(i,fh)&&i[fh][n]||(r.enumerable=!0),r}},Rh=function(t){var e=kh(Ms(t)),i=[];return dh(e,(function(t){Es(Dh,t)||Es(Al,t)||i.push(t)})),i},Fh=function(t){var e=t===gh,i=kh(e?xh:Ms(t)),n=[];return dh(i,(function(t){!Es(Dh,t)||e&&!Es(gh,t)||n.push(Dh[t])})),n};if(ma||(Yu((yh=function(){if(this instanceof yh)throw TypeError("Symbol is not a constructor");var t=arguments.length&&void 0!==arguments[0]?String(arguments[0]):void 0,e=pa(t),i=function(t){this===gh&&i.call(xh,t),Es(this,fh)&&Es(this[fh],e)&&(this[fh][e]=!1),Eh(this,e,ws(1,t))};return gs&&Ph&&Eh(gh,e,{configurable:!0,set:i}),Ah(e,t)}).prototype,"toString",(function(){return vh(this).tag})),Yu(yh,"withoutSetter",(function(t){return Ah(pa(t),t)})),_s.f=Yh,Js.f=Ih,Ns.f=Nh,Hl.f=lh.f=Rh,Gl.f=Fh,uh.f=function(t){return Ah(_a(t),t)},gs&&wh(yh.prototype,"description",{configurable:!0,get:function(){return vh(this).description}})),ta({global:!0,wrap:!0,forced:!ma,sham:!ma},{Symbol:yh}),dh(Yl(Th),(function(t){ch(t)})),ta({target:"Symbol",stat:!0,forced:!ma},{for:function(t){var e=String(t);if(Es(Oh,e))return Oh[e];var i=yh(e);return Oh[e]=i,Mh[i]=e,i},keyFor:function(t){if(!Lh(t))throw TypeError(t+" is not a symbol");if(Es(Mh,t))return Mh[t]},useSetter:function(){Ph=!0},useSimple:function(){Ph=!1}}),ta({target:"Object",stat:!0,forced:!ma,sham:!gs},{create:function(t,e){return void 0===e?Su(t):jh(Su(t),e)},defineProperty:Ih,defineProperties:jh,getOwnPropertyDescriptor:Nh}),ta({target:"Object",stat:!0,forced:!ma},{getOwnPropertyNames:Rh,getOwnPropertySymbols:Fh}),ta({target:"Object",stat:!0,forced:vs((function(){Gl.f(1)}))},{getOwnPropertySymbols:function(t){return Gl.f(ua(t))}}),bh){var Hh=!ma||vs((function(){var t=yh();return"[null]"!=bh([t])||"{}"!=bh({a:t})||"{}"!=bh(Object(t))}));ta({target:"JSON",stat:!0,forced:Hh},{stringify:function(t,e,i){for(var n,r=[t],o=1;arguments.length>o;)r.push(arguments[o++]);if(n=e,(Ts(e)||void 0!==t)&&!Lh(t))return ea(e)||(e=function(t,e){if("function"==typeof n&&(e=n.call(this,t,e)),!Lh(e))return e}),r[1]=e,bh.apply(null,r)}})}yh.prototype[ph]||$s(yh.prototype,ph,yh.prototype.valueOf),Au(yh,"Symbol"),Al[fh]=!0;var Gh=Us.Object.getOwnPropertySymbols,zh=xa("Array").entries,Wh=Array.prototype,Vh={DOMTokenList:!0,NodeList:!0},Uh=function(t){var e=t.entries;return t===Wh||t instanceof Array&&e===Wh.entries||Vh.hasOwnProperty(Tu(t))?zh:e},Bh=fs((function(t){var e=function(t){var e=Object.prototype,i=e.hasOwnProperty,n="function"==typeof Symbol?Symbol:{},r=n.iterator||"@@iterator",o=n.asyncIterator||"@@asyncIterator",s=n.toStringTag||"@@toStringTag";function a(t,e,i,n){var r=e&&e.prototype instanceof h?e:h,o=Object.create(r.prototype),s=new k(n||[]);return o._invoke=function(t,e,i){var n="suspendedStart";return function(r,o){if("executing"===n)throw new Error("Generator is already running");if("completed"===n){if("throw"===r)throw o;return D()}for(i.method=r,i.arg=o;;){var s=i.delegate;if(s){var a=b(s,i);if(a){if(a===u)continue;return a}}if("next"===i.method)i.sent=i._sent=i.arg;else if("throw"===i.method){if("suspendedStart"===n)throw n="completed",i.arg;i.dispatchException(i.arg)}else"return"===i.method&&i.abrupt("return",i.arg);n="executing";var h=l(t,e,i);if("normal"===h.type){if(n=i.done?"completed":"suspendedYield",h.arg===u)continue;return{value:h.arg,done:i.done}}"throw"===h.type&&(n="completed",i.method="throw",i.arg=h.arg)}}}(t,i,s),o}function l(t,e,i){try{return{type:"normal",arg:t.call(e,i)}}catch(t){return{type:"throw",arg:t}}}t.wrap=a;var u={};function h(){}function c(){}function d(){}var f={};f[r]=function(){return this};var p=Object.getPrototypeOf,m=p&&p(p(S([])));m&&m!==e&&i.call(m,r)&&(f=m);var v=d.prototype=h.prototype=Object.create(f);function g(t){["next","throw","return"].forEach((function(e){t[e]=function(t){return this._invoke(e,t)}}))}function y(t){var e;this._invoke=function(n,r){function o(){return new Promise((function(e,o){!function e(n,r,o,s){var a=l(t[n],t,r);if("throw"!==a.type){var u=a.arg,h=u.value;return h&&"object"==typeof h&&i.call(h,"__await")?Promise.resolve(h.__await).then((function(t){e("next",t,o,s)}),(function(t){e("throw",t,o,s)})):Promise.resolve(h).then((function(t){u.value=t,o(u)}),(function(t){return e("throw",t,o,s)}))}s(a.arg)}(n,r,e,o)}))}return e=e?e.then(o,o):o()}}function b(t,e){var i=t.iterator[e.method];if(void 0===i){if(e.delegate=null,"throw"===e.method){if(t.iterator.return&&(e.method="return",e.arg=void 0,b(t,e),"throw"===e.method))return u;e.method="throw",e.arg=new TypeError("The iterator does not provide a 'throw' method")}return u}var n=l(i,t.iterator,e.arg);if("throw"===n.type)return e.method="throw",e.arg=n.arg,e.delegate=null,u;var r=n.arg;return r?r.done?(e[t.resultName]=r.value,e.next=t.nextLoc,"return"!==e.method&&(e.method="next",e.arg=void 0),e.delegate=null,u):r:(e.method="throw",e.arg=new TypeError("iterator result is not an object"),e.delegate=null,u)}function _(t){var e={tryLoc:t[0]};1 in t&&(e.catchLoc=t[1]),2 in t&&(e.finallyLoc=t[2],e.afterLoc=t[3]),this.tryEntries.push(e)}function w(t){var e=t.completion||{};e.type="normal",delete e.arg,t.completion=e}function k(t){this.tryEntries=[{tryLoc:"root"}],t.forEach(_,this),this.reset(!0)}function S(t){if(t){var e=t[r];if(e)return e.call(t);if("function"==typeof t.next)return t;if(!isNaN(t.length)){var n=-1,o=function e(){for(;++n<t.length;)if(i.call(t,n))return e.value=t[n],e.done=!1,e;return e.value=void 0,e.done=!0,e};return o.next=o}}return{next:D}}function D(){return{value:void 0,done:!0}}return c.prototype=v.constructor=d,d.constructor=c,d[s]=c.displayName="GeneratorFunction",t.isGeneratorFunction=function(t){var e="function"==typeof t&&t.constructor;return!!e&&(e===c||"GeneratorFunction"===(e.displayName||e.name))},t.mark=function(t){return Object.setPrototypeOf?Object.setPrototypeOf(t,d):(t.__proto__=d,s in t||(t[s]="GeneratorFunction")),t.prototype=Object.create(v),t},t.awrap=function(t){return{__await:t}},g(y.prototype),y.prototype[o]=function(){return this},t.AsyncIterator=y,t.async=function(e,i,n,r){var o=new y(a(e,i,n,r));return t.isGeneratorFunction(i)?o:o.next().then((function(t){return t.done?t.value:o.next()}))},g(v),v[s]="Generator",v[r]=function(){return this},v.toString=function(){return"[object Generator]"},t.keys=function(t){var e=[];for(var i in t)e.push(i);return e.reverse(),function i(){for(;e.length;){var n=e.pop();if(n in t)return i.value=n,i.done=!1,i}return i.done=!0,i}},t.values=S,k.prototype={constructor:k,reset:function(t){if(this.prev=0,this.next=0,this.sent=this._sent=void 0,this.done=!1,this.delegate=null,this.method="next",this.arg=void 0,this.tryEntries.forEach(w),!t)for(var e in this)"t"===e.charAt(0)&&i.call(this,e)&&!isNaN(+e.slice(1))&&(this[e]=void 0)},stop:function(){this.done=!0;var t=this.tryEntries[0].completion;if("throw"===t.type)throw t.arg;return this.rval},dispatchException:function(t){if(this.done)throw t;var e=this;function n(i,n){return s.type="throw",s.arg=t,e.next=i,n&&(e.method="next",e.arg=void 0),!!n}for(var r=this.tryEntries.length-1;r>=0;--r){var o=this.tryEntries[r],s=o.completion;if("root"===o.tryLoc)return n("end");if(o.tryLoc<=this.prev){var a=i.call(o,"catchLoc"),l=i.call(o,"finallyLoc");if(a&&l){if(this.prev<o.catchLoc)return n(o.catchLoc,!0);if(this.prev<o.finallyLoc)return n(o.finallyLoc)}else if(a){if(this.prev<o.catchLoc)return n(o.catchLoc,!0)}else{if(!l)throw new Error("try statement without catch or finally");if(this.prev<o.finallyLoc)return n(o.finallyLoc)}}}},abrupt:function(t,e){for(var n=this.tryEntries.length-1;n>=0;--n){var r=this.tryEntries[n];if(r.tryLoc<=this.prev&&i.call(r,"finallyLoc")&&this.prev<r.finallyLoc){var o=r;break}}o&&("break"===t||"continue"===t)&&o.tryLoc<=e&&e<=o.finallyLoc&&(o=null);var s=o?o.completion:{};return s.type=t,s.arg=e,o?(this.method="next",this.next=o.finallyLoc,u):this.complete(s)},complete:function(t,e){if("throw"===t.type)throw t.arg;return"break"===t.type||"continue"===t.type?this.next=t.arg:"return"===t.type?(this.rval=this.arg=t.arg,this.method="return",this.next="end"):"normal"===t.type&&e&&(this.next=e),u},finish:function(t){for(var e=this.tryEntries.length-1;e>=0;--e){var i=this.tryEntries[e];if(i.finallyLoc===t)return this.complete(i.completion,i.afterLoc),w(i),u}},catch:function(t){for(var e=this.tryEntries.length-1;e>=0;--e){var i=this.tryEntries[e];if(i.tryLoc===t){var n=i.completion;if("throw"===n.type){var r=n.arg;w(i)}return r}}throw new Error("illegal catch attempt")},delegateYield:function(t,e,i){return this.delegate={iterator:S(t),resultName:e,nextLoc:i},"next"===this.method&&(this.arg=void 0),u}},t}(t.exports);try{regeneratorRuntime=e}catch(t){Function("r","regeneratorRuntime = r")(e)}}));ch("iterator");var Xh=function(t){return function(e,i){var n,r,o=String(Os(e)),s=ra(i),a=o.length;return s<0||s>=a?t?"":void 0:(n=o.charCodeAt(s))<55296||n>56319||s+1===a||(r=o.charCodeAt(s+1))<56320||r>57343?t?o.charAt(s):n:t?o.slice(s,s+2):r-56320+(n-55296<<10)+65536}},qh={codeAt:Xh(!1),charAt:Xh(!0)}.charAt,Zh=hu.set,Jh=hu.getterFor("String Iterator");Gu(String,"String",(function(t){Zh(this,{type:"String Iterator",string:String(t),index:0})}),(function(){var t,e=Jh(this),i=e.string,n=e.index;return n>=i.length?{value:void 0,done:!0}:(t=qh(i,n),e.index+=t.length,{value:t,done:!1})}));var $h=uh.f("iterator"),Kh=$h,Qh=La("JSON","stringify"),tc=/[\uD800-\uDFFF]/g,ec=/^[\uD800-\uDBFF]$/,ic=/^[\uDC00-\uDFFF]$/,nc=function(t,e,i){var n=i.charAt(e-1),r=i.charAt(e+1);return ec.test(t)&&!ic.test(r)||ic.test(t)&&!ec.test(n)?"\\u"+t.charCodeAt(0).toString(16):t},rc=vs((function(){return'"\\udf06\\ud834"'!==Qh("\udf06\ud834")||'"\\udead"'!==Qh("\udead")}));Qh&&ta({target:"JSON",stat:!0,forced:rc},{stringify:function(t,e,i){var n=Qh.apply(null,arguments);return"string"==typeof n?n.replace(tc,nc):n}}),Us.JSON||(Us.JSON={stringify:JSON.stringify});var oc=function(t,e,i){return Us.JSON.stringify.apply(null,arguments)};var sc=function(t,e,i){return e in t?_l(t,e,{value:i,enumerable:!0,configurable:!0,writable:!0}):t[e]=i,t},ac=xa("Array").values,lc=Array.prototype,uc={DOMTokenList:!0,NodeList:!0},hc=function(t){var e=t.values;return t===lc||t instanceof Array&&e===lc.values||uc.hasOwnProperty(Tu(t))?ac:e},cc=_a("iterator"),dc=function(t){if(null!=t)return t[cc]||t["@@iterator"]||Ul[Tu(t)]},fc=function(t){var e=dc(t);if("function"!=typeof e)throw TypeError(String(t)+" is not iterable");return qs(e.call(t))},pc=[],mc=pc.sort,vc=vs((function(){pc.sort(void 0)})),gc=vs((function(){pc.sort(null)})),yc=rl("sort");ta({target:"Array",proto:!0,forced:vc||!gc||!yc},{sort:function(t){return void 0===t?mc.call(ua(this)):mc.call(ua(this),Bs(t))}});var bc=xa("Array").sort,_c=Array.prototype,wc=function(t){var e=t.sort;return t===_c||t instanceof Array&&e===_c.sort?bc:e},kc=xa("Array").keys,Sc=Array.prototype,Dc={DOMTokenList:!0,NodeList:!0},xc=function(t){var e=t.keys;return t===Sc||t instanceof Array&&e===Sc.keys||Dc.hasOwnProperty(Tu(t))?kc:e};ta({target:"Array",stat:!0},{isArray:ea});var Oc=Us.Array.isArray,Mc=Oc;var Tc=function(t){if(Mc(t)){for(var e=0,i=new Array(t.length);e<t.length;e++)i[e]=t[e];return i}},Cc=function(t,e,i,n){try{return n?e(qs(i)[0],i[1]):e(i)}catch(e){var r=t.return;throw void 0!==r&&qs(r.call(t)),e}},Pc=_a("iterator"),Ec=Array.prototype,Ac=function(t){return void 0!==t&&(Ul.Array===t||Ec[Pc]===t)},Lc=_a("iterator"),Ic=!1;try{var jc=0,Yc={next:function(){return{done:!!jc++}},return:function(){Ic=!0}};Yc[Lc]=function(){return this},Array.from(Yc,(function(){throw 2}))}catch(t){}var Nc=!function(t,e){if(!e&&!Ic)return!1;var i=!1;try{var n={};n[Lc]=function(){return{next:function(){return{done:i=!0}}}},t(n)}catch(t){}return i}((function(t){Array.from(t)}));ta({target:"Array",stat:!0,forced:Nc},{from:function(t){var e,i,n,r,o,s,a=ua(t),l="function"==typeof this?this:Array,u=arguments.length,h=u>1?arguments[1]:void 0,c=void 0!==h,d=dc(a),f=0;if(c&&(h=Xs(h,u>2?arguments[2]:void 0,2)),null==d||l==Array&&Ac(d))for(i=new l(e=sa(a.length));e>f;f++)s=c?h(a[f],f):a[f],Wl(i,f,s);else for(o=(r=d.call(a)).next,i=new l;!(n=o.call(r)).done;f++)s=c?Cc(r,h,[n.value,f],!0):n.value,Wl(i,f,s);return i.length=f,i}});var Rc=Us.Array.from,Fc=_a("iterator"),Hc=function(t){var e=Object(t);return void 0!==e[Fc]||"@@iterator"in e||Ul.hasOwnProperty(Tu(e))};var Gc=function(t){if(Hc(Object(t))||"[object Arguments]"===Object.prototype.toString.call(t))return Rc(t)};var zc=function(){throw new TypeError("Invalid attempt to spread non-iterable instance")};var Wc=function(t){return Tc(t)||Gc(t)||zc()},Vc=_a("isConcatSpreadable"),Uc=Ra>=51||!vs((function(){var t=[];return t[Vc]=!1,t.concat()[0]!==t})),Bc=Ha("concat"),Xc=function(t){if(!Ts(t))return!1;var e=t[Vc];return void 0!==e?!!e:ea(t)};ta({target:"Array",proto:!0,forced:!Uc||!Bc},{concat:function(t){var e,i,n,r,o,s=ua(this),a=ka(s,0),l=0;for(e=-1,n=arguments.length;e<n;e++)if(o=-1===e?s:arguments[e],Xc(o)){if(l+(r=sa(o.length))>9007199254740991)throw TypeError("Maximum allowed index exceeded");for(i=0;i<r;i++,l++)i in o&&Wl(a,l,o[i])}else{if(l>=9007199254740991)throw TypeError("Maximum allowed index exceeded");Wl(a,l++,o)}return a.length=l,a}});var qc=xa("Array").concat,Zc=Array.prototype,Jc=function(t){var e=t.concat;return t===Zc||t instanceof Array&&e===Zc.concat?qc:e},$c=Object.assign,Kc=Object.defineProperty,Qc=!$c||vs((function(){if(gs&&1!==$c({b:1},$c(Kc({},"a",{enumerable:!0,get:function(){Kc(this,"b",{value:3,enumerable:!1})}}),{b:2})).b)return!0;var t={},e={},i=Symbol();return t[i]=7,"abcdefghijklmnopqrst".split("").forEach((function(t){e[t]=t})),7!=$c({},t)[i]||"abcdefghijklmnopqrst"!=Yl($c({},e)).join("")}))?function(t,e){for(var i=ua(t),n=arguments.length,r=1,o=Gl.f,s=_s.f;n>r;)for(var a,l=xs(arguments[r++]),u=o?Yl(l).concat(o(l)):Yl(l),h=u.length,c=0;h>c;)a=u[c++],gs&&!s.call(l,a)||(i[a]=l[a]);return i}:$c;ta({target:"Object",stat:!0,forced:Object.assign!==Qc},{assign:Qc});var td=Us.Object.assign,ed=Ea.some,id=rl("some"),nd=Va("some");ta({target:"Array",proto:!0,forced:!id||!nd},{some:function(t){return ed(this,t,arguments.length>1?arguments[1]:void 0)}});var rd=xa("Array").some,od=Array.prototype,sd=function(t){var e=t.some;return t===od||t instanceof Array&&e===od.some?rd:e},ad=$h;ch("asyncIterator"),ch("hasInstance"),ch("isConcatSpreadable"),ch("match"),ch("matchAll"),ch("replace"),ch("search"),ch("species"),ch("split"),ch("toPrimitive"),ch("toStringTag"),ch("unscopables"),Au(Math,"Math",!0),Au(ms.JSON,"JSON",!0);var ld=Us.Symbol;ch("asyncDispose"),ch("dispose"),ch("observable"),ch("patternMatch"),ch("replaceAll");var ud=ld,hd=fs((function(t){function e(i){return t.exports=e="function"==typeof ud&&"symbol"==typeof ad?function(t){return typeof t}:function(t){return t&&"function"==typeof ud&&t.constructor===ud&&t!==ud.prototype?"symbol":typeof t},e(i)}t.exports=e})),cd=vs((function(){Yl(1)}));ta({target:"Object",stat:!0,forced:cd},{keys:function(t){return Yl(ua(t))}});var dd=Us.Object.keys,fd=!vs((function(){return Object.isExtensible(Object.preventExtensions({}))})),pd=fs((function(t){var e=Js.f,i=pa("meta"),n=0,r=Object.isExtensible||function(){return!0},o=function(t){e(t,i,{value:{objectID:"O"+ ++n,weakData:{}}})},s=t.exports={REQUIRED:!1,fastKey:function(t,e){if(!Ts(t))return"symbol"==typeof t?t:("string"==typeof t?"S":"P")+t;if(!Es(t,i)){if(!r(t))return"F";if(!e)return"E";o(t)}return t[i].objectID},getWeakData:function(t,e){if(!Es(t,i)){if(!r(t))return!0;if(!e)return!1;o(t)}return t[i].weakData},onFreeze:function(t){return fd&&s.REQUIRED&&r(t)&&!Es(t,i)&&o(t),t}};Al[i]=!0})),md=(pd.REQUIRED,pd.fastKey,pd.getWeakData,pd.onFreeze,fs((function(t){var e=function(t,e){this.stopped=t,this.result=e};(t.exports=function(t,i,n,r,o){var s,a,l,u,h,c,d,f=Xs(i,n,r?2:1);if(o)s=t;else{if("function"!=typeof(a=dc(t)))throw TypeError("Target is not iterable");if(Ac(a)){for(l=0,u=sa(t.length);u>l;l++)if((h=r?f(qs(d=t[l])[0],d[1]):f(t[l]))&&h instanceof e)return h;return new e(!1)}s=a.call(t)}for(c=s.next;!(d=c.call(s)).done;)if("object"==typeof(h=Cc(s,f,d.value,r))&&h&&h instanceof e)return h;return new e(!1)}).stop=function(t){return new e(!0,t)}}))),vd=function(t,e,i){if(!(t instanceof e))throw TypeError("Incorrect "+(i?i+" ":"")+"invocation");return t},gd=Js.f,yd=Ea.forEach,bd=hu.set,_d=hu.getterFor,wd=function(t,e,i){var n,r=-1!==t.indexOf("Map"),o=-1!==t.indexOf("Weak"),s=r?"set":"add",a=ms[t],l=a&&a.prototype,u={};if(gs&&"function"==typeof a&&(o||l.forEach&&!vs((function(){(new a).entries().next()})))){n=e((function(e,i){bd(vd(e,n,t),{type:t,collection:new a}),null!=i&&md(i,e[s],e,r)}));var h=_d(t);yd(["add","clear","delete","forEach","get","has","set","keys","values","entries"],(function(t){var e="add"==t||"set"==t;t in l&&(!o||"clear"!=t)&&$s(n.prototype,t,(function(i,n){var r=h(this).collection;if(!e&&o&&!Ts(i))return"get"==t&&void 0;var s=r[t](0===i?0:i,n);return e?this:s}))})),o||gd(n.prototype,"size",{configurable:!0,get:function(){return h(this).collection.size}})}else n=i.getConstructor(e,t,r,s),pd.REQUIRED=!0;return Au(n,t,!1,!0),u[t]=n,ta({global:!0,forced:!0},u),o||i.setStrong(n,t,r),n},kd=function(t,e,i){for(var n in e)i&&i.unsafe&&t[n]?t[n]=e[n]:Yu(t,n,e[n],i);return t},Sd=_a("species"),Dd=Js.f,xd=pd.fastKey,Od=hu.set,Md=hu.getterFor,Td={getConstructor:function(t,e,i,n){var r=t((function(t,o){vd(t,r,e),Od(t,{type:e,index:Su(null),first:void 0,last:void 0,size:0}),gs||(t.size=0),null!=o&&md(o,t[n],t,i)})),o=Md(e),s=function(t,e,i){var n,r,s=o(t),l=a(t,e);return l?l.value=i:(s.last=l={index:r=xd(e,!0),key:e,value:i,previous:n=s.last,next:void 0,removed:!1},s.first||(s.first=l),n&&(n.next=l),gs?s.size++:t.size++,"F"!==r&&(s.index[r]=l)),t},a=function(t,e){var i,n=o(t),r=xd(e);if("F"!==r)return n.index[r];for(i=n.first;i;i=i.next)if(i.key==e)return i};return kd(r.prototype,{clear:function(){for(var t=o(this),e=t.index,i=t.first;i;)i.removed=!0,i.previous&&(i.previous=i.previous.next=void 0),delete e[i.index],i=i.next;t.first=t.last=void 0,gs?t.size=0:this.size=0},delete:function(t){var e=o(this),i=a(this,t);if(i){var n=i.next,r=i.previous;delete e.index[i.index],i.removed=!0,r&&(r.next=n),n&&(n.previous=r),e.first==i&&(e.first=n),e.last==i&&(e.last=r),gs?e.size--:this.size--}return!!i},forEach:function(t){for(var e,i=o(this),n=Xs(t,arguments.length>1?arguments[1]:void 0,3);e=e?e.next:i.first;)for(n(e.value,e.key,this);e&&e.removed;)e=e.previous},has:function(t){return!!a(this,t)}}),kd(r.prototype,i?{get:function(t){var e=a(this,t);return e&&e.value},set:function(t,e){return s(this,0===t?0:t,e)}}:{add:function(t){return s(this,t=0===t?0:t,t)}}),gs&&Dd(r.prototype,"size",{get:function(){return o(this).size}}),r},setStrong:function(t,e,i){var n=e+" Iterator",r=Md(e),o=Md(n);Gu(t,e,(function(t,e){Od(this,{type:n,target:t,state:r(t),kind:e,last:void 0})}),(function(){for(var t=o(this),e=t.kind,i=t.last;i&&i.removed;)i=i.previous;return t.target&&(t.last=i=i?i.next:t.state.first)?"keys"==e?{value:i.key,done:!1}:"values"==e?{value:i.value,done:!1}:{value:[i.key,i.value],done:!1}:(t.target=void 0,{value:void 0,done:!0})}),i?"entries":"values",!i,!0),function(t){var e=La(t),i=Js.f;gs&&e&&!e[Sd]&&i(e,Sd,{configurable:!0,get:function(){return this}})}(e)}},Cd=(wd("Map",(function(t){return function(){return t(this,arguments.length?arguments[0]:void 0)}}),Td),Us.Map),Pd=Oc;var Ed=function(t){if(void 0===t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return t};var Ad=function(t,e){return!e||"object"!==hd(e)&&"function"!=typeof e?Ed(t):e},Ld=vs((function(){pu(1)}));ta({target:"Object",stat:!0,forced:Ld,sham:!cu},{getPrototypeOf:function(t){return pu(ua(t))}});var Id=Us.Object.getPrototypeOf;ta({target:"Object",stat:!0},{setPrototypeOf:ju});var jd=Us.Object.setPrototypeOf,Yd=fs((function(t){function e(i){return t.exports=e=jd?Id:function(t){return t.__proto__||Id(t)},e(i)}t.exports=e}));ta({target:"Object",stat:!0,sham:!gs},{create:Su});var Nd=Us.Object,Rd=function(t,e){return Nd.create(t,e)},Fd=Rd,Hd=fs((function(t){function e(i,n){return t.exports=e=jd||function(t,e){return t.__proto__=e,t},e(i,n)}t.exports=e}));for(var Gd=function(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function");t.prototype=Fd(e&&e.prototype,{constructor:{value:t,writable:!0,configurable:!0}}),e&&Hd(t,e)},zd=[],Wd=0;Wd<256;Wd++)zd[Wd]=(Wd+256).toString(16).substr(1);function Vd(t,e){var i=e||0,n=zd;return n[t[i++]]+n[t[i++]]+n[t[i++]]+n[t[i++]]+"-"+n[t[i++]]+n[t[i++]]+"-"+n[t[i++]]+n[t[i++]]+"-"+n[t[i++]]+n[t[i++]]+"-"+n[t[i++]]+n[t[i++]]+n[t[i++]]+n[t[i++]]+n[t[i++]]+n[t[i++]]}for(var Ud=function(){if("undefined"!=typeof crypto&&crypto.getRandomValues){var t=new Uint8Array(16);return function(){return crypto.getRandomValues(t),t}}var e=new Array(16);return function(){for(var t,i=0;i<16;i++)0==(3&i)&&(t=4294967296*Math.random()),e[i]=t>>>((3&i)<<3)&255;return e}}(),Bd=[],Xd=0;Xd<256;Xd++)Bd[Xd]=(Xd+256).toString(16).substr(1);var qd=Ud();qd[0],qd[1],qd[2],qd[3],qd[4],qd[5],qd[6],qd[7];
/**
	 * vis-util
	 * https://github.com/visjs/vis-util
	 *
	 * utilitie collection for visjs
	 *
	 * @version 2.1.0
	 * @date    2020-01-12T20:17:27.848Z
	 *
	 * @copyright (c) 2011-2017 Almende B.V, http://almende.com
	 * @copyright (c) 2017-2019 visjs contributors, https://github.com/visjs
	 *
	 * @license
	 * vis.js is dual licensed under both
	 *
	 *   1. The Apache 2.0 License
	 *      http://www.apache.org/licenses/LICENSE-2.0
	 *
	 *   and
	 *
	 *   2. The MIT License
	 *      http://opensource.org/licenses/MIT
	 *
	 * vis.js may be distributed under either license.
	 */
var Zd="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function Jd(t,e){return t(e={exports:{}},e.exports),e.exports}var $d=function(t){return t&&t.Math==Math&&t},Kd=$d("object"==typeof globalThis&&globalThis)||$d("object"==typeof window&&window)||$d("object"==typeof self&&self)||$d("object"==typeof Zd&&Zd)||Function("return this")(),Qd=function(t){try{return!!t()}catch(t){return!0}},tf=!Qd((function(){return 7!=Object.defineProperty({},"a",{get:function(){return 7}}).a})),ef={}.propertyIsEnumerable,nf=Object.getOwnPropertyDescriptor,rf={f:nf&&!ef.call({1:2},1)?function(t){var e=nf(this,t);return!!e&&e.enumerable}:ef},of=function(t,e){return{enumerable:!(1&t),configurable:!(2&t),writable:!(4&t),value:e}},sf={}.toString,af=function(t){return sf.call(t).slice(8,-1)},lf="".split,uf=Qd((function(){return!Object("z").propertyIsEnumerable(0)}))?function(t){return"String"==af(t)?lf.call(t,""):Object(t)}:Object,hf=function(t){if(null==t)throw TypeError("Can't call method on "+t);return t},cf=function(t){return uf(hf(t))},df=function(t){return"object"==typeof t?null!==t:"function"==typeof t},ff=function(t,e){if(!df(t))return t;var i,n;if(e&&"function"==typeof(i=t.toString)&&!df(n=i.call(t)))return n;if("function"==typeof(i=t.valueOf)&&!df(n=i.call(t)))return n;if(!e&&"function"==typeof(i=t.toString)&&!df(n=i.call(t)))return n;throw TypeError("Can't convert object to primitive value")},pf={}.hasOwnProperty,mf=function(t,e){return pf.call(t,e)},vf=Kd.document,gf=df(vf)&&df(vf.createElement),yf=function(t){return gf?vf.createElement(t):{}},bf=!tf&&!Qd((function(){return 7!=Object.defineProperty(yf("div"),"a",{get:function(){return 7}}).a})),_f=Object.getOwnPropertyDescriptor,wf={f:tf?_f:function(t,e){if(t=cf(t),e=ff(e,!0),bf)try{return _f(t,e)}catch(t){}if(mf(t,e))return of(!rf.f.call(t,e),t[e])}},kf=/#|\.prototype\./,Sf=function(t,e){var i=xf[Df(t)];return i==Mf||i!=Of&&("function"==typeof e?Qd(e):!!e)},Df=Sf.normalize=function(t){return String(t).replace(kf,".").toLowerCase()},xf=Sf.data={},Of=Sf.NATIVE="N",Mf=Sf.POLYFILL="P",Tf=Sf,Cf={},Pf=function(t,e,i){if(function(t){if("function"!=typeof t)throw TypeError(String(t)+" is not a function")}(t),void 0===e)return t;switch(i){case 0:return function(){return t.call(e)};case 1:return function(i){return t.call(e,i)};case 2:return function(i,n){return t.call(e,i,n)};case 3:return function(i,n,r){return t.call(e,i,n,r)}}return function(){return t.apply(e,arguments)}},Ef=function(t){if(!df(t))throw TypeError(String(t)+" is not an object");return t},Af=Object.defineProperty,Lf={f:tf?Af:function(t,e,i){if(Ef(t),e=ff(e,!0),Ef(i),bf)try{return Af(t,e,i)}catch(t){}if("get"in i||"set"in i)throw TypeError("Accessors not supported");return"value"in i&&(t[e]=i.value),t}},If=tf?function(t,e,i){return Lf.f(t,e,of(1,i))}:function(t,e,i){return t[e]=i,t},jf=wf.f,Yf=function(t){var e=function(e,i,n){if(this instanceof t){switch(arguments.length){case 0:return new t;case 1:return new t(e);case 2:return new t(e,i)}return new t(e,i,n)}return t.apply(this,arguments)};return e.prototype=t.prototype,e},Nf=function(t,e){var i,n,r,o,s,a,l,u,h=t.target,c=t.global,d=t.stat,f=t.proto,p=c?Kd:d?Kd[h]:(Kd[h]||{}).prototype,m=c?Cf:Cf[h]||(Cf[h]={}),v=m.prototype;for(r in e)i=!Tf(c?r:h+(d?".":"#")+r,t.forced)&&p&&mf(p,r),s=m[r],i&&(a=t.noTargetGet?(u=jf(p,r))&&u.value:p[r]),o=i&&a?a:e[r],i&&typeof s==typeof o||(l=t.bind&&i?Pf(o,Kd):t.wrap&&i?Yf(o):f&&"function"==typeof o?Pf(Function.call,o):o,(t.sham||o&&o.sham||s&&s.sham)&&If(l,"sham",!0),m[r]=l,f&&(mf(Cf,n=h+"Prototype")||If(Cf,n,{}),Cf[n][r]=o,t.real&&v&&!v[r]&&If(v,r,o)))},Rf=Array.isArray||function(t){return"Array"==af(t)};Nf({target:"Array",stat:!0},{isArray:Rf});var Ff=Cf.Array.isArray,Hf={},Gf=Kd["__core-js_shared__"]||function(t,e){try{If(Kd,t,e)}catch(i){Kd[t]=e}return e}("__core-js_shared__",{}),zf=Function.toString;"function"!=typeof Gf.inspectSource&&(Gf.inspectSource=function(t){return zf.call(t)});var Wf,Vf,Uf,Bf=Gf.inspectSource,Xf=Kd.WeakMap,qf="function"==typeof Xf&&/native code/.test(Bf(Xf)),Zf=Jd((function(t){(t.exports=function(t,e){return Gf[t]||(Gf[t]=void 0!==e?e:{})})("versions",[]).push({version:"3.6.0",mode:"pure",copyright:"© 2019 Denis Pushkarev (zloirock.ru)"})})),Jf=0,$f=Math.random(),Kf=function(t){return"Symbol("+String(void 0===t?"":t)+")_"+(++Jf+$f).toString(36)},Qf=Zf("keys"),tp=function(t){return Qf[t]||(Qf[t]=Kf(t))},ep={},ip=Kd.WeakMap;if(qf){var np=new ip,rp=np.get,op=np.has,sp=np.set;Wf=function(t,e){return sp.call(np,t,e),e},Vf=function(t){return rp.call(np,t)||{}},Uf=function(t){return op.call(np,t)}}else{var ap=tp("state");ep[ap]=!0,Wf=function(t,e){return If(t,ap,e),e},Vf=function(t){return mf(t,ap)?t[ap]:{}},Uf=function(t){return mf(t,ap)}}var lp,up,hp,cp={set:Wf,get:Vf,has:Uf,enforce:function(t){return Uf(t)?Vf(t):Wf(t,{})},getterFor:function(t){return function(e){var i;if(!df(e)||(i=Vf(e)).type!==t)throw TypeError("Incompatible receiver, "+t+" required");return i}}},dp=function(t){return Object(hf(t))},fp=!Qd((function(){function t(){}return t.prototype.constructor=null,Object.getPrototypeOf(new t)!==t.prototype})),pp=tp("IE_PROTO"),mp=Object.prototype,vp=fp?Object.getPrototypeOf:function(t){return t=dp(t),mf(t,pp)?t[pp]:"function"==typeof t.constructor&&t instanceof t.constructor?t.constructor.prototype:t instanceof Object?mp:null},gp=!!Object.getOwnPropertySymbols&&!Qd((function(){return!String(Symbol())})),yp=gp&&!Symbol.sham&&"symbol"==typeof Symbol(),bp=Zf("wks"),_p=Kd.Symbol,wp=yp?_p:Kf,kp=function(t){return mf(bp,t)||(gp&&mf(_p,t)?bp[t]=_p[t]:bp[t]=wp("Symbol."+t)),bp[t]},Sp=(kp("iterator"),!1);[].keys&&("next"in(hp=[].keys())?(up=vp(vp(hp)))!==Object.prototype&&(lp=up):Sp=!0),null==lp&&(lp={});var Dp,xp={IteratorPrototype:lp,BUGGY_SAFARI_ITERATORS:Sp},Op=Math.ceil,Mp=Math.floor,Tp=function(t){return isNaN(t=+t)?0:(t>0?Mp:Op)(t)},Cp=Math.min,Pp=function(t){return t>0?Cp(Tp(t),9007199254740991):0},Ep=Math.max,Ap=Math.min,Lp=function(t,e){var i=Tp(t);return i<0?Ep(i+e,0):Ap(i,e)},Ip=function(t){return function(e,i,n){var r,o=cf(e),s=Pp(o.length),a=Lp(n,s);if(t&&i!=i){for(;s>a;)if((r=o[a++])!=r)return!0}else for(;s>a;a++)if((t||a in o)&&o[a]===i)return t||a||0;return!t&&-1}},jp={includes:Ip(!0),indexOf:Ip(!1)},Yp=jp.indexOf,Np=function(t,e){var i,n=cf(t),r=0,o=[];for(i in n)!mf(ep,i)&&mf(n,i)&&o.push(i);for(;e.length>r;)mf(n,i=e[r++])&&(~Yp(o,i)||o.push(i));return o},Rp=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],Fp=Object.keys||function(t){return Np(t,Rp)},Hp=tf?Object.defineProperties:function(t,e){Ef(t);for(var i,n=Fp(e),r=n.length,o=0;r>o;)Lf.f(t,i=n[o++],e[i]);return t},Gp=function(t){return"function"==typeof t?t:void 0},zp=function(t,e){return arguments.length<2?Gp(Cf[t])||Gp(Kd[t]):Cf[t]&&Cf[t][e]||Kd[t]&&Kd[t][e]},Wp=zp("document","documentElement"),Vp=tp("IE_PROTO"),Up=function(){},Bp=function(t){return"<script>"+t+"<\/script>"},Xp=function(){try{Dp=document.domain&&new ActiveXObject("htmlfile")}catch(t){}var t,e;Xp=Dp?function(t){t.write(Bp("")),t.close();var e=t.parentWindow.Object;return t=null,e}(Dp):((e=yf("iframe")).style.display="none",Wp.appendChild(e),e.src=String("javascript:"),(t=e.contentWindow.document).open(),t.write(Bp("document.F=Object")),t.close(),t.F);for(var i=Rp.length;i--;)delete Xp.prototype[Rp[i]];return Xp()};ep[Vp]=!0;var qp=Object.create||function(t,e){var i;return null!==t?(Up.prototype=Ef(t),i=new Up,Up.prototype=null,i[Vp]=t):i=Xp(),void 0===e?i:Hp(i,e)},Zp={};Zp[kp("toStringTag")]="z";var Jp="[object z]"===String(Zp),$p=kp("toStringTag"),Kp="Arguments"==af(function(){return arguments}()),Qp=Jp?af:function(t){var e,i,n;return void 0===t?"Undefined":null===t?"Null":"string"==typeof(i=function(t,e){try{return t[e]}catch(t){}}(e=Object(t),$p))?i:Kp?af(e):"Object"==(n=af(e))&&"function"==typeof e.callee?"Arguments":n},tm=Jp?{}.toString:function(){return"[object "+Qp(this)+"]"},em=Lf.f,im=kp("toStringTag"),nm=function(t,e,i,n){if(t){var r=i?t:t.prototype;mf(r,im)||em(r,im,{configurable:!0,value:e}),n&&!Jp&&If(r,"toString",tm)}},rm=xp.IteratorPrototype,om=function(){return this},sm=(Object.setPrototypeOf||"__proto__"in{}&&function(){var t,e=!1,i={};try{(t=Object.getOwnPropertyDescriptor(Object.prototype,"__proto__").set).call(i,[]),e=i instanceof Array}catch(t){}}(),function(t,e,i,n){n&&n.enumerable?t[e]=i:If(t,e,i)}),am=xp.IteratorPrototype,lm=xp.BUGGY_SAFARI_ITERATORS,um=kp("iterator"),hm=function(){return this},cm=function(t,e,i,n,r,o,s){!function(t,e,i){var n=e+" Iterator";t.prototype=qp(rm,{next:of(1,i)}),nm(t,n,!1,!0),Hf[n]=om}(i,e,n);var a,l,u,h=function(t){if(t===r&&m)return m;if(!lm&&t in f)return f[t];switch(t){case"keys":case"values":case"entries":return function(){return new i(this,t)}}return function(){return new i(this)}},c=e+" Iterator",d=!1,f=t.prototype,p=f[um]||f["@@iterator"]||r&&f[r],m=!lm&&p||h(r),v="Array"==e&&f.entries||p;if(v&&(a=vp(v.call(new t)),am!==Object.prototype&&a.next&&(nm(a,c,!0,!0),Hf[c]=hm)),"values"==r&&p&&"values"!==p.name&&(d=!0,m=function(){return p.call(this)}),s&&f[um]!==m&&If(f,um,m),Hf[e]=m,r)if(l={values:h("values"),keys:o?m:h("keys"),entries:h("entries")},s)for(u in l)!lm&&!d&&u in f||sm(f,u,l[u]);else Nf({target:e,proto:!0,forced:lm||d},l);return l},dm=cp.set,fm=cp.getterFor("Array Iterator");cm(Array,"Array",(function(t,e){dm(this,{type:"Array Iterator",target:cf(t),index:0,kind:e})}),(function(){var t=fm(this),e=t.target,i=t.kind,n=t.index++;return!e||n>=e.length?(t.target=void 0,{value:void 0,done:!0}):"keys"==i?{value:n,done:!1}:"values"==i?{value:e[n],done:!1}:{value:[n,e[n]],done:!1}}),"values");Hf.Arguments=Hf.Array;var pm=kp("toStringTag");for(var mm in{CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0}){var vm=Kd[mm],gm=vm&&vm.prototype;gm&&!gm[pm]&&If(gm,pm,mm),Hf[mm]=Hf.Array}var ym=function(t){return function(e,i){var n,r,o=String(hf(e)),s=Tp(i),a=o.length;return s<0||s>=a?t?"":void 0:(n=o.charCodeAt(s))<55296||n>56319||s+1===a||(r=o.charCodeAt(s+1))<56320||r>57343?t?o.charAt(s):n:t?o.slice(s,s+2):r-56320+(n-55296<<10)+65536}},bm={codeAt:ym(!1),charAt:ym(!0)}.charAt,_m=cp.set,wm=cp.getterFor("String Iterator");cm(String,"String",(function(t){_m(this,{type:"String Iterator",string:String(t),index:0})}),(function(){var t,e=wm(this),i=e.string,n=e.index;return n>=i.length?{value:void 0,done:!0}:(t=bm(i,n),e.index+=t.length,{value:t,done:!1})}));var km=kp("iterator"),Sm=function(t){if(null!=t)return t[km]||t["@@iterator"]||Hf[Qp(t)]};kp("iterator");Nf({target:"Date",stat:!0},{now:function(){return(new Date).getTime()}});Cf.Date.now;Nf({target:"Object",stat:!0,forced:!tf,sham:!tf},{defineProperty:Lf.f});Jd((function(t){var e=Cf.Object,i=t.exports=function(t,i,n){return e.defineProperty(t,i,n)};e.defineProperty.sham&&(i.sham=!0)}));Nf({target:"Object",stat:!0,forced:!tf,sham:!tf},{defineProperties:Hp});Jd((function(t){var e=Cf.Object,i=t.exports=function(t,i){return e.defineProperties(t,i)};e.defineProperties.sham&&(i.sham=!0)}));var Dm=Rp.concat("length","prototype"),xm={f:Object.getOwnPropertyNames||function(t){return Np(t,Dm)}},Om={f:Object.getOwnPropertySymbols},Mm=zp("Reflect","ownKeys")||function(t){var e=xm.f(Ef(t)),i=Om.f;return i?e.concat(i(t)):e},Tm=function(t,e,i){var n=ff(e);n in t?Lf.f(t,n,of(0,i)):t[n]=i};Nf({target:"Object",stat:!0,sham:!tf},{getOwnPropertyDescriptors:function(t){for(var e,i,n=cf(t),r=wf.f,o=Mm(n),s={},a=0;o.length>a;)void 0!==(i=r(n,e=o[a++]))&&Tm(s,e,i);return s}});Cf.Object.getOwnPropertyDescriptors;var Cm=wf.f,Pm=Qd((function(){Cm(1)}));Nf({target:"Object",stat:!0,forced:!tf||Pm,sham:!tf},{getOwnPropertyDescriptor:function(t,e){return Cm(cf(t),e)}});Jd((function(t){var e=Cf.Object,i=t.exports=function(t,i){return e.getOwnPropertyDescriptor(t,i)};e.getOwnPropertyDescriptor.sham&&(i.sham=!0)}));var Em=xm.f,Am={}.toString,Lm="object"==typeof window&&window&&Object.getOwnPropertyNames?Object.getOwnPropertyNames(window):[],Im={f:function(t){return Lm&&"[object Window]"==Am.call(t)?function(t){try{return Em(t)}catch(t){return Lm.slice()}}(t):Em(cf(t))}},jm={f:kp},Ym=Lf.f,Nm=function(t){var e=Cf.Symbol||(Cf.Symbol={});mf(e,t)||Ym(e,t,{value:jm.f(t)})},Rm=kp("species"),Fm=function(t,e){var i;return Rf(t)&&("function"!=typeof(i=t.constructor)||i!==Array&&!Rf(i.prototype)?df(i)&&null===(i=i[Rm])&&(i=void 0):i=void 0),new(void 0===i?Array:i)(0===e?0:e)},Hm=[].push,Gm=function(t){var e=1==t,i=2==t,n=3==t,r=4==t,o=6==t,s=5==t||o;return function(a,l,u,h){for(var c,d,f=dp(a),p=uf(f),m=Pf(l,u,3),v=Pp(p.length),g=0,y=h||Fm,b=e?y(a,v):i?y(a,0):void 0;v>g;g++)if((s||g in p)&&(d=m(c=p[g],g,f),t))if(e)b[g]=d;else if(d)switch(t){case 3:return!0;case 5:return c;case 6:return g;case 2:Hm.call(b,c)}else if(r)return!1;return o?-1:n||r?r:b}},zm={forEach:Gm(0),map:Gm(1),filter:Gm(2),some:Gm(3),every:Gm(4),find:Gm(5),findIndex:Gm(6)},Wm=zm.forEach,Vm=tp("hidden"),Um=kp("toPrimitive"),Bm=cp.set,Xm=cp.getterFor("Symbol"),qm=Object.prototype,Zm=Kd.Symbol,Jm=zp("JSON","stringify"),$m=wf.f,Km=Lf.f,Qm=Im.f,tv=rf.f,ev=Zf("symbols"),iv=Zf("op-symbols"),nv=Zf("string-to-symbol-registry"),rv=Zf("symbol-to-string-registry"),ov=Zf("wks"),sv=Kd.QObject,av=!sv||!sv.prototype||!sv.prototype.findChild,lv=tf&&Qd((function(){return 7!=qp(Km({},"a",{get:function(){return Km(this,"a",{value:7}).a}})).a}))?function(t,e,i){var n=$m(qm,e);n&&delete qm[e],Km(t,e,i),n&&t!==qm&&Km(qm,e,n)}:Km,uv=function(t,e){var i=ev[t]=qp(Zm.prototype);return Bm(i,{type:"Symbol",tag:t,description:e}),tf||(i.description=e),i},hv=gp&&"symbol"==typeof Zm.iterator?function(t){return"symbol"==typeof t}:function(t){return Object(t)instanceof Zm},cv=function(t,e,i){t===qm&&cv(iv,e,i),Ef(t);var n=ff(e,!0);return Ef(i),mf(ev,n)?(i.enumerable?(mf(t,Vm)&&t[Vm][n]&&(t[Vm][n]=!1),i=qp(i,{enumerable:of(0,!1)})):(mf(t,Vm)||Km(t,Vm,of(1,{})),t[Vm][n]=!0),lv(t,n,i)):Km(t,n,i)},dv=function(t,e){Ef(t);var i=cf(e),n=Fp(i).concat(vv(i));return Wm(n,(function(e){tf&&!fv.call(i,e)||cv(t,e,i[e])})),t},fv=function(t){var e=ff(t,!0),i=tv.call(this,e);return!(this===qm&&mf(ev,e)&&!mf(iv,e))&&(!(i||!mf(this,e)||!mf(ev,e)||mf(this,Vm)&&this[Vm][e])||i)},pv=function(t,e){var i=cf(t),n=ff(e,!0);if(i!==qm||!mf(ev,n)||mf(iv,n)){var r=$m(i,n);return!r||!mf(ev,n)||mf(i,Vm)&&i[Vm][n]||(r.enumerable=!0),r}},mv=function(t){var e=Qm(cf(t)),i=[];return Wm(e,(function(t){mf(ev,t)||mf(ep,t)||i.push(t)})),i},vv=function(t){var e=t===qm,i=Qm(e?iv:cf(t)),n=[];return Wm(i,(function(t){!mf(ev,t)||e&&!mf(qm,t)||n.push(ev[t])})),n};if(gp||(sm((Zm=function(){if(this instanceof Zm)throw TypeError("Symbol is not a constructor");var t=arguments.length&&void 0!==arguments[0]?String(arguments[0]):void 0,e=Kf(t),i=function(t){this===qm&&i.call(iv,t),mf(this,Vm)&&mf(this[Vm],e)&&(this[Vm][e]=!1),lv(this,e,of(1,t))};return tf&&av&&lv(qm,e,{configurable:!0,set:i}),uv(e,t)}).prototype,"toString",(function(){return Xm(this).tag})),rf.f=fv,Lf.f=cv,wf.f=pv,xm.f=Im.f=mv,Om.f=vv,tf&&Km(Zm.prototype,"description",{configurable:!0,get:function(){return Xm(this).description}})),yp||(jm.f=function(t){return uv(kp(t),t)}),Nf({global:!0,wrap:!0,forced:!gp,sham:!gp},{Symbol:Zm}),Wm(Fp(ov),(function(t){Nm(t)})),Nf({target:"Symbol",stat:!0,forced:!gp},{for:function(t){var e=String(t);if(mf(nv,e))return nv[e];var i=Zm(e);return nv[e]=i,rv[i]=e,i},keyFor:function(t){if(!hv(t))throw TypeError(t+" is not a symbol");if(mf(rv,t))return rv[t]},useSetter:function(){av=!0},useSimple:function(){av=!1}}),Nf({target:"Object",stat:!0,forced:!gp,sham:!tf},{create:function(t,e){return void 0===e?qp(t):dv(qp(t),e)},defineProperty:cv,defineProperties:dv,getOwnPropertyDescriptor:pv}),Nf({target:"Object",stat:!0,forced:!gp},{getOwnPropertyNames:mv,getOwnPropertySymbols:vv}),Nf({target:"Object",stat:!0,forced:Qd((function(){Om.f(1)}))},{getOwnPropertySymbols:function(t){return Om.f(dp(t))}}),Jm){var gv=!gp||Qd((function(){var t=Zm();return"[null]"!=Jm([t])||"{}"!=Jm({a:t})||"{}"!=Jm(Object(t))}));Nf({target:"JSON",stat:!0,forced:gv},{stringify:function(t,e,i){for(var n,r=[t],o=1;arguments.length>o;)r.push(arguments[o++]);if(n=e,(df(e)||void 0!==t)&&!hv(t))return Rf(e)||(e=function(t,e){if("function"==typeof n&&(e=n.call(this,t,e)),!hv(e))return e}),r[1]=e,Jm.apply(null,r)}})}Zm.prototype[Um]||If(Zm.prototype,Um,Zm.prototype.valueOf),nm(Zm,"Symbol"),ep[Vm]=!0;Cf.Object.getOwnPropertySymbols;Nf({target:"Object",stat:!0,sham:!tf},{create:qp});var yv=Qd((function(){Fp(1)}));Nf({target:"Object",stat:!0,forced:yv},{keys:function(t){return Fp(dp(t))}});Cf.Object.keys;var bv="\t\n\v\f\r                　\u2028\u2029\ufeff",_v="["+bv+"]",wv=RegExp("^"+_v+_v+"*"),kv=RegExp(_v+_v+"*$"),Sv=function(t){return function(e){var i=String(hf(e));return 1&t&&(i=i.replace(wv,"")),2&t&&(i=i.replace(kv,"")),i}},Dv={start:Sv(1),end:Sv(2),trim:Sv(3)},xv=Dv.trim;Nf({target:"String",proto:!0,forced:function(t){return Qd((function(){return!!bv[t]()||"​᠎"!="​᠎"[t]()||bv[t].name!==t}))}("trim")},{trim:function(){return xv(this)}});var Ov=function(t){return Cf[t+"Prototype"]},Mv=(Ov("String").trim,function(t,e){var i=[][t];return!i||!Qd((function(){i.call(null,e||function(){throw 1},1)}))}),Tv=zm.forEach,Cv=Mv("forEach")?function(t){return Tv(this,t,arguments.length>1?arguments[1]:void 0)}:[].forEach;Nf({target:"Array",proto:!0,forced:[].forEach!=Cv},{forEach:Cv});Ov("Array").forEach;var Pv,Ev,Av=zp("navigator","userAgent")||"",Lv=Kd.process,Iv=Lv&&Lv.versions,jv=Iv&&Iv.v8;jv?Ev=(Pv=jv.split("."))[0]+Pv[1]:Av&&(!(Pv=Av.match(/Edge\/(\d+)/))||Pv[1]>=74)&&(Pv=Av.match(/Chrome\/(\d+)/))&&(Ev=Pv[1]);var Yv=Ev&&+Ev,Nv=kp("species"),Rv=function(t){return Yv>=51||!Qd((function(){var e=[];return(e.constructor={})[Nv]=function(){return{foo:1}},1!==e[t](Boolean).foo}))},Fv=zm.map,Hv=Rv("map"),Gv=Hv&&!Qd((function(){[].map.call({length:-1,0:1},(function(t){throw t}))}));Nf({target:"Array",proto:!0,forced:!Hv||!Gv},{map:function(t){return Fv(this,t,arguments.length>1?arguments[1]:void 0)}});Ov("Array").map;var zv=Dv.trim,Wv=Kd.parseInt,Vv=/^[+-]?0[Xx]/,Uv=8!==Wv(bv+"08")||22!==Wv(bv+"0x16")?function(t,e){var i=zv(String(t));return Wv(i,e>>>0||(Vv.test(i)?16:10))}:Wv;Nf({global:!0,forced:parseInt!=Uv},{parseInt:Uv});var Bv=rf.f,Xv=function(t){return function(e){for(var i,n=cf(e),r=Fp(n),o=r.length,s=0,a=[];o>s;)i=r[s++],tf&&!Bv.call(n,i)||a.push(t?[i,n[i]]:n[i]);return a}},qv={entries:Xv(!0),values:Xv(!1)}.values;Nf({target:"Object",stat:!0},{values:function(t){return qv(t)}});Cf.Object.values;var Zv=zm.filter,Jv=Rv("filter"),$v=Jv&&!Qd((function(){[].filter.call({length:-1,0:1},(function(t){throw t}))}));Nf({target:"Array",proto:!0,forced:!Jv||!$v},{filter:function(t){return Zv(this,t,arguments.length>1?arguments[1]:void 0)}});Ov("Array").filter;var Kv=kp("isConcatSpreadable"),Qv=Yv>=51||!Qd((function(){var t=[];return t[Kv]=!1,t.concat()[0]!==t})),tg=Rv("concat"),eg=function(t){if(!df(t))return!1;var e=t[Kv];return void 0!==e?!!e:Rf(t)};Nf({target:"Array",proto:!0,forced:!Qv||!tg},{concat:function(t){var e,i,n,r,o,s=dp(this),a=Fm(s,0),l=0;for(e=-1,n=arguments.length;e<n;e++)if(o=-1===e?s:arguments[e],eg(o)){if(l+(r=Pp(o.length))>9007199254740991)throw TypeError("Maximum allowed index exceeded");for(i=0;i<r;i++,l++)i in o&&Tm(a,l,o[i])}else{if(l>=9007199254740991)throw TypeError("Maximum allowed index exceeded");Tm(a,l++,o)}return a.length=l,a}});Ov("Array").concat;var ig=function(t,e,i,n){try{return n?e(Ef(i)[0],i[1]):e(i)}catch(e){var r=t.return;throw void 0!==r&&Ef(r.call(t)),e}},ng=kp("iterator"),rg=Array.prototype,og=function(t){return void 0!==t&&(Hf.Array===t||rg[ng]===t)},sg=kp("iterator"),ag=!1;try{var lg=0,ug={next:function(){return{done:!!lg++}},return:function(){ag=!0}};ug[sg]=function(){return this},Array.from(ug,(function(){throw 2}))}catch(t){}var hg=!function(t,e){if(!e&&!ag)return!1;var i=!1;try{var n={};n[sg]=function(){return{next:function(){return{done:i=!0}}}},t(n)}catch(t){}return i}((function(t){Array.from(t)}));Nf({target:"Array",stat:!0,forced:hg},{from:function(t){var e,i,n,r,o,s=dp(t),a="function"==typeof this?this:Array,l=arguments.length,u=l>1?arguments[1]:void 0,h=void 0!==u,c=0,d=Sm(s);if(h&&(u=Pf(u,l>2?arguments[2]:void 0,2)),null==d||a==Array&&og(d))for(i=new a(e=Pp(s.length));e>c;c++)Tm(i,c,h?u(s[c],c):s[c]);else for(o=(r=d.call(s)).next,i=new a;!(n=o.call(r)).done;c++)Tm(i,c,h?ig(r,u,[n.value,c],!0):n.value);return i.length=c,i}});Cf.Array.from;var cg=kp("species"),dg=[].slice,fg=Math.max;Nf({target:"Array",proto:!0,forced:!Rv("slice")},{slice:function(t,e){var i,n,r,o=cf(this),s=Pp(o.length),a=Lp(t,s),l=Lp(void 0===e?s:e,s);if(Rf(o)&&("function"!=typeof(i=o.constructor)||i!==Array&&!Rf(i.prototype)?df(i)&&null===(i=i[cg])&&(i=void 0):i=void 0,i===Array||void 0===i))return dg.call(o,a,l);for(n=new(void 0===i?Array:i)(fg(l-a,0)),r=0;a<l;a++,r++)a in o&&Tm(n,r,o[a]);return n.length=r,n}});var pg=Ov("Array").slice,mg=Array.prototype,vg=function(t){var e=t.slice;return t===mg||t instanceof Array&&e===mg.slice?pg:e},gg=Qd((function(){vp(1)}));Nf({target:"Object",stat:!0,forced:gg,sham:!fp},{getPrototypeOf:function(t){return vp(dp(t))}});var yg=Cf.Object.getPrototypeOf,bg=jp.indexOf,_g=[].indexOf,wg=!!_g&&1/[1].indexOf(1,-0)<0,kg=Mv("indexOf");Nf({target:"Array",proto:!0,forced:wg||kg},{indexOf:function(t){return wg?_g.apply(this,arguments)||0:bg(this,t,arguments.length>1?arguments[1]:void 0)}});Ov("Array").indexOf;var Sg=Ff,Dg=Object.assign,xg=Object.defineProperty,Og=!Dg||Qd((function(){if(tf&&1!==Dg({b:1},Dg(xg({},"a",{enumerable:!0,get:function(){xg(this,"b",{value:3,enumerable:!1})}}),{b:2})).b)return!0;var t={},e={},i=Symbol();return t[i]=7,"abcdefghijklmnopqrst".split("").forEach((function(t){e[t]=t})),7!=Dg({},t)[i]||"abcdefghijklmnopqrst"!=Fp(Dg({},e)).join("")}))?function(t,e){for(var i=dp(t),n=arguments.length,r=1,o=Om.f,s=rf.f;n>r;)for(var a,l=uf(arguments[r++]),u=o?Fp(l).concat(o(l)):Fp(l),h=u.length,c=0;h>c;)a=u[c++],tf&&!s.call(l,a)||(i[a]=l[a]);return i}:Dg;Nf({target:"Object",stat:!0,forced:Object.assign!==Og},{assign:Og});Cf.Object.assign;Nm("iterator");var Mg=jm.f("iterator");Nm("asyncIterator"),Nm("hasInstance"),Nm("isConcatSpreadable"),Nm("match"),Nm("matchAll"),Nm("replace"),Nm("search"),Nm("species"),Nm("split"),Nm("toPrimitive"),Nm("toStringTag"),Nm("unscopables"),nm(Math,"Math",!0),nm(Kd.JSON,"JSON",!0);var Tg=Cf.Symbol;Nm("asyncDispose"),Nm("dispose"),Nm("observable"),Nm("patternMatch"),Nm("replaceAll");for(var Cg=Tg,Pg=Jd((function(t){function e(i){return t.exports=e="function"==typeof Cg&&"symbol"==typeof Mg?function(t){return typeof t}:function(t){return t&&"function"==typeof Cg&&t.constructor===Cg&&t!==Cg.prototype?"symbol":typeof t},e(i)}t.exports=e})),Eg=[],Ag=0;Ag<256;Ag++)Eg[Ag]=(Ag+256).toString(16).substr(1);for(var Lg=function(){if("undefined"!=typeof crypto&&crypto.getRandomValues){var t=new Uint8Array(16);return function(){return crypto.getRandomValues(t),t}}var e=new Array(16);return function(){for(var t,i=0;i<16;i++)0==(3&i)&&(t=4294967296*Math.random()),e[i]=t>>>((3&i)<<3)&255;return e}}(),Ig=[],jg=0;jg<256;jg++)Ig[jg]=(jg+256).toString(16).substr(1);var Yg=Lg();Yg[0],Yg[1],Yg[2],Yg[3],Yg[4],Yg[5],Yg[6],Yg[7];function Ng(t){return t instanceof Number||"number"==typeof t}function Rg(t){return t instanceof String||"string"==typeof t}function Fg(t,e,i,n){var r=!1;!0===n&&(r=null===e[i]&&void 0!==t[i]),r?delete t[i]:t[i]=e[i]}function Hg(t,e){var i=arguments.length>2&&void 0!==arguments[2]&&arguments[2],n=arguments.length>3&&void 0!==arguments[3]&&arguments[3];for(var r in e)if(Object.prototype.hasOwnProperty.call(e,r)||!0===i)if("object"===Pg(e[r])&&null!==e[r]&&yg(e[r])===Object.prototype)void 0===t[r]?t[r]=Hg({},e[r],i):"object"===Pg(t[r])&&null!==t[r]&&yg(t[r])===Object.prototype?Hg(t[r],e[r],i):Fg(t,e,r,n);else if(Sg(e[r])){var o;t[r]=vg(o=e[r]).call(o)}else Fg(t,e,r,n);return t}function Gg(t){var e=Pg(t);return"object"===e?null===t?"null":t instanceof Boolean?"Boolean":t instanceof Number?"Number":t instanceof String?"String":Sg(t)?"Array":t instanceof Date?"Date":"Object":"number"===e?"Number":"boolean"===e?"Boolean":"string"===e?"String":void 0===e?"undefined":e}var zg=fs((function(t,e){t.exports=function(){var e,i;function n(){return e.apply(null,arguments)}function r(t){return t instanceof Array||"[object Array]"===Object.prototype.toString.call(t)}function o(t){return null!=t&&"[object Object]"===Object.prototype.toString.call(t)}function s(t){return void 0===t}function a(t){return"number"==typeof t||"[object Number]"===Object.prototype.toString.call(t)}function l(t){return t instanceof Date||"[object Date]"===Object.prototype.toString.call(t)}function u(t,e){var i,n=[];for(i=0;i<t.length;++i)n.push(e(t[i],i));return n}function h(t,e){return Object.prototype.hasOwnProperty.call(t,e)}function c(t,e){for(var i in e)h(e,i)&&(t[i]=e[i]);return h(e,"toString")&&(t.toString=e.toString),h(e,"valueOf")&&(t.valueOf=e.valueOf),t}function d(t,e,i,n){return Se(t,e,i,n,!0).utc()}function f(t){return null==t._pf&&(t._pf={empty:!1,unusedTokens:[],unusedInput:[],overflow:-2,charsLeftOver:0,nullInput:!1,invalidMonth:null,invalidFormat:!1,userInvalidated:!1,iso:!1,parsedDateParts:[],meridiem:null,rfc2822:!1,weekdayMismatch:!1}),t._pf}function p(t){if(null==t._isValid){var e=f(t),n=i.call(e.parsedDateParts,(function(t){return null!=t})),r=!isNaN(t._d.getTime())&&e.overflow<0&&!e.empty&&!e.invalidMonth&&!e.invalidWeekday&&!e.weekdayMismatch&&!e.nullInput&&!e.invalidFormat&&!e.userInvalidated&&(!e.meridiem||e.meridiem&&n);if(t._strict&&(r=r&&0===e.charsLeftOver&&0===e.unusedTokens.length&&void 0===e.bigHour),null!=Object.isFrozen&&Object.isFrozen(t))return r;t._isValid=r}return t._isValid}function m(t){var e=d(NaN);return null!=t?c(f(e),t):f(e).userInvalidated=!0,e}i=Array.prototype.some?Array.prototype.some:function(t){for(var e=Object(this),i=e.length>>>0,n=0;n<i;n++)if(n in e&&t.call(this,e[n],n,e))return!0;return!1};var v=n.momentProperties=[];function g(t,e){var i,n,r;if(s(e._isAMomentObject)||(t._isAMomentObject=e._isAMomentObject),s(e._i)||(t._i=e._i),s(e._f)||(t._f=e._f),s(e._l)||(t._l=e._l),s(e._strict)||(t._strict=e._strict),s(e._tzm)||(t._tzm=e._tzm),s(e._isUTC)||(t._isUTC=e._isUTC),s(e._offset)||(t._offset=e._offset),s(e._pf)||(t._pf=f(e)),s(e._locale)||(t._locale=e._locale),v.length>0)for(i=0;i<v.length;i++)s(r=e[n=v[i]])||(t[n]=r);return t}var y=!1;function b(t){g(this,t),this._d=new Date(null!=t._d?t._d.getTime():NaN),this.isValid()||(this._d=new Date(NaN)),!1===y&&(y=!0,n.updateOffset(this),y=!1)}function _(t){return t instanceof b||null!=t&&null!=t._isAMomentObject}function w(t){return t<0?Math.ceil(t)||0:Math.floor(t)}function k(t){var e=+t,i=0;return 0!==e&&isFinite(e)&&(i=w(e)),i}function S(t,e,i){var n,r=Math.min(t.length,e.length),o=Math.abs(t.length-e.length),s=0;for(n=0;n<r;n++)(i&&t[n]!==e[n]||!i&&k(t[n])!==k(e[n]))&&s++;return s+o}function D(t){!1===n.suppressDeprecationWarnings&&"undefined"!=typeof console&&console.warn&&console.warn("Deprecation warning: "+t)}function x(t,e){var i=!0;return c((function(){if(null!=n.deprecationHandler&&n.deprecationHandler(null,t),i){for(var r,o=[],s=0;s<arguments.length;s++){if(r="","object"==typeof arguments[s]){for(var a in r+="\n["+s+"] ",arguments[0])r+=a+": "+arguments[0][a]+", ";r=r.slice(0,-2)}else r=arguments[s];o.push(r)}D(t+"\nArguments: "+Array.prototype.slice.call(o).join("")+"\n"+(new Error).stack),i=!1}return e.apply(this,arguments)}),e)}var O,M={};function T(t,e){null!=n.deprecationHandler&&n.deprecationHandler(t,e),M[t]||(D(e),M[t]=!0)}function C(t){return t instanceof Function||"[object Function]"===Object.prototype.toString.call(t)}function P(t,e){var i,n=c({},t);for(i in e)h(e,i)&&(o(t[i])&&o(e[i])?(n[i]={},c(n[i],t[i]),c(n[i],e[i])):null!=e[i]?n[i]=e[i]:delete n[i]);for(i in t)h(t,i)&&!h(e,i)&&o(t[i])&&(n[i]=c({},n[i]));return n}function E(t){null!=t&&this.set(t)}n.suppressDeprecationWarnings=!1,n.deprecationHandler=null,O=Object.keys?Object.keys:function(t){var e,i=[];for(e in t)h(t,e)&&i.push(e);return i};var A={};function L(t,e){var i=t.toLowerCase();A[i]=A[i+"s"]=A[e]=t}function I(t){return"string"==typeof t?A[t]||A[t.toLowerCase()]:void 0}function j(t){var e,i,n={};for(i in t)h(t,i)&&(e=I(i))&&(n[e]=t[i]);return n}var Y={};function N(t,e){Y[t]=e}function R(t,e,i){var n=""+Math.abs(t),r=e-n.length;return(t>=0?i?"+":"":"-")+Math.pow(10,Math.max(0,r)).toString().substr(1)+n}var F=/(\[[^\[]*\])|(\\)?([Hh]mm(ss)?|Mo|MM?M?M?|Do|DDDo|DD?D?D?|ddd?d?|do?|w[o|w]?|W[o|W]?|Qo?|YYYYYY|YYYYY|YYYY|YY|gg(ggg?)?|GG(GGG?)?|e|E|a|A|hh?|HH?|kk?|mm?|ss?|S{1,9}|x|X|zz?|ZZ?|.)/g,H=/(\[[^\[]*\])|(\\)?(LTS|LT|LL?L?L?|l{1,4})/g,G={},z={};function W(t,e,i,n){var r=n;"string"==typeof n&&(r=function(){return this[n]()}),t&&(z[t]=r),e&&(z[e[0]]=function(){return R(r.apply(this,arguments),e[1],e[2])}),i&&(z[i]=function(){return this.localeData().ordinal(r.apply(this,arguments),t)})}function V(t,e){return t.isValid()?(e=U(e,t.localeData()),G[e]=G[e]||function(t){var e,i,n,r=t.match(F);for(e=0,i=r.length;e<i;e++)z[r[e]]?r[e]=z[r[e]]:r[e]=(n=r[e]).match(/\[[\s\S]/)?n.replace(/^\[|\]$/g,""):n.replace(/\\/g,"");return function(e){var n,o="";for(n=0;n<i;n++)o+=C(r[n])?r[n].call(e,t):r[n];return o}}(e),G[e](t)):t.localeData().invalidDate()}function U(t,e){var i=5;function n(t){return e.longDateFormat(t)||t}for(H.lastIndex=0;i>=0&&H.test(t);)t=t.replace(H,n),H.lastIndex=0,i-=1;return t}var B=/\d/,X=/\d\d/,q=/\d{3}/,Z=/\d{4}/,J=/[+-]?\d{6}/,$=/\d\d?/,K=/\d\d\d\d?/,Q=/\d\d\d\d\d\d?/,tt=/\d{1,3}/,et=/\d{1,4}/,it=/[+-]?\d{1,6}/,nt=/\d+/,rt=/[+-]?\d+/,ot=/Z|[+-]\d\d:?\d\d/gi,st=/Z|[+-]\d\d(?::?\d\d)?/gi,at=/[0-9]{0,256}['a-z\u00A0-\u05FF\u0700-\uD7FF\uF900-\uFDCF\uFDF0-\uFF07\uFF10-\uFFEF]{1,256}|[\u0600-\u06FF\/]{1,256}(\s*?[\u0600-\u06FF]{1,256}){1,2}/i,lt={};function ut(t,e,i){lt[t]=C(e)?e:function(t,n){return t&&i?i:e}}function ht(t,e){return h(lt,t)?lt[t](e._strict,e._locale):new RegExp(ct(t.replace("\\","").replace(/\\(\[)|\\(\])|\[([^\]\[]*)\]|\\(.)/g,(function(t,e,i,n,r){return e||i||n||r}))))}function ct(t){return t.replace(/[-\/\\^$*+?.()|[\]{}]/g,"\\$&")}var dt={};function ft(t,e){var i,n=e;for("string"==typeof t&&(t=[t]),a(e)&&(n=function(t,i){i[e]=k(t)}),i=0;i<t.length;i++)dt[t[i]]=n}function pt(t,e){ft(t,(function(t,i,n,r){n._w=n._w||{},e(t,n._w,n,r)}))}function mt(t,e,i){null!=e&&h(dt,t)&&dt[t](e,i._a,i,t)}function vt(t){return gt(t)?366:365}function gt(t){return t%4==0&&t%100!=0||t%400==0}W("Y",0,0,(function(){var t=this.year();return t<=9999?""+t:"+"+t})),W(0,["YY",2],0,(function(){return this.year()%100})),W(0,["YYYY",4],0,"year"),W(0,["YYYYY",5],0,"year"),W(0,["YYYYYY",6,!0],0,"year"),L("year","y"),N("year",1),ut("Y",rt),ut("YY",$,X),ut("YYYY",et,Z),ut("YYYYY",it,J),ut("YYYYYY",it,J),ft(["YYYYY","YYYYYY"],0),ft("YYYY",(function(t,e){e[0]=2===t.length?n.parseTwoDigitYear(t):k(t)})),ft("YY",(function(t,e){e[0]=n.parseTwoDigitYear(t)})),ft("Y",(function(t,e){e[0]=parseInt(t,10)})),n.parseTwoDigitYear=function(t){return k(t)+(k(t)>68?1900:2e3)};var yt,bt=_t("FullYear",!0);function _t(t,e){return function(i){return null!=i?(kt(this,t,i),n.updateOffset(this,e),this):wt(this,t)}}function wt(t,e){return t.isValid()?t._d["get"+(t._isUTC?"UTC":"")+e]():NaN}function kt(t,e,i){t.isValid()&&!isNaN(i)&&("FullYear"===e&&gt(t.year())&&1===t.month()&&29===t.date()?t._d["set"+(t._isUTC?"UTC":"")+e](i,t.month(),St(i,t.month())):t._d["set"+(t._isUTC?"UTC":"")+e](i))}function St(t,e){if(isNaN(t)||isNaN(e))return NaN;var i,n=(e%(i=12)+i)%i;return t+=(e-n)/12,1===n?gt(t)?29:28:31-n%7%2}yt=Array.prototype.indexOf?Array.prototype.indexOf:function(t){var e;for(e=0;e<this.length;++e)if(this[e]===t)return e;return-1},W("M",["MM",2],"Mo",(function(){return this.month()+1})),W("MMM",0,0,(function(t){return this.localeData().monthsShort(this,t)})),W("MMMM",0,0,(function(t){return this.localeData().months(this,t)})),L("month","M"),N("month",8),ut("M",$),ut("MM",$,X),ut("MMM",(function(t,e){return e.monthsShortRegex(t)})),ut("MMMM",(function(t,e){return e.monthsRegex(t)})),ft(["M","MM"],(function(t,e){e[1]=k(t)-1})),ft(["MMM","MMMM"],(function(t,e,i,n){var r=i._locale.monthsParse(t,n,i._strict);null!=r?e[1]=r:f(i).invalidMonth=t}));var Dt=/D[oD]?(\[[^\[\]]*\]|\s)+MMMM?/,xt="January_February_March_April_May_June_July_August_September_October_November_December".split("_"),Ot="Jan_Feb_Mar_Apr_May_Jun_Jul_Aug_Sep_Oct_Nov_Dec".split("_");function Mt(t,e,i){var n,r,o,s=t.toLocaleLowerCase();if(!this._monthsParse)for(this._monthsParse=[],this._longMonthsParse=[],this._shortMonthsParse=[],n=0;n<12;++n)o=d([2e3,n]),this._shortMonthsParse[n]=this.monthsShort(o,"").toLocaleLowerCase(),this._longMonthsParse[n]=this.months(o,"").toLocaleLowerCase();return i?"MMM"===e?-1!==(r=yt.call(this._shortMonthsParse,s))?r:null:-1!==(r=yt.call(this._longMonthsParse,s))?r:null:"MMM"===e?-1!==(r=yt.call(this._shortMonthsParse,s))?r:-1!==(r=yt.call(this._longMonthsParse,s))?r:null:-1!==(r=yt.call(this._longMonthsParse,s))?r:-1!==(r=yt.call(this._shortMonthsParse,s))?r:null}function Tt(t,e){var i;if(!t.isValid())return t;if("string"==typeof e)if(/^\d+$/.test(e))e=k(e);else if(!a(e=t.localeData().monthsParse(e)))return t;return i=Math.min(t.date(),St(t.year(),e)),t._d["set"+(t._isUTC?"UTC":"")+"Month"](e,i),t}function Ct(t){return null!=t?(Tt(this,t),n.updateOffset(this,!0),this):wt(this,"Month")}var Pt=at,Et=at;function At(){function t(t,e){return e.length-t.length}var e,i,n=[],r=[],o=[];for(e=0;e<12;e++)i=d([2e3,e]),n.push(this.monthsShort(i,"")),r.push(this.months(i,"")),o.push(this.months(i,"")),o.push(this.monthsShort(i,""));for(n.sort(t),r.sort(t),o.sort(t),e=0;e<12;e++)n[e]=ct(n[e]),r[e]=ct(r[e]);for(e=0;e<24;e++)o[e]=ct(o[e]);this._monthsRegex=new RegExp("^("+o.join("|")+")","i"),this._monthsShortRegex=this._monthsRegex,this._monthsStrictRegex=new RegExp("^("+r.join("|")+")","i"),this._monthsShortStrictRegex=new RegExp("^("+n.join("|")+")","i")}function Lt(t,e,i,n,r,o,s){var a;return t<100&&t>=0?(a=new Date(t+400,e,i,n,r,o,s),isFinite(a.getFullYear())&&a.setFullYear(t)):a=new Date(t,e,i,n,r,o,s),a}function It(t){var e;if(t<100&&t>=0){var i=Array.prototype.slice.call(arguments);i[0]=t+400,e=new Date(Date.UTC.apply(null,i)),isFinite(e.getUTCFullYear())&&e.setUTCFullYear(t)}else e=new Date(Date.UTC.apply(null,arguments));return e}function jt(t,e,i){var n=7+e-i;return-(7+It(t,0,n).getUTCDay()-e)%7+n-1}function Yt(t,e,i,n,r){var o,s,a=1+7*(e-1)+(7+i-n)%7+jt(t,n,r);return a<=0?s=vt(o=t-1)+a:a>vt(t)?(o=t+1,s=a-vt(t)):(o=t,s=a),{year:o,dayOfYear:s}}function Nt(t,e,i){var n,r,o=jt(t.year(),e,i),s=Math.floor((t.dayOfYear()-o-1)/7)+1;return s<1?n=s+Rt(r=t.year()-1,e,i):s>Rt(t.year(),e,i)?(n=s-Rt(t.year(),e,i),r=t.year()+1):(r=t.year(),n=s),{week:n,year:r}}function Rt(t,e,i){var n=jt(t,e,i),r=jt(t+1,e,i);return(vt(t)-n+r)/7}function Ft(t,e){return t.slice(e,7).concat(t.slice(0,e))}W("w",["ww",2],"wo","week"),W("W",["WW",2],"Wo","isoWeek"),L("week","w"),L("isoWeek","W"),N("week",5),N("isoWeek",5),ut("w",$),ut("ww",$,X),ut("W",$),ut("WW",$,X),pt(["w","ww","W","WW"],(function(t,e,i,n){e[n.substr(0,1)]=k(t)})),W("d",0,"do","day"),W("dd",0,0,(function(t){return this.localeData().weekdaysMin(this,t)})),W("ddd",0,0,(function(t){return this.localeData().weekdaysShort(this,t)})),W("dddd",0,0,(function(t){return this.localeData().weekdays(this,t)})),W("e",0,0,"weekday"),W("E",0,0,"isoWeekday"),L("day","d"),L("weekday","e"),L("isoWeekday","E"),N("day",11),N("weekday",11),N("isoWeekday",11),ut("d",$),ut("e",$),ut("E",$),ut("dd",(function(t,e){return e.weekdaysMinRegex(t)})),ut("ddd",(function(t,e){return e.weekdaysShortRegex(t)})),ut("dddd",(function(t,e){return e.weekdaysRegex(t)})),pt(["dd","ddd","dddd"],(function(t,e,i,n){var r=i._locale.weekdaysParse(t,n,i._strict);null!=r?e.d=r:f(i).invalidWeekday=t})),pt(["d","e","E"],(function(t,e,i,n){e[n]=k(t)}));var Ht="Sunday_Monday_Tuesday_Wednesday_Thursday_Friday_Saturday".split("_"),Gt="Sun_Mon_Tue_Wed_Thu_Fri_Sat".split("_"),zt="Su_Mo_Tu_We_Th_Fr_Sa".split("_");function Wt(t,e,i){var n,r,o,s=t.toLocaleLowerCase();if(!this._weekdaysParse)for(this._weekdaysParse=[],this._shortWeekdaysParse=[],this._minWeekdaysParse=[],n=0;n<7;++n)o=d([2e3,1]).day(n),this._minWeekdaysParse[n]=this.weekdaysMin(o,"").toLocaleLowerCase(),this._shortWeekdaysParse[n]=this.weekdaysShort(o,"").toLocaleLowerCase(),this._weekdaysParse[n]=this.weekdays(o,"").toLocaleLowerCase();return i?"dddd"===e?-1!==(r=yt.call(this._weekdaysParse,s))?r:null:"ddd"===e?-1!==(r=yt.call(this._shortWeekdaysParse,s))?r:null:-1!==(r=yt.call(this._minWeekdaysParse,s))?r:null:"dddd"===e?-1!==(r=yt.call(this._weekdaysParse,s))?r:-1!==(r=yt.call(this._shortWeekdaysParse,s))?r:-1!==(r=yt.call(this._minWeekdaysParse,s))?r:null:"ddd"===e?-1!==(r=yt.call(this._shortWeekdaysParse,s))?r:-1!==(r=yt.call(this._weekdaysParse,s))?r:-1!==(r=yt.call(this._minWeekdaysParse,s))?r:null:-1!==(r=yt.call(this._minWeekdaysParse,s))?r:-1!==(r=yt.call(this._weekdaysParse,s))?r:-1!==(r=yt.call(this._shortWeekdaysParse,s))?r:null}var Vt=at,Ut=at,Bt=at;function Xt(){function t(t,e){return e.length-t.length}var e,i,n,r,o,s=[],a=[],l=[],u=[];for(e=0;e<7;e++)i=d([2e3,1]).day(e),n=this.weekdaysMin(i,""),r=this.weekdaysShort(i,""),o=this.weekdays(i,""),s.push(n),a.push(r),l.push(o),u.push(n),u.push(r),u.push(o);for(s.sort(t),a.sort(t),l.sort(t),u.sort(t),e=0;e<7;e++)a[e]=ct(a[e]),l[e]=ct(l[e]),u[e]=ct(u[e]);this._weekdaysRegex=new RegExp("^("+u.join("|")+")","i"),this._weekdaysShortRegex=this._weekdaysRegex,this._weekdaysMinRegex=this._weekdaysRegex,this._weekdaysStrictRegex=new RegExp("^("+l.join("|")+")","i"),this._weekdaysShortStrictRegex=new RegExp("^("+a.join("|")+")","i"),this._weekdaysMinStrictRegex=new RegExp("^("+s.join("|")+")","i")}function qt(){return this.hours()%12||12}function Zt(t,e){W(t,0,0,(function(){return this.localeData().meridiem(this.hours(),this.minutes(),e)}))}function Jt(t,e){return e._meridiemParse}W("H",["HH",2],0,"hour"),W("h",["hh",2],0,qt),W("k",["kk",2],0,(function(){return this.hours()||24})),W("hmm",0,0,(function(){return""+qt.apply(this)+R(this.minutes(),2)})),W("hmmss",0,0,(function(){return""+qt.apply(this)+R(this.minutes(),2)+R(this.seconds(),2)})),W("Hmm",0,0,(function(){return""+this.hours()+R(this.minutes(),2)})),W("Hmmss",0,0,(function(){return""+this.hours()+R(this.minutes(),2)+R(this.seconds(),2)})),Zt("a",!0),Zt("A",!1),L("hour","h"),N("hour",13),ut("a",Jt),ut("A",Jt),ut("H",$),ut("h",$),ut("k",$),ut("HH",$,X),ut("hh",$,X),ut("kk",$,X),ut("hmm",K),ut("hmmss",Q),ut("Hmm",K),ut("Hmmss",Q),ft(["H","HH"],3),ft(["k","kk"],(function(t,e,i){var n=k(t);e[3]=24===n?0:n})),ft(["a","A"],(function(t,e,i){i._isPm=i._locale.isPM(t),i._meridiem=t})),ft(["h","hh"],(function(t,e,i){e[3]=k(t),f(i).bigHour=!0})),ft("hmm",(function(t,e,i){var n=t.length-2;e[3]=k(t.substr(0,n)),e[4]=k(t.substr(n)),f(i).bigHour=!0})),ft("hmmss",(function(t,e,i){var n=t.length-4,r=t.length-2;e[3]=k(t.substr(0,n)),e[4]=k(t.substr(n,2)),e[5]=k(t.substr(r)),f(i).bigHour=!0})),ft("Hmm",(function(t,e,i){var n=t.length-2;e[3]=k(t.substr(0,n)),e[4]=k(t.substr(n))})),ft("Hmmss",(function(t,e,i){var n=t.length-4,r=t.length-2;e[3]=k(t.substr(0,n)),e[4]=k(t.substr(n,2)),e[5]=k(t.substr(r))}));var $t,Kt=_t("Hours",!0),Qt={calendar:{sameDay:"[Today at] LT",nextDay:"[Tomorrow at] LT",nextWeek:"dddd [at] LT",lastDay:"[Yesterday at] LT",lastWeek:"[Last] dddd [at] LT",sameElse:"L"},longDateFormat:{LTS:"h:mm:ss A",LT:"h:mm A",L:"MM/DD/YYYY",LL:"MMMM D, YYYY",LLL:"MMMM D, YYYY h:mm A",LLLL:"dddd, MMMM D, YYYY h:mm A"},invalidDate:"Invalid date",ordinal:"%d",dayOfMonthOrdinalParse:/\d{1,2}/,relativeTime:{future:"in %s",past:"%s ago",s:"a few seconds",ss:"%d seconds",m:"a minute",mm:"%d minutes",h:"an hour",hh:"%d hours",d:"a day",dd:"%d days",M:"a month",MM:"%d months",y:"a year",yy:"%d years"},months:xt,monthsShort:Ot,week:{dow:0,doy:6},weekdays:Ht,weekdaysMin:zt,weekdaysShort:Gt,meridiemParse:/[ap]\.?m?\.?/i},te={},ee={};function ie(t){return t?t.toLowerCase().replace("_","-"):t}function ne(e){var i=null;if(!te[e]&&t&&t.exports)try{i=$t._abbr,ds(),re(i)}catch(t){}return te[e]}function re(t,e){var i;return t&&((i=s(e)?se(t):oe(t,e))?$t=i:"undefined"!=typeof console&&console.warn&&console.warn("Locale "+t+" not found. Did you forget to load it?")),$t._abbr}function oe(t,e){if(null!==e){var i,n=Qt;if(e.abbr=t,null!=te[t])T("defineLocaleOverride","use moment.updateLocale(localeName, config) to change an existing locale. moment.defineLocale(localeName, config) should only be used for creating a new locale See http://momentjs.com/guides/#/warnings/define-locale/ for more info."),n=te[t]._config;else if(null!=e.parentLocale)if(null!=te[e.parentLocale])n=te[e.parentLocale]._config;else{if(null==(i=ne(e.parentLocale)))return ee[e.parentLocale]||(ee[e.parentLocale]=[]),ee[e.parentLocale].push({name:t,config:e}),null;n=i._config}return te[t]=new E(P(n,e)),ee[t]&&ee[t].forEach((function(t){oe(t.name,t.config)})),re(t),te[t]}return delete te[t],null}function se(t){var e;if(t&&t._locale&&t._locale._abbr&&(t=t._locale._abbr),!t)return $t;if(!r(t)){if(e=ne(t))return e;t=[t]}return function(t){for(var e,i,n,r,o=0;o<t.length;){for(e=(r=ie(t[o]).split("-")).length,i=(i=ie(t[o+1]))?i.split("-"):null;e>0;){if(n=ne(r.slice(0,e).join("-")))return n;if(i&&i.length>=e&&S(r,i,!0)>=e-1)break;e--}o++}return $t}(t)}function ae(t){var e,i=t._a;return i&&-2===f(t).overflow&&(e=i[1]<0||i[1]>11?1:i[2]<1||i[2]>St(i[0],i[1])?2:i[3]<0||i[3]>24||24===i[3]&&(0!==i[4]||0!==i[5]||0!==i[6])?3:i[4]<0||i[4]>59?4:i[5]<0||i[5]>59?5:i[6]<0||i[6]>999?6:-1,f(t)._overflowDayOfYear&&(e<0||e>2)&&(e=2),f(t)._overflowWeeks&&-1===e&&(e=7),f(t)._overflowWeekday&&-1===e&&(e=8),f(t).overflow=e),t}function le(t,e,i){return null!=t?t:null!=e?e:i}function ue(t){var e,i,r,o,s,a=[];if(!t._d){for(r=function(t){var e=new Date(n.now());return t._useUTC?[e.getUTCFullYear(),e.getUTCMonth(),e.getUTCDate()]:[e.getFullYear(),e.getMonth(),e.getDate()]}(t),t._w&&null==t._a[2]&&null==t._a[1]&&function(t){var e,i,n,r,o,s,a,l;if(null!=(e=t._w).GG||null!=e.W||null!=e.E)o=1,s=4,i=le(e.GG,t._a[0],Nt(De(),1,4).year),n=le(e.W,1),((r=le(e.E,1))<1||r>7)&&(l=!0);else{o=t._locale._week.dow,s=t._locale._week.doy;var u=Nt(De(),o,s);i=le(e.gg,t._a[0],u.year),n=le(e.w,u.week),null!=e.d?((r=e.d)<0||r>6)&&(l=!0):null!=e.e?(r=e.e+o,(e.e<0||e.e>6)&&(l=!0)):r=o}n<1||n>Rt(i,o,s)?f(t)._overflowWeeks=!0:null!=l?f(t)._overflowWeekday=!0:(a=Yt(i,n,r,o,s),t._a[0]=a.year,t._dayOfYear=a.dayOfYear)}(t),null!=t._dayOfYear&&(s=le(t._a[0],r[0]),(t._dayOfYear>vt(s)||0===t._dayOfYear)&&(f(t)._overflowDayOfYear=!0),i=It(s,0,t._dayOfYear),t._a[1]=i.getUTCMonth(),t._a[2]=i.getUTCDate()),e=0;e<3&&null==t._a[e];++e)t._a[e]=a[e]=r[e];for(;e<7;e++)t._a[e]=a[e]=null==t._a[e]?2===e?1:0:t._a[e];24===t._a[3]&&0===t._a[4]&&0===t._a[5]&&0===t._a[6]&&(t._nextDay=!0,t._a[3]=0),t._d=(t._useUTC?It:Lt).apply(null,a),o=t._useUTC?t._d.getUTCDay():t._d.getDay(),null!=t._tzm&&t._d.setUTCMinutes(t._d.getUTCMinutes()-t._tzm),t._nextDay&&(t._a[3]=24),t._w&&void 0!==t._w.d&&t._w.d!==o&&(f(t).weekdayMismatch=!0)}}var he=/^\s*((?:[+-]\d{6}|\d{4})-(?:\d\d-\d\d|W\d\d-\d|W\d\d|\d\d\d|\d\d))(?:(T| )(\d\d(?::\d\d(?::\d\d(?:[.,]\d+)?)?)?)([\+\-]\d\d(?::?\d\d)?|\s*Z)?)?$/,ce=/^\s*((?:[+-]\d{6}|\d{4})(?:\d\d\d\d|W\d\d\d|W\d\d|\d\d\d|\d\d))(?:(T| )(\d\d(?:\d\d(?:\d\d(?:[.,]\d+)?)?)?)([\+\-]\d\d(?::?\d\d)?|\s*Z)?)?$/,de=/Z|[+-]\d\d(?::?\d\d)?/,fe=[["YYYYYY-MM-DD",/[+-]\d{6}-\d\d-\d\d/],["YYYY-MM-DD",/\d{4}-\d\d-\d\d/],["GGGG-[W]WW-E",/\d{4}-W\d\d-\d/],["GGGG-[W]WW",/\d{4}-W\d\d/,!1],["YYYY-DDD",/\d{4}-\d{3}/],["YYYY-MM",/\d{4}-\d\d/,!1],["YYYYYYMMDD",/[+-]\d{10}/],["YYYYMMDD",/\d{8}/],["GGGG[W]WWE",/\d{4}W\d{3}/],["GGGG[W]WW",/\d{4}W\d{2}/,!1],["YYYYDDD",/\d{7}/]],pe=[["HH:mm:ss.SSSS",/\d\d:\d\d:\d\d\.\d+/],["HH:mm:ss,SSSS",/\d\d:\d\d:\d\d,\d+/],["HH:mm:ss",/\d\d:\d\d:\d\d/],["HH:mm",/\d\d:\d\d/],["HHmmss.SSSS",/\d\d\d\d\d\d\.\d+/],["HHmmss,SSSS",/\d\d\d\d\d\d,\d+/],["HHmmss",/\d\d\d\d\d\d/],["HHmm",/\d\d\d\d/],["HH",/\d\d/]],me=/^\/?Date\((\-?\d+)/i;function ve(t){var e,i,n,r,o,s,a=t._i,l=he.exec(a)||ce.exec(a);if(l){for(f(t).iso=!0,e=0,i=fe.length;e<i;e++)if(fe[e][1].exec(l[1])){r=fe[e][0],n=!1!==fe[e][2];break}if(null==r)return void(t._isValid=!1);if(l[3]){for(e=0,i=pe.length;e<i;e++)if(pe[e][1].exec(l[3])){o=(l[2]||" ")+pe[e][0];break}if(null==o)return void(t._isValid=!1)}if(!n&&null!=o)return void(t._isValid=!1);if(l[4]){if(!de.exec(l[4]))return void(t._isValid=!1);s="Z"}t._f=r+(o||"")+(s||""),we(t)}else t._isValid=!1}var ge=/^(?:(Mon|Tue|Wed|Thu|Fri|Sat|Sun),?\s)?(\d{1,2})\s(Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec)\s(\d{2,4})\s(\d\d):(\d\d)(?::(\d\d))?\s(?:(UT|GMT|[ECMP][SD]T)|([Zz])|([+-]\d{4}))$/;function ye(t){var e=parseInt(t,10);return e<=49?2e3+e:e<=999?1900+e:e}var be={UT:0,GMT:0,EDT:-240,EST:-300,CDT:-300,CST:-360,MDT:-360,MST:-420,PDT:-420,PST:-480};function _e(t){var e,i,n,r,o,s,a,l=ge.exec(t._i.replace(/\([^)]*\)|[\n\t]/g," ").replace(/(\s\s+)/g," ").replace(/^\s\s*/,"").replace(/\s\s*$/,""));if(l){var u=(e=l[4],i=l[3],n=l[2],r=l[5],o=l[6],s=l[7],a=[ye(e),Ot.indexOf(i),parseInt(n,10),parseInt(r,10),parseInt(o,10)],s&&a.push(parseInt(s,10)),a);if(!function(t,e,i){return!t||Gt.indexOf(t)===new Date(e[0],e[1],e[2]).getDay()||(f(i).weekdayMismatch=!0,i._isValid=!1,!1)}(l[1],u,t))return;t._a=u,t._tzm=function(t,e,i){if(t)return be[t];if(e)return 0;var n=parseInt(i,10),r=n%100;return(n-r)/100*60+r}(l[8],l[9],l[10]),t._d=It.apply(null,t._a),t._d.setUTCMinutes(t._d.getUTCMinutes()-t._tzm),f(t).rfc2822=!0}else t._isValid=!1}function we(t){if(t._f!==n.ISO_8601)if(t._f!==n.RFC_2822){t._a=[],f(t).empty=!0;var e,i,r,o,s,a=""+t._i,l=a.length,u=0;for(r=U(t._f,t._locale).match(F)||[],e=0;e<r.length;e++)o=r[e],(i=(a.match(ht(o,t))||[])[0])&&((s=a.substr(0,a.indexOf(i))).length>0&&f(t).unusedInput.push(s),a=a.slice(a.indexOf(i)+i.length),u+=i.length),z[o]?(i?f(t).empty=!1:f(t).unusedTokens.push(o),mt(o,i,t)):t._strict&&!i&&f(t).unusedTokens.push(o);f(t).charsLeftOver=l-u,a.length>0&&f(t).unusedInput.push(a),t._a[3]<=12&&!0===f(t).bigHour&&t._a[3]>0&&(f(t).bigHour=void 0),f(t).parsedDateParts=t._a.slice(0),f(t).meridiem=t._meridiem,t._a[3]=function(t,e,i){var n;return null==i?e:null!=t.meridiemHour?t.meridiemHour(e,i):null!=t.isPM?((n=t.isPM(i))&&e<12&&(e+=12),n||12!==e||(e=0),e):e}(t._locale,t._a[3],t._meridiem),ue(t),ae(t)}else _e(t);else ve(t)}function ke(t){var e=t._i,i=t._f;return t._locale=t._locale||se(t._l),null===e||void 0===i&&""===e?m({nullInput:!0}):("string"==typeof e&&(t._i=e=t._locale.preparse(e)),_(e)?new b(ae(e)):(l(e)?t._d=e:r(i)?function(t){var e,i,n,r,o;if(0===t._f.length)return f(t).invalidFormat=!0,void(t._d=new Date(NaN));for(r=0;r<t._f.length;r++)o=0,e=g({},t),null!=t._useUTC&&(e._useUTC=t._useUTC),e._f=t._f[r],we(e),p(e)&&(o+=f(e).charsLeftOver,o+=10*f(e).unusedTokens.length,f(e).score=o,(null==n||o<n)&&(n=o,i=e));c(t,i||e)}(t):i?we(t):function(t){var e=t._i;s(e)?t._d=new Date(n.now()):l(e)?t._d=new Date(e.valueOf()):"string"==typeof e?function(t){var e=me.exec(t._i);null===e?(ve(t),!1===t._isValid&&(delete t._isValid,_e(t),!1===t._isValid&&(delete t._isValid,n.createFromInputFallback(t)))):t._d=new Date(+e[1])}(t):r(e)?(t._a=u(e.slice(0),(function(t){return parseInt(t,10)})),ue(t)):o(e)?function(t){if(!t._d){var e=j(t._i);t._a=u([e.year,e.month,e.day||e.date,e.hour,e.minute,e.second,e.millisecond],(function(t){return t&&parseInt(t,10)})),ue(t)}}(t):a(e)?t._d=new Date(e):n.createFromInputFallback(t)}(t),p(t)||(t._d=null),t))}function Se(t,e,i,n,s){var a,l={};return!0!==i&&!1!==i||(n=i,i=void 0),(o(t)&&function(t){if(Object.getOwnPropertyNames)return 0===Object.getOwnPropertyNames(t).length;var e;for(e in t)if(t.hasOwnProperty(e))return!1;return!0}(t)||r(t)&&0===t.length)&&(t=void 0),l._isAMomentObject=!0,l._useUTC=l._isUTC=s,l._l=i,l._i=t,l._f=e,l._strict=n,(a=new b(ae(ke(l))))._nextDay&&(a.add(1,"d"),a._nextDay=void 0),a}function De(t,e,i,n){return Se(t,e,i,n,!1)}n.createFromInputFallback=x("value provided is not in a recognized RFC2822 or ISO format. moment construction falls back to js Date(), which is not reliable across all browsers and versions. Non RFC2822/ISO date formats are discouraged and will be removed in an upcoming major release. Please refer to http://momentjs.com/guides/#/warnings/js-date/ for more info.",(function(t){t._d=new Date(t._i+(t._useUTC?" UTC":""))})),n.ISO_8601=function(){},n.RFC_2822=function(){};var xe=x("moment().min is deprecated, use moment.max instead. http://momentjs.com/guides/#/warnings/min-max/",(function(){var t=De.apply(null,arguments);return this.isValid()&&t.isValid()?t<this?this:t:m()})),Oe=x("moment().max is deprecated, use moment.min instead. http://momentjs.com/guides/#/warnings/min-max/",(function(){var t=De.apply(null,arguments);return this.isValid()&&t.isValid()?t>this?this:t:m()}));function Me(t,e){var i,n;if(1===e.length&&r(e[0])&&(e=e[0]),!e.length)return De();for(i=e[0],n=1;n<e.length;++n)e[n].isValid()&&!e[n][t](i)||(i=e[n]);return i}var Te=["year","quarter","month","week","day","hour","minute","second","millisecond"];function Ce(t){var e=j(t),i=e.year||0,n=e.quarter||0,r=e.month||0,o=e.week||e.isoWeek||0,s=e.day||0,a=e.hour||0,l=e.minute||0,u=e.second||0,h=e.millisecond||0;this._isValid=function(t){for(var e in t)if(-1===yt.call(Te,e)||null!=t[e]&&isNaN(t[e]))return!1;for(var i=!1,n=0;n<Te.length;++n)if(t[Te[n]]){if(i)return!1;parseFloat(t[Te[n]])!==k(t[Te[n]])&&(i=!0)}return!0}(e),this._milliseconds=+h+1e3*u+6e4*l+1e3*a*60*60,this._days=+s+7*o,this._months=+r+3*n+12*i,this._data={},this._locale=se(),this._bubble()}function Pe(t){return t instanceof Ce}function Ee(t){return t<0?-1*Math.round(-1*t):Math.round(t)}function Ae(t,e){W(t,0,0,(function(){var t=this.utcOffset(),i="+";return t<0&&(t=-t,i="-"),i+R(~~(t/60),2)+e+R(~~t%60,2)}))}Ae("Z",":"),Ae("ZZ",""),ut("Z",st),ut("ZZ",st),ft(["Z","ZZ"],(function(t,e,i){i._useUTC=!0,i._tzm=Ie(st,t)}));var Le=/([\+\-]|\d\d)/gi;function Ie(t,e){var i=(e||"").match(t);if(null===i)return null;var n=((i[i.length-1]||[])+"").match(Le)||["-",0,0],r=60*n[1]+k(n[2]);return 0===r?0:"+"===n[0]?r:-r}function je(t,e){var i,r;return e._isUTC?(i=e.clone(),r=(_(t)||l(t)?t.valueOf():De(t).valueOf())-i.valueOf(),i._d.setTime(i._d.valueOf()+r),n.updateOffset(i,!1),i):De(t).local()}function Ye(t){return 15*-Math.round(t._d.getTimezoneOffset()/15)}function Ne(){return!!this.isValid()&&this._isUTC&&0===this._offset}n.updateOffset=function(){};var Re=/^(\-|\+)?(?:(\d*)[. ])?(\d+)\:(\d+)(?:\:(\d+)(\.\d*)?)?$/,Fe=/^(-|\+)?P(?:([-+]?[0-9,.]*)Y)?(?:([-+]?[0-9,.]*)M)?(?:([-+]?[0-9,.]*)W)?(?:([-+]?[0-9,.]*)D)?(?:T(?:([-+]?[0-9,.]*)H)?(?:([-+]?[0-9,.]*)M)?(?:([-+]?[0-9,.]*)S)?)?$/;function He(t,e){var i,n,r,o,s,l,u=t,c=null;return Pe(t)?u={ms:t._milliseconds,d:t._days,M:t._months}:a(t)?(u={},e?u[e]=t:u.milliseconds=t):(c=Re.exec(t))?(i="-"===c[1]?-1:1,u={y:0,d:k(c[2])*i,h:k(c[3])*i,m:k(c[4])*i,s:k(c[5])*i,ms:k(Ee(1e3*c[6]))*i}):(c=Fe.exec(t))?(i="-"===c[1]?-1:1,u={y:Ge(c[2],i),M:Ge(c[3],i),w:Ge(c[4],i),d:Ge(c[5],i),h:Ge(c[6],i),m:Ge(c[7],i),s:Ge(c[8],i)}):null==u?u={}:"object"==typeof u&&("from"in u||"to"in u)&&(o=De(u.from),s=De(u.to),r=o.isValid()&&s.isValid()?(s=je(s,o),o.isBefore(s)?l=ze(o,s):((l=ze(s,o)).milliseconds=-l.milliseconds,l.months=-l.months),l):{milliseconds:0,months:0},(u={}).ms=r.milliseconds,u.M=r.months),n=new Ce(u),Pe(t)&&h(t,"_locale")&&(n._locale=t._locale),n}function Ge(t,e){var i=t&&parseFloat(t.replace(",","."));return(isNaN(i)?0:i)*e}function ze(t,e){var i={};return i.months=e.month()-t.month()+12*(e.year()-t.year()),t.clone().add(i.months,"M").isAfter(e)&&--i.months,i.milliseconds=+e-+t.clone().add(i.months,"M"),i}function We(t,e){return function(i,n){var r;return null===n||isNaN(+n)||(T(e,"moment()."+e+"(period, number) is deprecated. Please use moment()."+e+"(number, period). See http://momentjs.com/guides/#/warnings/add-inverted-param/ for more info."),r=i,i=n,n=r),Ve(this,He(i="string"==typeof i?+i:i,n),t),this}}function Ve(t,e,i,r){var o=e._milliseconds,s=Ee(e._days),a=Ee(e._months);t.isValid()&&(r=null==r||r,a&&Tt(t,wt(t,"Month")+a*i),s&&kt(t,"Date",wt(t,"Date")+s*i),o&&t._d.setTime(t._d.valueOf()+o*i),r&&n.updateOffset(t,s||a))}He.fn=Ce.prototype,He.invalid=function(){return He(NaN)};var Ue=We(1,"add"),Be=We(-1,"subtract");function Xe(t,e){var i=12*(e.year()-t.year())+(e.month()-t.month()),n=t.clone().add(i,"months");return-(i+(e-n<0?(e-n)/(n-t.clone().add(i-1,"months")):(e-n)/(t.clone().add(i+1,"months")-n)))||0}function qe(t){var e;return void 0===t?this._locale._abbr:(null!=(e=se(t))&&(this._locale=e),this)}n.defaultFormat="YYYY-MM-DDTHH:mm:ssZ",n.defaultFormatUtc="YYYY-MM-DDTHH:mm:ss[Z]";var Ze=x("moment().lang() is deprecated. Instead, use moment().localeData() to get the language configuration. Use moment().locale() to change languages.",(function(t){return void 0===t?this.localeData():this.locale(t)}));function Je(){return this._locale}function $e(t,e){return(t%e+e)%e}function Ke(t,e,i){return t<100&&t>=0?new Date(t+400,e,i)-126227808e5:new Date(t,e,i).valueOf()}function Qe(t,e,i){return t<100&&t>=0?Date.UTC(t+400,e,i)-126227808e5:Date.UTC(t,e,i)}function ti(t,e){W(0,[t,t.length],0,e)}function ei(t,e,i,n,r){var o;return null==t?Nt(this,n,r).year:(e>(o=Rt(t,n,r))&&(e=o),ii.call(this,t,e,i,n,r))}function ii(t,e,i,n,r){var o=Yt(t,e,i,n,r),s=It(o.year,0,o.dayOfYear);return this.year(s.getUTCFullYear()),this.month(s.getUTCMonth()),this.date(s.getUTCDate()),this}W(0,["gg",2],0,(function(){return this.weekYear()%100})),W(0,["GG",2],0,(function(){return this.isoWeekYear()%100})),ti("gggg","weekYear"),ti("ggggg","weekYear"),ti("GGGG","isoWeekYear"),ti("GGGGG","isoWeekYear"),L("weekYear","gg"),L("isoWeekYear","GG"),N("weekYear",1),N("isoWeekYear",1),ut("G",rt),ut("g",rt),ut("GG",$,X),ut("gg",$,X),ut("GGGG",et,Z),ut("gggg",et,Z),ut("GGGGG",it,J),ut("ggggg",it,J),pt(["gggg","ggggg","GGGG","GGGGG"],(function(t,e,i,n){e[n.substr(0,2)]=k(t)})),pt(["gg","GG"],(function(t,e,i,r){e[r]=n.parseTwoDigitYear(t)})),W("Q",0,"Qo","quarter"),L("quarter","Q"),N("quarter",7),ut("Q",B),ft("Q",(function(t,e){e[1]=3*(k(t)-1)})),W("D",["DD",2],"Do","date"),L("date","D"),N("date",9),ut("D",$),ut("DD",$,X),ut("Do",(function(t,e){return t?e._dayOfMonthOrdinalParse||e._ordinalParse:e._dayOfMonthOrdinalParseLenient})),ft(["D","DD"],2),ft("Do",(function(t,e){e[2]=k(t.match($)[0])}));var ni=_t("Date",!0);W("DDD",["DDDD",3],"DDDo","dayOfYear"),L("dayOfYear","DDD"),N("dayOfYear",4),ut("DDD",tt),ut("DDDD",q),ft(["DDD","DDDD"],(function(t,e,i){i._dayOfYear=k(t)})),W("m",["mm",2],0,"minute"),L("minute","m"),N("minute",14),ut("m",$),ut("mm",$,X),ft(["m","mm"],4);var ri=_t("Minutes",!1);W("s",["ss",2],0,"second"),L("second","s"),N("second",15),ut("s",$),ut("ss",$,X),ft(["s","ss"],5);var oi,si=_t("Seconds",!1);for(W("S",0,0,(function(){return~~(this.millisecond()/100)})),W(0,["SS",2],0,(function(){return~~(this.millisecond()/10)})),W(0,["SSS",3],0,"millisecond"),W(0,["SSSS",4],0,(function(){return 10*this.millisecond()})),W(0,["SSSSS",5],0,(function(){return 100*this.millisecond()})),W(0,["SSSSSS",6],0,(function(){return 1e3*this.millisecond()})),W(0,["SSSSSSS",7],0,(function(){return 1e4*this.millisecond()})),W(0,["SSSSSSSS",8],0,(function(){return 1e5*this.millisecond()})),W(0,["SSSSSSSSS",9],0,(function(){return 1e6*this.millisecond()})),L("millisecond","ms"),N("millisecond",16),ut("S",tt,B),ut("SS",tt,X),ut("SSS",tt,q),oi="SSSS";oi.length<=9;oi+="S")ut(oi,nt);function ai(t,e){e[6]=k(1e3*("0."+t))}for(oi="S";oi.length<=9;oi+="S")ft(oi,ai);var li=_t("Milliseconds",!1);W("z",0,0,"zoneAbbr"),W("zz",0,0,"zoneName");var ui=b.prototype;function hi(t){return t}ui.add=Ue,ui.calendar=function(t,e){var i=t||De(),r=je(i,this).startOf("day"),o=n.calendarFormat(this,r)||"sameElse",s=e&&(C(e[o])?e[o].call(this,i):e[o]);return this.format(s||this.localeData().calendar(o,this,De(i)))},ui.clone=function(){return new b(this)},ui.diff=function(t,e,i){var n,r,o;if(!this.isValid())return NaN;if(!(n=je(t,this)).isValid())return NaN;switch(r=6e4*(n.utcOffset()-this.utcOffset()),e=I(e)){case"year":o=Xe(this,n)/12;break;case"month":o=Xe(this,n);break;case"quarter":o=Xe(this,n)/3;break;case"second":o=(this-n)/1e3;break;case"minute":o=(this-n)/6e4;break;case"hour":o=(this-n)/36e5;break;case"day":o=(this-n-r)/864e5;break;case"week":o=(this-n-r)/6048e5;break;default:o=this-n}return i?o:w(o)},ui.endOf=function(t){var e;if(void 0===(t=I(t))||"millisecond"===t||!this.isValid())return this;var i=this._isUTC?Qe:Ke;switch(t){case"year":e=i(this.year()+1,0,1)-1;break;case"quarter":e=i(this.year(),this.month()-this.month()%3+3,1)-1;break;case"month":e=i(this.year(),this.month()+1,1)-1;break;case"week":e=i(this.year(),this.month(),this.date()-this.weekday()+7)-1;break;case"isoWeek":e=i(this.year(),this.month(),this.date()-(this.isoWeekday()-1)+7)-1;break;case"day":case"date":e=i(this.year(),this.month(),this.date()+1)-1;break;case"hour":e=this._d.valueOf(),e+=36e5-$e(e+(this._isUTC?0:6e4*this.utcOffset()),36e5)-1;break;case"minute":e=this._d.valueOf(),e+=6e4-$e(e,6e4)-1;break;case"second":e=this._d.valueOf(),e+=1e3-$e(e,1e3)-1}return this._d.setTime(e),n.updateOffset(this,!0),this},ui.format=function(t){t||(t=this.isUtc()?n.defaultFormatUtc:n.defaultFormat);var e=V(this,t);return this.localeData().postformat(e)},ui.from=function(t,e){return this.isValid()&&(_(t)&&t.isValid()||De(t).isValid())?He({to:this,from:t}).locale(this.locale()).humanize(!e):this.localeData().invalidDate()},ui.fromNow=function(t){return this.from(De(),t)},ui.to=function(t,e){return this.isValid()&&(_(t)&&t.isValid()||De(t).isValid())?He({from:this,to:t}).locale(this.locale()).humanize(!e):this.localeData().invalidDate()},ui.toNow=function(t){return this.to(De(),t)},ui.get=function(t){return C(this[t=I(t)])?this[t]():this},ui.invalidAt=function(){return f(this).overflow},ui.isAfter=function(t,e){var i=_(t)?t:De(t);return!(!this.isValid()||!i.isValid())&&("millisecond"===(e=I(e)||"millisecond")?this.valueOf()>i.valueOf():i.valueOf()<this.clone().startOf(e).valueOf())},ui.isBefore=function(t,e){var i=_(t)?t:De(t);return!(!this.isValid()||!i.isValid())&&("millisecond"===(e=I(e)||"millisecond")?this.valueOf()<i.valueOf():this.clone().endOf(e).valueOf()<i.valueOf())},ui.isBetween=function(t,e,i,n){var r=_(t)?t:De(t),o=_(e)?e:De(e);return!!(this.isValid()&&r.isValid()&&o.isValid())&&("("===(n=n||"()")[0]?this.isAfter(r,i):!this.isBefore(r,i))&&(")"===n[1]?this.isBefore(o,i):!this.isAfter(o,i))},ui.isSame=function(t,e){var i,n=_(t)?t:De(t);return!(!this.isValid()||!n.isValid())&&("millisecond"===(e=I(e)||"millisecond")?this.valueOf()===n.valueOf():(i=n.valueOf(),this.clone().startOf(e).valueOf()<=i&&i<=this.clone().endOf(e).valueOf()))},ui.isSameOrAfter=function(t,e){return this.isSame(t,e)||this.isAfter(t,e)},ui.isSameOrBefore=function(t,e){return this.isSame(t,e)||this.isBefore(t,e)},ui.isValid=function(){return p(this)},ui.lang=Ze,ui.locale=qe,ui.localeData=Je,ui.max=Oe,ui.min=xe,ui.parsingFlags=function(){return c({},f(this))},ui.set=function(t,e){if("object"==typeof t)for(var i=function(t){var e=[];for(var i in t)e.push({unit:i,priority:Y[i]});return e.sort((function(t,e){return t.priority-e.priority})),e}(t=j(t)),n=0;n<i.length;n++)this[i[n].unit](t[i[n].unit]);else if(C(this[t=I(t)]))return this[t](e);return this},ui.startOf=function(t){var e;if(void 0===(t=I(t))||"millisecond"===t||!this.isValid())return this;var i=this._isUTC?Qe:Ke;switch(t){case"year":e=i(this.year(),0,1);break;case"quarter":e=i(this.year(),this.month()-this.month()%3,1);break;case"month":e=i(this.year(),this.month(),1);break;case"week":e=i(this.year(),this.month(),this.date()-this.weekday());break;case"isoWeek":e=i(this.year(),this.month(),this.date()-(this.isoWeekday()-1));break;case"day":case"date":e=i(this.year(),this.month(),this.date());break;case"hour":e=this._d.valueOf(),e-=$e(e+(this._isUTC?0:6e4*this.utcOffset()),36e5);break;case"minute":e=this._d.valueOf(),e-=$e(e,6e4);break;case"second":e=this._d.valueOf(),e-=$e(e,1e3)}return this._d.setTime(e),n.updateOffset(this,!0),this},ui.subtract=Be,ui.toArray=function(){var t=this;return[t.year(),t.month(),t.date(),t.hour(),t.minute(),t.second(),t.millisecond()]},ui.toObject=function(){var t=this;return{years:t.year(),months:t.month(),date:t.date(),hours:t.hours(),minutes:t.minutes(),seconds:t.seconds(),milliseconds:t.milliseconds()}},ui.toDate=function(){return new Date(this.valueOf())},ui.toISOString=function(t){if(!this.isValid())return null;var e=!0!==t,i=e?this.clone().utc():this;return i.year()<0||i.year()>9999?V(i,e?"YYYYYY-MM-DD[T]HH:mm:ss.SSS[Z]":"YYYYYY-MM-DD[T]HH:mm:ss.SSSZ"):C(Date.prototype.toISOString)?e?this.toDate().toISOString():new Date(this.valueOf()+60*this.utcOffset()*1e3).toISOString().replace("Z",V(i,"Z")):V(i,e?"YYYY-MM-DD[T]HH:mm:ss.SSS[Z]":"YYYY-MM-DD[T]HH:mm:ss.SSSZ")},ui.inspect=function(){if(!this.isValid())return"moment.invalid(/* "+this._i+" */)";var t="moment",e="";this.isLocal()||(t=0===this.utcOffset()?"moment.utc":"moment.parseZone",e="Z");var i="["+t+'("]',n=0<=this.year()&&this.year()<=9999?"YYYY":"YYYYYY",r=e+'[")]';return this.format(i+n+"-MM-DD[T]HH:mm:ss.SSS"+r)},ui.toJSON=function(){return this.isValid()?this.toISOString():null},ui.toString=function(){return this.clone().locale("en").format("ddd MMM DD YYYY HH:mm:ss [GMT]ZZ")},ui.unix=function(){return Math.floor(this.valueOf()/1e3)},ui.valueOf=function(){return this._d.valueOf()-6e4*(this._offset||0)},ui.creationData=function(){return{input:this._i,format:this._f,locale:this._locale,isUTC:this._isUTC,strict:this._strict}},ui.year=bt,ui.isLeapYear=function(){return gt(this.year())},ui.weekYear=function(t){return ei.call(this,t,this.week(),this.weekday(),this.localeData()._week.dow,this.localeData()._week.doy)},ui.isoWeekYear=function(t){return ei.call(this,t,this.isoWeek(),this.isoWeekday(),1,4)},ui.quarter=ui.quarters=function(t){return null==t?Math.ceil((this.month()+1)/3):this.month(3*(t-1)+this.month()%3)},ui.month=Ct,ui.daysInMonth=function(){return St(this.year(),this.month())},ui.week=ui.weeks=function(t){var e=this.localeData().week(this);return null==t?e:this.add(7*(t-e),"d")},ui.isoWeek=ui.isoWeeks=function(t){var e=Nt(this,1,4).week;return null==t?e:this.add(7*(t-e),"d")},ui.weeksInYear=function(){var t=this.localeData()._week;return Rt(this.year(),t.dow,t.doy)},ui.isoWeeksInYear=function(){return Rt(this.year(),1,4)},ui.date=ni,ui.day=ui.days=function(t){if(!this.isValid())return null!=t?this:NaN;var e=this._isUTC?this._d.getUTCDay():this._d.getDay();return null!=t?(t=function(t,e){return"string"!=typeof t?t:isNaN(t)?"number"==typeof(t=e.weekdaysParse(t))?t:null:parseInt(t,10)}(t,this.localeData()),this.add(t-e,"d")):e},ui.weekday=function(t){if(!this.isValid())return null!=t?this:NaN;var e=(this.day()+7-this.localeData()._week.dow)%7;return null==t?e:this.add(t-e,"d")},ui.isoWeekday=function(t){if(!this.isValid())return null!=t?this:NaN;if(null!=t){var e=function(t,e){return"string"==typeof t?e.weekdaysParse(t)%7||7:isNaN(t)?null:t}(t,this.localeData());return this.day(this.day()%7?e:e-7)}return this.day()||7},ui.dayOfYear=function(t){var e=Math.round((this.clone().startOf("day")-this.clone().startOf("year"))/864e5)+1;return null==t?e:this.add(t-e,"d")},ui.hour=ui.hours=Kt,ui.minute=ui.minutes=ri,ui.second=ui.seconds=si,ui.millisecond=ui.milliseconds=li,ui.utcOffset=function(t,e,i){var r,o=this._offset||0;if(!this.isValid())return null!=t?this:NaN;if(null!=t){if("string"==typeof t){if(null===(t=Ie(st,t)))return this}else Math.abs(t)<16&&!i&&(t*=60);return!this._isUTC&&e&&(r=Ye(this)),this._offset=t,this._isUTC=!0,null!=r&&this.add(r,"m"),o!==t&&(!e||this._changeInProgress?Ve(this,He(t-o,"m"),1,!1):this._changeInProgress||(this._changeInProgress=!0,n.updateOffset(this,!0),this._changeInProgress=null)),this}return this._isUTC?o:Ye(this)},ui.utc=function(t){return this.utcOffset(0,t)},ui.local=function(t){return this._isUTC&&(this.utcOffset(0,t),this._isUTC=!1,t&&this.subtract(Ye(this),"m")),this},ui.parseZone=function(){if(null!=this._tzm)this.utcOffset(this._tzm,!1,!0);else if("string"==typeof this._i){var t=Ie(ot,this._i);null!=t?this.utcOffset(t):this.utcOffset(0,!0)}return this},ui.hasAlignedHourOffset=function(t){return!!this.isValid()&&(t=t?De(t).utcOffset():0,(this.utcOffset()-t)%60==0)},ui.isDST=function(){return this.utcOffset()>this.clone().month(0).utcOffset()||this.utcOffset()>this.clone().month(5).utcOffset()},ui.isLocal=function(){return!!this.isValid()&&!this._isUTC},ui.isUtcOffset=function(){return!!this.isValid()&&this._isUTC},ui.isUtc=Ne,ui.isUTC=Ne,ui.zoneAbbr=function(){return this._isUTC?"UTC":""},ui.zoneName=function(){return this._isUTC?"Coordinated Universal Time":""},ui.dates=x("dates accessor is deprecated. Use date instead.",ni),ui.months=x("months accessor is deprecated. Use month instead",Ct),ui.years=x("years accessor is deprecated. Use year instead",bt),ui.zone=x("moment().zone is deprecated, use moment().utcOffset instead. http://momentjs.com/guides/#/warnings/zone/",(function(t,e){return null!=t?("string"!=typeof t&&(t=-t),this.utcOffset(t,e),this):-this.utcOffset()})),ui.isDSTShifted=x("isDSTShifted is deprecated. See http://momentjs.com/guides/#/warnings/dst-shifted/ for more information",(function(){if(!s(this._isDSTShifted))return this._isDSTShifted;var t={};if(g(t,this),(t=ke(t))._a){var e=t._isUTC?d(t._a):De(t._a);this._isDSTShifted=this.isValid()&&S(t._a,e.toArray())>0}else this._isDSTShifted=!1;return this._isDSTShifted}));var ci=E.prototype;function di(t,e,i,n){var r=se(),o=d().set(n,e);return r[i](o,t)}function fi(t,e,i){if(a(t)&&(e=t,t=void 0),t=t||"",null!=e)return di(t,e,i,"month");var n,r=[];for(n=0;n<12;n++)r[n]=di(t,n,i,"month");return r}function pi(t,e,i,n){"boolean"==typeof t?(a(e)&&(i=e,e=void 0),e=e||""):(i=e=t,t=!1,a(e)&&(i=e,e=void 0),e=e||"");var r,o=se(),s=t?o._week.dow:0;if(null!=i)return di(e,(i+s)%7,n,"day");var l=[];for(r=0;r<7;r++)l[r]=di(e,(r+s)%7,n,"day");return l}ci.calendar=function(t,e,i){var n=this._calendar[t]||this._calendar.sameElse;return C(n)?n.call(e,i):n},ci.longDateFormat=function(t){var e=this._longDateFormat[t],i=this._longDateFormat[t.toUpperCase()];return e||!i?e:(this._longDateFormat[t]=i.replace(/MMMM|MM|DD|dddd/g,(function(t){return t.slice(1)})),this._longDateFormat[t])},ci.invalidDate=function(){return this._invalidDate},ci.ordinal=function(t){return this._ordinal.replace("%d",t)},ci.preparse=hi,ci.postformat=hi,ci.relativeTime=function(t,e,i,n){var r=this._relativeTime[i];return C(r)?r(t,e,i,n):r.replace(/%d/i,t)},ci.pastFuture=function(t,e){var i=this._relativeTime[t>0?"future":"past"];return C(i)?i(e):i.replace(/%s/i,e)},ci.set=function(t){var e,i;for(i in t)C(e=t[i])?this[i]=e:this["_"+i]=e;this._config=t,this._dayOfMonthOrdinalParseLenient=new RegExp((this._dayOfMonthOrdinalParse.source||this._ordinalParse.source)+"|"+/\d{1,2}/.source)},ci.months=function(t,e){return t?r(this._months)?this._months[t.month()]:this._months[(this._months.isFormat||Dt).test(e)?"format":"standalone"][t.month()]:r(this._months)?this._months:this._months.standalone},ci.monthsShort=function(t,e){return t?r(this._monthsShort)?this._monthsShort[t.month()]:this._monthsShort[Dt.test(e)?"format":"standalone"][t.month()]:r(this._monthsShort)?this._monthsShort:this._monthsShort.standalone},ci.monthsParse=function(t,e,i){var n,r,o;if(this._monthsParseExact)return Mt.call(this,t,e,i);for(this._monthsParse||(this._monthsParse=[],this._longMonthsParse=[],this._shortMonthsParse=[]),n=0;n<12;n++){if(r=d([2e3,n]),i&&!this._longMonthsParse[n]&&(this._longMonthsParse[n]=new RegExp("^"+this.months(r,"").replace(".","")+"$","i"),this._shortMonthsParse[n]=new RegExp("^"+this.monthsShort(r,"").replace(".","")+"$","i")),i||this._monthsParse[n]||(o="^"+this.months(r,"")+"|^"+this.monthsShort(r,""),this._monthsParse[n]=new RegExp(o.replace(".",""),"i")),i&&"MMMM"===e&&this._longMonthsParse[n].test(t))return n;if(i&&"MMM"===e&&this._shortMonthsParse[n].test(t))return n;if(!i&&this._monthsParse[n].test(t))return n}},ci.monthsRegex=function(t){return this._monthsParseExact?(h(this,"_monthsRegex")||At.call(this),t?this._monthsStrictRegex:this._monthsRegex):(h(this,"_monthsRegex")||(this._monthsRegex=Et),this._monthsStrictRegex&&t?this._monthsStrictRegex:this._monthsRegex)},ci.monthsShortRegex=function(t){return this._monthsParseExact?(h(this,"_monthsRegex")||At.call(this),t?this._monthsShortStrictRegex:this._monthsShortRegex):(h(this,"_monthsShortRegex")||(this._monthsShortRegex=Pt),this._monthsShortStrictRegex&&t?this._monthsShortStrictRegex:this._monthsShortRegex)},ci.week=function(t){return Nt(t,this._week.dow,this._week.doy).week},ci.firstDayOfYear=function(){return this._week.doy},ci.firstDayOfWeek=function(){return this._week.dow},ci.weekdays=function(t,e){var i=r(this._weekdays)?this._weekdays:this._weekdays[t&&!0!==t&&this._weekdays.isFormat.test(e)?"format":"standalone"];return!0===t?Ft(i,this._week.dow):t?i[t.day()]:i},ci.weekdaysMin=function(t){return!0===t?Ft(this._weekdaysMin,this._week.dow):t?this._weekdaysMin[t.day()]:this._weekdaysMin},ci.weekdaysShort=function(t){return!0===t?Ft(this._weekdaysShort,this._week.dow):t?this._weekdaysShort[t.day()]:this._weekdaysShort},ci.weekdaysParse=function(t,e,i){var n,r,o;if(this._weekdaysParseExact)return Wt.call(this,t,e,i);for(this._weekdaysParse||(this._weekdaysParse=[],this._minWeekdaysParse=[],this._shortWeekdaysParse=[],this._fullWeekdaysParse=[]),n=0;n<7;n++){if(r=d([2e3,1]).day(n),i&&!this._fullWeekdaysParse[n]&&(this._fullWeekdaysParse[n]=new RegExp("^"+this.weekdays(r,"").replace(".","\\.?")+"$","i"),this._shortWeekdaysParse[n]=new RegExp("^"+this.weekdaysShort(r,"").replace(".","\\.?")+"$","i"),this._minWeekdaysParse[n]=new RegExp("^"+this.weekdaysMin(r,"").replace(".","\\.?")+"$","i")),this._weekdaysParse[n]||(o="^"+this.weekdays(r,"")+"|^"+this.weekdaysShort(r,"")+"|^"+this.weekdaysMin(r,""),this._weekdaysParse[n]=new RegExp(o.replace(".",""),"i")),i&&"dddd"===e&&this._fullWeekdaysParse[n].test(t))return n;if(i&&"ddd"===e&&this._shortWeekdaysParse[n].test(t))return n;if(i&&"dd"===e&&this._minWeekdaysParse[n].test(t))return n;if(!i&&this._weekdaysParse[n].test(t))return n}},ci.weekdaysRegex=function(t){return this._weekdaysParseExact?(h(this,"_weekdaysRegex")||Xt.call(this),t?this._weekdaysStrictRegex:this._weekdaysRegex):(h(this,"_weekdaysRegex")||(this._weekdaysRegex=Vt),this._weekdaysStrictRegex&&t?this._weekdaysStrictRegex:this._weekdaysRegex)},ci.weekdaysShortRegex=function(t){return this._weekdaysParseExact?(h(this,"_weekdaysRegex")||Xt.call(this),t?this._weekdaysShortStrictRegex:this._weekdaysShortRegex):(h(this,"_weekdaysShortRegex")||(this._weekdaysShortRegex=Ut),this._weekdaysShortStrictRegex&&t?this._weekdaysShortStrictRegex:this._weekdaysShortRegex)},ci.weekdaysMinRegex=function(t){return this._weekdaysParseExact?(h(this,"_weekdaysRegex")||Xt.call(this),t?this._weekdaysMinStrictRegex:this._weekdaysMinRegex):(h(this,"_weekdaysMinRegex")||(this._weekdaysMinRegex=Bt),this._weekdaysMinStrictRegex&&t?this._weekdaysMinStrictRegex:this._weekdaysMinRegex)},ci.isPM=function(t){return"p"===(t+"").toLowerCase().charAt(0)},ci.meridiem=function(t,e,i){return t>11?i?"pm":"PM":i?"am":"AM"},re("en",{dayOfMonthOrdinalParse:/\d{1,2}(th|st|nd|rd)/,ordinal:function(t){var e=t%10;return t+(1===k(t%100/10)?"th":1===e?"st":2===e?"nd":3===e?"rd":"th")}}),n.lang=x("moment.lang is deprecated. Use moment.locale instead.",re),n.langData=x("moment.langData is deprecated. Use moment.localeData instead.",se);var mi=Math.abs;function vi(t,e,i,n){var r=He(e,i);return t._milliseconds+=n*r._milliseconds,t._days+=n*r._days,t._months+=n*r._months,t._bubble()}function gi(t){return t<0?Math.floor(t):Math.ceil(t)}function yi(t){return 4800*t/146097}function bi(t){return 146097*t/4800}function _i(t){return function(){return this.as(t)}}var wi=_i("ms"),ki=_i("s"),Si=_i("m"),Di=_i("h"),xi=_i("d"),Oi=_i("w"),Mi=_i("M"),Ti=_i("Q"),Ci=_i("y");function Pi(t){return function(){return this.isValid()?this._data[t]:NaN}}var Ei=Pi("milliseconds"),Ai=Pi("seconds"),Li=Pi("minutes"),Ii=Pi("hours"),ji=Pi("days"),Yi=Pi("months"),Ni=Pi("years"),Ri=Math.round,Fi={ss:44,s:45,m:45,h:22,d:26,M:11};function Hi(t,e,i,n,r){return r.relativeTime(e||1,!!i,t,n)}function Gi(t,e,i){var n=He(t).abs(),r=Ri(n.as("s")),o=Ri(n.as("m")),s=Ri(n.as("h")),a=Ri(n.as("d")),l=Ri(n.as("M")),u=Ri(n.as("y")),h=r<=Fi.ss&&["s",r]||r<Fi.s&&["ss",r]||o<=1&&["m"]||o<Fi.m&&["mm",o]||s<=1&&["h"]||s<Fi.h&&["hh",s]||a<=1&&["d"]||a<Fi.d&&["dd",a]||l<=1&&["M"]||l<Fi.M&&["MM",l]||u<=1&&["y"]||["yy",u];return h[2]=e,h[3]=+t>0,h[4]=i,Hi.apply(null,h)}var zi=Math.abs;function Wi(t){return(t>0)-(t<0)||+t}function Vi(){if(!this.isValid())return this.localeData().invalidDate();var t,e,i=zi(this._milliseconds)/1e3,n=zi(this._days),r=zi(this._months);t=w(i/60),e=w(t/60),i%=60,t%=60;var o=w(r/12),s=r%=12,a=n,l=e,u=t,h=i?i.toFixed(3).replace(/\.?0+$/,""):"",c=this.asSeconds();if(!c)return"P0D";var d=c<0?"-":"",f=Wi(this._months)!==Wi(c)?"-":"",p=Wi(this._days)!==Wi(c)?"-":"",m=Wi(this._milliseconds)!==Wi(c)?"-":"";return d+"P"+(o?f+o+"Y":"")+(s?f+s+"M":"")+(a?p+a+"D":"")+(l||u||h?"T":"")+(l?m+l+"H":"")+(u?m+u+"M":"")+(h?m+h+"S":"")}var Ui=Ce.prototype;return Ui.isValid=function(){return this._isValid},Ui.abs=function(){var t=this._data;return this._milliseconds=mi(this._milliseconds),this._days=mi(this._days),this._months=mi(this._months),t.milliseconds=mi(t.milliseconds),t.seconds=mi(t.seconds),t.minutes=mi(t.minutes),t.hours=mi(t.hours),t.months=mi(t.months),t.years=mi(t.years),this},Ui.add=function(t,e){return vi(this,t,e,1)},Ui.subtract=function(t,e){return vi(this,t,e,-1)},Ui.as=function(t){if(!this.isValid())return NaN;var e,i,n=this._milliseconds;if("month"===(t=I(t))||"quarter"===t||"year"===t)switch(e=this._days+n/864e5,i=this._months+yi(e),t){case"month":return i;case"quarter":return i/3;case"year":return i/12}else switch(e=this._days+Math.round(bi(this._months)),t){case"week":return e/7+n/6048e5;case"day":return e+n/864e5;case"hour":return 24*e+n/36e5;case"minute":return 1440*e+n/6e4;case"second":return 86400*e+n/1e3;case"millisecond":return Math.floor(864e5*e)+n;default:throw new Error("Unknown unit "+t)}},Ui.asMilliseconds=wi,Ui.asSeconds=ki,Ui.asMinutes=Si,Ui.asHours=Di,Ui.asDays=xi,Ui.asWeeks=Oi,Ui.asMonths=Mi,Ui.asQuarters=Ti,Ui.asYears=Ci,Ui.valueOf=function(){return this.isValid()?this._milliseconds+864e5*this._days+this._months%12*2592e6+31536e6*k(this._months/12):NaN},Ui._bubble=function(){var t,e,i,n,r,o=this._milliseconds,s=this._days,a=this._months,l=this._data;return o>=0&&s>=0&&a>=0||o<=0&&s<=0&&a<=0||(o+=864e5*gi(bi(a)+s),s=0,a=0),l.milliseconds=o%1e3,t=w(o/1e3),l.seconds=t%60,e=w(t/60),l.minutes=e%60,i=w(e/60),l.hours=i%24,s+=w(i/24),r=w(yi(s)),a+=r,s-=gi(bi(r)),n=w(a/12),a%=12,l.days=s,l.months=a,l.years=n,this},Ui.clone=function(){return He(this)},Ui.get=function(t){return t=I(t),this.isValid()?this[t+"s"]():NaN},Ui.milliseconds=Ei,Ui.seconds=Ai,Ui.minutes=Li,Ui.hours=Ii,Ui.days=ji,Ui.weeks=function(){return w(this.days()/7)},Ui.months=Yi,Ui.years=Ni,Ui.humanize=function(t){if(!this.isValid())return this.localeData().invalidDate();var e=this.localeData(),i=Gi(this,!t,e);return t&&(i=e.pastFuture(+this,i)),e.postformat(i)},Ui.toISOString=Vi,Ui.toString=Vi,Ui.toJSON=Vi,Ui.locale=qe,Ui.localeData=Je,Ui.toIsoString=x("toIsoString() is deprecated. Please use toISOString() instead (notice the capitals)",Vi),Ui.lang=Ze,W("X",0,0,"unix"),W("x",0,0,"valueOf"),ut("x",rt),ut("X",/[+-]?\d+(\.\d{1,3})?/),ft("X",(function(t,e,i){i._d=new Date(1e3*parseFloat(t,10))})),ft("x",(function(t,e,i){i._d=new Date(k(t))})),n.version="2.24.0",e=De,n.fn=ui,n.min=function(){var t=[].slice.call(arguments,0);return Me("isBefore",t)},n.max=function(){var t=[].slice.call(arguments,0);return Me("isAfter",t)},n.now=function(){return Date.now?Date.now():+new Date},n.utc=d,n.unix=function(t){return De(1e3*t)},n.months=function(t,e){return fi(t,e,"months")},n.isDate=l,n.locale=re,n.invalid=m,n.duration=He,n.isMoment=_,n.weekdays=function(t,e,i){return pi(t,e,i,"weekdays")},n.parseZone=function(){return De.apply(null,arguments).parseZone()},n.localeData=se,n.isDuration=Pe,n.monthsShort=function(t,e){return fi(t,e,"monthsShort")},n.weekdaysMin=function(t,e,i){return pi(t,e,i,"weekdaysMin")},n.defineLocale=oe,n.updateLocale=function(t,e){if(null!=e){var i,n,r=Qt;null!=(n=ne(t))&&(r=n._config),(i=new E(e=P(r,e))).parentLocale=te[t],te[t]=i,re(t)}else null!=te[t]&&(null!=te[t].parentLocale?te[t]=te[t].parentLocale:null!=te[t]&&delete te[t]);return te[t]},n.locales=function(){return O(te)},n.weekdaysShort=function(t,e,i){return pi(t,e,i,"weekdaysShort")},n.normalizeUnits=I,n.relativeTimeRounding=function(t){return void 0===t?Ri:"function"==typeof t&&(Ri=t,!0)},n.relativeTimeThreshold=function(t,e){return void 0!==Fi[t]&&(void 0===e?Fi[t]:(Fi[t]=e,"s"===t&&(Fi.ss=e-1),!0))},n.calendarFormat=function(t,e){var i=t.diff(e,"days",!0);return i<-6?"sameElse":i<-1?"lastWeek":i<0?"lastDay":i<1?"sameDay":i<2?"nextDay":i<7?"nextWeek":"sameElse"},n.prototype=ui,n.HTML5_FMT={DATETIME_LOCAL:"YYYY-MM-DDTHH:mm",DATETIME_LOCAL_SECONDS:"YYYY-MM-DDTHH:mm:ss",DATETIME_LOCAL_MS:"YYYY-MM-DDTHH:mm:ss.SSS",DATE:"YYYY-MM-DD",TIME:"HH:mm",TIME_SECONDS:"HH:mm:ss",TIME_MS:"HH:mm:ss.SSS",WEEK:"GGGG-[W]WW",MONTH:"YYYY-MM"},n}()})),Wg=/^\/?Date\((-?\d+)/i;function Vg(t){return zg.isMoment(t)}function Ug(t,e){var i;if(void 0!==t){if(null===t)return null;if(!e)return t;if("string"!=typeof e&&!(e instanceof String))throw new Error("Type must be a string");switch(e){case"boolean":case"Boolean":return Boolean(t);case"number":case"Number":return Rg(t)&&!isNaN(Date.parse(t))?zg(t).valueOf():Number(t.valueOf());case"string":case"String":return String(t);case"Date":if(Ng(t))return new Date(t);if(t instanceof Date)return new Date(t.valueOf());if(Vg(t))return new Date(t.valueOf());if(Rg(t))return(i=Wg.exec(t))?new Date(Number(i[1])):zg(new Date(t)).toDate();throw new Error("Cannot convert object of type "+Gg(t)+" to type Date");case"Moment":if(Ng(t))return zg(t);if(t instanceof Date)return zg(t.valueOf());if(Vg(t))return zg(t);if(Rg(t))return i=Wg.exec(t),zg(i?Number(i[1]):t);throw new Error("Cannot convert object of type "+Gg(t)+" to type Date");case"ISODate":if(Ng(t))return new Date(t);if(t instanceof Date)return t.toISOString();if(Vg(t))return t.toDate().toISOString();if(Rg(t))return(i=Wg.exec(t))?new Date(Number(i[1])).toISOString():zg(t).format();throw new Error("Cannot convert object of type "+Gg(t)+" to type ISODate");case"ASPDate":if(Ng(t))return"/Date("+t+")/";if(t instanceof Date||Vg(t))return"/Date("+t.valueOf()+")/";if(Rg(t))return"/Date("+((i=Wg.exec(t))?new Date(Number(i[1])).valueOf():new Date(t).valueOf())+")/";throw new Error("Cannot convert object of type "+Gg(t)+" to type ASPDate");default:throw new Error("Unknown type ".concat(e))}}}function Bg(t){return"string"==typeof t||"number"==typeof t}var Xg=Ha("splice"),qg=Va("splice",{ACCESSORS:!0,0:0,1:2}),Zg=Math.max,Jg=Math.min;ta({target:"Array",proto:!0,forced:!Xg||!qg},{splice:function(t,e){var i,n,r,o,s,a,l=ua(this),u=sa(l.length),h=Cl(t,u),c=arguments.length;if(0===c?i=n=0:1===c?(i=0,n=u-h):(i=c-2,n=Jg(Zg(ra(e),0),u-h)),u+i-n>9007199254740991)throw TypeError("Maximum allowed length exceeded");for(r=ka(l,n),o=0;o<n;o++)(s=h+o)in l&&Wl(r,o,l[s]);if(r.length=n,i<n){for(o=h;o<u-n;o++)a=o+i,(s=o+n)in l?l[a]=l[s]:delete l[a];for(o=u;o>u-n+i;o--)delete l[o-1]}else if(i>n)for(o=u-n;o>h;o--)a=o+i-1,(s=o+n-1)in l?l[a]=l[s]:delete l[a];for(o=0;o<i;o++)l[o+h]=arguments[o+2];return l.length=u-n+i,r}});var $g=xa("Array").splice,Kg=Array.prototype,Qg=function(t){var e=t.splice;return t===Kg||t instanceof Array&&e===Kg.splice?$g:e},ty=[].slice,ey=/MSIE .\./.test(Ia),iy=function(t){return function(e,i){var n=arguments.length>2,r=n?ty.call(arguments,2):void 0;return t(n?function(){("function"==typeof e?e:Function(e)).apply(this,r)}:e,i)}};ta({global:!0,bind:!0,forced:ey},{setTimeout:iy(ms.setTimeout),setInterval:iy(ms.setInterval)});var ny=Us.setTimeout,ry=function(){function t(e){yl(this,t),this._queue=[],this._timeout=null,this._extended=null,this.delay=null,this.max=1/0,this.setOptions(e)}return kl(t,[{key:"setOptions",value:function(t){t&&void 0!==t.delay&&(this.delay=t.delay),t&&void 0!==t.max&&(this.max=t.max),this._flushIfNeeded()}},{key:"destroy",value:function(){if(this.flush(),this._extended){for(var t=this._extended.object,e=this._extended.methods,i=0;i<e.length;i++){var n=e[i];n.original?t[n.name]=n.original:delete t[n.name]}this._extended=null}}},{key:"replace",value:function(t,e){var i=this,n=t[e];if(!n)throw new Error("Method "+e+" undefined");t[e]=function(){for(var t=arguments.length,e=new Array(t),r=0;r<t;r++)e[r]=arguments[r];i.queue({args:e,fn:n,context:this})}}},{key:"queue",value:function(t){"function"==typeof t?this._queue.push({fn:t}):this._queue.push(t),this._flushIfNeeded()}},{key:"_flushIfNeeded",value:function(){var t=this;this._queue.length>this.max&&this.flush(),null!=this._timeout&&(clearTimeout(this._timeout),this._timeout=null),this.queue.length>0&&"number"==typeof this.delay&&(this._timeout=ny((function(){t.flush()}),this.delay))}},{key:"flush",value:function(){var t,e;eh(t=Qg(e=this._queue).call(e,0)).call(t,(function(t){t.fn.apply(t.context||t.fn,t.args||[])}))}}],[{key:"extend",value:function(e,i){var n=new t(i);if(void 0!==e.flush)throw new Error("Target object already has a property flush");e.flush=function(){n.flush()};var r=[{name:"flush",original:void 0}];if(i&&i.replace)for(var o=0;o<i.replace.length;o++){var s=i.replace[o];r.push({name:s,original:e[s]}),n.replace(e,s)}return n._extended={object:e,methods:r},n}}]),t}(),oy=function(){function t(){yl(this,t),this._subscribers={"*":[],add:[],remove:[],update:[]},this.subscribe=t.prototype.on,this.unsubscribe=t.prototype.off}return kl(t,[{key:"_trigger",value:function(t,e,i){var n,r;if("*"===t)throw new Error("Cannot trigger event *");eh(n=Jc(r=[]).call(r,Wc(this._subscribers[t]),Wc(this._subscribers["*"]))).call(n,(function(n){n(t,e,null!=i?i:null)}))}},{key:"on",value:function(t,e){"function"==typeof e&&this._subscribers[t].push(e)}},{key:"off",value:function(t,e){var i;this._subscribers[t]=il(i=this._subscribers[t]).call(i,(function(t){return t!==e}))}}]),t}(),sy=(wd("Set",(function(t){return function(){return t(this,arguments.length?arguments[0]:void 0)}}),Td),Us.Set),ay=Rd;var ly=function(t){if(Mc(t))return t};var uy=function(t,e){if(Hc(Object(t))||"[object Arguments]"===Object.prototype.toString.call(t)){var i=[],n=!0,r=!1,o=void 0;try{for(var s,a=fc(t);!(n=(s=a.next()).done)&&(i.push(s.value),!e||i.length!==e);n=!0);}catch(t){r=!0,o=t}finally{try{n||null==a.return||a.return()}finally{if(r)throw o}}return i}};var hy=function(){throw new TypeError("Invalid attempt to destructure non-iterable instance")};var cy=function(t,e){return ly(t)||uy(t,e)||hy()},dy=function(){function t(e){yl(this,t),this._pairs=e}return kl(t,[{key:Kh,value:Bh.mark((function t(){var e,i,n,r,o,s,a,l;return Bh.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:e=!0,i=!1,n=void 0,t.prev=3,r=fc(this._pairs);case 5:if(e=(o=r.next()).done){t.next=12;break}return s=cy(o.value,2),a=s[0],l=s[1],t.next=9,[a,l];case 9:e=!0,t.next=5;break;case 12:t.next=18;break;case 14:t.prev=14,t.t0=t.catch(3),i=!0,n=t.t0;case 18:t.prev=18,t.prev=19,e||null==r.return||r.return();case 21:if(t.prev=21,!i){t.next=24;break}throw n;case 24:return t.finish(21);case 25:return t.finish(18);case 26:case"end":return t.stop()}}),t,this,[[3,14,18,26],[19,,21,25]])}))},{key:"entries",value:Bh.mark((function t(){var e,i,n,r,o,s,a,l;return Bh.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:e=!0,i=!1,n=void 0,t.prev=3,r=fc(this._pairs);case 5:if(e=(o=r.next()).done){t.next=12;break}return s=cy(o.value,2),a=s[0],l=s[1],t.next=9,[a,l];case 9:e=!0,t.next=5;break;case 12:t.next=18;break;case 14:t.prev=14,t.t0=t.catch(3),i=!0,n=t.t0;case 18:t.prev=18,t.prev=19,e||null==r.return||r.return();case 21:if(t.prev=21,!i){t.next=24;break}throw n;case 24:return t.finish(21);case 25:return t.finish(18);case 26:case"end":return t.stop()}}),t,this,[[3,14,18,26],[19,,21,25]])}))},{key:"keys",value:Bh.mark((function t(){var e,i,n,r,o,s,a;return Bh.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:e=!0,i=!1,n=void 0,t.prev=3,r=fc(this._pairs);case 5:if(e=(o=r.next()).done){t.next=12;break}return s=cy(o.value,1),a=s[0],t.next=9,a;case 9:e=!0,t.next=5;break;case 12:t.next=18;break;case 14:t.prev=14,t.t0=t.catch(3),i=!0,n=t.t0;case 18:t.prev=18,t.prev=19,e||null==r.return||r.return();case 21:if(t.prev=21,!i){t.next=24;break}throw n;case 24:return t.finish(21);case 25:return t.finish(18);case 26:case"end":return t.stop()}}),t,this,[[3,14,18,26],[19,,21,25]])}))},{key:"values",value:Bh.mark((function t(){var e,i,n,r,o,s,a;return Bh.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:e=!0,i=!1,n=void 0,t.prev=3,r=fc(this._pairs);case 5:if(e=(o=r.next()).done){t.next=12;break}return s=cy(o.value,2),a=s[1],t.next=9,a;case 9:e=!0,t.next=5;break;case 12:t.next=18;break;case 14:t.prev=14,t.t0=t.catch(3),i=!0,n=t.t0;case 18:t.prev=18,t.prev=19,e||null==r.return||r.return();case 21:if(t.prev=21,!i){t.next=24;break}throw n;case 24:return t.finish(21);case 25:return t.finish(18);case 26:case"end":return t.stop()}}),t,this,[[3,14,18,26],[19,,21,25]])}))},{key:"toIdArray",value:function(){var t;return Ja(t=Wc(this._pairs)).call(t,(function(t){return t[0]}))}},{key:"toItemArray",value:function(){var t;return Ja(t=Wc(this._pairs)).call(t,(function(t){return t[1]}))}},{key:"toEntryArray",value:function(){return Wc(this._pairs)}},{key:"toObjectMap",value:function(){var t=ay(null),e=!0,i=!1,n=void 0;try{for(var r,o=fc(this._pairs);!(e=(r=o.next()).done);e=!0){var s=cy(r.value,2),a=s[0],l=s[1];t[a]=l}}catch(t){i=!0,n=t}finally{try{e||null==o.return||o.return()}finally{if(i)throw n}}return t}},{key:"toMap",value:function(){return new Cd(this._pairs)}},{key:"toIdSet",value:function(){return new sy(this.toIdArray())}},{key:"toItemSet",value:function(){return new sy(this.toItemArray())}},{key:"cache",value:function(){return new t(Wc(this._pairs))}},{key:"distinct",value:function(t){var e=new sy,i=!0,n=!1,r=void 0;try{for(var o,s=fc(this._pairs);!(i=(o=s.next()).done);i=!0){var a=cy(o.value,2),l=a[0],u=a[1];e.add(t(u,l))}}catch(t){n=!0,r=t}finally{try{i||null==s.return||s.return()}finally{if(n)throw r}}return e}},{key:"filter",value:function(e){var i=this._pairs;return new t(sc({},Kh,Bh.mark((function t(){var n,r,o,s,a,l,u,h;return Bh.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:n=!0,r=!1,o=void 0,t.prev=3,s=fc(i);case 5:if(n=(a=s.next()).done){t.next=13;break}if(l=cy(a.value,2),u=l[0],h=l[1],!e(h,u)){t.next=10;break}return t.next=10,[u,h];case 10:n=!0,t.next=5;break;case 13:t.next=19;break;case 15:t.prev=15,t.t0=t.catch(3),r=!0,o=t.t0;case 19:t.prev=19,t.prev=20,n||null==s.return||s.return();case 22:if(t.prev=22,!r){t.next=25;break}throw o;case 25:return t.finish(22);case 26:return t.finish(19);case 27:case"end":return t.stop()}}),t,null,[[3,15,19,27],[20,,22,26]])}))))}},{key:"forEach",value:function(t){var e=!0,i=!1,n=void 0;try{for(var r,o=fc(this._pairs);!(e=(r=o.next()).done);e=!0){var s=cy(r.value,2),a=s[0];t(s[1],a)}}catch(t){i=!0,n=t}finally{try{e||null==o.return||o.return()}finally{if(i)throw n}}}},{key:"map",value:function(e){var i=this._pairs;return new t(sc({},Kh,Bh.mark((function t(){var n,r,o,s,a,l,u,h;return Bh.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:n=!0,r=!1,o=void 0,t.prev=3,s=fc(i);case 5:if(n=(a=s.next()).done){t.next=12;break}return l=cy(a.value,2),u=l[0],h=l[1],t.next=9,[u,e(h,u)];case 9:n=!0,t.next=5;break;case 12:t.next=18;break;case 14:t.prev=14,t.t0=t.catch(3),r=!0,o=t.t0;case 18:t.prev=18,t.prev=19,n||null==s.return||s.return();case 21:if(t.prev=21,!r){t.next=24;break}throw o;case 24:return t.finish(21);case 25:return t.finish(18);case 26:case"end":return t.stop()}}),t,null,[[3,14,18,26],[19,,21,25]])}))))}},{key:"max",value:function(t){var e=fc(this._pairs),i=e.next();if(i.done)return null;for(var n=i.value[1],r=t(i.value[1],i.value[0]);!(i=e.next()).done;){var o=cy(i.value,2),s=o[0],a=o[1],l=t(a,s);l>r&&(r=l,n=a)}return n}},{key:"min",value:function(t){var e=fc(this._pairs),i=e.next();if(i.done)return null;for(var n=i.value[1],r=t(i.value[1],i.value[0]);!(i=e.next()).done;){var o=cy(i.value,2),s=o[0],a=o[1],l=t(a,s);l<r&&(r=l,n=a)}return n}},{key:"reduce",value:function(t,e){var i=!0,n=!1,r=void 0;try{for(var o,s=fc(this._pairs);!(i=(o=s.next()).done);i=!0){var a=cy(o.value,2),l=a[0];e=t(e,a[1],l)}}catch(t){n=!0,r=t}finally{try{i||null==s.return||s.return()}finally{if(n)throw r}}return e}},{key:"sort",value:function(e){var i=this;return new t(sc({},Kh,(function(){var t;return fc(wc(t=Wc(i._pairs)).call(t,(function(t,i){var n=cy(t,2),r=n[0],o=n[1],s=cy(i,2),a=s[0],l=s[1];return e(o,l,r,a)})))})))}}]),t}();function fy(t,e){var i=dd(t);if(Gh){var n=Gh(t);e&&(n=il(n).call(n,(function(e){return rh(t,e).enumerable}))),i.push.apply(i,n)}return i}var py=function(){console.warn("Type coercion has been deprecated. Please, use data pipes instead. See https://visjs.github.io/vis-data/data/datapipe.html#TypeCoercion for more details with working migration example.")},my=function(t){function e(t,i){var n;if(yl(this,e),n=Ad(this,Yd(e).call(this)),t&&!Pd(t)&&(i=t,t=[]),n._options=i||{},n._data=new Cd,n.length=0,n._idProp=n._options.fieldId||"id",n._type={},n._options.type){py();for(var r=dd(n._options.type),o=0,s=r.length;o<s;o++){var a=r[o],l=n._options.type[a];n._type[a]="Date"==l||"ISODate"==l||"ASPDate"==l?"Date":l}}return t&&t.length&&n.add(t),n.setOptions(i),n}return Gd(e,t),kl(e,[{key:"setOptions",value:function(t){t&&void 0!==t.queue&&(!1===t.queue?this._queue&&(this._queue.destroy(),delete this._queue):(this._queue||(this._queue=ry.extend(this,{replace:["add","update","remove"]})),t.queue&&"object"===hd(t.queue)&&this._queue.setOptions(t.queue)))}},{key:"add",value:function(t,e){var i,n=this,r=[];if(Pd(t)){var o=Ja(t).call(t,(function(t){return t[n._idProp]}));if(sd(o).call(o,(function(t){return n._data.has(t)})))throw new Error("A duplicate id was found in the parameter array.");for(var s=0,a=t.length;s<a;s++)i=this._addItem(t[s]),r.push(i)}else{if(!t||"object"!==hd(t))throw new Error("Unknown dataType");i=this._addItem(t),r.push(i)}return r.length&&this._trigger("add",{items:r},e),r}},{key:"update",value:function(t,e){var i=this,n=[],r=[],o=[],s=[],a=this._idProp,l=function(t){var e=t[a];if(null!=e&&i._data.has(e)){var l=t,u=td({},i._data.get(e)),h=i._updateItem(l);r.push(h),s.push(l),o.push(u)}else{var c=i._addItem(t);n.push(c)}};if(Pd(t))for(var u=0,h=t.length;u<h;u++)t[u]&&"object"===hd(t[u])?l(t[u]):console.warn("Ignoring input item, which is not an object at index "+u);else{if(!t||"object"!==hd(t))throw new Error("Unknown dataType");l(t)}if(n.length&&this._trigger("add",{items:n},e),r.length){var c={items:r,oldData:o,data:s};this._trigger("update",c,e)}return Jc(n).call(n,r)}},{key:"updateOnly",value:function(t,e){var i,n=this;Pd(t)||(t=[t]);var r=Ja(i=Ja(t).call(t,(function(t){var e=n._data.get(t[n._idProp]);if(null==e)throw new Error("Updating non-existent items is not allowed.");return{oldData:e,update:t}}))).call(i,(function(t){var e=t.oldData,i=t.update,r=e[n._idProp],o=Hg(Hg({},e),i);return n._data.set(r,o),{id:r,oldData:e,updatedData:o}}));if(r.length){var o={items:Ja(r).call(r,(function(t){return t.id})),oldData:Ja(r).call(r,(function(t){return t.oldData})),data:Ja(r).call(r,(function(t){return t.updatedData}))};return this._trigger("update",o,e),o.items}return[]}},{key:"get",value:function(t,e){var i=void 0,n=void 0,r=void 0;Bg(t)?(i=t,r=e):Pd(t)?(n=t,r=e):r=t;var o=r&&"Object"===r.returnType?"Object":"Array",s=r&&r.type||this._options.type,a=r&&il(r),l=[],u=null,h=null,c=null;if(null!=i)(u=this._getItem(i,s))&&a&&!a(u)&&(u=null);else if(null!=n)for(var d=0,f=n.length;d<f;d++)null==(u=this._getItem(n[d],s))||a&&!a(u)||l.push(u);else for(var p,m=0,v=(h=Wc(xc(p=this._data).call(p))).length;m<v;m++)c=h[m],null==(u=this._getItem(c,s))||a&&!a(u)||l.push(u);if(r&&r.order&&null==i&&this._sort(l,r.order),r&&r.fields){var g=r.fields;if(null!=i&&null!=u)u=this._filterFields(u,g);else for(var y=0,b=l.length;y<b;y++)l[y]=this._filterFields(l[y],g)}if("Object"==o){for(var _={},w=0,k=l.length;w<k;w++){var S=l[w];_[S[this._idProp]]=S}return _}return null!=i?u:l}},{key:"getIds",value:function(t){var e,i,n=this._data,r=t&&il(t),o=t&&t.order,s=t&&t.type||this._options.type,a=Wc(xc(n).call(n)),l=[];if(r)if(o){i=[];for(var u=0,h=a.length;u<h;u++){var c=a[u];r(e=this._getItem(c,s))&&i.push(e)}this._sort(i,o);for(var d=0,f=i.length;d<f;d++)l.push(i[d][this._idProp])}else for(var p=0,m=a.length;p<m;p++){var v=a[p];r(e=this._getItem(v,s))&&l.push(e[this._idProp])}else if(o){i=[];for(var g=0,y=a.length;g<y;g++){var b=a[g];i.push(n.get(b))}this._sort(i,o);for(var _=0,w=i.length;_<w;_++)l.push(i[_][this._idProp])}else for(var k=0,S=a.length;k<S;k++){var D=a[k];e=n.get(D),l.push(e[this._idProp])}return l}},{key:"getDataSet",value:function(){return this}},{key:"forEach",value:function(t,e){var i=e&&il(e),n=e&&e.type||this._options.type,r=this._data,o=Wc(xc(r).call(r));if(e&&e.order)for(var s=this.get(e),a=0,l=s.length;a<l;a++){var u=s[a];t(u,u[this._idProp])}else for(var h=0,c=o.length;h<c;h++){var d=o[h],f=this._getItem(d,n);i&&!i(f)||t(f,d)}}},{key:"map",value:function(t,e){for(var i=e&&il(e),n=e&&e.type||this._options.type,r=[],o=this._data,s=Wc(xc(o).call(o)),a=0,l=s.length;a<l;a++){var u=s[a],h=this._getItem(u,n);i&&!i(h)||r.push(t(h,u))}return e&&e.order&&this._sort(r,e.order),r}},{key:"_filterFields",value:function(t,e){var i;return t?hl(i=Pd(e)?e:dd(e)).call(i,(function(e,i){return e[i]=t[i],e}),{}):t}},{key:"_sort",value:function(t,e){if("string"==typeof e){var i=e;wc(t).call(t,(function(t,e){var n=t[i],r=e[i];return n>r?1:n<r?-1:0}))}else{if("function"!=typeof e)throw new TypeError("Order must be a function or a string");wc(t).call(t,e)}}},{key:"remove",value:function(t,e){for(var i=[],n=[],r=Pd(t)?t:[t],o=0,s=r.length;o<s;o++){var a=this._remove(r[o]);if(a){var l=a[this._idProp];null!=l&&(i.push(l),n.push(a))}}return i.length&&this._trigger("remove",{items:i,oldData:n},e),i}},{key:"_remove",value:function(t){var e;if(Bg(t)?e=t:t&&"object"===hd(t)&&(e=t[this._idProp]),null!=e&&this._data.has(e)){var i=this._data.get(e)||null;return this._data.delete(e),--this.length,i}return null}},{key:"clear",value:function(t){for(var e,i=Wc(xc(e=this._data).call(e)),n=[],r=0,o=i.length;r<o;r++)n.push(this._data.get(i[r]));return this._data.clear(),this.length=0,this._trigger("remove",{items:i,oldData:n},t),i}},{key:"max",value:function(t){var e=null,i=null,n=!0,r=!1,o=void 0;try{for(var s,a=fc(hc(l=this._data).call(l));!(n=(s=a.next()).done);n=!0){var l,u=s.value,h=u[t];"number"==typeof h&&(null==i||h>i)&&(e=u,i=h)}}catch(t){r=!0,o=t}finally{try{n||null==a.return||a.return()}finally{if(r)throw o}}return e||null}},{key:"min",value:function(t){var e=null,i=null,n=!0,r=!1,o=void 0;try{for(var s,a=fc(hc(l=this._data).call(l));!(n=(s=a.next()).done);n=!0){var l,u=s.value,h=u[t];"number"==typeof h&&(null==i||h<i)&&(e=u,i=h)}}catch(t){r=!0,o=t}finally{try{n||null==a.return||a.return()}finally{if(r)throw o}}return e||null}},{key:"distinct",value:function(t){for(var e=this._data,i=Wc(xc(e).call(e)),n=[],r=this._options.type&&this._options.type[t]||null,o=0,s=0,a=i.length;s<a;s++){for(var l=i[s],u=e.get(l)[t],h=!1,c=0;c<o;c++)if(n[c]==u){h=!0;break}h||void 0===u||(n[o]=u,o++)}if(r)for(var d=0,f=n.length;d<f;d++)n[d]=Ug(n[d],r);return n}},{key:"_addItem",value:function(t){var e=t[this._idProp];if(null!=e){if(this._data.has(e))throw new Error("Cannot add item: item with id "+e+" already exists")}else e=function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},e=arguments.length>1?arguments[1]:void 0,i=arguments.length>2?arguments[2]:void 0,n=e&&i||0;"string"==typeof t&&(e="binary"===t?new Array(16):void 0,t={});var r=t.random||(t.rng||Ud)();if(r[6]=15&r[6]|64,r[8]=63&r[8]|128,e)for(var o=0;o<16;o++)e[n+o]=r[o];return e||Vd(r)}(),t[this._idProp]=e;for(var i={},n=dd(t),r=0,o=n.length;r<o;r++){var s=n[r],a=this._type[s];i[s]=Ug(t[s],a)}return this._data.set(e,i),++this.length,e}},{key:"_getItem",value:function(t,e){var i,n=this._data.get(t);if(!n)return null;var r=dd(n);if(e){py(),i={};for(var o=0,s=r.length;o<s;o++){var a=r[o],l=n[a];i[a]=Ug(l,e[a])}}else i=function(t){for(var e=1;e<arguments.length;e++){var i,n=null!=arguments[e]?arguments[e]:{};if(e%2)eh(i=fy(Object(n),!0)).call(i,(function(e){sc(t,e,n[e])}));else if(Vl)Rl(t,Vl(n));else{var r;eh(r=fy(Object(n))).call(r,(function(e){Ol(t,e,rh(n,e))}))}}return t}({},n);return null==i[this._idProp]&&(i[this._idProp]=n.id),i}},{key:"_updateItem",value:function(t){var e=t[this._idProp];if(null==e)throw new Error("Cannot update item: item has no id (item: "+oc(t)+")");var i=this._data.get(e);if(!i)throw new Error("Cannot update item: no item with id "+e+" found");for(var n=dd(t),r=0,o=n.length;r<o;r++){var s=n[r],a=this._type[s];i[s]=Ug(t[s],a)}return e}},{key:"stream",value:function(t){if(t){var e=this._data;return new dy(sc({},Kh,Bh.mark((function i(){var n,r,o,s,a,l,u;return Bh.wrap((function(i){for(;;)switch(i.prev=i.next){case 0:n=!0,r=!1,o=void 0,i.prev=3,s=fc(t);case 5:if(n=(a=s.next()).done){i.next=14;break}if(l=a.value,null==(u=e.get(l))){i.next=11;break}return i.next=11,[l,u];case 11:n=!0,i.next=5;break;case 14:i.next=20;break;case 16:i.prev=16,i.t0=i.catch(3),r=!0,o=i.t0;case 20:i.prev=20,i.prev=21,n||null==s.return||s.return();case 23:if(i.prev=23,!r){i.next=26;break}throw o;case 26:return i.finish(23);case 27:return i.finish(20);case 28:case"end":return i.stop()}}),i,null,[[3,16,20,28],[21,,23,27]])}))))}var i;return new dy(sc({},Kh,gl(i=Uh(this._data)).call(i,this._data)))}}]),e}(oy),vy=function(t){function e(t,i){var n,r;return yl(this,e),(r=Ad(this,Yd(e).call(this))).length=0,r._ids=new sy,r._options=i||{},r._listener=gl(n=r._onEvent).call(n,Ed(r)),r.setData(t),r}return Gd(e,t),kl(e,[{key:"setData",value:function(t){if(this._data){this._data.off&&this._data.off("*",this._listener);var e=this._data.getIds({filter:il(this._options)}),i=this._data.get(e);this._ids.clear(),this.length=0,this._trigger("remove",{items:e,oldData:i})}if(null!=t){this._data=t;for(var n=this._data.getIds({filter:il(this._options)}),r=0,o=n.length;r<o;r++){var s=n[r];this._ids.add(s)}this.length=n.length,this._trigger("add",{items:n})}else this._data=new my;this._data.on&&this._data.on("*",this._listener)}},{key:"refresh",value:function(){for(var t=this._data.getIds({filter:il(this._options)}),e=Wc(this._ids),i={},n=[],r=[],o=[],s=0,a=t.length;s<a;s++){var l=t[s];i[l]=!0,this._ids.has(l)||(n.push(l),this._ids.add(l))}for(var u=0,h=e.length;u<h;u++){var c=e[u],d=this._data.get(c);null==d?console.error("If you see this, report it please."):i[c]||(r.push(c),o.push(d),this._ids.delete(c))}this.length+=n.length-r.length,n.length&&this._trigger("add",{items:n}),r.length&&this._trigger("remove",{items:r,oldData:o})}},{key:"get",value:function(t,e){if(null==this._data)return null;var i,n=null;Bg(t)||Pd(t)?(n=t,i=e):i=t;var r=td({},this._options,i),o=il(this._options),s=i&&il(i);return o&&s&&(r.filter=function(t){return o(t)&&s(t)}),null==n?this._data.get(r):this._data.get(n,r)}},{key:"getIds",value:function(t){if(this._data.length){var e,i=il(this._options),n=null!=t?il(t):null;return e=n?i?function(t){return i(t)&&n(t)}:n:i,this._data.getIds({filter:e,order:t&&t.order})}return[]}},{key:"forEach",value:function(t,e){if(this._data){var i,n,r=il(this._options),o=e&&il(e);n=o?r?function(t){return r(t)&&o(t)}:o:r,eh(i=this._data).call(i,t,{filter:n,order:e&&e.order})}}},{key:"map",value:function(t,e){if(this._data){var i,n,r=il(this._options),o=e&&il(e);return n=o?r?function(t){return r(t)&&o(t)}:o:r,Ja(i=this._data).call(i,t,{filter:n,order:e&&e.order})}return[]}},{key:"getDataSet",value:function(){return this._data.getDataSet()}},{key:"stream",value:function(t){var e;return this._data.stream(t||sc({},Kh,gl(e=xc(this._ids)).call(e,this._ids)))}},{key:"dispose",value:function(){var t;(null===(t=this._data)||void 0===t?void 0:t.off)&&this._data.off("*",this._listener);var e="This data view has already been disposed of.";Ol(this,"_data",{get:function(){throw new Error(e)},set:function(){throw new Error(e)},configurable:!1})}},{key:"_onEvent",value:function(t,e,i){if(e&&e.items&&this._data){var n=e.items,r=[],o=[],s=[],a=[],l=[],u=[];switch(t){case"add":for(var h=0,c=n.length;h<c;h++){var d=n[h];this.get(d)&&(this._ids.add(d),r.push(d))}break;case"update":for(var f=0,p=n.length;f<p;f++){var m=n[f];this.get(m)?this._ids.has(m)?(o.push(m),l.push(e.data[f]),a.push(e.oldData[f])):(this._ids.add(m),r.push(m)):this._ids.has(m)&&(this._ids.delete(m),s.push(m),u.push(e.oldData[f]))}break;case"remove":for(var v=0,g=n.length;v<g;v++){var y=n[v];this._ids.has(y)&&(this._ids.delete(y),s.push(y),u.push(e.oldData[v]))}}this.length+=r.length-s.length,r.length&&this._trigger("add",{items:r},i),o.length&&this._trigger("update",{items:o,oldData:a,data:l},i),s.length&&this._trigger("remove",{items:s,oldData:u},i)}}}]),e}(oy),gy=function(t){try{return!!t()}catch(t){return!0}},yy={}.toString,by=function(t){return yy.call(t).slice(8,-1)},_y="".split,wy=gy((function(){return!Object("z").propertyIsEnumerable(0)}))?function(t){return"String"==by(t)?_y.call(t,""):Object(t)}:Object,ky=function(t){if(null==t)throw TypeError("Can't call method on "+t);return t},Sy=function(t){return wy(ky(t))},Dy={},xy=function(t){return t&&t.Math==Math&&t},Oy=xy("object"==typeof globalThis&&globalThis)||xy("object"==typeof window&&window)||xy("object"==typeof self&&self)||xy("object"==typeof e&&e)||Function("return this")(),My=!gy((function(){return 7!=Object.defineProperty({},1,{get:function(){return 7}})[1]})),Ty=function(t){return"object"==typeof t?null!==t:"function"==typeof t},Cy=Oy.document,Py=Ty(Cy)&&Ty(Cy.createElement),Ey=function(t){return Py?Cy.createElement(t):{}},Ay=!My&&!gy((function(){return 7!=Object.defineProperty(Ey("div"),"a",{get:function(){return 7}}).a})),Ly=function(t){if(!Ty(t))throw TypeError(String(t)+" is not an object");return t},Iy=function(t,e){if(!Ty(t))return t;var i,n;if(e&&"function"==typeof(i=t.toString)&&!Ty(n=i.call(t)))return n;if("function"==typeof(i=t.valueOf)&&!Ty(n=i.call(t)))return n;if(!e&&"function"==typeof(i=t.toString)&&!Ty(n=i.call(t)))return n;throw TypeError("Can't convert object to primitive value")},jy=Object.defineProperty,Yy={f:My?jy:function(t,e,i){if(Ly(t),e=Iy(e,!0),Ly(i),Ay)try{return jy(t,e,i)}catch(t){}if("get"in i||"set"in i)throw TypeError("Accessors not supported");return"value"in i&&(t[e]=i.value),t}},Ny=function(t,e){return{enumerable:!(1&t),configurable:!(2&t),writable:!(4&t),value:e}},Ry=My?function(t,e,i){return Yy.f(t,e,Ny(1,i))}:function(t,e,i){return t[e]=i,t},Fy=Oy["__core-js_shared__"]||function(t,e){try{Ry(Oy,t,e)}catch(i){Oy[t]=e}return e}("__core-js_shared__",{}),Hy=Function.toString;"function"!=typeof Fy.inspectSource&&(Fy.inspectSource=function(t){return Hy.call(t)});var Gy,zy,Wy,Vy=Fy.inspectSource,Uy=Oy.WeakMap,By="function"==typeof Uy&&/native code/.test(Vy(Uy)),Xy={}.hasOwnProperty,qy=function(t,e){return Xy.call(t,e)},Zy=n((function(t){(t.exports=function(t,e){return Fy[t]||(Fy[t]=void 0!==e?e:{})})("versions",[]).push({version:"3.6.4",mode:"pure",copyright:"© 2020 Denis Pushkarev (zloirock.ru)"})})),Jy=0,$y=Math.random(),Ky=function(t){return"Symbol("+String(void 0===t?"":t)+")_"+(++Jy+$y).toString(36)},Qy=Zy("keys"),tb=function(t){return Qy[t]||(Qy[t]=Ky(t))},eb={},ib=Oy.WeakMap;if(By){var nb=new ib,rb=nb.get,ob=nb.has,sb=nb.set;Gy=function(t,e){return sb.call(nb,t,e),e},zy=function(t){return rb.call(nb,t)||{}},Wy=function(t){return ob.call(nb,t)}}else{var ab=tb("state");eb[ab]=!0,Gy=function(t,e){return Ry(t,ab,e),e},zy=function(t){return qy(t,ab)?t[ab]:{}},Wy=function(t){return qy(t,ab)}}var lb,ub,hb,cb={set:Gy,get:zy,has:Wy,enforce:function(t){return Wy(t)?zy(t):Gy(t,{})},getterFor:function(t){return function(e){var i;if(!Ty(e)||(i=zy(e)).type!==t)throw TypeError("Incompatible receiver, "+t+" required");return i}}},db={}.propertyIsEnumerable,fb=Object.getOwnPropertyDescriptor,pb={f:fb&&!db.call({1:2},1)?function(t){var e=fb(this,t);return!!e&&e.enumerable}:db},mb=Object.getOwnPropertyDescriptor,vb={f:My?mb:function(t,e){if(t=Sy(t),e=Iy(e,!0),Ay)try{return mb(t,e)}catch(t){}if(qy(t,e))return Ny(!pb.f.call(t,e),t[e])}},gb=/#|\.prototype\./,yb=function(t,e){var i=_b[bb(t)];return i==kb||i!=wb&&("function"==typeof e?gy(e):!!e)},bb=yb.normalize=function(t){return String(t).replace(gb,".").toLowerCase()},_b=yb.data={},wb=yb.NATIVE="N",kb=yb.POLYFILL="P",Sb=yb,Db={},xb=function(t){if("function"!=typeof t)throw TypeError(String(t)+" is not a function");return t},Ob=function(t,e,i){if(xb(t),void 0===e)return t;switch(i){case 0:return function(){return t.call(e)};case 1:return function(i){return t.call(e,i)};case 2:return function(i,n){return t.call(e,i,n)};case 3:return function(i,n,r){return t.call(e,i,n,r)}}return function(){return t.apply(e,arguments)}},Mb=vb.f,Tb=function(t){var e=function(e,i,n){if(this instanceof t){switch(arguments.length){case 0:return new t;case 1:return new t(e);case 2:return new t(e,i)}return new t(e,i,n)}return t.apply(this,arguments)};return e.prototype=t.prototype,e},Cb=function(t,e){var i,n,r,o,s,a,l,u,h=t.target,c=t.global,d=t.stat,f=t.proto,p=c?Oy:d?Oy[h]:(Oy[h]||{}).prototype,m=c?Db:Db[h]||(Db[h]={}),v=m.prototype;for(r in e)i=!Sb(c?r:h+(d?".":"#")+r,t.forced)&&p&&qy(p,r),s=m[r],i&&(a=t.noTargetGet?(u=Mb(p,r))&&u.value:p[r]),o=i&&a?a:e[r],i&&typeof s==typeof o||(l=t.bind&&i?Ob(o,Oy):t.wrap&&i?Tb(o):f&&"function"==typeof o?Ob(Function.call,o):o,(t.sham||o&&o.sham||s&&s.sham)&&Ry(l,"sham",!0),m[r]=l,f&&(qy(Db,n=h+"Prototype")||Ry(Db,n,{}),Db[n][r]=o,t.real&&v&&!v[r]&&Ry(v,r,o)))},Pb=function(t){return Object(ky(t))},Eb=!gy((function(){function t(){}return t.prototype.constructor=null,Object.getPrototypeOf(new t)!==t.prototype})),Ab=tb("IE_PROTO"),Lb=Object.prototype,Ib=Eb?Object.getPrototypeOf:function(t){return t=Pb(t),qy(t,Ab)?t[Ab]:"function"==typeof t.constructor&&t instanceof t.constructor?t.constructor.prototype:t instanceof Object?Lb:null},jb=!!Object.getOwnPropertySymbols&&!gy((function(){return!String(Symbol())})),Yb=jb&&!Symbol.sham&&"symbol"==typeof Symbol.iterator,Nb=Zy("wks"),Rb=Oy.Symbol,Fb=Yb?Rb:Rb&&Rb.withoutSetter||Ky,Hb=function(t){return qy(Nb,t)||(jb&&qy(Rb,t)?Nb[t]=Rb[t]:Nb[t]=Fb("Symbol."+t)),Nb[t]},Gb=(Hb("iterator"),!1);[].keys&&("next"in(hb=[].keys())?(ub=Ib(Ib(hb)))!==Object.prototype&&(lb=ub):Gb=!0),null==lb&&(lb={});var zb,Wb={IteratorPrototype:lb,BUGGY_SAFARI_ITERATORS:Gb},Vb=Math.ceil,Ub=Math.floor,Bb=function(t){return isNaN(t=+t)?0:(t>0?Ub:Vb)(t)},Xb=Math.min,qb=function(t){return t>0?Xb(Bb(t),9007199254740991):0},Zb=Math.max,Jb=Math.min,$b=function(t,e){var i=Bb(t);return i<0?Zb(i+e,0):Jb(i,e)},Kb=function(t){return function(e,i,n){var r,o=Sy(e),s=qb(o.length),a=$b(n,s);if(t&&i!=i){for(;s>a;)if((r=o[a++])!=r)return!0}else for(;s>a;a++)if((t||a in o)&&o[a]===i)return t||a||0;return!t&&-1}},Qb={includes:Kb(!0),indexOf:Kb(!1)},t_=Qb.indexOf,e_=function(t,e){var i,n=Sy(t),r=0,o=[];for(i in n)!qy(eb,i)&&qy(n,i)&&o.push(i);for(;e.length>r;)qy(n,i=e[r++])&&(~t_(o,i)||o.push(i));return o},i_=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],n_=Object.keys||function(t){return e_(t,i_)},r_=My?Object.defineProperties:function(t,e){Ly(t);for(var i,n=n_(e),r=n.length,o=0;r>o;)Yy.f(t,i=n[o++],e[i]);return t},o_=function(t){return"function"==typeof t?t:void 0},s_=function(t,e){return arguments.length<2?o_(Db[t])||o_(Oy[t]):Db[t]&&Db[t][e]||Oy[t]&&Oy[t][e]},a_=s_("document","documentElement"),l_=tb("IE_PROTO"),u_=function(){},h_=function(t){return"<script>"+t+"<\/script>"},c_=function(){try{zb=document.domain&&new ActiveXObject("htmlfile")}catch(t){}var t,e;c_=zb?function(t){t.write(h_("")),t.close();var e=t.parentWindow.Object;return t=null,e}(zb):((e=Ey("iframe")).style.display="none",a_.appendChild(e),e.src=String("javascript:"),(t=e.contentWindow.document).open(),t.write(h_("document.F=Object")),t.close(),t.F);for(var i=i_.length;i--;)delete c_.prototype[i_[i]];return c_()};eb[l_]=!0;var d_=Object.create||function(t,e){var i;return null!==t?(u_.prototype=Ly(t),i=new u_,u_.prototype=null,i[l_]=t):i=c_(),void 0===e?i:r_(i,e)},f_={};f_[Hb("toStringTag")]="z";var p_="[object z]"===String(f_),m_=Hb("toStringTag"),v_="Arguments"==by(function(){return arguments}()),g_=p_?by:function(t){var e,i,n;return void 0===t?"Undefined":null===t?"Null":"string"==typeof(i=function(t,e){try{return t[e]}catch(t){}}(e=Object(t),m_))?i:v_?by(e):"Object"==(n=by(e))&&"function"==typeof e.callee?"Arguments":n},y_=p_?{}.toString:function(){return"[object "+g_(this)+"]"},b_=Yy.f,__=Hb("toStringTag"),w_=function(t,e,i,n){if(t){var r=i?t:t.prototype;qy(r,__)||b_(r,__,{configurable:!0,value:e}),n&&!p_&&Ry(r,"toString",y_)}},k_=Wb.IteratorPrototype,S_=function(){return this},D_=Object.setPrototypeOf||("__proto__"in{}?function(){var t,e=!1,i={};try{(t=Object.getOwnPropertyDescriptor(Object.prototype,"__proto__").set).call(i,[]),e=i instanceof Array}catch(t){}return function(i,n){return Ly(i),function(t){if(!Ty(t)&&null!==t)throw TypeError("Can't set "+String(t)+" as a prototype")}(n),e?t.call(i,n):i.__proto__=n,i}}():void 0),x_=function(t,e,i,n){n&&n.enumerable?t[e]=i:Ry(t,e,i)},O_=Wb.IteratorPrototype,M_=Wb.BUGGY_SAFARI_ITERATORS,T_=Hb("iterator"),C_=function(){return this},P_=function(t,e,i,n,r,o,s){!function(t,e,i){var n=e+" Iterator";t.prototype=d_(k_,{next:Ny(1,i)}),w_(t,n,!1,!0),Dy[n]=S_}(i,e,n);var a,l,u,h=function(t){if(t===r&&m)return m;if(!M_&&t in f)return f[t];switch(t){case"keys":case"values":case"entries":return function(){return new i(this,t)}}return function(){return new i(this)}},c=e+" Iterator",d=!1,f=t.prototype,p=f[T_]||f["@@iterator"]||r&&f[r],m=!M_&&p||h(r),v="Array"==e&&f.entries||p;if(v&&(a=Ib(v.call(new t)),O_!==Object.prototype&&a.next&&(w_(a,c,!0,!0),Dy[c]=C_)),"values"==r&&p&&"values"!==p.name&&(d=!0,m=function(){return p.call(this)}),s&&f[T_]!==m&&Ry(f,T_,m),Dy[e]=m,r)if(l={values:h("values"),keys:o?m:h("keys"),entries:h("entries")},s)for(u in l)!M_&&!d&&u in f||x_(f,u,l[u]);else Cb({target:e,proto:!0,forced:M_||d},l);return l},E_=cb.set,A_=cb.getterFor("Array Iterator");P_(Array,"Array",(function(t,e){E_(this,{type:"Array Iterator",target:Sy(t),index:0,kind:e})}),(function(){var t=A_(this),e=t.target,i=t.kind,n=t.index++;return!e||n>=e.length?(t.target=void 0,{value:void 0,done:!0}):"keys"==i?{value:n,done:!1}:"values"==i?{value:e[n],done:!1}:{value:[n,e[n]],done:!1}}),"values");Dy.Arguments=Dy.Array;var L_=Hb("toStringTag");for(var I_ in{CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0}){var j_=Oy[I_],Y_=j_&&j_.prototype;Y_&&g_(Y_)!==L_&&Ry(Y_,L_,I_),Dy[I_]=Dy.Array}var N_=Array.isArray||function(t){return"Array"==by(t)},R_=Hb("species"),F_=function(t,e){var i;return N_(t)&&("function"!=typeof(i=t.constructor)||i!==Array&&!N_(i.prototype)?Ty(i)&&null===(i=i[R_])&&(i=void 0):i=void 0),new(void 0===i?Array:i)(0===e?0:e)},H_=[].push,G_=function(t){var e=1==t,i=2==t,n=3==t,r=4==t,o=6==t,s=5==t||o;return function(a,l,u,h){for(var c,d,f=Pb(a),p=wy(f),m=Ob(l,u,3),v=qb(p.length),g=0,y=h||F_,b=e?y(a,v):i?y(a,0):void 0;v>g;g++)if((s||g in p)&&(d=m(c=p[g],g,f),t))if(e)b[g]=d;else if(d)switch(t){case 3:return!0;case 5:return c;case 6:return g;case 2:H_.call(b,c)}else if(r)return!1;return o?-1:n||r?r:b}},z_={forEach:G_(0),map:G_(1),filter:G_(2),some:G_(3),every:G_(4),find:G_(5),findIndex:G_(6)},W_=function(t,e){var i=[][t];return!!i&&gy((function(){i.call(null,e||function(){throw 1},1)}))},V_=Object.defineProperty,U_={},B_=function(t){throw t},X_=function(t,e){if(qy(U_,t))return U_[t];e||(e={});var i=[][t],n=!!qy(e,"ACCESSORS")&&e.ACCESSORS,r=qy(e,0)?e[0]:B_,o=qy(e,1)?e[1]:void 0;return U_[t]=!!i&&!gy((function(){if(n&&!My)return!0;var t={length:-1};n?V_(t,1,{enumerable:!0,get:B_}):t[1]=1,i.call(t,r,o)}))},q_=z_.forEach,Z_=W_("forEach"),J_=X_("forEach"),$_=Z_&&J_?[].forEach:function(t){return q_(this,t,arguments.length>1?arguments[1]:void 0)};Cb({target:"Array",proto:!0,forced:[].forEach!=$_},{forEach:$_});var K_,Q_,tw=function(t){return Db[t+"Prototype"]},ew=tw("Array").forEach,iw=Array.prototype,nw={DOMTokenList:!0,NodeList:!0},rw=function(t){var e=t.forEach;return t===iw||t instanceof Array&&e===iw.forEach||nw.hasOwnProperty(g_(t))?ew:e},ow=s_("navigator","userAgent")||"",sw=Oy.process,aw=sw&&sw.versions,lw=aw&&aw.v8;lw?Q_=(K_=lw.split("."))[0]+K_[1]:ow&&(!(K_=ow.match(/Edge\/(\d+)/))||K_[1]>=74)&&(K_=ow.match(/Chrome\/(\d+)/))&&(Q_=K_[1]);var uw=Q_&&+Q_,hw=Hb("species"),cw=function(t){return uw>=51||!gy((function(){var e=[];return(e.constructor={})[hw]=function(){return{foo:1}},1!==e[t](Boolean).foo}))},dw=z_.filter,fw=cw("filter"),pw=X_("filter");Cb({target:"Array",proto:!0,forced:!fw||!pw},{filter:function(t){return dw(this,t,arguments.length>1?arguments[1]:void 0)}});var mw=tw("Array").filter,vw=Array.prototype,gw=function(t){var e=t.filter;return t===vw||t instanceof Array&&e===vw.filter?mw:e},yw=[].slice,bw=/MSIE .\./.test(ow),_w=function(t){return function(e,i){var n=arguments.length>2,r=n?yw.call(arguments,2):void 0;return t(n?function(){("function"==typeof e?e:Function(e)).apply(this,r)}:e,i)}};Cb({global:!0,bind:!0,forced:bw},{setTimeout:_w(Oy.setTimeout),setInterval:_w(Oy.setInterval)});var ww=Db.setTimeout,kw=[].slice,Sw={},Dw=function(t,e,i){if(!(e in Sw)){for(var n=[],r=0;r<e;r++)n[r]="a["+r+"]";Sw[e]=Function("C,a","return new C("+n.join(",")+")")}return Sw[e](t,i)},xw=Function.bind||function(t){var e=xb(this),i=kw.call(arguments,1),n=function(){var r=i.concat(kw.call(arguments));return this instanceof n?Dw(e,r.length,r):e.apply(t,r)};return Ty(e.prototype)&&(n.prototype=e.prototype),n};Cb({target:"Function",proto:!0},{bind:xw});var Ow=tw("Function").bind,Mw=Function.prototype,Tw=function(t){var e=t.bind;return t===Mw||t instanceof Function&&e===Mw.bind?Ow:e};Cb({target:"Array",stat:!0},{isArray:N_});var Cw=Db.Array.isArray,Pw=Cw;var Ew=function(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")};Cb({target:"Object",stat:!0,forced:!My,sham:!My},{defineProperty:Yy.f});var Aw=n((function(t){var e=Db.Object,i=t.exports=function(t,i,n){return e.defineProperty(t,i,n)};e.defineProperty.sham&&(i.sham=!0)})),Lw=Aw;function Iw(t,e){for(var i=0;i<e.length;i++){var n=e[i];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Lw(t,n.key,n)}}var jw=function(t,e,i){return e&&Iw(t.prototype,e),i&&Iw(t,i),t},Yw={f:Hb},Nw=Yy.f,Rw=function(t){var e=Db.Symbol||(Db.Symbol={});qy(e,t)||Nw(e,t,{value:Yw.f(t)})};Rw("iterator");var Fw=function(t){return function(e,i){var n,r,o=String(ky(e)),s=Bb(i),a=o.length;return s<0||s>=a?t?"":void 0:(n=o.charCodeAt(s))<55296||n>56319||s+1===a||(r=o.charCodeAt(s+1))<56320||r>57343?t?o.charAt(s):n:t?o.slice(s,s+2):r-56320+(n-55296<<10)+65536}},Hw={codeAt:Fw(!1),charAt:Fw(!0)}.charAt,Gw=cb.set,zw=cb.getterFor("String Iterator");P_(String,"String",(function(t){Gw(this,{type:"String Iterator",string:String(t),index:0})}),(function(){var t,e=zw(this),i=e.string,n=e.index;return n>=i.length?{value:void 0,done:!0}:(t=Hw(i,n),e.index+=t.length,{value:t,done:!1})}));var Ww=Yw.f("iterator"),Vw=function(t,e,i){var n=Iy(e);n in t?Yy.f(t,n,Ny(0,i)):t[n]=i},Uw=Hb("isConcatSpreadable"),Bw=uw>=51||!gy((function(){var t=[];return t[Uw]=!1,t.concat()[0]!==t})),Xw=cw("concat"),qw=function(t){if(!Ty(t))return!1;var e=t[Uw];return void 0!==e?!!e:N_(t)};Cb({target:"Array",proto:!0,forced:!Bw||!Xw},{concat:function(t){var e,i,n,r,o,s=Pb(this),a=F_(s,0),l=0;for(e=-1,n=arguments.length;e<n;e++)if(o=-1===e?s:arguments[e],qw(o)){if(l+(r=qb(o.length))>9007199254740991)throw TypeError("Maximum allowed index exceeded");for(i=0;i<r;i++,l++)i in o&&Vw(a,l,o[i])}else{if(l>=9007199254740991)throw TypeError("Maximum allowed index exceeded");Vw(a,l++,o)}return a.length=l,a}});var Zw=Object.freeze({__proto__:null}),Jw=i_.concat("length","prototype"),$w={f:Object.getOwnPropertyNames||function(t){return e_(t,Jw)}},Kw=$w.f,Qw={}.toString,tk="object"==typeof window&&window&&Object.getOwnPropertyNames?Object.getOwnPropertyNames(window):[],ek={f:function(t){return tk&&"[object Window]"==Qw.call(t)?function(t){try{return Kw(t)}catch(t){return tk.slice()}}(t):Kw(Sy(t))}},ik={f:Object.getOwnPropertySymbols},nk=z_.forEach,rk=tb("hidden"),ok=Hb("toPrimitive"),sk=cb.set,ak=cb.getterFor("Symbol"),lk=Object.prototype,uk=Oy.Symbol,hk=s_("JSON","stringify"),ck=vb.f,dk=Yy.f,fk=ek.f,pk=pb.f,mk=Zy("symbols"),vk=Zy("op-symbols"),gk=Zy("string-to-symbol-registry"),yk=Zy("symbol-to-string-registry"),bk=Zy("wks"),_k=Oy.QObject,wk=!_k||!_k.prototype||!_k.prototype.findChild,kk=My&&gy((function(){return 7!=d_(dk({},"a",{get:function(){return dk(this,"a",{value:7}).a}})).a}))?function(t,e,i){var n=ck(lk,e);n&&delete lk[e],dk(t,e,i),n&&t!==lk&&dk(lk,e,n)}:dk,Sk=function(t,e){var i=mk[t]=d_(uk.prototype);return sk(i,{type:"Symbol",tag:t,description:e}),My||(i.description=e),i},Dk=Yb?function(t){return"symbol"==typeof t}:function(t){return Object(t)instanceof uk},xk=function(t,e,i){t===lk&&xk(vk,e,i),Ly(t);var n=Iy(e,!0);return Ly(i),qy(mk,n)?(i.enumerable?(qy(t,rk)&&t[rk][n]&&(t[rk][n]=!1),i=d_(i,{enumerable:Ny(0,!1)})):(qy(t,rk)||dk(t,rk,Ny(1,{})),t[rk][n]=!0),kk(t,n,i)):dk(t,n,i)},Ok=function(t,e){Ly(t);var i=Sy(e),n=n_(i).concat(Pk(i));return nk(n,(function(e){My&&!Mk.call(i,e)||xk(t,e,i[e])})),t},Mk=function(t){var e=Iy(t,!0),i=pk.call(this,e);return!(this===lk&&qy(mk,e)&&!qy(vk,e))&&(!(i||!qy(this,e)||!qy(mk,e)||qy(this,rk)&&this[rk][e])||i)},Tk=function(t,e){var i=Sy(t),n=Iy(e,!0);if(i!==lk||!qy(mk,n)||qy(vk,n)){var r=ck(i,n);return!r||!qy(mk,n)||qy(i,rk)&&i[rk][n]||(r.enumerable=!0),r}},Ck=function(t){var e=fk(Sy(t)),i=[];return nk(e,(function(t){qy(mk,t)||qy(eb,t)||i.push(t)})),i},Pk=function(t){var e=t===lk,i=fk(e?vk:Sy(t)),n=[];return nk(i,(function(t){!qy(mk,t)||e&&!qy(lk,t)||n.push(mk[t])})),n};if(jb||(x_((uk=function(){if(this instanceof uk)throw TypeError("Symbol is not a constructor");var t=arguments.length&&void 0!==arguments[0]?String(arguments[0]):void 0,e=Ky(t),i=function(t){this===lk&&i.call(vk,t),qy(this,rk)&&qy(this[rk],e)&&(this[rk][e]=!1),kk(this,e,Ny(1,t))};return My&&wk&&kk(lk,e,{configurable:!0,set:i}),Sk(e,t)}).prototype,"toString",(function(){return ak(this).tag})),x_(uk,"withoutSetter",(function(t){return Sk(Ky(t),t)})),pb.f=Mk,Yy.f=xk,vb.f=Tk,$w.f=ek.f=Ck,ik.f=Pk,Yw.f=function(t){return Sk(Hb(t),t)},My&&dk(uk.prototype,"description",{configurable:!0,get:function(){return ak(this).description}})),Cb({global:!0,wrap:!0,forced:!jb,sham:!jb},{Symbol:uk}),nk(n_(bk),(function(t){Rw(t)})),Cb({target:"Symbol",stat:!0,forced:!jb},{for:function(t){var e=String(t);if(qy(gk,e))return gk[e];var i=uk(e);return gk[e]=i,yk[i]=e,i},keyFor:function(t){if(!Dk(t))throw TypeError(t+" is not a symbol");if(qy(yk,t))return yk[t]},useSetter:function(){wk=!0},useSimple:function(){wk=!1}}),Cb({target:"Object",stat:!0,forced:!jb,sham:!My},{create:function(t,e){return void 0===e?d_(t):Ok(d_(t),e)},defineProperty:xk,defineProperties:Ok,getOwnPropertyDescriptor:Tk}),Cb({target:"Object",stat:!0,forced:!jb},{getOwnPropertyNames:Ck,getOwnPropertySymbols:Pk}),Cb({target:"Object",stat:!0,forced:gy((function(){ik.f(1)}))},{getOwnPropertySymbols:function(t){return ik.f(Pb(t))}}),hk){var Ek=!jb||gy((function(){var t=uk();return"[null]"!=hk([t])||"{}"!=hk({a:t})||"{}"!=hk(Object(t))}));Cb({target:"JSON",stat:!0,forced:Ek},{stringify:function(t,e,i){for(var n,r=[t],o=1;arguments.length>o;)r.push(arguments[o++]);if(n=e,(Ty(e)||void 0!==t)&&!Dk(t))return N_(e)||(e=function(t,e){if("function"==typeof n&&(e=n.call(this,t,e)),!Dk(e))return e}),r[1]=e,hk.apply(null,r)}})}uk.prototype[ok]||Ry(uk.prototype,ok,uk.prototype.valueOf),w_(uk,"Symbol"),eb[rk]=!0,Rw("asyncIterator");var Ak=Object.freeze({__proto__:null});Rw("hasInstance"),Rw("isConcatSpreadable"),Rw("match"),Rw("matchAll"),Rw("replace"),Rw("search"),Rw("species"),Rw("split"),Rw("toPrimitive"),Rw("toStringTag"),Rw("unscopables"),w_(Math,"Math",!0),w_(Oy.JSON,"JSON",!0),r(Zw),r(Ak);var Lk=Db.Symbol;Rw("asyncDispose"),Rw("dispose"),Rw("observable"),Rw("patternMatch"),Rw("replaceAll");var Ik=Lk,jk=n((function(t){function e(i){return t.exports=e="function"==typeof Ik&&"symbol"==typeof Ww?function(t){return typeof t}:function(t){return t&&"function"==typeof Ik&&t.constructor===Ik&&t!==Ik.prototype?"symbol":typeof t},e(i)}t.exports=e}));var Yk=function(t){if(void 0===t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return t};var Nk=function(t,e){return!e||"object"!==jk(e)&&"function"!=typeof e?Yk(t):e},Rk=gy((function(){Ib(1)}));Cb({target:"Object",stat:!0,forced:Rk,sham:!Eb},{getPrototypeOf:function(t){return Ib(Pb(t))}});var Fk=Db.Object.getPrototypeOf;Cb({target:"Object",stat:!0},{setPrototypeOf:D_});var Hk=Db.Object.setPrototypeOf,Gk=n((function(t){function e(i){return t.exports=e=Hk?Fk:function(t){return t.__proto__||Fk(t)},e(i)}t.exports=e}));Cb({target:"Object",stat:!0,sham:!My},{create:d_});var zk=Db.Object,Wk=function(t,e){return zk.create(t,e)},Vk=Wk,Uk=n((function(t){function e(i,n){return t.exports=e=Hk||function(t,e){return t.__proto__=e,t},e(i,n)}t.exports=e}));var Bk=function(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function");t.prototype=Vk(e&&e.prototype,{constructor:{value:t,writable:!0,configurable:!0}}),e&&Uk(t,e)},Xk="undefined"!=typeof window&&window.moment||o,qk=Aw;Cb({target:"Object",stat:!0,forced:!My,sham:!My},{defineProperties:r_});var Zk=n((function(t){var e=Db.Object,i=t.exports=function(t,i){return e.defineProperties(t,i)};e.defineProperties.sham&&(i.sham=!0)})),Jk=s_("Reflect","ownKeys")||function(t){var e=$w.f(Ly(t)),i=ik.f;return i?e.concat(i(t)):e};Cb({target:"Object",stat:!0,sham:!My},{getOwnPropertyDescriptors:function(t){for(var e,i,n=Sy(t),r=vb.f,o=Jk(n),s={},a=0;o.length>a;)void 0!==(i=r(n,e=o[a++]))&&Vw(s,e,i);return s}});var $k=Db.Object.getOwnPropertyDescriptors,Kk=vb.f,Qk=gy((function(){Kk(1)}));Cb({target:"Object",stat:!0,forced:!My||Qk,sham:!My},{getOwnPropertyDescriptor:function(t,e){return Kk(Sy(t),e)}});var tS=n((function(t){var e=Db.Object,i=t.exports=function(t,i){return e.getOwnPropertyDescriptor(t,i)};e.getOwnPropertyDescriptor.sham&&(i.sham=!0)})),eS=Db.Object.getOwnPropertySymbols;var iS=function(t,e,i){return e in t?Lw(t,e,{value:i,enumerable:!0,configurable:!0,writable:!0}):t[e]=i,t},nS=gy((function(){n_(1)}));Cb({target:"Object",stat:!0,forced:nS},{keys:function(t){return n_(Pb(t))}});var rS=Db.Object.keys,oS=function(t){return function(e,i,n,r){xb(i);var o=Pb(e),s=wy(o),a=qb(o.length),l=t?a-1:0,u=t?-1:1;if(n<2)for(;;){if(l in s){r=s[l],l+=u;break}if(l+=u,t?l<0:a<=l)throw TypeError("Reduce of empty array with no initial value")}for(;t?l>=0:a>l;l+=u)l in s&&(r=i(r,s[l],l,o));return r}},sS={left:oS(!1),right:oS(!0)}.left,aS=W_("reduce"),lS=X_("reduce",{1:0});Cb({target:"Array",proto:!0,forced:!aS||!lS},{reduce:function(t){return sS(this,t,arguments.length,arguments.length>1?arguments[1]:void 0)}});var uS=tw("Array").reduce,hS=Array.prototype,cS=function(t){var e=t.reduce;return t===hS||t instanceof Array&&e===hS.reduce?uS:e},dS=z_.map,fS=cw("map"),pS=X_("map");Cb({target:"Array",proto:!0,forced:!fS||!pS},{map:function(t){return dS(this,t,arguments.length>1?arguments[1]:void 0)}});var mS=tw("Array").map,vS=Array.prototype,gS=function(t){var e=t.map;return t===vS||t instanceof Array&&e===vS.map?mS:e};function yS(t,e){var i=rS(t);if(eS){var n=eS(t);e&&(n=gw(n).call(n,(function(e){return tS(t,e).enumerable}))),i.push.apply(i,n)}return i}var bS=/^\/?Date\((-?\d+)/i;function _S(t,e){var i;if(void 0!==t){if(null===t)return null;if(!e)return t;if("string"!=typeof e&&!(e instanceof String))throw new Error("Type must be a string");switch(e){case"boolean":case"Boolean":return Boolean(t);case"number":case"Number":return to(t)&&!isNaN(Date.parse(t))?o(t).valueOf():Number(t.valueOf());case"string":case"String":return String(t);case"Date":if(Kr(t))return new Date(t);if(t instanceof Date)return new Date(t.valueOf());if(o.isMoment(t))return new Date(t.valueOf());if(to(t))return(i=bS.exec(t))?new Date(Number(i[1])):o(new Date(t)).toDate();throw new Error("Cannot convert object of type "+co(t)+" to type Date");case"Moment":if(Kr(t))return o(t);if(t instanceof Date)return o(t.valueOf());if(o.isMoment(t))return o(t);if(to(t))return i=bS.exec(t),o(i?Number(i[1]):t);throw new Error("Cannot convert object of type "+co(t)+" to type Date");case"ISODate":if(Kr(t))return new Date(t);if(t instanceof Date)return t.toISOString();if(o.isMoment(t))return t.toDate().toISOString();if(to(t))return(i=bS.exec(t))?new Date(Number(i[1])).toISOString():o(t).format();throw new Error("Cannot convert object of type "+co(t)+" to type ISODate");case"ASPDate":if(Kr(t))return"/Date("+t+")/";if(t instanceof Date||o.isMoment(t))return"/Date("+t.valueOf()+")/";if(to(t))return"/Date("+((i=bS.exec(t))?new Date(Number(i[1])).valueOf():new Date(t).valueOf())+")/";throw new Error("Cannot convert object of type "+co(t)+" to type ASPDate");default:throw new Error("Unknown type ".concat(e))}}}function wS(t){var e,i,n,r,o,s,a=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{start:"Date",end:"Date"},l=t._idProp,u=new my({fieldId:l}),h=gS(e=Sl(t)).call(e,(function(t){var e;return cS(e=rS(t)).call(e,(function(e,i){return e[i]=_S(t[i],a[i]),e}),{})})).to(u);return h.all().start(),{add:function(){var e;return(e=t.getDataSet()).add.apply(e,arguments)},remove:function(){var e;return(e=t.getDataSet()).remove.apply(e,arguments)},update:function(){var e;return(e=t.getDataSet()).update.apply(e,arguments)},updateOnly:function(){var e;return(e=t.getDataSet()).updateOnly.apply(e,arguments)},forEach:Tw(i=rw(u)).call(i,u),get:Tw(n=u.get).call(n,u),getIds:Tw(r=u.getIds).call(r,u),off:Tw(o=u.off).call(o,u),on:Tw(s=u.on).call(s,u),get length(){return u.length},idProp:l,type:a,rawDS:t,coercedDS:u,dispose:function(){return h.stop()}}}var kS=function(t){for(var e=1;e<arguments.length;e++){var i,n=null!=arguments[e]?arguments[e]:{};if(e%2)rw(i=yS(Object(n),!0)).call(i,(function(e){iS(t,e,n[e])}));else if($k)Zk(t,$k(n));else{var r;rw(r=yS(Object(n))).call(r,(function(e){qk(t,e,tS(n,e))}))}}return t}({},es,{convert:_S}),SS="\t\n\v\f\r                　\u2028\u2029\ufeff",DS="["+SS+"]",xS=RegExp("^"+DS+DS+"*"),OS=RegExp(DS+DS+"*$"),MS=function(t){return function(e){var i=String(ky(e));return 1&t&&(i=i.replace(xS,"")),2&t&&(i=i.replace(OS,"")),i}},TS={start:MS(1),end:MS(2),trim:MS(3)},CS=TS.trim,PS=Oy.parseFloat,ES=1/PS(SS+"-0")!=-1/0?function(t){var e=CS(String(t)),i=PS(e);return 0===i&&"-"==e.charAt(0)?-0:i}:PS;Cb({global:!0,forced:parseFloat!=ES},{parseFloat:ES});var AS=Db.parseFloat;Cb({target:"Date",stat:!0},{now:function(){return(new Date).getTime()}});var LS=Db.Date.now,IS=s_("JSON","stringify"),jS=/[\uD800-\uDFFF]/g,YS=/^[\uD800-\uDBFF]$/,NS=/^[\uDC00-\uDFFF]$/,RS=function(t,e,i){var n=i.charAt(e-1),r=i.charAt(e+1);return YS.test(t)&&!NS.test(r)||NS.test(t)&&!YS.test(n)?"\\u"+t.charCodeAt(0).toString(16):t},FS=gy((function(){return'"\\udf06\\ud834"'!==IS("\udf06\ud834")||'"\\udead"'!==IS("\udead")}));IS&&Cb({target:"JSON",stat:!0,forced:FS},{stringify:function(t,e,i){var n=IS.apply(null,arguments);return"string"==typeof n?n.replace(jS,RS):n}}),Db.JSON||(Db.JSON={stringify:JSON.stringify});var HS=function(t,e,i){return Db.JSON.stringify.apply(null,arguments)},GS=tw("Array").concat,zS=Array.prototype,WS=function(t){var e=t.concat;return t===zS||t instanceof Array&&e===zS.concat?GS:e},VS=function(){function t(e,i){Ew(this,t),this.options=null,this.props=null}return jw(t,[{key:"setOptions",value:function(t){t&&kS.extend(this.options,t)}},{key:"redraw",value:function(){return!1}},{key:"destroy",value:function(){}},{key:"_isResized",value:function(){var t=this.props._previousWidth!==this.props.width||this.props._previousHeight!==this.props.height;return this.props._previousWidth=this.props.width,this.props._previousHeight=this.props.height,t}}]),t}(),US=[],BS=US.sort,XS=gy((function(){US.sort(void 0)})),qS=gy((function(){US.sort(null)})),ZS=W_("sort");Cb({target:"Array",proto:!0,forced:XS||!qS||!ZS},{sort:function(t){return void 0===t?BS.call(Pb(this)):BS.call(Pb(this),xb(t))}});var JS=tw("Array").sort,$S=Array.prototype,KS=function(t){var e=t.sort;return t===$S||t instanceof Array&&e===$S.sort?JS:e};Cb({target:"String",proto:!0},{repeat:"".repeat||function(t){var e=String(ky(this)),i="",n=Bb(t);if(n<0||n==1/0)throw RangeError("Wrong number of repetitions");for(;n>0;(n>>>=1)&&(e+=e))1&n&&(i+=e);return i}});var QS=tw("String").repeat,tD=String.prototype,eD=function(t){var e=t.repeat;return"string"==typeof t||t===tD||t instanceof String&&e===tD.repeat?QS:e};function iD(t,e,i){if(i&&!Pw(i))return iD(t,e,[i]);if(e.hiddenDates=[],i&&1==Pw(i)){for(var n,r=0;r<i.length;r++)if(void 0===eD(i[r])){var o={};o.start=t(i[r].start).toDate().valueOf(),o.end=t(i[r].end).toDate().valueOf(),e.hiddenDates.push(o)}KS(n=e.hiddenDates).call(n,(function(t,e){return t.start-e.start}))}}function nD(t,e,i){if(i&&!Pw(i))return nD(t,e,[i]);if(i&&void 0!==e.domProps.centerContainer.width){iD(t,e,i);for(var n=t(e.range.start),r=t(e.range.end),o=(e.range.end-e.range.start)/e.domProps.centerContainer.width,s=0;s<i.length;s++)if(void 0!==eD(i[s])){var a=t(i[s].start),l=t(i[s].end);if("Invalid Date"==a._d)throw new Error("Supplied start date is not valid: ".concat(i[s].start));if("Invalid Date"==l._d)throw new Error("Supplied end date is not valid: ".concat(i[s].end));if(l-a>=4*o){var u=0,h=r.clone();switch(eD(i[s])){case"daily":a.day()!=l.day()&&(u=1),a.dayOfYear(n.dayOfYear()),a.year(n.year()),a.subtract(7,"days"),l.dayOfYear(n.dayOfYear()),l.year(n.year()),l.subtract(7-u,"days"),h.add(1,"weeks");break;case"weekly":var c=l.diff(a,"days"),d=a.day();a.date(n.date()),a.month(n.month()),a.year(n.year()),l=a.clone(),a.day(d),l.day(d),l.add(c,"days"),a.subtract(1,"weeks"),l.subtract(1,"weeks"),h.add(1,"weeks");break;case"monthly":a.month()!=l.month()&&(u=1),a.month(n.month()),a.year(n.year()),a.subtract(1,"months"),l.month(n.month()),l.year(n.year()),l.subtract(1,"months"),l.add(u,"months"),h.add(1,"months");break;case"yearly":a.year()!=l.year()&&(u=1),a.year(n.year()),a.subtract(1,"years"),l.year(n.year()),l.subtract(1,"years"),l.add(u,"years"),h.add(1,"years");break;default:return void console.log("Wrong repeat format, allowed are: daily, weekly, monthly, yearly. Given:",eD(i[s]))}for(;a<h;)switch(e.hiddenDates.push({start:a.valueOf(),end:l.valueOf()}),eD(i[s])){case"daily":a.add(1,"days"),l.add(1,"days");break;case"weekly":a.add(1,"weeks"),l.add(1,"weeks");break;case"monthly":a.add(1,"months"),l.add(1,"months");break;case"yearly":a.add(1,"y"),l.add(1,"y");break;default:return void console.log("Wrong repeat format, allowed are: daily, weekly, monthly, yearly. Given:",eD(i[s]))}e.hiddenDates.push({start:a.valueOf(),end:l.valueOf()})}}rD(e);var f=pD(e.range.start,e.hiddenDates),p=pD(e.range.end,e.hiddenDates),m=e.range.start,v=e.range.end;1==f.hidden&&(m=1==e.range.startToFront?f.startDate-1:f.endDate+1),1==p.hidden&&(v=1==e.range.endToFront?p.startDate-1:p.endDate+1),1!=f.hidden&&1!=p.hidden||e.range._applyRange(m,v)}}function rD(t){for(var e,i=t.hiddenDates,n=[],r=0;r<i.length;r++)for(var o=0;o<i.length;o++)r!=o&&1!=i[o].remove&&1!=i[r].remove&&(i[o].start>=i[r].start&&i[o].end<=i[r].end?i[o].remove=!0:i[o].start>=i[r].start&&i[o].start<=i[r].end?(i[r].end=i[o].end,i[o].remove=!0):i[o].end>=i[r].start&&i[o].end<=i[r].end&&(i[r].start=i[o].start,i[o].remove=!0));for(r=0;r<i.length;r++)!0!==i[r].remove&&n.push(i[r]);t.hiddenDates=n,KS(e=t.hiddenDates).call(e,(function(t,e){return t.start-e.start}))}function oD(t,e,i){for(var n=!1,r=e.current.valueOf(),o=0;o<e.hiddenDates.length;o++){var s=e.hiddenDates[o].start,a=e.hiddenDates[o].end;if(r>=s&&r<a){n=!0;break}}if(1==n&&r<e._end.valueOf()&&r!=i){var l=t(i),u=t(a);l.year()!=u.year()?e.switchedYear=!0:l.month()!=u.month()?e.switchedMonth=!0:l.dayOfYear()!=u.dayOfYear()&&(e.switchedDay=!0),e.current=u}}function sD(t,e,i){var n;if(0==t.body.hiddenDates.length)return n=t.range.conversion(i),(e.valueOf()-n.offset)*n.scale;var r=pD(e,t.body.hiddenDates);1==r.hidden&&(e=r.startDate);var o=lD(t.body.hiddenDates,t.range.start,t.range.end);if(e<t.range.start){n=t.range.conversion(i,o);var s=uD(t.body.hiddenDates,e,n.offset);return e=t.options.moment(e).toDate().valueOf(),e+=s,-(n.offset-e.valueOf())*n.scale}if(e>t.range.end){var a={start:t.range.start,end:e};return e=hD(t.options.moment,t.body.hiddenDates,a,e),n=t.range.conversion(i,o),(e.valueOf()-n.offset)*n.scale}return e=hD(t.options.moment,t.body.hiddenDates,t.range,e),n=t.range.conversion(i,o),(e.valueOf()-n.offset)*n.scale}function aD(t,e,i){if(0==t.body.hiddenDates.length){var n=t.range.conversion(i);return new Date(e/n.scale+n.offset)}var r=lD(t.body.hiddenDates,t.range.start,t.range.end),o=(t.range.end-t.range.start-r)*e/i,s=dD(t.body.hiddenDates,t.range,o);return new Date(s+o+t.range.start)}function lD(t,e,i){for(var n=0,r=0;r<t.length;r++){var o=t[r].start,s=t[r].end;o>=e&&s<i&&(n+=s-o)}return n}function uD(t,e,i){for(var n=0,r=0;r<t.length;r++){var o=t[r].start,s=t[r].end;o>=e&&s<=i&&(n+=s-o)}return n}function hD(t,e,i,n){return n=t(n).toDate().valueOf(),n-=cD(t,e,i,n)}function cD(t,e,i,n){var r=0;n=t(n).toDate().valueOf();for(var o=0;o<e.length;o++){var s=e[o].start,a=e[o].end;s>=i.start&&a<i.end&&n>=a&&(r+=a-s)}return r}function dD(t,e,i){for(var n=0,r=0,o=e.start,s=0;s<t.length;s++){var a=t[s].start,l=t[s].end;if(a>=e.start&&l<e.end){if(r+=a-o,o=l,r>=i)break;n+=l-a}}return n}function fD(t,e,i,n){var r=pD(e,t);return 1==r.hidden?i<0?1==n?r.startDate-(r.endDate-e)-1:r.startDate-1:1==n?r.endDate+(e-r.startDate)+1:r.endDate+1:e}function pD(t,e){for(var i=0;i<e.length;i++){var n=e[i].start,r=e[i].end;if(t>=n&&t<r)return{hidden:!0,startDate:n,endDate:r}}return{hidden:!1,startDate:n,endDate:r}}var mD=Object.freeze({__proto__:null,convertHiddenOptions:iD,updateHiddenDates:nD,removeDuplicates:rD,printDates:function(t){for(var e=0;e<t.length;e++)console.log(e,new Date(t[e].start),new Date(t[e].end),t[e].start,t[e].end,t[e].remove)},stepOverHiddenDates:oD,toScreen:sD,toTime:aD,getHiddenDurationBetween:lD,getHiddenDurationBeforeStart:uD,correctTimeForHidden:hD,getHiddenDurationBefore:cD,getAccumulatedHiddenDuration:dD,snapAwayFromHidden:fD,getIsHidden:pD}),vD=function(t){function e(t,i){var n,r,o,s,a,l,u,h;Ew(this,e),h=Nk(this,Gk(e).call(this));var c=Xk().hours(0).minutes(0).seconds(0).milliseconds(0),d=c.clone().add(-3,"days").valueOf(),f=c.clone().add(3,"days").valueOf();return h.millisecondsPerPixelCache=void 0,void 0===i?(h.start=d,h.end=f):(h.start=i.start||d,h.end=i.end||f),h.rolling=!1,h.body=t,h.deltaDifference=0,h.scaleOffset=0,h.startToFront=!1,h.endToFront=!0,h.defaultOptions={rtl:!1,start:null,end:null,moment:Xk,direction:"horizontal",moveable:!0,zoomable:!0,min:null,max:null,zoomMin:10,zoomMax:31536e10,rollingMode:{follow:!1,offset:.5}},h.options=kS.extend({},h.defaultOptions),h.props={touch:{}},h.animationTimer=null,h.body.emitter.on("panstart",Tw(n=h._onDragStart).call(n,Yk(h))),h.body.emitter.on("panmove",Tw(r=h._onDrag).call(r,Yk(h))),h.body.emitter.on("panend",Tw(o=h._onDragEnd).call(o,Yk(h))),h.body.emitter.on("mousewheel",Tw(s=h._onMouseWheel).call(s,Yk(h))),h.body.emitter.on("touch",Tw(a=h._onTouch).call(a,Yk(h))),h.body.emitter.on("pinch",Tw(l=h._onPinch).call(l,Yk(h))),h.body.dom.rollingModeBtn.addEventListener("click",Tw(u=h.startRolling).call(u,Yk(h))),h.setOptions(i),h}return Bk(e,t),jw(e,[{key:"setOptions",value:function(t){if(t){kS.selectiveExtend(["animation","direction","min","max","zoomMin","zoomMax","moveable","zoomable","moment","activate","hiddenDates","zoomKey","zoomFriction","rtl","showCurrentTime","rollingMode","horizontalScroll"],this.options,t),t.rollingMode&&t.rollingMode.follow&&this.startRolling(),("start"in t||"end"in t)&&this.setRange(t.start,t.end)}}},{key:"startRolling",value:function(){var t=this;!function e(){t.stopRolling(),t.rolling=!0;var i=t.end-t.start,n=kS.convert(new Date,"Date").valueOf(),r=t.options.rollingMode&&t.options.rollingMode.offset||.5,o=n-i*r,s=n+i*(1-r);t.setRange(o,s,{animation:!1}),(i=1/t.conversion(t.body.domProps.center.width).scale/10)<30&&(i=30),i>1e3&&(i=1e3),t.body.dom.rollingModeBtn.style.visibility="hidden",t.currentTimeTimer=ww(e,i)}()}},{key:"stopRolling",value:function(){void 0!==this.currentTimeTimer&&(clearTimeout(this.currentTimeTimer),this.rolling=!1,this.body.dom.rollingModeBtn.style.visibility="visible")}},{key:"setRange",value:function(t,e,i,n,r){i||(i={}),!0!==i.byUser&&(i.byUser=!1);var o=this,s=null!=t?kS.convert(t,"Date").valueOf():null,a=null!=e?kS.convert(e,"Date").valueOf():null;if(this._cancelAnimation(),this.millisecondsPerPixelCache=void 0,i.animation){var l,u=this.start,h=this.end,c="object"===jk(i.animation)&&"duration"in i.animation?i.animation.duration:500,d="object"===jk(i.animation)&&"easingFunction"in i.animation?i.animation.easingFunction:"easeInOutQuad",f=kS.easingFunctions[d];if(!f)throw new Error(WS(l="Unknown easing function ".concat(HS(d),". Choose from: ")).call(l,rS(kS.easingFunctions).join(", ")));var p=LS(),m=!1;return function t(){if(!o.props.touch.dragging){var e=LS()-p,l=f(e/c),d=e>c,g=d||null===s?s:u+(s-u)*l,y=d||null===a?a:h+(a-h)*l;v=o._applyRange(g,y),nD(o.options.moment,o.body,o.options.hiddenDates),m=m||v;var b={start:new Date(o.start),end:new Date(o.end),byUser:i.byUser,event:i.event};if(r&&r(l,v,d),v&&o.body.emitter.emit("rangechange",b),d){if(m&&(o.body.emitter.emit("rangechanged",b),n))return n()}else o.animationTimer=ww(t,20)}}()}var v=this._applyRange(s,a);if(nD(this.options.moment,this.body,this.options.hiddenDates),v){var g={start:new Date(this.start),end:new Date(this.end),byUser:i.byUser,event:i.event};if(this.body.emitter.emit("rangechange",g),clearTimeout(o.timeoutID),o.timeoutID=ww((function(){o.body.emitter.emit("rangechanged",g)}),200),n)return n()}}},{key:"getMillisecondsPerPixel",value:function(){return void 0===this.millisecondsPerPixelCache&&(this.millisecondsPerPixelCache=(this.end-this.start)/this.body.dom.center.clientWidth),this.millisecondsPerPixelCache}},{key:"_cancelAnimation",value:function(){this.animationTimer&&(clearTimeout(this.animationTimer),this.animationTimer=null)}},{key:"_applyRange",value:function(t,e){var i,n=null!=t?kS.convert(t,"Date").valueOf():this.start,r=null!=e?kS.convert(e,"Date").valueOf():this.end,o=null!=this.options.max?kS.convert(this.options.max,"Date").valueOf():null,s=null!=this.options.min?kS.convert(this.options.min,"Date").valueOf():null;if(isNaN(n)||null===n)throw new Error('Invalid start "'.concat(t,'"'));if(isNaN(r)||null===r)throw new Error('Invalid end "'.concat(e,'"'));if(r<n&&(r=n),null!==s&&n<s&&(n+=i=s-n,r+=i,null!=o&&r>o&&(r=o)),null!==o&&r>o&&(n-=i=r-o,r-=i,null!=s&&n<s&&(n=s)),null!==this.options.zoomMin){var a=AS(this.options.zoomMin);if(a<0&&(a=0),r-n<a){this.end-this.start===a&&n>=this.start-.5&&r<=this.end?(n=this.start,r=this.end):(n-=(i=a-(r-n))/2,r+=i/2)}}if(null!==this.options.zoomMax){var l=AS(this.options.zoomMax);l<0&&(l=0),r-n>l&&(this.end-this.start===l&&n<this.start&&r>this.end?(n=this.start,r=this.end):(n+=(i=r-n-l)/2,r-=i/2))}var u=this.start!=n||this.end!=r;return n>=this.start&&n<=this.end||r>=this.start&&r<=this.end||this.start>=n&&this.start<=r||this.end>=n&&this.end<=r||this.body.emitter.emit("checkRangedItems"),this.start=n,this.end=r,u}},{key:"getRange",value:function(){return{start:this.start,end:this.end}}},{key:"conversion",value:function(t,i){return e.conversion(this.start,this.end,t,i)}},{key:"_onDragStart",value:function(t){this.deltaDifference=0,this.previousDelta=0,this.options.moveable&&this._isInsideRange(t)&&this.props.touch.allowDragging&&(this.stopRolling(),this.props.touch.start=this.start,this.props.touch.end=this.end,this.props.touch.dragging=!0,this.body.dom.root&&(this.body.dom.root.style.cursor="move"))}},{key:"_onDrag",value:function(t){if(t&&this.props.touch.dragging&&this.options.moveable&&this.props.touch.allowDragging){var e=this.options.direction;gD(e);var i="horizontal"==e?t.deltaX:t.deltaY;i-=this.deltaDifference;var n=this.props.touch.end-this.props.touch.start;n-=lD(this.body.hiddenDates,this.start,this.end);var r,o="horizontal"==e?this.body.domProps.center.width:this.body.domProps.center.height;r=this.options.rtl?i/o*n:-i/o*n;var s=this.props.touch.start+r,a=this.props.touch.end+r,l=fD(this.body.hiddenDates,s,this.previousDelta-i,!0),u=fD(this.body.hiddenDates,a,this.previousDelta-i,!0);if(l!=s||u!=a)return this.deltaDifference+=i,this.props.touch.start=l,this.props.touch.end=u,void this._onDrag(t);this.previousDelta=i,this._applyRange(s,a);var h=new Date(this.start),c=new Date(this.end);this.body.emitter.emit("rangechange",{start:h,end:c,byUser:!0,event:t}),this.body.emitter.emit("panmove")}}},{key:"_onDragEnd",value:function(t){this.props.touch.dragging&&this.options.moveable&&this.props.touch.allowDragging&&(this.props.touch.dragging=!1,this.body.dom.root&&(this.body.dom.root.style.cursor="auto"),this.body.emitter.emit("rangechanged",{start:new Date(this.start),end:new Date(this.end),byUser:!0,event:t}))}},{key:"_onMouseWheel",value:function(t){var e=0;if(t.wheelDelta?e=t.wheelDelta/120:t.detail?e=-t.detail/3:t.deltaY&&(e=-t.deltaY/3),!(this.options.zoomKey&&!t[this.options.zoomKey]&&this.options.zoomable||!this.options.zoomable&&this.options.moveable)&&this.options.zoomable&&this.options.moveable&&this._isInsideRange(t)&&e){var i,n,r=this.options.zoomFriction||5;if(i=e<0?1-e/r:1/(1+e/r),this.rolling){var o=this.options.rollingMode&&this.options.rollingMode.offset||.5;n=this.start+(this.end-this.start)*o}else{var s=this.getPointer({x:t.clientX,y:t.clientY},this.body.dom.center);n=this._pointerToDate(s)}this.zoom(i,n,e,t),t.preventDefault()}}},{key:"_onTouch",value:function(t){this.props.touch.start=this.start,this.props.touch.end=this.end,this.props.touch.allowDragging=!0,this.props.touch.center=null,this.props.touch.centerDate=null,this.scaleOffset=0,this.deltaDifference=0,kS.preventDefault(t)}},{key:"_onPinch",value:function(t){if(this.options.zoomable&&this.options.moveable){kS.preventDefault(t),this.props.touch.allowDragging=!1,this.props.touch.center||(this.props.touch.center=this.getPointer(t.center,this.body.dom.center),this.props.touch.centerDate=this._pointerToDate(this.props.touch.center)),this.stopRolling();var e=1/(t.scale+this.scaleOffset),i=this.props.touch.centerDate,n=lD(this.body.hiddenDates,this.start,this.end),r=cD(this.options.moment,this.body.hiddenDates,this,i),o=n-r,s=i-r+(this.props.touch.start-(i-r))*e,a=i+o+(this.props.touch.end-(i+o))*e;this.startToFront=1-e<=0,this.endToFront=e-1<=0;var l=fD(this.body.hiddenDates,s,1-e,!0),u=fD(this.body.hiddenDates,a,e-1,!0);l==s&&u==a||(this.props.touch.start=l,this.props.touch.end=u,this.scaleOffset=1-t.scale,s=l,a=u);var h={animation:!1,byUser:!0,event:t};this.setRange(s,a,h),this.startToFront=!1,this.endToFront=!0}}},{key:"_isInsideRange",value:function(t){var e=t.center?t.center.x:t.clientX,i=this.body.dom.centerContainer.getBoundingClientRect(),n=this.options.rtl?e-i.left:i.right-e,r=this.body.util.toTime(n);return r>=this.start&&r<=this.end}},{key:"_pointerToDate",value:function(t){var e,i=this.options.direction;if(gD(i),"horizontal"==i)return this.body.util.toTime(t.x).valueOf();var n=this.body.domProps.center.height;return e=this.conversion(n),t.y/e.scale+e.offset}},{key:"getPointer",value:function(t,e){var i=e.getBoundingClientRect();return this.options.rtl?{x:i.right-t.x,y:t.y-i.top}:{x:t.x-i.left,y:t.y-i.top}}},{key:"zoom",value:function(t,e,i,n){null==e&&(e=(this.start+this.end)/2);var r=lD(this.body.hiddenDates,this.start,this.end),o=cD(this.options.moment,this.body.hiddenDates,this,e),s=r-o,a=e-o+(this.start-(e-o))*t,l=e+s+(this.end-(e+s))*t;this.startToFront=!(i>0),this.endToFront=!(-i>0);var u=fD(this.body.hiddenDates,a,i,!0),h=fD(this.body.hiddenDates,l,-i,!0);u==a&&h==l||(a=u,l=h);var c={animation:!1,byUser:!0,event:n};this.setRange(a,l,c),this.startToFront=!1,this.endToFront=!0}},{key:"move",value:function(t){var e=this.end-this.start,i=this.start+e*t,n=this.end+e*t;this.start=i,this.end=n}},{key:"moveTo",value:function(t){var e=(this.start+this.end)/2-t,i=this.start-e,n=this.end-e;this.setRange(i,n,{animation:!1,byUser:!0,event:null})}}],[{key:"conversion",value:function(t,e,i,n){return void 0===n&&(n=0),0!=i&&e-t!=0?{offset:t,scale:i/(e-t-n)}:{offset:0,scale:1}}}]),e}(VS);function gD(t){if("horizontal"!=t&&"vertical"!=t)throw new TypeError('Unknown direction "'.concat(t,'". Choose "horizontal" or "vertical".'))}var yD=Db.setInterval,bD=z_.some,_D=W_("some"),wD=X_("some");Cb({target:"Array",proto:!0,forced:!_D||!wD},{some:function(t){return bD(this,t,arguments.length>1?arguments[1]:void 0)}});var kD=tw("Array").some,SD=Array.prototype,DD=function(t){var e=t.some;return t===SD||t instanceof Array&&e===SD.some?kD:e},xD=cw("splice"),OD=X_("splice",{ACCESSORS:!0,0:0,1:2}),MD=Math.max,TD=Math.min;Cb({target:"Array",proto:!0,forced:!xD||!OD},{splice:function(t,e){var i,n,r,o,s,a,l=Pb(this),u=qb(l.length),h=$b(t,u),c=arguments.length;if(0===c?i=n=0:1===c?(i=0,n=u-h):(i=c-2,n=TD(MD(Bb(e),0),u-h)),u+i-n>9007199254740991)throw TypeError("Maximum allowed length exceeded");for(r=F_(l,n),o=0;o<n;o++)(s=h+o)in l&&Vw(r,o,l[s]);if(r.length=n,i<n){for(o=h;o<u-n;o++)a=o+i,(s=o+n)in l?l[a]=l[s]:delete l[a];for(o=u;o>u-n+i;o--)delete l[o-1]}else if(i>n)for(o=u-n;o>h;o--)a=o+i-1,(s=o+n-1)in l?l[a]=l[s]:delete l[a];for(o=0;o<i;o++)l[o+h]=arguments[o+2];return l.length=u-n+i,r}});var CD=tw("Array").splice,PD=Array.prototype,ED=function(t){var e=t.splice;return t===PD||t instanceof Array&&e===PD.splice?CD:e},AD=Qb.indexOf,LD=[].indexOf,ID=!!LD&&1/[1].indexOf(1,-0)<0,jD=W_("indexOf"),YD=X_("indexOf",{ACCESSORS:!0,1:0});Cb({target:"Array",proto:!0,forced:ID||!jD||!YD},{indexOf:function(t){return ID?LD.apply(this,arguments)||0:AD(this,t,arguments.length>1?arguments[1]:void 0)}});var ND=tw("Array").indexOf,RD=Array.prototype,FD=function(t){var e=t.indexOf;return t===RD||t instanceof Array&&e===RD.indexOf?ND:e},HD=GD;function GD(t){if(t)return function(t){for(var e in GD.prototype)t[e]=GD.prototype[e];return t}(t)}GD.prototype.on=GD.prototype.addEventListener=function(t,e){return this._callbacks=this._callbacks||{},(this._callbacks[t]=this._callbacks[t]||[]).push(e),this},GD.prototype.once=function(t,e){var i=this;function n(){i.off(t,n),e.apply(this,arguments)}return this._callbacks=this._callbacks||{},n.fn=e,this.on(t,n),this},GD.prototype.off=GD.prototype.removeListener=GD.prototype.removeAllListeners=GD.prototype.removeEventListener=function(t,e){if(this._callbacks=this._callbacks||{},0==arguments.length)return this._callbacks={},this;var i,n=this._callbacks[t];if(!n)return this;if(1==arguments.length)return delete this._callbacks[t],this;for(var r=0;r<n.length;r++)if((i=n[r])===e||i.fn===e){n.splice(r,1);break}return this},GD.prototype.emit=function(t){this._callbacks=this._callbacks||{};var e=[].slice.call(arguments,1),i=this._callbacks[t];if(i)for(var n=0,r=(i=i.slice(0)).length;n<r;++n)i[n].apply(this,e);return this},GD.prototype.listeners=function(t){return this._callbacks=this._callbacks||{},this._callbacks[t]||[]},GD.prototype.hasListeners=function(t){return!!this.listeners(t).length};var zD=n((function(t,e){var i;t.exports=(i=null,function t(e,n){var r=n||{preventDefault:!1};if(e.Manager){var o=e,s=function(e,i){var n=Object.create(r);return i&&o.assign(n,i),t(new o(e,n),n)};return o.assign(s,o),s.Manager=function(e,i){var n=Object.create(r);return i&&o.assign(n,i),t(new o.Manager(e,n),n)},s}var a=Object.create(e),l=e.element;function u(t){return t.match(/[^ ]+/g)}function h(t){if("hammer.input"!==t.type){if(t.srcEvent._handled||(t.srcEvent._handled={}),t.srcEvent._handled[t.type])return;t.srcEvent._handled[t.type]=!0}var e=!1;t.stopPropagation=function(){e=!0};var n=t.srcEvent.stopPropagation.bind(t.srcEvent);"function"==typeof n&&(t.srcEvent.stopPropagation=function(){n(),t.stopPropagation()}),t.firstTarget=i;for(var r=i;r&&!e;){var o=r.hammer;if(o)for(var s,a=0;a<o.length;a++)if(s=o[a]._handlers[t.type])for(var l=0;l<s.length&&!e;l++)s[l](t);r=r.parentNode}}return l.hammer||(l.hammer=[]),l.hammer.push(a),e.on("hammer.input",(function(t){!0!==r.preventDefault&&r.preventDefault!==t.pointerType||t.preventDefault(),t.isFirst&&(i=t.target)})),a._handlers={},a.on=function(t,i){return u(t).forEach((function(t){var n=a._handlers[t];n||(a._handlers[t]=n=[],e.on(t,h)),n.push(i)})),a},a.off=function(t,i){return u(t).forEach((function(t){var n=a._handlers[t];n&&((n=i?n.filter((function(t){return t!==i})):[]).length>0?a._handlers[t]=n:(e.off(t,h),delete a._handlers[t]))})),a},a.emit=function(t,n){i=n.target,e.emit(t,n)},a.destroy=function(){var t=e.element.hammer,i=t.indexOf(a);-1!==i&&t.splice(i,1),t.length||delete e.element.hammer,a._handlers={},e.destroy()},a})}));
/*! Hammer.JS - v2.0.17-rc - 2019-12-16
	 * http://naver.github.io/egjs
	 *
	 * Forked By Naver egjs
	 * Copyright (c) hammerjs
	 * Licensed under the MIT license */function WD(){return(WD=Object.assign||function(t){for(var e=1;e<arguments.length;e++){var i=arguments[e];for(var n in i)Object.prototype.hasOwnProperty.call(i,n)&&(t[n]=i[n])}return t}).apply(this,arguments)}function VD(t,e){t.prototype=Object.create(e.prototype),t.prototype.constructor=t,t.__proto__=e}function UD(t){if(void 0===t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return t}var BD,XD="function"!=typeof Object.assign?function(t){if(null==t)throw new TypeError("Cannot convert undefined or null to object");for(var e=Object(t),i=1;i<arguments.length;i++){var n=arguments[i];if(null!=n)for(var r in n)n.hasOwnProperty(r)&&(e[r]=n[r])}return e}:Object.assign,qD=["","webkit","Moz","MS","ms","o"],ZD="undefined"==typeof document?{style:{}}:document.createElement("div"),JD=Math.round,$D=Math.abs,KD=Date.now;function QD(t,e){for(var i,n,r=e[0].toUpperCase()+e.slice(1),o=0;o<qD.length;){if((n=(i=qD[o])?i+r:e)in t)return n;o++}}BD="undefined"==typeof window?{}:window;var tx=QD(ZD.style,"touchAction"),ex=void 0!==tx;var ix=function(){if(!ex)return!1;var t={},e=BD.CSS&&BD.CSS.supports;return["auto","manipulation","pan-y","pan-x","pan-x pan-y","none"].forEach((function(i){return t[i]=!e||BD.CSS.supports("touch-action",i)})),t}(),nx="ontouchstart"in BD,rx=void 0!==QD(BD,"PointerEvent"),ox=nx&&/mobile|tablet|ip(ad|hone|od)|android/i.test(navigator.userAgent),sx=["x","y"],ax=["clientX","clientY"];function lx(t,e,i){var n;if(t)if(t.forEach)t.forEach(e,i);else if(void 0!==t.length)for(n=0;n<t.length;)e.call(i,t[n],n,t),n++;else for(n in t)t.hasOwnProperty(n)&&e.call(i,t[n],n,t)}function ux(t,e){return"function"==typeof t?t.apply(e&&e[0]||void 0,e):t}function hx(t,e){return t.indexOf(e)>-1}var cx=function(){function t(t,e){this.manager=t,this.set(e)}var e=t.prototype;return e.set=function(t){"compute"===t&&(t=this.compute()),ex&&this.manager.element.style&&ix[t]&&(this.manager.element.style[tx]=t),this.actions=t.toLowerCase().trim()},e.update=function(){this.set(this.manager.options.touchAction)},e.compute=function(){var t=[];return lx(this.manager.recognizers,(function(e){ux(e.options.enable,[e])&&(t=t.concat(e.getTouchAction()))})),function(t){if(hx(t,"none"))return"none";var e=hx(t,"pan-x"),i=hx(t,"pan-y");return e&&i?"none":e||i?e?"pan-x":"pan-y":hx(t,"manipulation")?"manipulation":"auto"}(t.join(" "))},e.preventDefaults=function(t){var e=t.srcEvent,i=t.offsetDirection;if(this.manager.session.prevented)e.preventDefault();else{var n=this.actions,r=hx(n,"none")&&!ix.none,o=hx(n,"pan-y")&&!ix["pan-y"],s=hx(n,"pan-x")&&!ix["pan-x"];if(r){var a=1===t.pointers.length,l=t.distance<2,u=t.deltaTime<250;if(a&&l&&u)return}if(!s||!o)return r||o&&6&i||s&&24&i?this.preventSrc(e):void 0}},e.preventSrc=function(t){this.manager.session.prevented=!0,t.preventDefault()},t}();function dx(t,e){for(;t;){if(t===e)return!0;t=t.parentNode}return!1}function fx(t){var e=t.length;if(1===e)return{x:JD(t[0].clientX),y:JD(t[0].clientY)};for(var i=0,n=0,r=0;r<e;)i+=t[r].clientX,n+=t[r].clientY,r++;return{x:JD(i/e),y:JD(n/e)}}function px(t){for(var e=[],i=0;i<t.pointers.length;)e[i]={clientX:JD(t.pointers[i].clientX),clientY:JD(t.pointers[i].clientY)},i++;return{timeStamp:KD(),pointers:e,center:fx(e),deltaX:t.deltaX,deltaY:t.deltaY}}function mx(t,e,i){i||(i=sx);var n=e[i[0]]-t[i[0]],r=e[i[1]]-t[i[1]];return Math.sqrt(n*n+r*r)}function vx(t,e,i){i||(i=sx);var n=e[i[0]]-t[i[0]],r=e[i[1]]-t[i[1]];return 180*Math.atan2(r,n)/Math.PI}function gx(t,e){return t===e?1:$D(t)>=$D(e)?t<0?2:4:e<0?8:16}function yx(t,e,i){return{x:e/t||0,y:i/t||0}}function bx(t,e){var i=t.session,n=e.pointers,r=n.length;i.firstInput||(i.firstInput=px(e)),r>1&&!i.firstMultiple?i.firstMultiple=px(e):1===r&&(i.firstMultiple=!1);var o=i.firstInput,s=i.firstMultiple,a=s?s.center:o.center,l=e.center=fx(n);e.timeStamp=KD(),e.deltaTime=e.timeStamp-o.timeStamp,e.angle=vx(a,l),e.distance=mx(a,l),function(t,e){var i=e.center,n=t.offsetDelta||{},r=t.prevDelta||{},o=t.prevInput||{};1!==e.eventType&&4!==o.eventType||(r=t.prevDelta={x:o.deltaX||0,y:o.deltaY||0},n=t.offsetDelta={x:i.x,y:i.y}),e.deltaX=r.x+(i.x-n.x),e.deltaY=r.y+(i.y-n.y)}(i,e),e.offsetDirection=gx(e.deltaX,e.deltaY);var u,h,c=yx(e.deltaTime,e.deltaX,e.deltaY);e.overallVelocityX=c.x,e.overallVelocityY=c.y,e.overallVelocity=$D(c.x)>$D(c.y)?c.x:c.y,e.scale=s?(u=s.pointers,mx((h=n)[0],h[1],ax)/mx(u[0],u[1],ax)):1,e.rotation=s?function(t,e){return vx(e[1],e[0],ax)+vx(t[1],t[0],ax)}(s.pointers,n):0,e.maxPointers=i.prevInput?e.pointers.length>i.prevInput.maxPointers?e.pointers.length:i.prevInput.maxPointers:e.pointers.length,function(t,e){var i,n,r,o,s=t.lastInterval||e,a=e.timeStamp-s.timeStamp;if(8!==e.eventType&&(a>25||void 0===s.velocity)){var l=e.deltaX-s.deltaX,u=e.deltaY-s.deltaY,h=yx(a,l,u);n=h.x,r=h.y,i=$D(h.x)>$D(h.y)?h.x:h.y,o=gx(l,u),t.lastInterval=e}else i=s.velocity,n=s.velocityX,r=s.velocityY,o=s.direction;e.velocity=i,e.velocityX=n,e.velocityY=r,e.direction=o}(i,e);var d,f=t.element,p=e.srcEvent;dx(d=p.composedPath?p.composedPath()[0]:p.path?p.path[0]:p.target,f)&&(f=d),e.target=f}function _x(t,e,i){var n=i.pointers.length,r=i.changedPointers.length,o=1&e&&n-r==0,s=12&e&&n-r==0;i.isFirst=!!o,i.isFinal=!!s,o&&(t.session={}),i.eventType=e,bx(t,i),t.emit("hammer.input",i),t.recognize(i),t.session.prevInput=i}function wx(t){return t.trim().split(/\s+/g)}function kx(t,e,i){lx(wx(e),(function(e){t.addEventListener(e,i,!1)}))}function Sx(t,e,i){lx(wx(e),(function(e){t.removeEventListener(e,i,!1)}))}function Dx(t){var e=t.ownerDocument||t;return e.defaultView||e.parentWindow||window}var xx=function(){function t(t,e){var i=this;this.manager=t,this.callback=e,this.element=t.element,this.target=t.options.inputTarget,this.domHandler=function(e){ux(t.options.enable,[t])&&i.handler(e)},this.init()}var e=t.prototype;return e.handler=function(){},e.init=function(){this.evEl&&kx(this.element,this.evEl,this.domHandler),this.evTarget&&kx(this.target,this.evTarget,this.domHandler),this.evWin&&kx(Dx(this.element),this.evWin,this.domHandler)},e.destroy=function(){this.evEl&&Sx(this.element,this.evEl,this.domHandler),this.evTarget&&Sx(this.target,this.evTarget,this.domHandler),this.evWin&&Sx(Dx(this.element),this.evWin,this.domHandler)},t}();function Ox(t,e,i){if(t.indexOf&&!i)return t.indexOf(e);for(var n=0;n<t.length;){if(i&&t[n][i]==e||!i&&t[n]===e)return n;n++}return-1}var Mx={pointerdown:1,pointermove:2,pointerup:4,pointercancel:8,pointerout:8},Tx={2:"touch",3:"pen",4:"mouse",5:"kinect"},Cx="pointerdown",Px="pointermove pointerup pointercancel";BD.MSPointerEvent&&!BD.PointerEvent&&(Cx="MSPointerDown",Px="MSPointerMove MSPointerUp MSPointerCancel");var Ex=function(t){function e(){var i,n=e.prototype;return n.evEl=Cx,n.evWin=Px,(i=t.apply(this,arguments)||this).store=i.manager.session.pointerEvents=[],i}return VD(e,t),e.prototype.handler=function(t){var e=this.store,i=!1,n=t.type.toLowerCase().replace("ms",""),r=Mx[n],o=Tx[t.pointerType]||t.pointerType,s="touch"===o,a=Ox(e,t.pointerId,"pointerId");1&r&&(0===t.button||s)?a<0&&(e.push(t),a=e.length-1):12&r&&(i=!0),a<0||(e[a]=t,this.callback(this.manager,r,{pointers:e,changedPointers:[t],pointerType:o,srcEvent:t}),i&&e.splice(a,1))},e}(xx);function Ax(t){return Array.prototype.slice.call(t,0)}function Lx(t,e,i){for(var n=[],r=[],o=0;o<t.length;){var s=e?t[o][e]:t[o];Ox(r,s)<0&&n.push(t[o]),r[o]=s,o++}return i&&(n=e?n.sort((function(t,i){return t[e]>i[e]})):n.sort()),n}var Ix={touchstart:1,touchmove:2,touchend:4,touchcancel:8},jx=function(t){function e(){var i;return e.prototype.evTarget="touchstart touchmove touchend touchcancel",(i=t.apply(this,arguments)||this).targetIds={},i}return VD(e,t),e.prototype.handler=function(t){var e=Ix[t.type],i=Yx.call(this,t,e);i&&this.callback(this.manager,e,{pointers:i[0],changedPointers:i[1],pointerType:"touch",srcEvent:t})},e}(xx);function Yx(t,e){var i,n,r=Ax(t.touches),o=this.targetIds;if(3&e&&1===r.length)return o[r[0].identifier]=!0,[r,r];var s=Ax(t.changedTouches),a=[],l=this.target;if(n=r.filter((function(t){return dx(t.target,l)})),1===e)for(i=0;i<n.length;)o[n[i].identifier]=!0,i++;for(i=0;i<s.length;)o[s[i].identifier]&&a.push(s[i]),12&e&&delete o[s[i].identifier],i++;return a.length?[Lx(n.concat(a),"identifier",!0),a]:void 0}var Nx={mousedown:1,mousemove:2,mouseup:4},Rx=function(t){function e(){var i,n=e.prototype;return n.evEl="mousedown",n.evWin="mousemove mouseup",(i=t.apply(this,arguments)||this).pressed=!1,i}return VD(e,t),e.prototype.handler=function(t){var e=Nx[t.type];1&e&&0===t.button&&(this.pressed=!0),2&e&&1!==t.which&&(e=4),this.pressed&&(4&e&&(this.pressed=!1),this.callback(this.manager,e,{pointers:[t],changedPointers:[t],pointerType:"mouse",srcEvent:t}))},e}(xx);function Fx(t){var e=t.changedPointers[0];if(e.identifier===this.primaryTouch){var i={x:e.clientX,y:e.clientY},n=this.lastTouches;this.lastTouches.push(i);setTimeout((function(){var t=n.indexOf(i);t>-1&&n.splice(t,1)}),2500)}}function Hx(t,e){1&t?(this.primaryTouch=e.changedPointers[0].identifier,Fx.call(this,e)):12&t&&Fx.call(this,e)}function Gx(t){for(var e=t.srcEvent.clientX,i=t.srcEvent.clientY,n=0;n<this.lastTouches.length;n++){var r=this.lastTouches[n],o=Math.abs(e-r.x),s=Math.abs(i-r.y);if(o<=25&&s<=25)return!0}return!1}var zx=function(){return function(t){function e(e,i){var n;return(n=t.call(this,e,i)||this).handler=function(t,e,i){var r="touch"===i.pointerType,o="mouse"===i.pointerType;if(!(o&&i.sourceCapabilities&&i.sourceCapabilities.firesTouchEvents)){if(r)Hx.call(UD(UD(n)),e,i);else if(o&&Gx.call(UD(UD(n)),i))return;n.callback(t,e,i)}},n.touch=new jx(n.manager,n.handler),n.mouse=new Rx(n.manager,n.handler),n.primaryTouch=null,n.lastTouches=[],n}return VD(e,t),e.prototype.destroy=function(){this.touch.destroy(),this.mouse.destroy()},e}(xx)}();function Wx(t,e,i){return!!Array.isArray(t)&&(lx(t,i[e],i),!0)}var Vx=1;function Ux(t,e){var i=e.manager;return i?i.get(t):t}function Bx(t){return 16&t?"cancel":8&t?"end":4&t?"move":2&t?"start":""}var Xx=function(){function t(t){void 0===t&&(t={}),this.options=WD({enable:!0},t),this.id=Vx++,this.manager=null,this.state=1,this.simultaneous={},this.requireFail=[]}var e=t.prototype;return e.set=function(t){return XD(this.options,t),this.manager&&this.manager.touchAction.update(),this},e.recognizeWith=function(t){if(Wx(t,"recognizeWith",this))return this;var e=this.simultaneous;return e[(t=Ux(t,this)).id]||(e[t.id]=t,t.recognizeWith(this)),this},e.dropRecognizeWith=function(t){return Wx(t,"dropRecognizeWith",this)?this:(t=Ux(t,this),delete this.simultaneous[t.id],this)},e.requireFailure=function(t){if(Wx(t,"requireFailure",this))return this;var e=this.requireFail;return-1===Ox(e,t=Ux(t,this))&&(e.push(t),t.requireFailure(this)),this},e.dropRequireFailure=function(t){if(Wx(t,"dropRequireFailure",this))return this;t=Ux(t,this);var e=Ox(this.requireFail,t);return e>-1&&this.requireFail.splice(e,1),this},e.hasRequireFailures=function(){return this.requireFail.length>0},e.canRecognizeWith=function(t){return!!this.simultaneous[t.id]},e.emit=function(t){var e=this,i=this.state;function n(i){e.manager.emit(i,t)}i<8&&n(e.options.event+Bx(i)),n(e.options.event),t.additionalEvent&&n(t.additionalEvent),i>=8&&n(e.options.event+Bx(i))},e.tryEmit=function(t){if(this.canEmit())return this.emit(t);this.state=32},e.canEmit=function(){for(var t=0;t<this.requireFail.length;){if(!(33&this.requireFail[t].state))return!1;t++}return!0},e.recognize=function(t){var e=XD({},t);if(!ux(this.options.enable,[this,e]))return this.reset(),void(this.state=32);56&this.state&&(this.state=1),this.state=this.process(e),30&this.state&&this.tryEmit(e)},e.process=function(t){},e.getTouchAction=function(){},e.reset=function(){},t}(),qx=function(t){function e(e){var i;return void 0===e&&(e={}),(i=t.call(this,WD({event:"tap",pointers:1,taps:1,interval:300,time:250,threshold:9,posThreshold:10},e))||this).pTime=!1,i.pCenter=!1,i._timer=null,i._input=null,i.count=0,i}VD(e,t);var i=e.prototype;return i.getTouchAction=function(){return["manipulation"]},i.process=function(t){var e=this,i=this.options,n=t.pointers.length===i.pointers,r=t.distance<i.threshold,o=t.deltaTime<i.time;if(this.reset(),1&t.eventType&&0===this.count)return this.failTimeout();if(r&&o&&n){if(4!==t.eventType)return this.failTimeout();var s=!this.pTime||t.timeStamp-this.pTime<i.interval,a=!this.pCenter||mx(this.pCenter,t.center)<i.posThreshold;if(this.pTime=t.timeStamp,this.pCenter=t.center,a&&s?this.count+=1:this.count=1,this._input=t,0===this.count%i.taps)return this.hasRequireFailures()?(this._timer=setTimeout((function(){e.state=8,e.tryEmit()}),i.interval),2):8}return 32},i.failTimeout=function(){var t=this;return this._timer=setTimeout((function(){t.state=32}),this.options.interval),32},i.reset=function(){clearTimeout(this._timer)},i.emit=function(){8===this.state&&(this._input.tapCount=this.count,this.manager.emit(this.options.event,this._input))},e}(Xx),Zx=function(t){function e(e){return void 0===e&&(e={}),t.call(this,WD({pointers:1},e))||this}VD(e,t);var i=e.prototype;return i.attrTest=function(t){var e=this.options.pointers;return 0===e||t.pointers.length===e},i.process=function(t){var e=this.state,i=t.eventType,n=6&e,r=this.attrTest(t);return n&&(8&i||!r)?16|e:n||r?4&i?8|e:2&e?4|e:2:32},e}(Xx);function Jx(t){return 16===t?"down":8===t?"up":2===t?"left":4===t?"right":""}var $x=function(t){function e(e){var i;return void 0===e&&(e={}),(i=t.call(this,WD({event:"pan",threshold:10,pointers:1,direction:30},e))||this).pX=null,i.pY=null,i}VD(e,t);var i=e.prototype;return i.getTouchAction=function(){var t=this.options.direction,e=[];return 6&t&&e.push("pan-y"),24&t&&e.push("pan-x"),e},i.directionTest=function(t){var e=this.options,i=!0,n=t.distance,r=t.direction,o=t.deltaX,s=t.deltaY;return r&e.direction||(6&e.direction?(r=0===o?1:o<0?2:4,i=o!==this.pX,n=Math.abs(t.deltaX)):(r=0===s?1:s<0?8:16,i=s!==this.pY,n=Math.abs(t.deltaY))),t.direction=r,i&&n>e.threshold&&r&e.direction},i.attrTest=function(t){return Zx.prototype.attrTest.call(this,t)&&(2&this.state||!(2&this.state)&&this.directionTest(t))},i.emit=function(e){this.pX=e.deltaX,this.pY=e.deltaY;var i=Jx(e.direction);i&&(e.additionalEvent=this.options.event+i),t.prototype.emit.call(this,e)},e}(Zx),Kx=function(t){function e(e){return void 0===e&&(e={}),t.call(this,WD({event:"swipe",threshold:10,velocity:.3,direction:30,pointers:1},e))||this}VD(e,t);var i=e.prototype;return i.getTouchAction=function(){return $x.prototype.getTouchAction.call(this)},i.attrTest=function(e){var i,n=this.options.direction;return 30&n?i=e.overallVelocity:6&n?i=e.overallVelocityX:24&n&&(i=e.overallVelocityY),t.prototype.attrTest.call(this,e)&&n&e.offsetDirection&&e.distance>this.options.threshold&&e.maxPointers===this.options.pointers&&$D(i)>this.options.velocity&&4&e.eventType},i.emit=function(t){var e=Jx(t.offsetDirection);e&&this.manager.emit(this.options.event+e,t),this.manager.emit(this.options.event,t)},e}(Zx),Qx=function(t){function e(e){return void 0===e&&(e={}),t.call(this,WD({event:"pinch",threshold:0,pointers:2},e))||this}VD(e,t);var i=e.prototype;return i.getTouchAction=function(){return["none"]},i.attrTest=function(e){return t.prototype.attrTest.call(this,e)&&(Math.abs(e.scale-1)>this.options.threshold||2&this.state)},i.emit=function(e){if(1!==e.scale){var i=e.scale<1?"in":"out";e.additionalEvent=this.options.event+i}t.prototype.emit.call(this,e)},e}(Zx),tO=function(t){function e(e){return void 0===e&&(e={}),t.call(this,WD({event:"rotate",threshold:0,pointers:2},e))||this}VD(e,t);var i=e.prototype;return i.getTouchAction=function(){return["none"]},i.attrTest=function(e){return t.prototype.attrTest.call(this,e)&&(Math.abs(e.rotation)>this.options.threshold||2&this.state)},e}(Zx),eO=function(t){function e(e){var i;return void 0===e&&(e={}),(i=t.call(this,WD({event:"press",pointers:1,time:251,threshold:9},e))||this)._timer=null,i._input=null,i}VD(e,t);var i=e.prototype;return i.getTouchAction=function(){return["auto"]},i.process=function(t){var e=this,i=this.options,n=t.pointers.length===i.pointers,r=t.distance<i.threshold,o=t.deltaTime>i.time;if(this._input=t,!r||!n||12&t.eventType&&!o)this.reset();else if(1&t.eventType)this.reset(),this._timer=setTimeout((function(){e.state=8,e.tryEmit()}),i.time);else if(4&t.eventType)return 8;return 32},i.reset=function(){clearTimeout(this._timer)},i.emit=function(t){8===this.state&&(t&&4&t.eventType?this.manager.emit(this.options.event+"up",t):(this._input.timeStamp=KD(),this.manager.emit(this.options.event,this._input)))},e}(Xx),iO={domEvents:!1,touchAction:"compute",enable:!0,inputTarget:null,inputClass:null,cssProps:{userSelect:"none",touchSelect:"none",touchCallout:"none",contentZooming:"none",userDrag:"none",tapHighlightColor:"rgba(0,0,0,0)"}},nO=[[tO,{enable:!1}],[Qx,{enable:!1},["rotate"]],[Kx,{direction:6}],[$x,{direction:6},["swipe"]],[qx],[qx,{event:"doubletap",taps:2},["tap"]],[eO]];function rO(t,e){var i,n=t.element;n.style&&(lx(t.options.cssProps,(function(r,o){i=QD(n.style,o),e?(t.oldCssProps[i]=n.style[i],n.style[i]=r):n.style[i]=t.oldCssProps[i]||""})),e||(t.oldCssProps={}))}var oO=function(){function t(t,e){var i,n=this;this.options=XD({},iO,e||{}),this.options.inputTarget=this.options.inputTarget||t,this.handlers={},this.session={},this.recognizers=[],this.oldCssProps={},this.element=t,this.input=new((i=this).options.inputClass||(rx?Ex:ox?jx:nx?zx:Rx))(i,_x),this.touchAction=new cx(this,this.options.touchAction),rO(this,!0),lx(this.options.recognizers,(function(t){var e=n.add(new t[0](t[1]));t[2]&&e.recognizeWith(t[2]),t[3]&&e.requireFailure(t[3])}),this)}var e=t.prototype;return e.set=function(t){return XD(this.options,t),t.touchAction&&this.touchAction.update(),t.inputTarget&&(this.input.destroy(),this.input.target=t.inputTarget,this.input.init()),this},e.stop=function(t){this.session.stopped=t?2:1},e.recognize=function(t){var e=this.session;if(!e.stopped){var i;this.touchAction.preventDefaults(t);var n=this.recognizers,r=e.curRecognizer;(!r||r&&8&r.state)&&(e.curRecognizer=null,r=null);for(var o=0;o<n.length;)i=n[o],2===e.stopped||r&&i!==r&&!i.canRecognizeWith(r)?i.reset():i.recognize(t),!r&&14&i.state&&(e.curRecognizer=i,r=i),o++}},e.get=function(t){if(t instanceof Xx)return t;for(var e=this.recognizers,i=0;i<e.length;i++)if(e[i].options.event===t)return e[i];return null},e.add=function(t){if(Wx(t,"add",this))return this;var e=this.get(t.options.event);return e&&this.remove(e),this.recognizers.push(t),t.manager=this,this.touchAction.update(),t},e.remove=function(t){if(Wx(t,"remove",this))return this;var e=this.get(t);if(t){var i=this.recognizers,n=Ox(i,e);-1!==n&&(i.splice(n,1),this.touchAction.update())}return this},e.on=function(t,e){if(void 0===t||void 0===e)return this;var i=this.handlers;return lx(wx(t),(function(t){i[t]=i[t]||[],i[t].push(e)})),this},e.off=function(t,e){if(void 0===t)return this;var i=this.handlers;return lx(wx(t),(function(t){e?i[t]&&i[t].splice(Ox(i[t],e),1):delete i[t]})),this},e.emit=function(t,e){this.options.domEvents&&function(t,e){var i=document.createEvent("Event");i.initEvent(t,!0,!0),i.gesture=e,e.target.dispatchEvent(i)}(t,e);var i=this.handlers[t]&&this.handlers[t].slice();if(i&&i.length){e.type=t,e.preventDefault=function(){e.srcEvent.preventDefault()};for(var n=0;n<i.length;)i[n](e),n++}},e.destroy=function(){this.element&&rO(this,!1),this.handlers={},this.session={},this.input.destroy(),this.element=null},t}(),sO={touchstart:1,touchmove:2,touchend:4,touchcancel:8},aO=function(t){function e(){var i,n=e.prototype;return n.evTarget="touchstart",n.evWin="touchstart touchmove touchend touchcancel",(i=t.apply(this,arguments)||this).started=!1,i}return VD(e,t),e.prototype.handler=function(t){var e=sO[t.type];if(1===e&&(this.started=!0),this.started){var i=lO.call(this,t,e);12&e&&i[0].length-i[1].length==0&&(this.started=!1),this.callback(this.manager,e,{pointers:i[0],changedPointers:i[1],pointerType:"touch",srcEvent:t})}},e}(xx);function lO(t,e){var i=Ax(t.touches),n=Ax(t.changedTouches);return 12&e&&(i=Lx(i.concat(n),"identifier",!0)),[i,n]}function uO(t,e,i){var n="DEPRECATED METHOD: "+e+"\n"+i+" AT \n";return function(){var e=new Error("get-stack-trace"),i=e&&e.stack?e.stack.replace(/^[^\(]+?[\n$]/gm,"").replace(/^\s+at\s+/gm,"").replace(/^Object.<anonymous>\s*\(/gm,"{anonymous}()@"):"Unknown Stack Trace",r=window.console&&(window.console.warn||window.console.log);return r&&r.call(window.console,n,i),t.apply(this,arguments)}}var hO=uO((function(t,e,i){for(var n=Object.keys(e),r=0;r<n.length;)(!i||i&&void 0===t[n[r]])&&(t[n[r]]=e[n[r]]),r++;return t}),"extend","Use `assign`."),cO=uO((function(t,e){return hO(t,e,!0)}),"merge","Use `assign`.");function dO(t,e,i){var n,r=e.prototype;(n=t.prototype=Object.create(r)).constructor=t,n._super=r,i&&XD(n,i)}function fO(t,e){return function(){return t.apply(e,arguments)}}var pO,mO=function(){var t=function(t,e){return void 0===e&&(e={}),new oO(t,WD({recognizers:nO.concat()},e))};return t.VERSION="2.0.17-rc",t.DIRECTION_ALL=30,t.DIRECTION_DOWN=16,t.DIRECTION_LEFT=2,t.DIRECTION_RIGHT=4,t.DIRECTION_UP=8,t.DIRECTION_HORIZONTAL=6,t.DIRECTION_VERTICAL=24,t.DIRECTION_NONE=1,t.DIRECTION_DOWN=16,t.INPUT_START=1,t.INPUT_MOVE=2,t.INPUT_END=4,t.INPUT_CANCEL=8,t.STATE_POSSIBLE=1,t.STATE_BEGAN=2,t.STATE_CHANGED=4,t.STATE_ENDED=8,t.STATE_RECOGNIZED=8,t.STATE_CANCELLED=16,t.STATE_FAILED=32,t.Manager=oO,t.Input=xx,t.TouchAction=cx,t.TouchInput=jx,t.MouseInput=Rx,t.PointerEventInput=Ex,t.TouchMouseInput=zx,t.SingleTouchInput=aO,t.Recognizer=Xx,t.AttrRecognizer=Zx,t.Tap=qx,t.Pan=$x,t.Swipe=Kx,t.Pinch=Qx,t.Rotate=tO,t.Press=eO,t.on=kx,t.off=Sx,t.each=lx,t.merge=cO,t.extend=hO,t.bindFn=fO,t.assign=XD,t.inherit=dO,t.bindFn=fO,t.prefixed=QD,t.toArray=Ax,t.inArray=Ox,t.uniqueArray=Lx,t.splitStr=wx,t.boolOrFn=ux,t.hasParent=dx,t.addEventListeners=kx,t.removeEventListeners=Sx,t.defaults=XD({},iO,{preset:nO}),t}();"undefined"!=typeof window?pO=zD(window.Hammer||mO,{preventDefault:"mouse"}):pO=function(){return{on:t=function(){},off:t,destroy:t,emit:t,get:function(e){return{set:t}}};var t};var vO=pO;function gO(t,e){e.inputHandler=function(t){t.isFirst&&e(t)},t.on("hammer.input",e.inputHandler)}var yO=TS.trim,bO=Oy.parseInt,_O=/^[+-]?0[Xx]/,wO=8!==bO(SS+"08")||22!==bO(SS+"0x16")?function(t,e){var i=yO(String(t));return bO(i,e>>>0||(_O.test(i)?16:10))}:bO;Cb({global:!0,forced:parseInt!=wO},{parseInt:wO});var kO=Db.parseInt,SO=function(){function t(e,i,n,r,o){Ew(this,t),this.moment=o&&o.moment||Xk,this.options=o||{},this.current=this.moment(),this._start=this.moment(),this._end=this.moment(),this.autoScale=!0,this.scale="day",this.step=1,this.setRange(e,i,n),this.switchedDay=!1,this.switchedMonth=!1,this.switchedYear=!1,Pw(r)?this.hiddenDates=r:this.hiddenDates=null!=r?[r]:[],this.format=t.FORMAT}return jw(t,[{key:"setMoment",value:function(t){this.moment=t,this.current=this.moment(this.current.valueOf()),this._start=this.moment(this._start.valueOf()),this._end=this.moment(this._end.valueOf())}},{key:"setFormat",value:function(e){var i=kS.deepExtend({},t.FORMAT);this.format=kS.deepExtend(i,e)}},{key:"setRange",value:function(t,e,i){if(!(t instanceof Date&&e instanceof Date))throw"No legal start or end date in method setRange";this._start=null!=t?this.moment(t.valueOf()):LS(),this._end=null!=e?this.moment(e.valueOf()):LS(),this.autoScale&&this.setMinimumStep(i)}},{key:"start",value:function(){this.current=this._start.clone(),this.roundToMinor()}},{key:"roundToMinor",value:function(){switch("week"==this.scale&&this.current.weekday(0),this.scale){case"year":this.current.year(this.step*Math.floor(this.current.year()/this.step)),this.current.month(0);case"month":this.current.date(1);case"week":case"day":case"weekday":this.current.hours(0);case"hour":this.current.minutes(0);case"minute":this.current.seconds(0);case"second":this.current.milliseconds(0)}if(1!=this.step){var t=this.current.clone();switch(this.scale){case"millisecond":this.current.subtract(this.current.milliseconds()%this.step,"milliseconds");break;case"second":this.current.subtract(this.current.seconds()%this.step,"seconds");break;case"minute":this.current.subtract(this.current.minutes()%this.step,"minutes");break;case"hour":this.current.subtract(this.current.hours()%this.step,"hours");break;case"weekday":case"day":this.current.subtract((this.current.date()-1)%this.step,"day");break;case"week":this.current.subtract(this.current.week()%this.step,"week");break;case"month":this.current.subtract(this.current.month()%this.step,"month");break;case"year":this.current.subtract(this.current.year()%this.step,"year")}t.isSame(this.current)||(this.current=this.moment(fD(this.hiddenDates,this.current.valueOf(),-1,!0)))}}},{key:"hasNext",value:function(){return this.current.valueOf()<=this._end.valueOf()}},{key:"next",value:function(){var t=this.current.valueOf();switch(this.scale){case"millisecond":this.current.add(this.step,"millisecond");break;case"second":this.current.add(this.step,"second");break;case"minute":this.current.add(this.step,"minute");break;case"hour":this.current.add(this.step,"hour"),this.current.month()<6?this.current.subtract(this.current.hours()%this.step,"hour"):this.current.hours()%this.step!=0&&this.current.add(this.step-this.current.hours()%this.step,"hour");break;case"weekday":case"day":this.current.add(this.step,"day");break;case"week":if(0!==this.current.weekday())this.current.weekday(0),this.current.add(this.step,"week");else if(!1===this.options.showMajorLabels)this.current.add(this.step,"week");else{var e=this.current.clone();e.add(1,"week"),e.isSame(this.current,"month")?this.current.add(this.step,"week"):(this.current.add(this.step,"week"),this.current.date(1))}break;case"month":this.current.add(this.step,"month");break;case"year":this.current.add(this.step,"year")}if(1!=this.step)switch(this.scale){case"millisecond":this.current.milliseconds()>0&&this.current.milliseconds()<this.step&&this.current.milliseconds(0);break;case"second":this.current.seconds()>0&&this.current.seconds()<this.step&&this.current.seconds(0);break;case"minute":this.current.minutes()>0&&this.current.minutes()<this.step&&this.current.minutes(0);break;case"hour":this.current.hours()>0&&this.current.hours()<this.step&&this.current.hours(0);break;case"weekday":case"day":this.current.date()<this.step+1&&this.current.date(1);break;case"week":this.current.week()<this.step&&this.current.week(1);break;case"month":this.current.month()<this.step&&this.current.month(0)}this.current.valueOf()==t&&(this.current=this._end.clone()),this.switchedDay=!1,this.switchedMonth=!1,this.switchedYear=!1,oD(this.moment,this,t)}},{key:"getCurrent",value:function(){return this.current.clone()}},{key:"setScale",value:function(t){t&&"string"==typeof t.scale&&(this.scale=t.scale,this.step=t.step>0?t.step:1,this.autoScale=!1)}},{key:"setAutoScale",value:function(t){this.autoScale=t}},{key:"setMinimumStep",value:function(t){if(null!=t){31104e9>t&&(this.scale="year",this.step=1e3),15552e9>t&&(this.scale="year",this.step=500),31104e8>t&&(this.scale="year",this.step=100),15552e8>t&&(this.scale="year",this.step=50),31104e7>t&&(this.scale="year",this.step=10),15552e7>t&&(this.scale="year",this.step=5),31104e6>t&&(this.scale="year",this.step=1),7776e6>t&&(this.scale="month",this.step=3),2592e6>t&&(this.scale="month",this.step=1),6048e5>t&&this.options.showWeekScale&&(this.scale="week",this.step=1),1728e5>t&&(this.scale="day",this.step=2),864e5>t&&(this.scale="day",this.step=1),432e5>t&&(this.scale="weekday",this.step=1),144e5>t&&(this.scale="hour",this.step=4),36e5>t&&(this.scale="hour",this.step=1),9e5>t&&(this.scale="minute",this.step=15),6e5>t&&(this.scale="minute",this.step=10),3e5>t&&(this.scale="minute",this.step=5),6e4>t&&(this.scale="minute",this.step=1),15e3>t&&(this.scale="second",this.step=15),1e4>t&&(this.scale="second",this.step=10),5e3>t&&(this.scale="second",this.step=5),1e3>t&&(this.scale="second",this.step=1),200>t&&(this.scale="millisecond",this.step=200),100>t&&(this.scale="millisecond",this.step=100),50>t&&(this.scale="millisecond",this.step=50),10>t&&(this.scale="millisecond",this.step=10),5>t&&(this.scale="millisecond",this.step=5),1>t&&(this.scale="millisecond",this.step=1)}}},{key:"isMajor",value:function(){if(1==this.switchedYear)switch(this.scale){case"year":case"month":case"week":case"weekday":case"day":case"hour":case"minute":case"second":case"millisecond":return!0;default:return!1}else if(1==this.switchedMonth)switch(this.scale){case"week":case"weekday":case"day":case"hour":case"minute":case"second":case"millisecond":return!0;default:return!1}else if(1==this.switchedDay)switch(this.scale){case"millisecond":case"second":case"minute":case"hour":return!0;default:return!1}var t=this.moment(this.current);switch(this.scale){case"millisecond":return 0==t.milliseconds();case"second":return 0==t.seconds();case"minute":return 0==t.hours()&&0==t.minutes();case"hour":return 0==t.hours();case"weekday":case"day":case"week":return 1==t.date();case"month":return 0==t.month();case"year":default:return!1}}},{key:"getLabelMinor",value:function(t){if(null==t&&(t=this.current),t instanceof Date&&(t=this.moment(t)),"function"==typeof this.format.minorLabels)return this.format.minorLabels(t,this.scale,this.step);var e=this.format.minorLabels[this.scale];switch(this.scale){case"week":if(1===t.date()&&0!==t.weekday())return"";default:return e&&e.length>0?this.moment(t).format(e):""}}},{key:"getLabelMajor",value:function(t){if(null==t&&(t=this.current),t instanceof Date&&(t=this.moment(t)),"function"==typeof this.format.majorLabels)return this.format.majorLabels(t,this.scale,this.step);var e=this.format.majorLabels[this.scale];return e&&e.length>0?this.moment(t).format(e):""}},{key:"getClassName",value:function(){var t,e=this.moment,i=this.moment(this.current),n=i.locale?i.locale("en"):i.lang("en"),r=this.step,o=[];function s(t){return t/r%2==0?" vis-even":" vis-odd"}function a(t){return t.isSame(LS(),"day")?" vis-today":t.isSame(e().add(1,"day"),"day")?" vis-tomorrow":t.isSame(e().add(-1,"day"),"day")?" vis-yesterday":""}function l(t){return t.isSame(LS(),"week")?" vis-current-week":""}function u(t){return t.isSame(LS(),"month")?" vis-current-month":""}switch(this.scale){case"millisecond":o.push(a(n)),o.push(s(n.milliseconds()));break;case"second":o.push(a(n)),o.push(s(n.seconds()));break;case"minute":o.push(a(n)),o.push(s(n.minutes()));break;case"hour":o.push(WS(t="vis-h".concat(n.hours())).call(t,4==this.step?"-h"+(n.hours()+4):"")),o.push(a(n)),o.push(s(n.hours()));break;case"weekday":o.push("vis-".concat(n.format("dddd").toLowerCase())),o.push(a(n)),o.push(l(n)),o.push(s(n.date()));break;case"day":o.push("vis-day".concat(n.date())),o.push("vis-".concat(n.format("MMMM").toLowerCase())),o.push(a(n)),o.push(u(n)),o.push(this.step<=2?a(n):""),o.push(this.step<=2?"vis-".concat(n.format("dddd").toLowerCase()):""),o.push(s(n.date()-1));break;case"week":o.push("vis-week".concat(n.format("w"))),o.push(l(n)),o.push(s(n.week()));break;case"month":o.push("vis-".concat(n.format("MMMM").toLowerCase())),o.push(u(n)),o.push(s(n.month()));break;case"year":o.push("vis-year".concat(n.year())),o.push(function(t){return t.isSame(LS(),"year")?" vis-current-year":""}(n)),o.push(s(n.year()))}return gw(o).call(o,String).join(" ")}}],[{key:"snap",value:function(t,e,i){var n=Xk(t);if("year"==e){var r=n.year()+Math.round(n.month()/12);n.year(Math.round(r/i)*i),n.month(0),n.date(0),n.hours(0),n.minutes(0),n.seconds(0),n.milliseconds(0)}else if("month"==e)n.date()>15?(n.date(1),n.add(1,"month")):n.date(1),n.hours(0),n.minutes(0),n.seconds(0),n.milliseconds(0);else if("week"==e)n.weekday()>2?(n.weekday(0),n.add(1,"week")):n.weekday(0),n.hours(0),n.minutes(0),n.seconds(0),n.milliseconds(0);else if("day"==e){switch(i){case 5:case 2:n.hours(24*Math.round(n.hours()/24));break;default:n.hours(12*Math.round(n.hours()/12))}n.minutes(0),n.seconds(0),n.milliseconds(0)}else if("weekday"==e){switch(i){case 5:case 2:n.hours(12*Math.round(n.hours()/12));break;default:n.hours(6*Math.round(n.hours()/6))}n.minutes(0),n.seconds(0),n.milliseconds(0)}else if("hour"==e){switch(i){case 4:n.minutes(60*Math.round(n.minutes()/60));break;default:n.minutes(30*Math.round(n.minutes()/30))}n.seconds(0),n.milliseconds(0)}else if("minute"==e){switch(i){case 15:case 10:n.minutes(5*Math.round(n.minutes()/5)),n.seconds(0);break;case 5:n.seconds(60*Math.round(n.seconds()/60));break;default:n.seconds(30*Math.round(n.seconds()/30))}n.milliseconds(0)}else if("second"==e)switch(i){case 15:case 10:n.seconds(5*Math.round(n.seconds()/5)),n.milliseconds(0);break;case 5:n.milliseconds(1e3*Math.round(n.milliseconds()/1e3));break;default:n.milliseconds(500*Math.round(n.milliseconds()/500))}else if("millisecond"==e){var o=i>5?i/2:1;n.milliseconds(Math.round(n.milliseconds()/o)*o)}return n}}]),t}();SO.FORMAT={minorLabels:{millisecond:"SSS",second:"s",minute:"HH:mm",hour:"HH:mm",weekday:"ddd D",day:"D",week:"w",month:"MMM",year:"YYYY"},majorLabels:{millisecond:"HH:mm:ss",second:"D MMMM HH:mm",minute:"ddd D MMMM",hour:"ddd D MMMM",weekday:"MMMM YYYY",day:"MMMM YYYY",week:"MMMM YYYY",month:"YYYY",year:""}};var DO=function(t){function e(t,i){var n;return Ew(this,e),(n=Nk(this,Gk(e).call(this))).dom={foreground:null,lines:[],majorTexts:[],minorTexts:[],redundant:{lines:[],majorTexts:[],minorTexts:[]}},n.props={range:{start:0,end:0,minimumStep:0},lineTop:0},n.defaultOptions={orientation:{axis:"bottom"},showMinorLabels:!0,showMajorLabels:!0,showWeekScale:!1,maxMinorChars:7,format:SO.FORMAT,moment:Xk,timeAxis:null},n.options=kS.extend({},n.defaultOptions),n.body=t,n._create(),n.setOptions(i),n}return Bk(e,t),jw(e,[{key:"setOptions",value:function(t){t&&(kS.selectiveExtend(["showMinorLabels","showMajorLabels","showWeekScale","maxMinorChars","hiddenDates","timeAxis","moment","rtl"],this.options,t),kS.selectiveDeepExtend(["format"],this.options,t),"orientation"in t&&("string"==typeof t.orientation?this.options.orientation.axis=t.orientation:"object"===jk(t.orientation)&&"axis"in t.orientation&&(this.options.orientation.axis=t.orientation.axis)),"locale"in t&&("function"==typeof Xk.locale?Xk.locale(t.locale):Xk.lang(t.locale)))}},{key:"_create",value:function(){this.dom.foreground=document.createElement("div"),this.dom.background=document.createElement("div"),this.dom.foreground.className="vis-time-axis vis-foreground",this.dom.background.className="vis-time-axis vis-background"}},{key:"destroy",value:function(){this.dom.foreground.parentNode&&this.dom.foreground.parentNode.removeChild(this.dom.foreground),this.dom.background.parentNode&&this.dom.background.parentNode.removeChild(this.dom.background),this.body=null}},{key:"redraw",value:function(){var t=this.props,e=this.dom.foreground,i=this.dom.background,n="top"==this.options.orientation.axis?this.body.dom.top:this.body.dom.bottom,r=e.parentNode!==n;this._calculateCharSize();var o=this.options.showMinorLabels&&"none"!==this.options.orientation.axis,s=this.options.showMajorLabels&&"none"!==this.options.orientation.axis;t.minorLabelHeight=o?t.minorCharHeight:0,t.majorLabelHeight=s?t.majorCharHeight:0,t.height=t.minorLabelHeight+t.majorLabelHeight,t.width=e.offsetWidth,t.minorLineHeight=this.body.domProps.root.height-t.majorLabelHeight-("top"==this.options.orientation.axis?this.body.domProps.bottom.height:this.body.domProps.top.height),t.minorLineWidth=1,t.majorLineHeight=t.minorLineHeight+t.majorLabelHeight,t.majorLineWidth=1;var a=e.nextSibling,l=i.nextSibling;return e.parentNode&&e.parentNode.removeChild(e),i.parentNode&&i.parentNode.removeChild(i),e.style.height="".concat(this.props.height,"px"),this._repaintLabels(),a?n.insertBefore(e,a):n.appendChild(e),l?this.body.dom.backgroundVertical.insertBefore(i,l):this.body.dom.backgroundVertical.appendChild(i),this._isResized()||r}},{key:"_repaintLabels",value:function(){var t=this.options.orientation.axis,e=kS.convert(this.body.range.start,"Number"),i=kS.convert(this.body.range.end,"Number"),n=this.body.util.toTime((this.props.minorCharWidth||10)*this.options.maxMinorChars).valueOf(),r=n-cD(this.options.moment,this.body.hiddenDates,this.body.range,n);r-=this.body.util.toTime(0).valueOf();var o=new SO(new Date(e),new Date(i),r,this.body.hiddenDates,this.options);o.setMoment(this.options.moment),this.options.format&&o.setFormat(this.options.format),this.options.timeAxis&&o.setScale(this.options.timeAxis),this.step=o;var s,a,l,u,h,c,d=this.dom;d.redundant.lines=d.lines,d.redundant.majorTexts=d.majorTexts,d.redundant.minorTexts=d.minorTexts,d.lines=[],d.majorTexts=[],d.minorTexts=[];var f,p,m,v=0,g=void 0,y=0;for(o.start(),a=o.getCurrent(),u=this.body.util.toScreen(a);o.hasNext()&&y<1e3;){switch(y++,h=o.isMajor(),m=o.getClassName(),s=a,l=u,o.next(),a=o.getCurrent(),f=v,v=(u=this.body.util.toScreen(a))-l,o.scale){case"week":c=!0;break;default:c=v>=.4*f}if(this.options.showMinorLabels&&c){var b=this._repaintMinorText(l,o.getLabelMinor(s),t,m);b.style.width="".concat(v,"px")}h&&this.options.showMajorLabels?(l>0&&(null==g&&(g=l),b=this._repaintMajorText(l,o.getLabelMajor(s),t,m)),p=this._repaintMajorLine(l,v,t,m)):c?p=this._repaintMinorLine(l,v,t,m):p&&(p.style.width="".concat(kO(p.style.width)+v,"px"))}if(1e3!==y||xO||(console.warn("Something is wrong with the Timeline scale. Limited drawing of grid lines to ".concat(1e3," lines.")),xO=!0),this.options.showMajorLabels){var _=this.body.util.toTime(0),w=o.getLabelMajor(_),k=w.length*(this.props.majorCharWidth||10)+10;(null==g||k<g)&&this._repaintMajorText(0,w,t,m)}rw(kS).call(kS,this.dom.redundant,(function(t){for(;t.length;){var e=t.pop();e&&e.parentNode&&e.parentNode.removeChild(e)}}))}},{key:"_repaintMinorText",value:function(t,e,i,n){var r=this.dom.redundant.minorTexts.shift();if(!r){var o=document.createTextNode("");(r=document.createElement("div")).appendChild(o),this.dom.foreground.appendChild(r)}this.dom.minorTexts.push(r),r.innerHTML=e;var s="top"==i?this.props.majorLabelHeight:0;return this._setXY(r,t,s),r.className="vis-text vis-minor ".concat(n),r}},{key:"_repaintMajorText",value:function(t,e,i,n){var r=this.dom.redundant.majorTexts.shift();if(!r){var o=document.createElement("div");(r=document.createElement("div")).appendChild(o),this.dom.foreground.appendChild(r)}r.childNodes[0].innerHTML=e,r.className="vis-text vis-major ".concat(n);var s="top"==i?0:this.props.minorLabelHeight;return this._setXY(r,t,s),this.dom.majorTexts.push(r),r}},{key:"_setXY",value:function(t,e,i){var n,r=this.options.rtl?-1*e:e;t.style.transform=WS(n="translate(".concat(r,"px, ")).call(n,i,"px)")}},{key:"_repaintMinorLine",value:function(t,e,i,n){var r,o=this.dom.redundant.lines.shift();o||(o=document.createElement("div"),this.dom.background.appendChild(o)),this.dom.lines.push(o);var s=this.props;o.style.width="".concat(e,"px"),o.style.height="".concat(s.minorLineHeight,"px");var a="top"==i?s.majorLabelHeight:this.body.domProps.top.height,l=t-s.minorLineWidth/2;return this._setXY(o,l,a),o.className=WS(r="vis-grid ".concat(this.options.rtl?"vis-vertical-rtl":"vis-vertical"," vis-minor ")).call(r,n),o}},{key:"_repaintMajorLine",value:function(t,e,i,n){var r,o=this.dom.redundant.lines.shift();o||(o=document.createElement("div"),this.dom.background.appendChild(o)),this.dom.lines.push(o);var s=this.props;o.style.width="".concat(e,"px"),o.style.height="".concat(s.majorLineHeight,"px");var a="top"==i?0:this.body.domProps.top.height,l=t-s.majorLineWidth/2;return this._setXY(o,l,a),o.className=WS(r="vis-grid ".concat(this.options.rtl?"vis-vertical-rtl":"vis-vertical"," vis-major ")).call(r,n),o}},{key:"_calculateCharSize",value:function(){this.dom.measureCharMinor||(this.dom.measureCharMinor=document.createElement("DIV"),this.dom.measureCharMinor.className="vis-text vis-minor vis-measure",this.dom.measureCharMinor.style.position="absolute",this.dom.measureCharMinor.appendChild(document.createTextNode("0")),this.dom.foreground.appendChild(this.dom.measureCharMinor)),this.props.minorCharHeight=this.dom.measureCharMinor.clientHeight,this.props.minorCharWidth=this.dom.measureCharMinor.clientWidth,this.dom.measureCharMajor||(this.dom.measureCharMajor=document.createElement("DIV"),this.dom.measureCharMajor.className="vis-text vis-major vis-measure",this.dom.measureCharMajor.style.position="absolute",this.dom.measureCharMajor.appendChild(document.createTextNode("0")),this.dom.foreground.appendChild(this.dom.measureCharMajor)),this.props.majorCharHeight=this.dom.measureCharMajor.clientHeight,this.props.majorCharWidth=this.dom.measureCharMajor.clientWidth}}]),e}(VS),xO=!1,OO=n((function(t,e){t.exports=function(t){var e,i=t&&t.preventDefault||!1,n=t&&t.container||window,r={},o={keydown:{},keyup:{}},s={};for(e=97;e<=122;e++)s[String.fromCharCode(e)]={code:e-97+65,shift:!1};for(e=65;e<=90;e++)s[String.fromCharCode(e)]={code:e,shift:!0};for(e=0;e<=9;e++)s[""+e]={code:48+e,shift:!1};for(e=1;e<=12;e++)s["F"+e]={code:111+e,shift:!1};for(e=0;e<=9;e++)s["num"+e]={code:96+e,shift:!1};s["num*"]={code:106,shift:!1},s["num+"]={code:107,shift:!1},s["num-"]={code:109,shift:!1},s["num/"]={code:111,shift:!1},s["num."]={code:110,shift:!1},s.left={code:37,shift:!1},s.up={code:38,shift:!1},s.right={code:39,shift:!1},s.down={code:40,shift:!1},s.space={code:32,shift:!1},s.enter={code:13,shift:!1},s.shift={code:16,shift:void 0},s.esc={code:27,shift:!1},s.backspace={code:8,shift:!1},s.tab={code:9,shift:!1},s.ctrl={code:17,shift:!1},s.alt={code:18,shift:!1},s.delete={code:46,shift:!1},s.pageup={code:33,shift:!1},s.pagedown={code:34,shift:!1},s["="]={code:187,shift:!1},s["-"]={code:189,shift:!1},s["]"]={code:221,shift:!1},s["["]={code:219,shift:!1};var a=function(t){u(t,"keydown")},l=function(t){u(t,"keyup")},u=function(t,e){if(void 0!==o[e][t.keyCode]){for(var n=o[e][t.keyCode],r=0;r<n.length;r++)void 0===n[r].shift?n[r].fn(t):1==n[r].shift&&1==t.shiftKey?n[r].fn(t):0==n[r].shift&&0==t.shiftKey&&n[r].fn(t);1==i&&t.preventDefault()}};return r.bind=function(t,e,i){if(void 0===i&&(i="keydown"),void 0===s[t])throw new Error("unsupported key: "+t);void 0===o[i][s[t].code]&&(o[i][s[t].code]=[]),o[i][s[t].code].push({fn:e,shift:s[t].shift})},r.bindAll=function(t,e){for(var i in void 0===e&&(e="keydown"),s)s.hasOwnProperty(i)&&r.bind(i,t,e)},r.getKey=function(t){for(var e in s)if(s.hasOwnProperty(e)){if(1==t.shiftKey&&1==s[e].shift&&t.keyCode==s[e].code)return e;if(0==t.shiftKey&&0==s[e].shift&&t.keyCode==s[e].code)return e;if(t.keyCode==s[e].code&&"shift"==e)return e}return"unknown key, currently not supported"},r.unbind=function(t,e,i){if(void 0===i&&(i="keydown"),void 0===s[t])throw new Error("unsupported key: "+t);if(void 0!==e){var n=[],r=o[i][s[t].code];if(void 0!==r)for(var a=0;a<r.length;a++)r[a].fn==e&&r[a].shift==s[t].shift||n.push(o[i][s[t].code][a]);o[i][s[t].code]=n}else o[i][s[t].code]=[]},r.reset=function(){o={keydown:{},keyup:{}}},r.destroy=function(){o={keydown:{},keyup:{}},n.removeEventListener("keydown",a,!0),n.removeEventListener("keyup",l,!0)},n.addEventListener("keydown",a,!0),n.addEventListener("keyup",l,!0),r}}));function MO(t){var e,i;this.active=!1,this.dom={container:t},this.dom.overlay=document.createElement("div"),this.dom.overlay.className="vis-overlay",this.dom.container.appendChild(this.dom.overlay),this.hammer=vO(this.dom.overlay),this.hammer.on("tap",Tw(e=this._onTapOverlay).call(e,this));var n=this,r=["tap","doubletap","press","pinch","pan","panstart","panmove","panend"];rw(r).call(r,(function(t){n.hammer.on(t,(function(t){t.stopPropagation()}))})),document&&document.body&&(this.onClick=function(e){(function(t,e){for(;t;){if(t===e)return!0;t=t.parentNode}return!1})(e.target,t)||n.deactivate()},document.body.addEventListener("click",this.onClick)),void 0!==this.keycharm&&this.keycharm.destroy(),this.keycharm=OO(),this.escListener=Tw(i=this.deactivate).call(i,this)}HD(MO.prototype),MO.current=null,MO.prototype.destroy=function(){this.deactivate(),this.dom.overlay.parentNode.removeChild(this.dom.overlay),this.onClick&&document.body.removeEventListener("click",this.onClick),void 0!==this.keycharm&&this.keycharm.destroy(),this.keycharm=null,this.hammer.destroy(),this.hammer=null},MO.prototype.activate=function(){var t;MO.current&&MO.current.deactivate(),MO.current=this,this.active=!0,this.dom.overlay.style.display="none",kS.addClassName(this.dom.container,"vis-active"),this.emit("change"),this.emit("activate"),Tw(t=this.keycharm).call(t,"esc",this.escListener)},MO.prototype.deactivate=function(){MO.current===this&&(MO.current=null),this.active=!1,this.dom.overlay.style.display="",kS.removeClassName(this.dom.container,"vis-active"),this.keycharm.unbind("esc",this.escListener),this.emit("change"),this.emit("deactivate")},MO.prototype._onTapOverlay=function(t){this.activate(),t.stopPropagation()};var TO={current:"current",time:"time",deleteSelected:"Delete selected"},CO={current:"attuale",time:"tempo",deleteSelected:"Cancella la selezione"},PO={current:"huidige",time:"tijd",deleteSelected:"Selectie verwijderen"},EO={current:"Aktuelle",time:"Zeit",deleteSelected:"Lösche Auswahl"},AO={current:"actuel",time:"heure",deleteSelected:"Effacer la selection"},LO={current:"corriente",time:"hora",deleteSelected:"Eliminar selección"},IO={current:"поточний",time:"час",deleteSelected:"Видалити обране"},jO={current:"текущее",time:"время",deleteSelected:"Удалить выбранное"},YO={current:"aktualny",time:"czas",deleteSelected:"Usuń wybrane"},NO={current:"現在",time:"時刻",deleteSelected:"選択されたものを削除"},RO={en:TO,en_EN:TO,en_US:TO,it:CO,it_IT:CO,it_CH:CO,nl:PO,nl_NL:PO,nl_BE:PO,de:EO,de_DE:EO,fr:AO,fr_FR:AO,fr_CA:AO,fr_BE:AO,es:LO,es_ES:LO,uk:IO,uk_UA:IO,ru:jO,ru_RU:jO,pl:YO,pl_PL:YO,ja:NO,ja_JP:NO},FO=function(t){function e(t,i){var n,r;Ew(this,e),(r=Nk(this,Gk(e).call(this))).body=t,r.defaultOptions={moment:Xk,locales:RO,locale:"en",id:void 0,title:void 0},r.options=kS.extend({},r.defaultOptions),r.setOptions(i),r.options.locales=kS.extend({},RO,r.options.locales);var o=r.defaultOptions.locales[r.defaultOptions.locale];return rw(n=rS(r.options.locales)).call(n,(function(t){r.options.locales[t]=kS.extend({},o,r.options.locales[t])})),i&&i.time?r.customTime=i.time:r.customTime=new Date,r.eventParams={},r._create(),r}return Bk(e,t),jw(e,[{key:"setOptions",value:function(t){t&&kS.selectiveExtend(["moment","locale","locales","id","title","rtl"],this.options,t)}},{key:"_create",value:function(){var t,e,i,n=document.createElement("div");n["custom-time"]=this,n.className="vis-custom-time ".concat(this.options.id||""),n.style.position="absolute",n.style.top="0px",n.style.height="100%",this.bar=n;var r=document.createElement("div");function o(t){this.body.range._onMouseWheel(t)}r.style.position="relative",r.style.top="0px",this.options.rtl?r.style.right="-10px":r.style.left="-10px",r.style.height="100%",r.style.width="20px",r.addEventListener?(r.addEventListener("mousewheel",Tw(o).call(o,this),!1),r.addEventListener("DOMMouseScroll",Tw(o).call(o,this),!1)):r.attachEvent("onmousewheel",Tw(o).call(o,this)),n.appendChild(r),this.hammer=new vO(r),this.hammer.on("panstart",Tw(t=this._onDragStart).call(t,this)),this.hammer.on("panmove",Tw(e=this._onDrag).call(e,this)),this.hammer.on("panend",Tw(i=this._onDragEnd).call(i,this)),this.hammer.get("pan").set({threshold:5,direction:vO.DIRECTION_ALL})}},{key:"destroy",value:function(){this.hide(),this.hammer.destroy(),this.hammer=null,this.body=null}},{key:"redraw",value:function(){var t=this.body.dom.backgroundVertical;this.bar.parentNode!=t&&(this.bar.parentNode&&this.bar.parentNode.removeChild(this.bar),t.appendChild(this.bar));var e=this.body.util.toScreen(this.customTime),i=this.options.locales[this.options.locale];i||(this.warned||(console.warn("WARNING: options.locales['".concat(this.options.locale,"'] not found. See https://visjs.github.io/vis-timeline/docs/timeline/#Localization")),this.warned=!0),i=this.options.locales.en);var n,r=this.options.title;void 0===r?r=(r=WS(n="".concat(i.time,": ")).call(n,this.options.moment(this.customTime).format("dddd, MMMM Do YYYY, H:mm:ss"))).charAt(0).toUpperCase()+r.substring(1):"function"==typeof r&&(r=r.call(this.customTime));return this.options.rtl?this.bar.style.right="".concat(e,"px"):this.bar.style.left="".concat(e,"px"),this.bar.title=r,!1}},{key:"hide",value:function(){this.bar.parentNode&&this.bar.parentNode.removeChild(this.bar)}},{key:"setCustomTime",value:function(t){this.customTime=kS.convert(t,"Date"),this.redraw()}},{key:"getCustomTime",value:function(){return new Date(this.customTime.valueOf())}},{key:"setCustomMarker",value:function(t,e){var i,n,r=document.createElement("div");(r.className="vis-custom-time-marker",r.innerHTML=t,r.style.position="absolute",e)&&(r.setAttribute("contenteditable","true"),r.addEventListener("pointerdown",(function(){r.focus()})),r.addEventListener("input",Tw(i=this._onMarkerChange).call(i,this)),r.title=t,r.addEventListener("blur",Tw(n=function(t){this.title!=t.target.innerHTML&&(this._onMarkerChanged(t),this.title=t.target.innerHTML)}).call(n,this)));this.bar.appendChild(r)}},{key:"setCustomTitle",value:function(t){this.options.title=t}},{key:"_onDragStart",value:function(t){this.eventParams.dragging=!0,this.eventParams.customTime=this.customTime,t.stopPropagation()}},{key:"_onDrag",value:function(t){if(this.eventParams.dragging){var e=this.options.rtl?-1*t.deltaX:t.deltaX,i=this.body.util.toScreen(this.eventParams.customTime)+e,n=this.body.util.toTime(i);this.setCustomTime(n),this.body.emitter.emit("timechange",{id:this.options.id,time:new Date(this.customTime.valueOf()),event:t}),t.stopPropagation()}}},{key:"_onDragEnd",value:function(t){this.eventParams.dragging&&(this.body.emitter.emit("timechanged",{id:this.options.id,time:new Date(this.customTime.valueOf()),event:t}),t.stopPropagation())}},{key:"_onMarkerChange",value:function(t){this.body.emitter.emit("markerchange",{id:this.options.id,title:t.target.innerHTML,event:t}),t.stopPropagation()}},{key:"_onMarkerChanged",value:function(t){this.body.emitter.emit("markerchanged",{id:this.options.id,title:t.target.innerHTML,event:t}),t.stopPropagation()}}],[{key:"customTimeFromTarget",value:function(t){for(var e=t.target;e;){if(e.hasOwnProperty("custom-time"))return e["custom-time"];e=e.parentNode}return null}}]),e}(VS),HO=function(){function t(){Ew(this,t)}return jw(t,[{key:"_create",value:function(t){var e,i,n,r=this;this.dom={},this.dom.container=t,this.dom.container.style.position="relative",this.dom.root=document.createElement("div"),this.dom.background=document.createElement("div"),this.dom.backgroundVertical=document.createElement("div"),this.dom.backgroundHorizontal=document.createElement("div"),this.dom.centerContainer=document.createElement("div"),this.dom.leftContainer=document.createElement("div"),this.dom.rightContainer=document.createElement("div"),this.dom.center=document.createElement("div"),this.dom.left=document.createElement("div"),this.dom.right=document.createElement("div"),this.dom.top=document.createElement("div"),this.dom.bottom=document.createElement("div"),this.dom.shadowTop=document.createElement("div"),this.dom.shadowBottom=document.createElement("div"),this.dom.shadowTopLeft=document.createElement("div"),this.dom.shadowBottomLeft=document.createElement("div"),this.dom.shadowTopRight=document.createElement("div"),this.dom.shadowBottomRight=document.createElement("div"),this.dom.rollingModeBtn=document.createElement("div"),this.dom.loadingScreen=document.createElement("div"),this.dom.root.className="vis-timeline",this.dom.background.className="vis-panel vis-background",this.dom.backgroundVertical.className="vis-panel vis-background vis-vertical",this.dom.backgroundHorizontal.className="vis-panel vis-background vis-horizontal",this.dom.centerContainer.className="vis-panel vis-center",this.dom.leftContainer.className="vis-panel vis-left",this.dom.rightContainer.className="vis-panel vis-right",this.dom.top.className="vis-panel vis-top",this.dom.bottom.className="vis-panel vis-bottom",this.dom.left.className="vis-content",this.dom.center.className="vis-content",this.dom.right.className="vis-content",this.dom.shadowTop.className="vis-shadow vis-top",this.dom.shadowBottom.className="vis-shadow vis-bottom",this.dom.shadowTopLeft.className="vis-shadow vis-top",this.dom.shadowBottomLeft.className="vis-shadow vis-bottom",this.dom.shadowTopRight.className="vis-shadow vis-top",this.dom.shadowBottomRight.className="vis-shadow vis-bottom",this.dom.rollingModeBtn.className="vis-rolling-mode-btn",this.dom.loadingScreen.className="vis-loading-screen",this.dom.root.appendChild(this.dom.background),this.dom.root.appendChild(this.dom.backgroundVertical),this.dom.root.appendChild(this.dom.backgroundHorizontal),this.dom.root.appendChild(this.dom.centerContainer),this.dom.root.appendChild(this.dom.leftContainer),this.dom.root.appendChild(this.dom.rightContainer),this.dom.root.appendChild(this.dom.top),this.dom.root.appendChild(this.dom.bottom),this.dom.root.appendChild(this.dom.rollingModeBtn),this.dom.centerContainer.appendChild(this.dom.center),this.dom.leftContainer.appendChild(this.dom.left),this.dom.rightContainer.appendChild(this.dom.right),this.dom.centerContainer.appendChild(this.dom.shadowTop),this.dom.centerContainer.appendChild(this.dom.shadowBottom),this.dom.leftContainer.appendChild(this.dom.shadowTopLeft),this.dom.leftContainer.appendChild(this.dom.shadowBottomLeft),this.dom.rightContainer.appendChild(this.dom.shadowTopRight),this.dom.rightContainer.appendChild(this.dom.shadowBottomRight),this.props={root:{},background:{},centerContainer:{},leftContainer:{},rightContainer:{},center:{},left:{},right:{},top:{},bottom:{},border:{},scrollTop:0,scrollTopMin:0},this.on("rangechange",(function(){!0===r.initialDrawDone&&r._redraw()})),this.on("rangechanged",(function(){r.initialRangeChangeDone||(r.initialRangeChangeDone=!0)})),this.on("touch",Tw(e=this._onTouch).call(e,this)),this.on("panmove",Tw(i=this._onDrag).call(i,this));var o=this;this._origRedraw=Tw(n=this._redraw).call(n,this),this._redraw=kS.throttle(this._origRedraw),this.on("_change",(function(t){o.itemSet&&o.itemSet.initialItemSetDrawn&&t&&1==t.queue?o._redraw():o._origRedraw()})),this.hammer=new vO(this.dom.root);var s=this.hammer.get("pinch").set({enable:!0});s&&function(t){t.getTouchAction=function(){return["pan-y"]}}(s),this.hammer.get("pan").set({threshold:5,direction:vO.DIRECTION_ALL}),this.listeners={};var a,l,u=["tap","doubletap","press","pinch","pan","panstart","panmove","panend"];function h(t){this.isActive()&&this.emit("mousewheel",t);var e=0,i=0;if("detail"in t&&(i=-1*t.detail),"wheelDelta"in t&&(i=t.wheelDelta),"wheelDeltaY"in t&&(i=t.wheelDeltaY),"wheelDeltaX"in t&&(e=-1*t.wheelDeltaX),"axis"in t&&t.axis===t.HORIZONTAL_AXIS&&(e=-1*i,i=0),"deltaY"in t&&(i=-1*t.deltaY),"deltaX"in t&&(e=t.deltaX),t.deltaMode&&(1===t.deltaMode?(e*=40,i*=40):(e*=40,i*=800)),this.options.preferZoom){if(!this.options.zoomKey||t[this.options.zoomKey])return}else if(this.options.zoomKey&&t[this.options.zoomKey])return;if(this.options.verticalScroll||this.options.horizontalScroll)if(this.options.verticalScroll&&Math.abs(i)>=Math.abs(e)){var n=this.props.scrollTop,r=n+i;if(this.isActive())this._setScrollTop(r)!==n&&(this._redraw(),this.emit("scroll",t),t.preventDefault())}else if(this.options.horizontalScroll){var o=(Math.abs(e)>=Math.abs(i)?e:i)/120*(this.range.end-this.range.start)/20,s=this.range.start+o,a=this.range.end+o,l={animation:!1,byUser:!0,event:t};this.range.setRange(s,a,l),t.preventDefault()}}rw(u).call(u,(function(t){var e=function(e){o.isActive()&&o.emit(t,e)};o.hammer.on(t,e),o.listeners[t]=e})),gO(this.hammer,(function(t){o.emit("touch",t)})),a=this.hammer,(l=function(t){o.emit("release",t)}).inputHandler=function(t){t.isFinal&&l(t)},a.on("hammer.input",l.inputHandler);var c="onwheel"in document.createElement("div")?"wheel":void 0!==document.onmousewheel?"mousewheel":this.dom.centerContainer.addEventListener?"DOMMouseScroll":"onmousewheel";function d(t){if(o.options.verticalScroll)if(o._isProgramaticallyScrolled)o._isProgramaticallyScrolled=!1;else if(t.preventDefault(),o.isActive()){var e=-t.target.scrollTop;o._setScrollTop(e),o._redraw(),o.emit("scrollSide",t)}}this.dom.top.addEventListener,this.dom.bottom.addEventListener,this.dom.centerContainer.addEventListener(c,Tw(h).call(h,this),!1),this.dom.top.addEventListener(c,Tw(h).call(h,this),!1),this.dom.bottom.addEventListener(c,Tw(h).call(h,this),!1),this.dom.left.parentNode.addEventListener("scroll",Tw(d).call(d,this)),this.dom.right.parentNode.addEventListener("scroll",Tw(d).call(d,this));var f=!1;function p(t){var e;if(t.preventDefault&&(o.emit("dragover",o.getEventProperties(t)),t.preventDefault()),FD(e=t.target.className).call(e,"timeline")>-1&&!f)return t.dataTransfer.dropEffect="move",f=!0,!1}function m(t){t.preventDefault&&t.preventDefault(),t.stopPropagation&&t.stopPropagation();try{var e=JSON.parse(t.dataTransfer.getData("text"));if(!e||!e.content)return}catch(t){return!1}return f=!1,t.center={x:t.clientX,y:t.clientY},"item"!==e.target?o.itemSet._onAddItem(t):o.itemSet._onDropObjectOnItem(t),o.emit("drop",o.getEventProperties(t)),!1}if(this.dom.center.addEventListener("dragover",Tw(p).call(p,this),!1),this.dom.center.addEventListener("drop",Tw(m).call(m,this),!1),this.customTimes=[],this.touch={},this.redrawCount=0,this.initialDrawDone=!1,this.initialRangeChangeDone=!1,!t)throw new Error("No container provided");t.appendChild(this.dom.root),t.appendChild(this.dom.loadingScreen)}},{key:"setOptions",value:function(t){var e;if(t){if(kS.selectiveExtend(["width","height","minHeight","maxHeight","autoResize","start","end","clickToUse","dataAttributes","hiddenDates","locale","locales","moment","preferZoom","rtl","zoomKey","horizontalScroll","verticalScroll","longSelectPressTime"],this.options,t),this.dom.rollingModeBtn.style.visibility="hidden",this.options.rtl&&(this.dom.container.style.direction="rtl",this.dom.backgroundVertical.className="vis-panel vis-background vis-vertical-rtl"),this.options.verticalScroll&&(this.options.rtl?this.dom.rightContainer.className="vis-panel vis-right vis-vertical-scroll":this.dom.leftContainer.className="vis-panel vis-left vis-vertical-scroll"),"object"!==jk(this.options.orientation)&&(this.options.orientation={item:void 0,axis:void 0}),"orientation"in t&&("string"==typeof t.orientation?this.options.orientation={item:t.orientation,axis:t.orientation}:"object"===jk(t.orientation)&&("item"in t.orientation&&(this.options.orientation.item=t.orientation.item),"axis"in t.orientation&&(this.options.orientation.axis=t.orientation.axis))),"both"===this.options.orientation.axis){if(!this.timeAxis2){var i=this.timeAxis2=new DO(this.body);i.setOptions=function(t){var e=t?kS.extend({},t):{};e.orientation="top",DO.prototype.setOptions.call(i,e)},this.components.push(i)}}else if(this.timeAxis2){var n,r,o=FD(n=this.components).call(n,this.timeAxis2);if(-1!==o)ED(r=this.components).call(r,o,1);this.timeAxis2.destroy(),this.timeAxis2=null}"function"==typeof t.drawPoints&&(t.drawPoints={onRender:t.drawPoints}),"hiddenDates"in this.options&&iD(this.options.moment,this.body,this.options.hiddenDates),"clickToUse"in t&&(t.clickToUse?this.activator||(this.activator=new MO(this.dom.root)):this.activator&&(this.activator.destroy(),delete this.activator)),this._initAutoResize()}if(rw(e=this.components).call(e,(function(e){return e.setOptions(t)})),"configure"in t){var s;this.configurator||(this.configurator=this._createConfigurator()),this.configurator.setOptions(t.configure);var a=kS.deepExtend({},this.options);rw(s=this.components).call(s,(function(t){kS.deepExtend(a,t.options)})),this.configurator.setModuleOptions({global:a})}this._redraw()}},{key:"isActive",value:function(){return!this.activator||this.activator.active}},{key:"destroy",value:function(){var t;for(var e in this.setItems(null),this.setGroups(null),this.off(),this._stopAutoResize(),this.dom.root.parentNode&&this.dom.root.parentNode.removeChild(this.dom.root),this.dom=null,this.activator&&(this.activator.destroy(),delete this.activator),this.listeners)this.listeners.hasOwnProperty(e)&&delete this.listeners[e];this.listeners=null,this.hammer&&this.hammer.destroy(),this.hammer=null,rw(t=this.components).call(t,(function(t){return t.destroy()})),this.body=null}},{key:"setCustomTime",value:function(t,e){var i,n=gw(i=this.customTimes).call(i,(function(t){return e===t.options.id}));if(0===n.length)throw new Error("No custom time bar found with id ".concat(HS(e)));n.length>0&&n[0].setCustomTime(t)}},{key:"getCustomTime",value:function(t){var e,i=gw(e=this.customTimes).call(e,(function(e){return e.options.id===t}));if(0===i.length)throw new Error("No custom time bar found with id ".concat(HS(t)));return i[0].getCustomTime()}},{key:"setCustomTimeMarker",value:function(t,e,i){var n,r=gw(n=this.customTimes).call(n,(function(t){return t.options.id===e}));if(0===r.length)throw new Error("No custom time bar found with id ".concat(HS(e)));r.length>0&&r[0].setCustomMarker(t,i)}},{key:"setCustomTimeTitle",value:function(t,e){var i,n=gw(i=this.customTimes).call(i,(function(t){return t.options.id===e}));if(0===n.length)throw new Error("No custom time bar found with id ".concat(HS(e)));if(n.length>0)return n[0].setCustomTitle(t)}},{key:"getEventProperties",value:function(t){return{event:t}}},{key:"addCustomTime",value:function(t,e){var i,n=void 0!==t?kS.convert(t,"Date").valueOf():new Date;if(DD(i=this.customTimes).call(i,(function(t){return t.options.id===e})))throw new Error("A custom time with id ".concat(HS(e)," already exists"));var r=new FO(this.body,kS.extend({},this.options,{time:n,id:e}));return this.customTimes.push(r),this.components.push(r),this._redraw(),e}},{key:"removeCustomTime",value:function(t){var e,i=this,n=gw(e=this.customTimes).call(e,(function(e){return e.options.id===t}));if(0===n.length)throw new Error("No custom time bar found with id ".concat(HS(t)));rw(n).call(n,(function(t){var e,n,r,o;ED(e=i.customTimes).call(e,FD(n=i.customTimes).call(n,t),1),ED(r=i.components).call(r,FD(o=i.components).call(o,t),1),t.destroy()}))}},{key:"getVisibleItems",value:function(){return this.itemSet&&this.itemSet.getVisibleItems()||[]}},{key:"getVisibleGroups",value:function(){return this.itemSet&&this.itemSet.getVisibleGroups()||[]}},{key:"fit",value:function(t,e){var i=this.getDataRange();if(null!==i.min||null!==i.max){var n=i.max-i.min,r=new Date(i.min.valueOf()-.01*n),o=new Date(i.max.valueOf()+.01*n),s=!t||void 0===t.animation||t.animation;this.range.setRange(r,o,{animation:s},e)}}},{key:"getDataRange",value:function(){throw new Error("Cannot invoke abstract method getDataRange")}},{key:"setWindow",value:function(t,e,i,n){var r,o;"function"==typeof arguments[2]&&(n=arguments[2],i={}),1==arguments.length?(r=void 0===(o=arguments[0]).animation||o.animation,this.range.setRange(o.start,o.end,{animation:r})):2==arguments.length&&"function"==typeof arguments[1]?(o=arguments[0],n=arguments[1],r=void 0===o.animation||o.animation,this.range.setRange(o.start,o.end,{animation:r},n)):(r=!i||void 0===i.animation||i.animation,this.range.setRange(t,e,{animation:r},n))}},{key:"moveTo",value:function(t,e,i){"function"==typeof arguments[1]&&(i=arguments[1],e={});var n=this.range.end-this.range.start,r=kS.convert(t,"Date").valueOf(),o=r-n/2,s=r+n/2,a=!e||void 0===e.animation||e.animation;this.range.setRange(o,s,{animation:a},i)}},{key:"getWindow",value:function(){var t=this.range.getRange();return{start:new Date(t.start),end:new Date(t.end)}}},{key:"zoomIn",value:function(t,e,i){if(!(!t||t<0||t>1)){"function"==typeof arguments[1]&&(i=arguments[1],e={});var n=this.getWindow(),r=n.start.valueOf(),o=n.end.valueOf(),s=o-r,a=s/(1+t),l=(s-a)/2,u=r+l,h=o-l;this.setWindow(u,h,e,i)}}},{key:"zoomOut",value:function(t,e,i){if(!(!t||t<0||t>1)){"function"==typeof arguments[1]&&(i=arguments[1],e={});var n=this.getWindow(),r=n.start.valueOf(),o=n.end.valueOf(),s=o-r,a=r-s*t/2,l=o+s*t/2;this.setWindow(a,l,e,i)}}},{key:"redraw",value:function(){this._redraw()}},{key:"_redraw",value:function(){var t;this.redrawCount++;var e=this.dom;if(e&&e.container&&0!=e.root.offsetWidth){var i=!1,n=this.options,r=this.props;nD(this.options.moment,this.body,this.options.hiddenDates),"top"==n.orientation?(kS.addClassName(e.root,"vis-top"),kS.removeClassName(e.root,"vis-bottom")):(kS.removeClassName(e.root,"vis-top"),kS.addClassName(e.root,"vis-bottom")),n.rtl?(kS.addClassName(e.root,"vis-rtl"),kS.removeClassName(e.root,"vis-ltr")):(kS.addClassName(e.root,"vis-ltr"),kS.removeClassName(e.root,"vis-rtl")),e.root.style.maxHeight=kS.option.asSize(n.maxHeight,""),e.root.style.minHeight=kS.option.asSize(n.minHeight,""),e.root.style.width=kS.option.asSize(n.width,"");var o=e.root.offsetWidth;r.border.left=1,r.border.right=1,r.border.top=1,r.border.bottom=1,r.center.height=e.center.offsetHeight,r.left.height=e.left.offsetHeight,r.right.height=e.right.offsetHeight,r.top.height=e.top.clientHeight||-r.border.top,r.bottom.height=e.bottom.clientHeight||-r.border.bottom;var s=Math.max(r.left.height,r.center.height,r.right.height),a=r.top.height+s+r.bottom.height+r.border.top+r.border.bottom;e.root.style.height=kS.option.asSize(n.height,"".concat(a,"px")),r.root.height=e.root.offsetHeight,r.background.height=r.root.height;var l=r.root.height-r.top.height-r.bottom.height;r.centerContainer.height=l,r.leftContainer.height=l,r.rightContainer.height=r.leftContainer.height,r.root.width=o,r.background.width=r.root.width,this.initialDrawDone||(r.scrollbarWidth=kS.getScrollBarWidth());var u=e.leftContainer.clientWidth,h=e.rightContainer.clientWidth;n.verticalScroll?n.rtl?(r.left.width=u||-r.border.left,r.right.width=h+r.scrollbarWidth||-r.border.right):(r.left.width=u+r.scrollbarWidth||-r.border.left,r.right.width=h||-r.border.right):(r.left.width=u||-r.border.left,r.right.width=h||-r.border.right),this._setDOM();var c=this._updateScrollTop();"top"!=n.orientation.item&&(c+=Math.max(r.centerContainer.height-r.center.height-r.border.top-r.border.bottom,0)),e.center.style.transform="translateY(".concat(c,"px)");var d=0==r.scrollTop?"hidden":"",f=r.scrollTop==r.scrollTopMin?"hidden":"";e.shadowTop.style.visibility=d,e.shadowBottom.style.visibility=f,e.shadowTopLeft.style.visibility=d,e.shadowBottomLeft.style.visibility=f,e.shadowTopRight.style.visibility=d,e.shadowBottomRight.style.visibility=f,n.verticalScroll&&(e.rightContainer.className="vis-panel vis-right vis-vertical-scroll",e.leftContainer.className="vis-panel vis-left vis-vertical-scroll",e.shadowTopRight.style.visibility="hidden",e.shadowBottomRight.style.visibility="hidden",e.shadowTopLeft.style.visibility="hidden",e.shadowBottomLeft.style.visibility="hidden",e.left.style.top="0px",e.right.style.top="0px"),(!n.verticalScroll||r.center.height<r.centerContainer.height)&&(e.left.style.top="".concat(c,"px"),e.right.style.top="".concat(c,"px"),e.rightContainer.className=e.rightContainer.className.replace(new RegExp("(?:^|\\s)vis-vertical-scroll(?:\\s|$)")," "),e.leftContainer.className=e.leftContainer.className.replace(new RegExp("(?:^|\\s)vis-vertical-scroll(?:\\s|$)")," "),r.left.width=u||-r.border.left,r.right.width=h||-r.border.right,this._setDOM());var p=r.center.height>r.centerContainer.height;this.hammer.get("pan").set({direction:p?vO.DIRECTION_ALL:vO.DIRECTION_HORIZONTAL}),this.hammer.get("press").set({time:this.options.longSelectPressTime}),rw(t=this.components).call(t,(function(t){i=t.redraw()||i}));if(i){if(this.redrawCount<5)return void this.body.emitter.emit("_change");console.log("WARNING: infinite loop in redraw?")}else this.redrawCount=0;this.body.emitter.emit("changed")}}},{key:"_setDOM",value:function(){var t=this.props,e=this.dom;t.leftContainer.width=t.left.width,t.rightContainer.width=t.right.width;var i=t.root.width-t.left.width-t.right.width;t.center.width=i,t.centerContainer.width=i,t.top.width=i,t.bottom.width=i,e.background.style.height="".concat(t.background.height,"px"),e.backgroundVertical.style.height="".concat(t.background.height,"px"),e.backgroundHorizontal.style.height="".concat(t.centerContainer.height,"px"),e.centerContainer.style.height="".concat(t.centerContainer.height,"px"),e.leftContainer.style.height="".concat(t.leftContainer.height,"px"),e.rightContainer.style.height="".concat(t.rightContainer.height,"px"),e.background.style.width="".concat(t.background.width,"px"),e.backgroundVertical.style.width="".concat(t.centerContainer.width,"px"),e.backgroundHorizontal.style.width="".concat(t.background.width,"px"),e.centerContainer.style.width="".concat(t.center.width,"px"),e.top.style.width="".concat(t.top.width,"px"),e.bottom.style.width="".concat(t.bottom.width,"px"),e.background.style.left="0",e.background.style.top="0",e.backgroundVertical.style.left="".concat(t.left.width+t.border.left,"px"),e.backgroundVertical.style.top="0",e.backgroundHorizontal.style.left="0",e.backgroundHorizontal.style.top="".concat(t.top.height,"px"),e.centerContainer.style.left="".concat(t.left.width,"px"),e.centerContainer.style.top="".concat(t.top.height,"px"),e.leftContainer.style.left="0",e.leftContainer.style.top="".concat(t.top.height,"px"),e.rightContainer.style.left="".concat(t.left.width+t.center.width,"px"),e.rightContainer.style.top="".concat(t.top.height,"px"),e.top.style.left="".concat(t.left.width,"px"),e.top.style.top="0",e.bottom.style.left="".concat(t.left.width,"px"),e.bottom.style.top="".concat(t.top.height+t.centerContainer.height,"px"),e.center.style.left="0",e.left.style.left="0",e.right.style.left="0"}},{key:"setCurrentTime",value:function(t){if(!this.currentTime)throw new Error("Option showCurrentTime must be true");this.currentTime.setCurrentTime(t)}},{key:"getCurrentTime",value:function(){if(!this.currentTime)throw new Error("Option showCurrentTime must be true");return this.currentTime.getCurrentTime()}},{key:"_toTime",value:function(t){return aD(this,t,this.props.center.width)}},{key:"_toGlobalTime",value:function(t){return aD(this,t,this.props.root.width)}},{key:"_toScreen",value:function(t){return sD(this,t,this.props.center.width)}},{key:"_toGlobalScreen",value:function(t){return sD(this,t,this.props.root.width)}},{key:"_initAutoResize",value:function(){1==this.options.autoResize?this._startAutoResize():this._stopAutoResize()}},{key:"_startAutoResize",value:function(){var t=this;this._stopAutoResize(),this._onResize=function(){if(1==t.options.autoResize){if(t.dom.root){var e=t.dom.root.offsetHeight,i=t.dom.root.offsetWidth;i==t.props.lastWidth&&e==t.props.lastHeight||(t.props.lastWidth=i,t.props.lastHeight=e,t.props.scrollbarWidth=kS.getScrollBarWidth(),t.body.emitter.emit("_change"))}}else t._stopAutoResize()},kS.addEventListener(window,"resize",this._onResize),t.dom.root&&(t.props.lastWidth=t.dom.root.offsetWidth,t.props.lastHeight=t.dom.root.offsetHeight),this.watchTimer=yD(this._onResize,1e3)}},{key:"_stopAutoResize",value:function(){this.watchTimer&&(clearInterval(this.watchTimer),this.watchTimer=void 0),this._onResize&&(kS.removeEventListener(window,"resize",this._onResize),this._onResize=null)}},{key:"_onTouch",value:function(t){this.touch.allowDragging=!0,this.touch.initialScrollTop=this.props.scrollTop}},{key:"_onPinch",value:function(t){this.touch.allowDragging=!1}},{key:"_onDrag",value:function(t){if(t&&this.touch.allowDragging){var e=t.deltaY,i=this._getScrollTop(),n=this._setScrollTop(this.touch.initialScrollTop+e);this.options.verticalScroll&&(this.dom.left.parentNode.scrollTop=-this.props.scrollTop,this.dom.right.parentNode.scrollTop=-this.props.scrollTop),n!=i&&this.emit("verticalDrag")}}},{key:"_setScrollTop",value:function(t){return this.props.scrollTop=t,this._updateScrollTop(),this.props.scrollTop}},{key:"_updateScrollTop",value:function(){var t=Math.min(this.props.centerContainer.height-this.props.center.height,0);return t!=this.props.scrollTopMin&&("top"!=this.options.orientation.item&&(this.props.scrollTop+=t-this.props.scrollTopMin),this.props.scrollTopMin=t),this.props.scrollTop>0&&(this.props.scrollTop=0),this.props.scrollTop<t&&(this.props.scrollTop=t),this.options.verticalScroll&&(this.dom.left.parentNode.scrollTop=-this.props.scrollTop,this.dom.right.parentNode.scrollTop=-this.props.scrollTop),this._isProgramaticallyScrolled=!0,this.props.scrollTop}},{key:"_getScrollTop",value:function(){return this.props.scrollTop}},{key:"_createConfigurator",value:function(){throw new Error("Cannot invoke abstract method _createConfigurator")}}]),t}();HD(HO.prototype);var GO=function(t){function e(t,i){var n,r;Ew(this,e),(r=Nk(this,Gk(e).call(this))).body=t,r.defaultOptions={rtl:!1,showCurrentTime:!0,alignCurrentTime:void 0,moment:Xk,locales:RO,locale:"en"},r.options=kS.extend({},r.defaultOptions),r.setOptions(i),r.options.locales=kS.extend({},RO,r.options.locales);var o=r.defaultOptions.locales[r.defaultOptions.locale];return rw(n=rS(r.options.locales)).call(n,(function(t){r.options.locales[t]=kS.extend({},o,r.options.locales[t])})),r.offset=0,r._create(),r}return Bk(e,t),jw(e,[{key:"_create",value:function(){var t=document.createElement("div");t.className="vis-current-time",t.style.position="absolute",t.style.top="0px",t.style.height="100%",this.bar=t}},{key:"destroy",value:function(){this.options.showCurrentTime=!1,this.redraw(),this.body=null}},{key:"setOptions",value:function(t){t&&kS.selectiveExtend(["rtl","showCurrentTime","alignCurrentTime","moment","locale","locales"],this.options,t)}},{key:"redraw",value:function(){if(this.options.showCurrentTime){var t,e,i=this.body.dom.backgroundVertical;this.bar.parentNode!=i&&(this.bar.parentNode&&this.bar.parentNode.removeChild(this.bar),i.appendChild(this.bar),this.start());var n=this.options.moment(LS()+this.offset);this.options.alignCurrentTime&&(n=n.startOf(this.options.alignCurrentTime));var r=this.body.util.toScreen(n),o=this.options.locales[this.options.locale];o||(this.warned||(console.warn("WARNING: options.locales['".concat(this.options.locale,"'] not found. See https://visjs.github.io/vis-timeline/docs/timeline/#Localization")),this.warned=!0),o=this.options.locales.en);var s=WS(t=WS(e="".concat(o.current," ")).call(e,o.time,": ")).call(t,n.format("dddd, MMMM Do YYYY, H:mm:ss"));s=s.charAt(0).toUpperCase()+s.substring(1),this.options.rtl?this.bar.style.transform="translateX(".concat(-1*r,"px)"):this.bar.style.transform="translateX(".concat(r,"px)"),this.bar.title=s}else this.bar.parentNode&&this.bar.parentNode.removeChild(this.bar),this.stop();return!1}},{key:"start",value:function(){var t=this;!function e(){t.stop();var i=1/t.body.range.conversion(t.body.domProps.center.width).scale/10;i<30&&(i=30),i>1e3&&(i=1e3),t.redraw(),t.body.emitter.emit("currentTimeTick"),t.currentTimeTimer=ww(e,i)}()}},{key:"stop",value:function(){void 0!==this.currentTimeTimer&&(clearTimeout(this.currentTimeTimer),delete this.currentTimeTimer)}},{key:"setCurrentTime",value:function(t){var e=kS.convert(t,"Date").valueOf(),i=LS();this.offset=e-i,this.redraw()}},{key:"getCurrentTime",value:function(){return new Date(LS()+this.offset)}}]),e}(VS),zO=!gy((function(){return Object.isExtensible(Object.preventExtensions({}))})),WO=n((function(t){var e=Yy.f,i=Ky("meta"),n=0,r=Object.isExtensible||function(){return!0},o=function(t){e(t,i,{value:{objectID:"O"+ ++n,weakData:{}}})},s=t.exports={REQUIRED:!1,fastKey:function(t,e){if(!Ty(t))return"symbol"==typeof t?t:("string"==typeof t?"S":"P")+t;if(!qy(t,i)){if(!r(t))return"F";if(!e)return"E";o(t)}return t[i].objectID},getWeakData:function(t,e){if(!qy(t,i)){if(!r(t))return!0;if(!e)return!1;o(t)}return t[i].weakData},onFreeze:function(t){return zO&&s.REQUIRED&&r(t)&&!qy(t,i)&&o(t),t}};eb[i]=!0})),VO=(WO.REQUIRED,WO.fastKey,WO.getWeakData,WO.onFreeze,Hb("iterator")),UO=Array.prototype,BO=function(t){return void 0!==t&&(Dy.Array===t||UO[VO]===t)},XO=Hb("iterator"),qO=function(t){if(null!=t)return t[XO]||t["@@iterator"]||Dy[g_(t)]},ZO=function(t,e,i,n){try{return n?e(Ly(i)[0],i[1]):e(i)}catch(e){var r=t.return;throw void 0!==r&&Ly(r.call(t)),e}},JO=n((function(t){var e=function(t,e){this.stopped=t,this.result=e};(t.exports=function(t,i,n,r,o){var s,a,l,u,h,c,d,f=Ob(i,n,r?2:1);if(o)s=t;else{if("function"!=typeof(a=qO(t)))throw TypeError("Target is not iterable");if(BO(a)){for(l=0,u=qb(t.length);u>l;l++)if((h=r?f(Ly(d=t[l])[0],d[1]):f(t[l]))&&h instanceof e)return h;return new e(!1)}s=a.call(t)}for(c=s.next;!(d=c.call(s)).done;)if("object"==typeof(h=ZO(s,f,d.value,r))&&h&&h instanceof e)return h;return new e(!1)}).stop=function(t){return new e(!0,t)}})),$O=function(t,e,i){if(!(t instanceof e))throw TypeError("Incorrect "+(i?i+" ":"")+"invocation");return t},KO=Yy.f,QO=z_.forEach,tM=cb.set,eM=cb.getterFor,iM=function(t,e,i){for(var n in e)i&&i.unsafe&&t[n]?t[n]=e[n]:x_(t,n,e[n],i);return t},nM=Hb("species"),rM=Yy.f,oM=WO.fastKey,sM=cb.set,aM=cb.getterFor,lM=(function(t,e,i){var n,r=-1!==t.indexOf("Map"),o=-1!==t.indexOf("Weak"),s=r?"set":"add",a=Oy[t],l=a&&a.prototype,u={};if(My&&"function"==typeof a&&(o||l.forEach&&!gy((function(){(new a).entries().next()})))){n=e((function(e,i){tM($O(e,n,t),{type:t,collection:new a}),null!=i&&JO(i,e[s],e,r)}));var h=eM(t);QO(["add","clear","delete","forEach","get","has","set","keys","values","entries"],(function(t){var e="add"==t||"set"==t;t in l&&(!o||"clear"!=t)&&Ry(n.prototype,t,(function(i,n){var r=h(this).collection;if(!e&&o&&!Ty(i))return"get"==t&&void 0;var s=r[t](0===i?0:i,n);return e?this:s}))})),o||KO(n.prototype,"size",{configurable:!0,get:function(){return h(this).collection.size}})}else n=i.getConstructor(e,t,r,s),WO.REQUIRED=!0;w_(n,t,!1,!0),u[t]=n,Cb({global:!0,forced:!0},u),o||i.setStrong(n,t,r)}("Set",(function(t){return function(){return t(this,arguments.length?arguments[0]:void 0)}}),{getConstructor:function(t,e,i,n){var r=t((function(t,o){$O(t,r,e),sM(t,{type:e,index:d_(null),first:void 0,last:void 0,size:0}),My||(t.size=0),null!=o&&JO(o,t[n],t,i)})),o=aM(e),s=function(t,e,i){var n,r,s=o(t),l=a(t,e);return l?l.value=i:(s.last=l={index:r=oM(e,!0),key:e,value:i,previous:n=s.last,next:void 0,removed:!1},s.first||(s.first=l),n&&(n.next=l),My?s.size++:t.size++,"F"!==r&&(s.index[r]=l)),t},a=function(t,e){var i,n=o(t),r=oM(e);if("F"!==r)return n.index[r];for(i=n.first;i;i=i.next)if(i.key==e)return i};return iM(r.prototype,{clear:function(){for(var t=o(this),e=t.index,i=t.first;i;)i.removed=!0,i.previous&&(i.previous=i.previous.next=void 0),delete e[i.index],i=i.next;t.first=t.last=void 0,My?t.size=0:this.size=0},delete:function(t){var e=o(this),i=a(this,t);if(i){var n=i.next,r=i.previous;delete e.index[i.index],i.removed=!0,r&&(r.next=n),n&&(n.previous=r),e.first==i&&(e.first=n),e.last==i&&(e.last=r),My?e.size--:this.size--}return!!i},forEach:function(t){for(var e,i=o(this),n=Ob(t,arguments.length>1?arguments[1]:void 0,3);e=e?e.next:i.first;)for(n(e.value,e.key,this);e&&e.removed;)e=e.previous},has:function(t){return!!a(this,t)}}),iM(r.prototype,i?{get:function(t){var e=a(this,t);return e&&e.value},set:function(t,e){return s(this,0===t?0:t,e)}}:{add:function(t){return s(this,t=0===t?0:t,t)}}),My&&rM(r.prototype,"size",{get:function(){return o(this).size}}),r},setStrong:function(t,e,i){var n=e+" Iterator",r=aM(e),o=aM(n);P_(t,e,(function(t,e){sM(this,{type:n,target:t,state:r(t),kind:e,last:void 0})}),(function(){for(var t=o(this),e=t.kind,i=t.last;i&&i.removed;)i=i.previous;return t.target&&(t.last=i=i?i.next:t.state.first)?"keys"==e?{value:i.key,done:!1}:"values"==e?{value:i.value,done:!1}:{value:[i.key,i.value],done:!1}:(t.target=void 0,{value:void 0,done:!0})}),i?"entries":"values",!i,!0),function(t){var e=s_(t),i=Yy.f;My&&e&&!e[nM]&&i(e,nM,{configurable:!0,get:function(){return this}})}(e)}}),Db.Set),uM=Wk,hM=z_.find,cM=!0,dM=X_("find");"find"in[]&&Array(1).find((function(){cM=!1})),Cb({target:"Array",proto:!0,forced:cM||!dM},{find:function(t){return hM(this,t,arguments.length>1?arguments[1]:void 0)}});var fM=tw("Array").find,pM=Array.prototype,mM=function(t){var e=t.find;return t===pM||t instanceof Array&&e===pM.find?fM:e},vM=function(t){var e=qO(t);if("function"!=typeof e)throw TypeError(String(t)+" is not iterable");return Ly(e.call(t))},gM=Cw;var yM=function(t){if(gM(t)){for(var e=0,i=new Array(t.length);e<t.length;e++)i[e]=t[e];return i}},bM=Hb("iterator"),_M=!1;try{var wM=0,kM={next:function(){return{done:!!wM++}},return:function(){_M=!0}};kM[bM]=function(){return this},Array.from(kM,(function(){throw 2}))}catch(t){}var SM=!function(t,e){if(!e&&!_M)return!1;var i=!1;try{var n={};n[bM]=function(){return{next:function(){return{done:i=!0}}}},t(n)}catch(t){}return i}((function(t){Array.from(t)}));Cb({target:"Array",stat:!0,forced:SM},{from:function(t){var e,i,n,r,o,s,a=Pb(t),l="function"==typeof this?this:Array,u=arguments.length,h=u>1?arguments[1]:void 0,c=void 0!==h,d=qO(a),f=0;if(c&&(h=Ob(h,u>2?arguments[2]:void 0,2)),null==d||l==Array&&BO(d))for(i=new l(e=qb(a.length));e>f;f++)s=c?h(a[f],f):a[f],Vw(i,f,s);else for(o=(r=d.call(a)).next,i=new l;!(n=o.call(r)).done;f++)s=c?ZO(r,h,[n.value,f],!0):n.value,Vw(i,f,s);return i.length=f,i}});var DM=Db.Array.from,xM=Hb("iterator"),OM=function(t){var e=Object(t);return void 0!==e[xM]||"@@iterator"in e||Dy.hasOwnProperty(g_(e))};var MM=function(t){if(OM(Object(t))||"[object Arguments]"===Object.prototype.toString.call(t))return DM(t)};var TM=function(){throw new TypeError("Invalid attempt to spread non-iterable instance")};var CM=function(t){return yM(t)||MM(t)||TM()},PM=Object.assign,EM=Object.defineProperty,AM=!PM||gy((function(){if(My&&1!==PM({b:1},PM(EM({},"a",{enumerable:!0,get:function(){EM(this,"b",{value:3,enumerable:!1})}}),{b:2})).b)return!0;var t={},e={},i=Symbol();return t[i]=7,"abcdefghijklmnopqrst".split("").forEach((function(t){e[t]=t})),7!=PM({},t)[i]||"abcdefghijklmnopqrst"!=n_(PM({},e)).join("")}))?function(t,e){for(var i=Pb(t),n=arguments.length,r=1,o=ik.f,s=pb.f;n>r;)for(var a,l=wy(arguments[r++]),u=o?n_(l).concat(o(l)):n_(l),h=u.length,c=0;h>c;)a=u[c++],My&&!s.call(l,a)||(i[a]=l[a]);return i}:PM;Cb({target:"Object",stat:!0,forced:Object.assign!==AM},{assign:AM});for(var LM=Db.Object.assign,IM=n((function(t){var e="undefined"!=typeof crypto&&crypto.getRandomValues&&crypto.getRandomValues.bind(crypto)||"undefined"!=typeof msCrypto&&"function"==typeof window.msCrypto.getRandomValues&&msCrypto.getRandomValues.bind(msCrypto);if(e){var i=new Uint8Array(16);t.exports=function(){return e(i),i}}else{var n=new Array(16);t.exports=function(){for(var t,e=0;e<16;e++)0==(3&e)&&(t=4294967296*Math.random()),n[e]=t>>>((3&e)<<3)&255;return n}}})),jM=[],YM=0;YM<256;++YM)jM[YM]=(YM+256).toString(16).substr(1);var NM=function(t,e){var i=e||0,n=jM;return[n[t[i++]],n[t[i++]],n[t[i++]],n[t[i++]],"-",n[t[i++]],n[t[i++]],"-",n[t[i++]],n[t[i++]],"-",n[t[i++]],n[t[i++]],"-",n[t[i++]],n[t[i++]],n[t[i++]],n[t[i++]],n[t[i++]],n[t[i++]]].join("")};var RM=function(t,e,i){var n=e&&i||0;"string"==typeof t&&(e="binary"===t?new Array(16):null,t=null);var r=(t=t||{}).random||(t.rng||IM)();if(r[6]=15&r[6]|64,r[8]=63&r[8]|128,e)for(var o=0;o<16;++o)e[n+o]=r[o];return e||NM(r)},FM=Qb.includes,HM=X_("indexOf",{ACCESSORS:!0,1:0});Cb({target:"Array",proto:!0,forced:!HM},{includes:function(t){return FM(this,t,arguments.length>1?arguments[1]:void 0)}});var GM=tw("Array").includes,zM=Hb("match"),WM=function(t){if(function(t){var e;return Ty(t)&&(void 0!==(e=t[zM])?!!e:"RegExp"==by(t))}(t))throw TypeError("The method doesn't accept regular expressions");return t},VM=Hb("match");Cb({target:"String",proto:!0,forced:!function(t){var e=/./;try{"/./"[t](e)}catch(i){try{return e[VM]=!1,"/./"[t](e)}catch(t){}}return!1}("includes")},{includes:function(t){return!!~String(ky(this)).indexOf(WM(t),arguments.length>1?arguments[1]:void 0)}});var UM=tw("String").includes,BM=Array.prototype,XM=String.prototype,qM=function(t){var e=t.includes;return t===BM||t instanceof Array&&e===BM.includes?GM:"string"==typeof t||t===XM||t instanceof String&&e===XM.includes?UM:e},ZM=cw("slice"),JM=X_("slice",{ACCESSORS:!0,0:0,1:2}),$M=Hb("species"),KM=[].slice,QM=Math.max;Cb({target:"Array",proto:!0,forced:!ZM||!JM},{slice:function(t,e){var i,n,r,o=Sy(this),s=qb(o.length),a=$b(t,s),l=$b(void 0===e?s:e,s);if(N_(o)&&("function"!=typeof(i=o.constructor)||i!==Array&&!N_(i.prototype)?Ty(i)&&null===(i=i[$M])&&(i=void 0):i=void 0,i===Array||void 0===i))return KM.call(o,a,l);for(n=new(void 0===i?Array:i)(QM(l-a,0)),r=0;a<l;a++,r++)a in o&&Vw(n,r,o[a]);return n.length=r,n}});var tT=tw("Array").slice,eT=Array.prototype,iT=function(t){var e=t.slice;return t===eT||t instanceof Array&&e===eT.slice?tT:e};function nT(t){KS(t).call(t,(function(t,e){return t.data.start-e.data.start}))}function rT(t){KS(t).call(t,(function(t,e){return("end"in t.data?t.data.end:t.data.start)-("end"in e.data?e.data.end:e.data.start)}))}function oT(t,e,i,n){if(i)for(var r=0;r<t.length;r++)t[r].top=null;for(r=0;r<t.length;r++){var o=t[r];if(o.stack&&null===o.top){o.top=e.axis;var s=!1;do{for(var a=null,l=0,u=t.length;l<u;l++){var h=t[l];if(s=n()||!1)return!0;if(null!==h.top&&h!==o&&h.stack&&hT(o,h,e.item,h.options.rtl)){a=h;break}}null!=a&&(o.top=a.top+a.height+e.item.vertical)}while(a)}}return s}function sT(t,e,i){for(var n=0;n<t.length;n++)t[n].top=null;var r=i.height;for(n=0;n<t.length;n++){var o=t[n];if(o.stack&&null===o.top){o.top=o.baseTop;do{for(var s=null,a=0,l=t.length;a<l;a++){var u=t[a];if(null!==u.top&&u!==o&&hT(o,u,e.item,u.options.rtl)){s=u;break}}null!=s&&(o.top=s.top+s.height+e.item.vertical),o.top+o.height>r&&(r=o.top+o.height)}while(s)}}i.height=r-i.top+.5*e.item.vertical}function aT(t,e,i,n){for(var r=0;r<t.length;r++)if(null==t[r].data.subgroup)t[r].top=e.item.vertical;else if(void 0!==t[r].data.subgroup&&n){var o=0;for(var s in i)i.hasOwnProperty(s)&&1==i[s].visible&&i[s].index<i[t[r].data.subgroup].index&&(o+=i[s].height,i[t[r].data.subgroup].top=o);t[r].top=o+.5*e.item.vertical}n||lT(t,e,i)}function lT(t,e,i){for(var n in i)if(i.hasOwnProperty(n)){i[n].top=0;do{var r=null;for(var o in i)if(null!==i[o].top&&o!==n&&i[n].index>i[o].index&&cT(i[n],i[o])){r=i[o];break}null!=r&&(i[n].top=r.top+r.height)}while(r)}for(var s=0;s<t.length;s++)void 0!==t[s].data.subgroup&&(t[s].top=i[t[s].data.subgroup].top+.5*e.item.vertical)}function uT(t,e,i){var n=!1,r=[];for(var o in i)i[o].hasOwnProperty("index")?r[i[o].index]=o:r.push(o);for(var s=0;s<r.length;s++)if(o=r[s],i.hasOwnProperty(o)){for(var a in n=n||i[o].stack,i[o].top=0,i)i[a].visible&&i[o].index>i[a].index&&(i[o].top+=i[a].height);for(var l=t[o],u=0;u<l.length;u++)void 0!==l[u].data.subgroup&&(l[u].top=i[l[u].data.subgroup].top+.5*e.item.vertical,i[o].stack&&(l[u].baseTop=l[u].top));n&&i[o].stack&&sT(t[o],e,i[o])}}function hT(t,e,i,n){return n?t.right-i.horizontal+.001<e.right+e.width&&t.right+t.width+i.horizontal-.001>e.right&&t.top-i.vertical+.001<e.top+e.height&&t.top+t.height+i.vertical-.001>e.top:t.left-i.horizontal+.001<e.left+e.width&&t.left+t.width+i.horizontal-.001>e.left&&t.top-i.vertical+.001<e.top+e.height&&t.top+t.height+i.vertical-.001>e.top}function cT(t,e){return t.start<=e.start&&t.end>=e.start&&t.top<e.top+e.height&&t.top+t.height>e.top||e.start<=t.start&&e.end>=t.start&&e.top<t.top+t.height&&e.top+e.height>t.top}var dT=Object.freeze({__proto__:null,orderByStart:nT,orderByEnd:rT,stack:oT,substack:sT,nostack:aT,stackSubgroups:lT,stackSubgroupsWithInnerStack:uT,collision:hT,collisionByTimes:cT}),fT="__background__",pT=function(){function t(e,i,n){var r=this;if(Ew(this,t),this.groupId=e,this.subgroups={},this.subgroupStack={},this.subgroupStackAll=!1,this.subgroupVisibility={},this.doInnerStack=!1,this.shouldBailStackItems=!1,this.subgroupIndex=0,this.subgroupOrderer=i&&i.subgroupOrder,this.itemSet=n,this.isVisible=null,this.stackDirty=!0,this._disposeCallbacks=[],i&&i.nestedGroups&&(this.nestedGroups=i.nestedGroups,0==i.showNested?this.showNested=!1:this.showNested=!0),i&&i.subgroupStack)if("boolean"==typeof i.subgroupStack)this.doInnerStack=i.subgroupStack,this.subgroupStackAll=i.subgroupStack;else for(var o in i.subgroupStack)this.subgroupStack[o]=i.subgroupStack[o],this.doInnerStack=this.doInnerStack||i.subgroupStack[o];i&&i.heightMode?this.heightMode=i.heightMode:this.heightMode=n.options.groupHeightMode,this.nestedInGroup=null,this.dom={},this.props={label:{width:0,height:0}},this.className=null,this.items={},this.visibleItems=[],this.itemsInRange=[],this.orderedItems={byStart:[],byEnd:[]},this.checkRangedItems=!1;var s=function(){r.checkRangedItems=!0};this.itemSet.body.emitter.on("checkRangedItems",s),this._disposeCallbacks.push((function(){r.itemSet.body.emitter.off("checkRangedItems",s)})),this._create(),this.setData(i)}return jw(t,[{key:"_create",value:function(){var t=document.createElement("div");this.itemSet.options.groupEditable.order?t.className="vis-label draggable":t.className="vis-label",this.dom.label=t;var e=document.createElement("div");e.className="vis-inner",t.appendChild(e),this.dom.inner=e;var i=document.createElement("div");i.className="vis-group",i["vis-group"]=this,this.dom.foreground=i,this.dom.background=document.createElement("div"),this.dom.background.className="vis-group",this.dom.axis=document.createElement("div"),this.dom.axis.className="vis-group",this.dom.marker=document.createElement("div"),this.dom.marker.style.visibility="hidden",this.dom.marker.style.position="absolute",this.dom.marker.innerHTML="",this.dom.background.appendChild(this.dom.marker)}},{key:"setData",value:function(t){if(!this.itemSet.groupTouchParams.isDragging){var e,i,n;if(t&&t.subgroupVisibility)for(var r in t.subgroupVisibility)this.subgroupVisibility[r]=t.subgroupVisibility[r];if(this.itemSet.options&&this.itemSet.options.groupTemplate)e=(i=Tw(n=this.itemSet.options.groupTemplate).call(n,this))(t,this.dom.inner);else e=t&&t.content;if(e instanceof Element){for(;this.dom.inner.firstChild;)this.dom.inner.removeChild(this.dom.inner.firstChild);this.dom.inner.appendChild(e)}else e instanceof Object&&e.isReactComponent||(e instanceof Object?i(t,this.dom.inner):this.dom.inner.innerHTML=null!=e?e:this.groupId||"");this.dom.label.title=t&&t.title||"",this.dom.inner.firstChild?kS.removeClassName(this.dom.inner,"vis-hidden"):kS.addClassName(this.dom.inner,"vis-hidden"),t&&t.nestedGroups?(this.nestedGroups&&this.nestedGroups==t.nestedGroups||(this.nestedGroups=t.nestedGroups),void 0===t.showNested&&void 0!==this.showNested||(0==t.showNested?this.showNested=!1:this.showNested=!0),kS.addClassName(this.dom.label,"vis-nesting-group"),this.showNested?(kS.removeClassName(this.dom.label,"collapsed"),kS.addClassName(this.dom.label,"expanded")):(kS.removeClassName(this.dom.label,"expanded"),kS.addClassName(this.dom.label,"collapsed"))):this.nestedGroups&&(this.nestedGroups=null,kS.removeClassName(this.dom.label,"collapsed"),kS.removeClassName(this.dom.label,"expanded"),kS.removeClassName(this.dom.label,"vis-nesting-group")),t&&(t.treeLevel||t.nestedInGroup)?(kS.addClassName(this.dom.label,"vis-nested-group"),t.treeLevel?kS.addClassName(this.dom.label,"vis-group-level-"+t.treeLevel):kS.addClassName(this.dom.label,"vis-group-level-unknown-but-gte1")):kS.addClassName(this.dom.label,"vis-group-level-0");var o=t&&t.className||null;o!=this.className&&(this.className&&(kS.removeClassName(this.dom.label,this.className),kS.removeClassName(this.dom.foreground,this.className),kS.removeClassName(this.dom.background,this.className),kS.removeClassName(this.dom.axis,this.className)),kS.addClassName(this.dom.label,o),kS.addClassName(this.dom.foreground,o),kS.addClassName(this.dom.background,o),kS.addClassName(this.dom.axis,o),this.className=o),this.style&&(kS.removeCssText(this.dom.label,this.style),this.style=null),t&&t.style&&(kS.addCssText(this.dom.label,t.style),this.style=t.style)}}},{key:"getLabelWidth",value:function(){return this.props.label.width}},{key:"_didMarkerHeightChange",value:function(){var t=this.dom.marker.clientHeight;if(t!=this.lastMarkerHeight){this.lastMarkerHeight=t;var e={},i=0;if(rw(kS).call(kS,this.items,(function(t,n){if(t.dirty=!0,t.displayed){e[n]=t.redraw(!0),i=e[n].length}})),i>0)for(var n=function(t){rw(kS).call(kS,e,(function(e){e[t]()}))},r=0;r<i;r++)n(r);return!0}return!1}},{key:"_calculateGroupSizeAndPosition",value:function(){var t=this.dom.foreground,e=t.offsetTop,i=t.offsetLeft,n=t.offsetWidth;this.top=e,this.right=i,this.width=n}},{key:"_shouldBailItemsRedraw",value:function(){var t=this,e=this.itemSet.options.onTimeout,i={relativeBailingTime:this.itemSet.itemsSettingTime,bailTimeMs:e&&e.timeoutMs,userBailFunction:e&&e.callback,shouldBailStackItems:this.shouldBailStackItems},n=null;if(!this.itemSet.initialDrawDone){if(i.shouldBailStackItems)return!0;Math.abs(LS()-new Date(i.relativeBailingTime))>i.bailTimeMs&&(i.userBailFunction&&null==this.itemSet.userContinueNotBail?i.userBailFunction((function(e){t.itemSet.userContinueNotBail=e,n=!e})):n=0==t.itemSet.userContinueNotBail)}return n}},{key:"_redrawItems",value:function(t,e,i,n){var r=this;if(t||this.stackDirty||this.isVisible&&!e){var o,s,a,l,u,h,c={byEnd:gw(o=this.orderedItems.byEnd).call(o,(function(t){return!t.isCluster})),byStart:gw(s=this.orderedItems.byStart).call(s,(function(t){return!t.isCluster}))},d={byEnd:CM(new lM(gw(a=gS(l=this.orderedItems.byEnd).call(l,(function(t){return t.cluster}))).call(a,(function(t){return!!t})))),byStart:CM(new lM(gw(u=gS(h=this.orderedItems.byStart).call(h,(function(t){return t.cluster}))).call(u,(function(t){return!!t}))))},f=function(){var t,e,i,o=r._updateItemsInRange(c,gw(t=r.visibleItems).call(t,(function(t){return!t.isCluster})),n),s=r._updateClustersInRange(d,gw(e=r.visibleItems).call(e,(function(t){return t.isCluster})),n);return WS(i=[]).call(i,CM(o),CM(s))},p=function(t){var e={},i=function(i){var n,o=gw(n=r.visibleItems).call(n,(function(t){return t.data.subgroup===i}));e[i]=t?KS(o).call(o,(function(e,i){return t(e.data,i.data)})):o};for(var n in r.subgroups)i(n);return e};if("function"==typeof this.itemSet.options.order){var m=this;if(this.doInnerStack&&this.itemSet.options.stackSubgroups){uT(p(this.itemSet.options.order),i,this.subgroups),this.visibleItems=f(),this._updateSubGroupHeights(i)}else{var v,g,y,b;this.visibleItems=f(),this._updateSubGroupHeights(i);var _=KS(v=gw(g=iT(y=this.visibleItems).call(y)).call(g,(function(t){return t.isCluster||!t.isCluster&&!t.cluster}))).call(v,(function(t,e){return m.itemSet.options.order(t.data,e.data)}));this.shouldBailStackItems=oT(_,i,!0,Tw(b=this._shouldBailItemsRedraw).call(b,this))}}else{var w;if(this.visibleItems=f(),this._updateSubGroupHeights(i),this.itemSet.options.stack)if(this.doInnerStack&&this.itemSet.options.stackSubgroups)uT(p(),i,this.subgroups);else this.shouldBailStackItems=oT(this.visibleItems,i,!0,Tw(w=this._shouldBailItemsRedraw).call(w,this));else aT(this.visibleItems,i,this.subgroups,this.itemSet.options.stackSubgroups)}for(var k=0;k<this.visibleItems.length;k++)this.visibleItems[k].repositionX(),void 0!==this.subgroupVisibility[this.visibleItems[k].data.subgroup]&&(this.subgroupVisibility[this.visibleItems[k].data.subgroup]||this.visibleItems[k].hide());this.itemSet.options.cluster&&rw(kS).call(kS,this.items,(function(t){t.cluster&&t.displayed&&t.hide()})),this.shouldBailStackItems&&this.itemSet.body.emitter.emit("destroyTimeline"),this.stackDirty=!1}}},{key:"_didResize",value:function(t,e){t=kS.updateProperty(this,"height",e)||t;var i=this.dom.inner.clientWidth,n=this.dom.inner.clientHeight;return t=kS.updateProperty(this.props.label,"width",i)||t,t=kS.updateProperty(this.props.label,"height",n)||t}},{key:"_applyGroupHeight",value:function(t){this.dom.background.style.height="".concat(t,"px"),this.dom.foreground.style.height="".concat(t,"px"),this.dom.label.style.height="".concat(t,"px")}},{key:"_updateItemsVerticalPosition",value:function(t){for(var e=0,i=this.visibleItems.length;e<i;e++){var n=this.visibleItems[e];n.repositionY(t),this.isVisible||this.groupId==fT||n.displayed&&n.hide()}}},{key:"redraw",value:function(t,e,i,n){var r,o,s,a,l,u,h,c=this,d=!1,f=this.isVisible,p=[function(){i=c._didMarkerHeightChange.call(c)||i},Tw(r=this._updateSubGroupHeights).call(r,this,e),Tw(o=this._calculateGroupSizeAndPosition).call(o,this),function(){var i;c.isVisible=Tw(i=c._isGroupVisible).call(i,c)(t,e)},function(){var n;Tw(n=c._redrawItems).call(n,c)(i,f,e,t)},Tw(s=this._updateSubgroupsSizes).call(s,this),function(){var t;u=Tw(t=c._calculateHeight).call(t,c)(e)},Tw(a=this._calculateGroupSizeAndPosition).call(a,this),function(){var t;d=Tw(t=c._didResize).call(t,c)(d,u)},function(){var t;Tw(t=c._applyGroupHeight).call(t,c)(u)},function(){var t;Tw(t=c._updateItemsVerticalPosition).call(t,c)(e)},Tw(l=function(){return!c.isVisible&&c.height&&(d=!1),d}).call(l,this)];return n?p:(rw(p).call(p,(function(t){h=t()})),h)}},{key:"_updateSubGroupHeights",value:function(t){var e=this;if(rS(this.subgroups).length>0){var i=this;this._resetSubgroups(),rw(kS).call(kS,this.visibleItems,(function(n){void 0!==n.data.subgroup&&(i.subgroups[n.data.subgroup].height=Math.max(i.subgroups[n.data.subgroup].height,n.height+t.item.vertical),i.subgroups[n.data.subgroup].visible=void 0===e.subgroupVisibility[n.data.subgroup]||Boolean(e.subgroupVisibility[n.data.subgroup]))}))}}},{key:"_isGroupVisible",value:function(t,e){return this.top<=t.body.domProps.centerContainer.height-t.body.domProps.scrollTop+e.axis&&this.top+this.height+e.axis>=-t.body.domProps.scrollTop}},{key:"_calculateHeight",value:function(t){var e,i;if((i="fixed"===this.heightMode?kS.toArray(this.items):this.visibleItems).length>0){var n=i[0].top,r=i[0].top+i[0].height;if(rw(kS).call(kS,i,(function(t){n=Math.min(n,t.top),r=Math.max(r,t.top+t.height)})),n>t.axis){var o=n-t.axis;r-=o,rw(kS).call(kS,i,(function(t){t.top-=o}))}e=Math.ceil(r+t.item.vertical/2),"fitItems"!==this.heightMode&&(e=Math.max(e,this.props.label.height))}else e=this.props.label.height;return e}},{key:"show",value:function(){this.dom.label.parentNode||this.itemSet.dom.labelSet.appendChild(this.dom.label),this.dom.foreground.parentNode||this.itemSet.dom.foreground.appendChild(this.dom.foreground),this.dom.background.parentNode||this.itemSet.dom.background.appendChild(this.dom.background),this.dom.axis.parentNode||this.itemSet.dom.axis.appendChild(this.dom.axis)}},{key:"hide",value:function(){var t=this.dom.label;t.parentNode&&t.parentNode.removeChild(t);var e=this.dom.foreground;e.parentNode&&e.parentNode.removeChild(e);var i=this.dom.background;i.parentNode&&i.parentNode.removeChild(i);var n=this.dom.axis;n.parentNode&&n.parentNode.removeChild(n)}},{key:"add",value:function(t){var e;if(this.items[t.id]=t,t.setParent(this),this.stackDirty=!0,void 0!==t.data.subgroup&&(this._addToSubgroup(t),this.orderSubgroups()),!qM(e=this.visibleItems).call(e,t)){var i=this.itemSet.body.range;this._checkIfVisible(t,this.visibleItems,i)}}},{key:"_addToSubgroup",value:function(t){var e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:t.data.subgroup;null!=e&&void 0===this.subgroups[e]&&(this.subgroups[e]={height:0,top:0,start:t.data.start,end:t.data.end||t.data.start,visible:!1,index:this.subgroupIndex,items:[],stack:this.subgroupStackAll||this.subgroupStack[e]||!1},this.subgroupIndex++),new Date(t.data.start)<new Date(this.subgroups[e].start)&&(this.subgroups[e].start=t.data.start);var i=t.data.end||t.data.start;new Date(i)>new Date(this.subgroups[e].end)&&(this.subgroups[e].end=i),this.subgroups[e].items.push(t)}},{key:"_updateSubgroupsSizes",value:function(){var t=this;if(t.subgroups){var e=function(e){var i,n=t.subgroups[e].items[0].data.end||t.subgroups[e].items[0].data.start,r=t.subgroups[e].items[0].data.start,o=n-1;rw(i=t.subgroups[e].items).call(i,(function(t){new Date(t.data.start)<new Date(r)&&(r=t.data.start);var e=t.data.end||t.data.start;new Date(e)>new Date(o)&&(o=e)})),t.subgroups[e].start=r,t.subgroups[e].end=new Date(o-1)};for(var i in t.subgroups)e(i)}}},{key:"orderSubgroups",value:function(){if(void 0!==this.subgroupOrderer){var t=[];if("string"==typeof this.subgroupOrderer){for(var e in this.subgroups)t.push({subgroup:e,sortField:this.subgroups[e].items[0].data[this.subgroupOrderer]});KS(t).call(t,(function(t,e){return t.sortField-e.sortField}))}else if("function"==typeof this.subgroupOrderer){for(var i in this.subgroups)t.push(this.subgroups[i].items[0].data);KS(t).call(t,this.subgroupOrderer)}if(t.length>0)for(var n=0;n<t.length;n++)this.subgroups[t[n].subgroup].index=n}}},{key:"_resetSubgroups",value:function(){for(var t in this.subgroups)this.subgroups.hasOwnProperty(t)&&(this.subgroups[t].visible=!1,this.subgroups[t].height=0)}},{key:"remove",value:function(t){var e,i;delete this.items[t.id],t.setParent(null),this.stackDirty=!0;var n=FD(e=this.visibleItems).call(e,t);-1!=n&&ED(i=this.visibleItems).call(i,n,1),void 0!==t.data.subgroup&&(this._removeFromSubgroup(t),this.orderSubgroups())}},{key:"_removeFromSubgroup",value:function(t){var e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:t.data.subgroup;if(null!=e){var i=this.subgroups[e];if(i){var n,r,o=FD(n=i.items).call(n,t);if(o>=0)ED(r=i.items).call(r,o,1),i.items.length?this._updateSubgroupsSizes():delete this.subgroups[e]}}}},{key:"removeFromDataSet",value:function(t){this.itemSet.removeItem(t.id)}},{key:"order",value:function(){for(var t=kS.toArray(this.items),e=[],i=[],n=0;n<t.length;n++)void 0!==t[n].data.end&&i.push(t[n]),e.push(t[n]);this.orderedItems={byStart:e,byEnd:i},nT(this.orderedItems.byStart),rT(this.orderedItems.byEnd)}},{key:"_updateItemsInRange",value:function(t,e,i){var n=[],r={};if(!this.isVisible&&this.groupId!=fT){for(var o=0;o<e.length;o++){var s=e[o];s.displayed&&s.hide()}return n}var a=(i.end-i.start)/4,l=i.start-a,u=i.end+a;if(e.length>0)for(var h=0;h<e.length;h++)this._checkIfVisibleWithReference(e[h],n,r,i);var c=kS.binarySearchCustom(t.byStart,(function(t){return t<l?-1:t<=u?0:1}),"data","start");if(this._traceVisible(c,t.byStart,n,r,(function(t){return t.data.start<l||t.data.start>u})),1==this.checkRangedItems){this.checkRangedItems=!1;for(var d=0;d<t.byEnd.length;d++)this._checkIfVisibleWithReference(t.byEnd[d],n,r,i)}else{var f=kS.binarySearchCustom(t.byEnd,(function(t){return t<l?-1:0}),"data","end");this._traceVisible(f,t.byEnd,n,r,(function(t){return t.data.end<l||t.data.start>u}))}for(var p={},m=0,v=0;v<n.length;v++){var g=n[v];if(!g.displayed){p[v]=g.redraw(!0),m=p[v].length}}if(m>0)for(var y=function(t){rw(kS).call(kS,p,(function(e){e[t]()}))},b=0;b<m;b++)y(b);for(var _=0;_<n.length;_++)n[_].repositionX();return n}},{key:"_traceVisible",value:function(t,e,i,n,r){if(-1!=t){for(var o=t;o>=0;o--){var s=e[o];if(r(s))break;s.isCluster&&!s.hasItems()||s.cluster||void 0===n[s.id]&&(n[s.id]=!0,i.push(s))}for(var a=t+1;a<e.length;a++){var l=e[a];if(r(l))break;l.isCluster&&!l.hasItems()||l.cluster||void 0===n[l.id]&&(n[l.id]=!0,i.push(l))}}}},{key:"_checkIfVisible",value:function(t,e,i){t.isVisible(i)?(t.displayed||t.show(),t.repositionX(),e.push(t)):t.displayed&&t.hide()}},{key:"_checkIfVisibleWithReference",value:function(t,e,i,n){t.isVisible(n)?void 0===i[t.id]&&(i[t.id]=!0,e.push(t)):t.displayed&&t.hide()}},{key:"_updateClustersInRange",value:function(t,e,i){var n=[],r={};if(e.length>0)for(var o=0;o<e.length;o++)this._checkIfVisibleWithReference(e[o],n,r,i);for(var s=0;s<t.byStart.length;s++)this._checkIfVisibleWithReference(t.byStart[s],n,r,i);for(var a=0;a<t.byEnd.length;a++)this._checkIfVisibleWithReference(t.byEnd[a],n,r,i);for(var l={},u=0,h=0;h<n.length;h++){var c=n[h];if(!c.displayed){l[h]=c.redraw(!0),u=l[h].length}}if(u>0)for(var d=0;d<u;d++)rw(kS).call(kS,l,(function(t){t[d]()}));for(var f=0;f<n.length;f++)n[f].repositionX();return n}},{key:"changeSubgroup",value:function(t,e,i){this._removeFromSubgroup(t,e),this._addToSubgroup(t,i),this.orderSubgroups()}},{key:"dispose",value:function(){var t;for(this.hide();t=this._disposeCallbacks.pop();)t()}}]),t}(),mT=function(t){function e(t,i,n){var r;return Ew(this,e),(r=Nk(this,Gk(e).call(this,t,i,n))).width=0,r.height=0,r.top=0,r.left=0,r}return Bk(e,t),jw(e,[{key:"redraw",value:function(t,e,i){this.visibleItems=this._updateItemsInRange(this.orderedItems,this.visibleItems,t),this.width=this.dom.background.offsetWidth,this.dom.background.style.height="0";for(var n=0,r=this.visibleItems.length;n<r;n++){this.visibleItems[n].repositionY(e)}return!1}},{key:"show",value:function(){this.dom.background.parentNode||this.itemSet.dom.background.appendChild(this.dom.background)}}]),e}(pT),vT=function(){function t(e,i,n){var r,o=this;Ew(this,t),this.id=null,this.parent=null,this.data=e,this.dom=null,this.conversion=i||{},this.defaultOptions={locales:RO,locale:"en"},this.options=kS.extend({},this.defaultOptions,n),this.options.locales=kS.extend({},RO,this.options.locales);var s=this.defaultOptions.locales[this.defaultOptions.locale];rw(r=rS(this.options.locales)).call(r,(function(t){o.options.locales[t]=kS.extend({},s,o.options.locales[t])})),this.selected=!1,this.displayed=!1,this.groupShowing=!0,this.selectable=n&&n.selectable||!1,this.dirty=!0,this.top=null,this.right=null,this.left=null,this.width=null,this.height=null,this.setSelectability(e),this.editable=null,this._updateEditStatus()}return jw(t,[{key:"select",value:function(){this.selectable&&(this.selected=!0,this.dirty=!0,this.displayed&&this.redraw())}},{key:"unselect",value:function(){this.selected=!1,this.dirty=!0,this.displayed&&this.redraw()}},{key:"setData",value:function(t){null!=t.group&&this.data.group!=t.group&&null!=this.parent&&this.parent.itemSet._moveToGroup(this,t.group),this.setSelectability(t),this.parent&&(this.parent.stackDirty=!0),null!=t.subgroup&&this.data.subgroup!=t.subgroup&&null!=this.parent&&this.parent.changeSubgroup(this,this.data.subgroup,t.subgroup),this.data=t,this._updateEditStatus(),this.dirty=!0,this.displayed&&this.redraw()}},{key:"setSelectability",value:function(t){t&&(this.selectable=void 0===t.selectable||Boolean(t.selectable))}},{key:"setParent",value:function(t){this.displayed?(this.hide(),this.parent=t,this.parent&&this.show()):this.parent=t}},{key:"isVisible",value:function(t){return!1}},{key:"show",value:function(){return!1}},{key:"hide",value:function(){return!1}},{key:"redraw",value:function(){}},{key:"repositionX",value:function(){}},{key:"repositionY",value:function(){}},{key:"_repaintDragCenter",value:function(){if(this.selected&&this.options.editable.updateTime&&!this.dom.dragCenter){var t,e,i=this,n=document.createElement("div");n.className="vis-drag-center",n.dragCenterItem=this,this.hammerDragCenter=new vO(n),this.hammerDragCenter.on("tap",(function(t){i.parent.itemSet.body.emitter.emit("click",{event:t,item:i.id})})),this.hammerDragCenter.on("doubletap",(function(t){t.stopPropagation(),i.parent.itemSet._onUpdateItem(i),i.parent.itemSet.body.emitter.emit("doubleClick",{event:t,item:i.id})})),this.hammerDragCenter.on("panstart",(function(t){t.stopPropagation(),i.parent.itemSet._onDragStart(t)})),this.hammerDragCenter.on("panmove",Tw(t=i.parent.itemSet._onDrag).call(t,i.parent.itemSet)),this.hammerDragCenter.on("panend",Tw(e=i.parent.itemSet._onDragEnd).call(e,i.parent.itemSet)),this.dom.box?this.dom.dragLeft?this.dom.box.insertBefore(n,this.dom.dragLeft):this.dom.box.appendChild(n):this.dom.point&&this.dom.point.appendChild(n),this.dom.dragCenter=n}else!this.selected&&this.dom.dragCenter&&(this.dom.dragCenter.parentNode&&this.dom.dragCenter.parentNode.removeChild(this.dom.dragCenter),this.dom.dragCenter=null,this.hammerDragCenter&&(this.hammerDragCenter.destroy(),this.hammerDragCenter=null))}},{key:"_repaintDeleteButton",value:function(t){var e=(this.options.editable.overrideItems||null==this.editable)&&this.options.editable.remove||!this.options.editable.overrideItems&&null!=this.editable&&this.editable.remove;if(this.selected&&e&&!this.dom.deleteButton){var i=this,n=document.createElement("div");this.options.rtl?n.className="vis-delete-rtl":n.className="vis-delete";var r=this.options.locales[this.options.locale];r||(this.warned||(console.warn("WARNING: options.locales['".concat(this.options.locale,"'] not found. See https://visjs.github.io/vis-timeline/docs/timeline/#Localization")),this.warned=!0),r=this.options.locales.en),n.title=r.deleteSelected,this.hammerDeleteButton=new vO(n).on("tap",(function(t){t.stopPropagation(),i.parent.removeFromDataSet(i)})),t.appendChild(n),this.dom.deleteButton=n}else!this.selected&&this.dom.deleteButton&&(this.dom.deleteButton.parentNode&&this.dom.deleteButton.parentNode.removeChild(this.dom.deleteButton),this.dom.deleteButton=null,this.hammerDeleteButton&&(this.hammerDeleteButton.destroy(),this.hammerDeleteButton=null))}},{key:"_repaintOnItemUpdateTimeTooltip",value:function(t){if(this.options.tooltipOnItemUpdateTime){var e=(this.options.editable.updateTime||!0===this.data.editable)&&!1!==this.data.editable;if(this.selected&&e&&!this.dom.onItemUpdateTimeTooltip){var i=document.createElement("div");i.className="vis-onUpdateTime-tooltip",t.appendChild(i),this.dom.onItemUpdateTimeTooltip=i}else!this.selected&&this.dom.onItemUpdateTimeTooltip&&(this.dom.onItemUpdateTimeTooltip.parentNode&&this.dom.onItemUpdateTimeTooltip.parentNode.removeChild(this.dom.onItemUpdateTimeTooltip),this.dom.onItemUpdateTimeTooltip=null);if(this.dom.onItemUpdateTimeTooltip){this.dom.onItemUpdateTimeTooltip.style.visibility=this.parent.itemSet.touchParams.itemIsDragging?"visible":"hidden",this.dom.onItemUpdateTimeTooltip.style.transform="translateX(-50%)",this.dom.onItemUpdateTimeTooltip.style.left="50%";var n,r,o=this.parent.itemSet.body.domProps.scrollTop;if(("top"==this.options.orientation.item?this.top:this.parent.height-this.top-this.height)+this.parent.top-50<-o?(this.dom.onItemUpdateTimeTooltip.style.bottom="",this.dom.onItemUpdateTimeTooltip.style.top="".concat(this.height+2,"px")):(this.dom.onItemUpdateTimeTooltip.style.top="",this.dom.onItemUpdateTimeTooltip.style.bottom="".concat(this.height+2,"px")),this.options.tooltipOnItemUpdateTime&&this.options.tooltipOnItemUpdateTime.template)n=Tw(r=this.options.tooltipOnItemUpdateTime.template).call(r,this)(this.data);else n="start: ".concat(Xk(this.data.start).format("MM/DD/YYYY hh:mm")),this.data.end&&(n+="<br> end: ".concat(Xk(this.data.end).format("MM/DD/YYYY hh:mm")));this.dom.onItemUpdateTimeTooltip.innerHTML=n}}}},{key:"_getItemData",value:function(){return this.parent.itemSet.itemsData.get(this.id)}},{key:"_updateContents",value:function(t){var e,i,n,r,o,s,a=this._getItemData(),l=(this.dom.box||this.dom.point).getElementsByClassName("vis-item-visible-frame")[0];this.options.visibleFrameTemplate?n=(r=Tw(o=this.options.visibleFrameTemplate).call(o,this))(a,l):n="";if(l)if(n instanceof Object&&!(n instanceof Element))r(a,l);else if(this._contentToString(this.itemVisibleFrameContent)!==this._contentToString(n)){if(n instanceof Element)l.innerHTML="",l.appendChild(n);else if(null!=n)l.innerHTML=n;else if("background"!=this.data.type||void 0!==this.data.content)throw new Error('Property "content" missing in item '.concat(this.id));this.itemVisibleFrameContent=n}this.options.template?e=(i=Tw(s=this.options.template).call(s,this))(a,t,this.data):e=this.data.content;if(e instanceof Object&&!(e instanceof Element))i(a,t);else if(this._contentToString(this.content)!==this._contentToString(e)){if(e instanceof Element)t.innerHTML="",t.appendChild(e);else if(null!=e)t.innerHTML=e;else if("background"!=this.data.type||void 0!==this.data.content)throw new Error('Property "content" missing in item '.concat(this.id));this.content=e}}},{key:"_updateDataAttributes",value:function(t){if(this.options.dataAttributes&&this.options.dataAttributes.length>0){var e=[];if(Pw(this.options.dataAttributes))e=this.options.dataAttributes;else{if("all"!=this.options.dataAttributes)return;e=rS(this.data)}var i=!0,n=!1,r=void 0;try{for(var o,s=vM(e);!(i=(o=s.next()).done);i=!0){var a=o.value,l=this.data[a];null!=l?t.setAttribute("data-".concat(a),l):t.removeAttribute("data-".concat(a))}}catch(t){n=!0,r=t}finally{try{i||null==s.return||s.return()}finally{if(n)throw r}}}}},{key:"_updateStyle",value:function(t){this.style&&(kS.removeCssText(t,this.style),this.style=null),this.data.style&&(kS.addCssText(t,this.data.style),this.style=this.data.style)}},{key:"_contentToString",value:function(t){return"string"==typeof t?t:t&&"outerHTML"in t?t.outerHTML:t}},{key:"_updateEditStatus",value:function(){this.options&&("boolean"==typeof this.options.editable?this.editable={updateTime:this.options.editable,updateGroup:this.options.editable,remove:this.options.editable}:"object"===jk(this.options.editable)&&(this.editable={},kS.selectiveExtend(["updateTime","updateGroup","remove"],this.editable,this.options.editable))),this.options&&this.options.editable&&!0===this.options.editable.overrideItems||this.data&&("boolean"==typeof this.data.editable?this.editable={updateTime:this.data.editable,updateGroup:this.data.editable,remove:this.data.editable}:"object"===jk(this.data.editable)&&(this.editable={},kS.selectiveExtend(["updateTime","updateGroup","remove"],this.editable,this.data.editable)))}},{key:"getWidthLeft",value:function(){return 0}},{key:"getWidthRight",value:function(){return 0}},{key:"getTitle",value:function(){var t;return this.options.tooltip&&this.options.tooltip.template?Tw(t=this.options.tooltip.template).call(t,this)(this._getItemData(),this.data):this.data.title}}]),t}();vT.prototype.stack=!0;var gT=function(t){function e(t,i,n){var r;if(Ew(this,e),(r=Nk(this,Gk(e).call(this,t,i,n))).props={dot:{width:0,height:0},line:{width:0,height:0}},t&&null==t.start)throw new Error('Property "start" missing in item '.concat(t));return r}return Bk(e,t),jw(e,[{key:"isVisible",value:function(t){if(this.cluster)return!1;var e,i=this.data.align||this.options.align,n=this.width*t.getMillisecondsPerPixel();return e="right"==i?this.data.start.getTime()>t.start&&this.data.start.getTime()-n<t.end:"left"==i?this.data.start.getTime()+n>t.start&&this.data.start.getTime()<t.end:this.data.start.getTime()+n/2>t.start&&this.data.start.getTime()-n/2<t.end,e}},{key:"_createDomElement",value:function(){this.dom||(this.dom={},this.dom.box=document.createElement("DIV"),this.dom.content=document.createElement("DIV"),this.dom.content.className="vis-item-content",this.dom.box.appendChild(this.dom.content),this.dom.line=document.createElement("DIV"),this.dom.line.className="vis-line",this.dom.dot=document.createElement("DIV"),this.dom.dot.className="vis-dot",this.dom.box["vis-item"]=this,this.dirty=!0)}},{key:"_appendDomElement",value:function(){if(!this.parent)throw new Error("Cannot redraw item: no parent attached");if(!this.dom.box.parentNode){var t=this.parent.dom.foreground;if(!t)throw new Error("Cannot redraw item: parent has no foreground container element");t.appendChild(this.dom.box)}if(!this.dom.line.parentNode){var e=this.parent.dom.background;if(!e)throw new Error("Cannot redraw item: parent has no background container element");e.appendChild(this.dom.line)}if(!this.dom.dot.parentNode){var i=this.parent.dom.axis;if(!e)throw new Error("Cannot redraw item: parent has no axis container element");i.appendChild(this.dom.dot)}this.displayed=!0}},{key:"_updateDirtyDomComponents",value:function(){if(this.dirty){this._updateContents(this.dom.content),this._updateDataAttributes(this.dom.box),this._updateStyle(this.dom.box);var t=this.editable.updateTime||this.editable.updateGroup,e=(this.data.className?" "+this.data.className:"")+(this.selected?" vis-selected":"")+(t?" vis-editable":" vis-readonly");this.dom.box.className="vis-item vis-box".concat(e),this.dom.line.className="vis-item vis-line".concat(e),this.dom.dot.className="vis-item vis-dot".concat(e)}}},{key:"_getDomComponentsSizes",value:function(){return{previous:{right:this.dom.box.style.right,left:this.dom.box.style.left},dot:{height:this.dom.dot.offsetHeight,width:this.dom.dot.offsetWidth},line:{width:this.dom.line.offsetWidth},box:{width:this.dom.box.offsetWidth,height:this.dom.box.offsetHeight}}}},{key:"_updateDomComponentsSizes",value:function(t){this.options.rtl?this.dom.box.style.right="0px":this.dom.box.style.left="0px",this.props.dot.height=t.dot.height,this.props.dot.width=t.dot.width,this.props.line.width=t.line.width,this.width=t.box.width,this.height=t.box.height,this.options.rtl?this.dom.box.style.right=t.previous.right:this.dom.box.style.left=t.previous.left,this.dirty=!1}},{key:"_repaintDomAdditionals",value:function(){this._repaintOnItemUpdateTimeTooltip(this.dom.box),this._repaintDragCenter(),this._repaintDeleteButton(this.dom.box)}},{key:"redraw",value:function(t){var e,i,n,r,o,s,a=this,l=[Tw(e=this._createDomElement).call(e,this),Tw(i=this._appendDomElement).call(i,this),Tw(n=this._updateDirtyDomComponents).call(n,this),function(){a.dirty&&(o=a._getDomComponentsSizes())},function(){var t;a.dirty&&Tw(t=a._updateDomComponentsSizes).call(t,a)(o)},Tw(r=this._repaintDomAdditionals).call(r,this)];return t?l:(rw(l).call(l,(function(t){s=t()})),s)}},{key:"show",value:function(t){if(!this.displayed)return this.redraw(t)}},{key:"hide",value:function(){if(this.displayed){var t=this.dom;t.box.remove?t.box.remove():t.box.parentNode&&t.box.parentNode.removeChild(t.box),t.line.remove?t.line.remove():t.line.parentNode&&t.line.parentNode.removeChild(t.line),t.dot.remove?t.dot.remove():t.dot.parentNode&&t.dot.parentNode.removeChild(t.dot),this.displayed=!1}}},{key:"repositionXY",value:function(){var t=this.options.rtl,e=function(t,e,i){var n,r=arguments.length>3&&void 0!==arguments[3]&&arguments[3];if(void 0!==e||void 0!==i){var o=r?-1*e:e;t.style.transform=void 0!==i?void 0!==e?WS(n="translate(".concat(o,"px, ")).call(n,i,"px)"):"translateY(".concat(i,"px)"):"translateX(".concat(o,"px)")}};e(this.dom.box,this.boxX,this.boxY,t),e(this.dom.dot,this.dotX,this.dotY,t),e(this.dom.line,this.lineX,this.lineY,t)}},{key:"repositionX",value:function(){var t=this.conversion.toScreen(this.data.start),e=void 0===this.data.align?this.options.align:this.data.align,i=this.props.line.width,n=this.props.dot.width;"right"==e?(this.boxX=t-this.width,this.lineX=t-i,this.dotX=t-i/2-n/2):"left"==e?(this.boxX=t,this.lineX=t,this.dotX=t+i/2-n/2):(this.boxX=t-this.width/2,this.lineX=this.options.rtl?t-i:t-i/2,this.dotX=t-n/2),this.options.rtl?this.right=this.boxX:this.left=this.boxX,this.repositionXY()}},{key:"repositionY",value:function(){var t=this.options.orientation.item,e=this.dom.line.style;if("top"==t){var i=this.parent.top+this.top+1;this.boxY=this.top||0,e.height="".concat(i,"px"),e.bottom="",e.top="0"}else{var n=this.parent.itemSet.props.height-this.parent.top-this.parent.height+this.top;this.boxY=this.parent.height-this.top-(this.height||0),e.height="".concat(n,"px"),e.top="",e.bottom="0"}this.dotY=-this.props.dot.height/2,this.repositionXY()}},{key:"getWidthLeft",value:function(){return this.width/2}},{key:"getWidthRight",value:function(){return this.width/2}}]),e}(vT),yT=function(t){function e(t,i,n){var r;if(Ew(this,e),(r=Nk(this,Gk(e).call(this,t,i,n))).props={dot:{top:0,width:0,height:0},content:{height:0,marginLeft:0,marginRight:0}},t&&null==t.start)throw new Error('Property "start" missing in item '.concat(t));return r}return Bk(e,t),jw(e,[{key:"isVisible",value:function(t){if(this.cluster)return!1;var e=this.width*t.getMillisecondsPerPixel();return this.data.start.getTime()+e>t.start&&this.data.start<t.end}},{key:"_createDomElement",value:function(){this.dom||(this.dom={},this.dom.point=document.createElement("div"),this.dom.content=document.createElement("div"),this.dom.content.className="vis-item-content",this.dom.point.appendChild(this.dom.content),this.dom.dot=document.createElement("div"),this.dom.point.appendChild(this.dom.dot),this.dom.point["vis-item"]=this,this.dirty=!0)}},{key:"_appendDomElement",value:function(){if(!this.parent)throw new Error("Cannot redraw item: no parent attached");if(!this.dom.point.parentNode){var t=this.parent.dom.foreground;if(!t)throw new Error("Cannot redraw item: parent has no foreground container element");t.appendChild(this.dom.point)}this.displayed=!0}},{key:"_updateDirtyDomComponents",value:function(){if(this.dirty){this._updateContents(this.dom.content),this._updateDataAttributes(this.dom.point),this._updateStyle(this.dom.point);var t=this.editable.updateTime||this.editable.updateGroup,e=(this.data.className?" "+this.data.className:"")+(this.selected?" vis-selected":"")+(t?" vis-editable":" vis-readonly");this.dom.point.className="vis-item vis-point".concat(e),this.dom.dot.className="vis-item vis-dot".concat(e)}}},{key:"_getDomComponentsSizes",value:function(){return{dot:{width:this.dom.dot.offsetWidth,height:this.dom.dot.offsetHeight},content:{width:this.dom.content.offsetWidth,height:this.dom.content.offsetHeight},point:{width:this.dom.point.offsetWidth,height:this.dom.point.offsetHeight}}}},{key:"_updateDomComponentsSizes",value:function(t){this.props.dot.width=t.dot.width,this.props.dot.height=t.dot.height,this.props.content.height=t.content.height,this.options.rtl?this.dom.content.style.marginRight="".concat(2*this.props.dot.width,"px"):this.dom.content.style.marginLeft="".concat(2*this.props.dot.width,"px"),this.width=t.point.width,this.height=t.point.height,this.dom.dot.style.top="".concat((this.height-this.props.dot.height)/2,"px");var e=this.props.dot.width,i=this.options.rtl?e/2*-1:e/2;this.dom.dot.style.transform="translateX(".concat(i,"px"),this.dirty=!1}},{key:"_repaintDomAdditionals",value:function(){this._repaintOnItemUpdateTimeTooltip(this.dom.point),this._repaintDragCenter(),this._repaintDeleteButton(this.dom.point)}},{key:"redraw",value:function(t){var e,i,n,r,o,s,a=this,l=[Tw(e=this._createDomElement).call(e,this),Tw(i=this._appendDomElement).call(i,this),Tw(n=this._updateDirtyDomComponents).call(n,this),function(){a.dirty&&(o=a._getDomComponentsSizes())},function(){var t;a.dirty&&Tw(t=a._updateDomComponentsSizes).call(t,a)(o)},Tw(r=this._repaintDomAdditionals).call(r,this)];return t?l:(rw(l).call(l,(function(t){s=t()})),s)}},{key:"repositionXY",value:function(){var t=this.options.rtl,e=function(t,e,i){var n,r=arguments.length>3&&void 0!==arguments[3]&&arguments[3];if(void 0!==e||void 0!==i){var o=r?-1*e:e;t.style.transform=void 0!==i?void 0!==e?WS(n="translate(".concat(o,"px, ")).call(n,i,"px)"):"translateY(".concat(i,"px)"):"translateX(".concat(o,"px)")}};e(this.dom.point,this.pointX,this.pointY,t)}},{key:"show",value:function(t){if(!this.displayed)return this.redraw(t)}},{key:"hide",value:function(){this.displayed&&(this.dom.point.parentNode&&this.dom.point.parentNode.removeChild(this.dom.point),this.displayed=!1)}},{key:"repositionX",value:function(){var t=this.conversion.toScreen(this.data.start);this.pointX=t,this.options.rtl?this.right=t-this.props.dot.width:this.left=t-this.props.dot.width,this.repositionXY()}},{key:"repositionY",value:function(){var t=this.options.orientation.item;this.pointY="top"==t?this.top:this.parent.height-this.top-this.height,this.repositionXY()}},{key:"getWidthLeft",value:function(){return this.props.dot.width}},{key:"getWidthRight",value:function(){return this.props.dot.width}}]),e}(vT),bT=function(t){function e(t,i,n){var r;if(Ew(this,e),(r=Nk(this,Gk(e).call(this,t,i,n))).props={content:{width:0}},r.overflow=!1,t){if(null==t.start)throw new Error('Property "start" missing in item '.concat(t.id));if(null==t.end)throw new Error('Property "end" missing in item '.concat(t.id))}return r}return Bk(e,t),jw(e,[{key:"isVisible",value:function(t){return!this.cluster&&(this.data.start<t.end&&this.data.end>t.start)}},{key:"_createDomElement",value:function(){this.dom||(this.dom={},this.dom.box=document.createElement("div"),this.dom.frame=document.createElement("div"),this.dom.frame.className="vis-item-overflow",this.dom.box.appendChild(this.dom.frame),this.dom.visibleFrame=document.createElement("div"),this.dom.visibleFrame.className="vis-item-visible-frame",this.dom.box.appendChild(this.dom.visibleFrame),this.dom.content=document.createElement("div"),this.dom.content.className="vis-item-content",this.dom.frame.appendChild(this.dom.content),this.dom.box["vis-item"]=this,this.dirty=!0)}},{key:"_appendDomElement",value:function(){if(!this.parent)throw new Error("Cannot redraw item: no parent attached");if(!this.dom.box.parentNode){var t=this.parent.dom.foreground;if(!t)throw new Error("Cannot redraw item: parent has no foreground container element");t.appendChild(this.dom.box)}this.displayed=!0}},{key:"_updateDirtyDomComponents",value:function(){if(this.dirty){this._updateContents(this.dom.content),this._updateDataAttributes(this.dom.box),this._updateStyle(this.dom.box);var t=this.editable.updateTime||this.editable.updateGroup,e=(this.data.className?" "+this.data.className:"")+(this.selected?" vis-selected":"")+(t?" vis-editable":" vis-readonly");this.dom.box.className=this.baseClassName+e,this.dom.content.style.maxWidth="none"}}},{key:"_getDomComponentsSizes",value:function(){return this.overflow="hidden"!==window.getComputedStyle(this.dom.frame).overflow,this.whiteSpace="nowrap"!==window.getComputedStyle(this.dom.content).whiteSpace,{content:{width:this.dom.content.offsetWidth},box:{height:this.dom.box.offsetHeight}}}},{key:"_updateDomComponentsSizes",value:function(t){this.props.content.width=t.content.width,this.height=t.box.height,this.dom.content.style.maxWidth="",this.dirty=!1}},{key:"_repaintDomAdditionals",value:function(){this._repaintOnItemUpdateTimeTooltip(this.dom.box),this._repaintDeleteButton(this.dom.box),this._repaintDragCenter(),this._repaintDragLeft(),this._repaintDragRight()}},{key:"redraw",value:function(t){var e,i,n,r,o,s,a=this,l=[Tw(e=this._createDomElement).call(e,this),Tw(i=this._appendDomElement).call(i,this),Tw(n=this._updateDirtyDomComponents).call(n,this),function(){var t;a.dirty&&(o=Tw(t=a._getDomComponentsSizes).call(t,a)())},function(){var t;a.dirty&&Tw(t=a._updateDomComponentsSizes).call(t,a)(o)},Tw(r=this._repaintDomAdditionals).call(r,this)];return t?l:(rw(l).call(l,(function(t){s=t()})),s)}},{key:"show",value:function(t){if(!this.displayed)return this.redraw(t)}},{key:"hide",value:function(){if(this.displayed){var t=this.dom.box;t.parentNode&&t.parentNode.removeChild(t),this.displayed=!1}}},{key:"repositionX",value:function(t){var e,i,n=this.parent.width,r=this.conversion.toScreen(this.data.start),o=this.conversion.toScreen(this.data.end),s=void 0===this.data.align?this.options.align:this.data.align;!1===this.data.limitSize||void 0!==t&&!0!==t||(r<-n&&(r=-n),o>2*n&&(o=2*n));var a=Math.max(Math.round(1e3*(o-r))/1e3,1);switch(this.overflow?(this.options.rtl?this.right=r:this.left=r,this.width=a+this.props.content.width,i=this.props.content.width):(this.options.rtl?this.right=r:this.left=r,this.width=a,i=Math.min(o-r,this.props.content.width)),this.options.rtl?this.dom.box.style.transform="translateX(".concat(-1*this.right,"px)"):this.dom.box.style.transform="translateX(".concat(this.left,"px)"),this.dom.box.style.width="".concat(a,"px"),this.whiteSpace&&(this.height=this.dom.box.offsetHeight),s){case"left":this.dom.content.style.transform="translateX(0)";break;case"right":if(this.options.rtl){var l=-1*Math.max(a-i,0);this.dom.content.style.transform="translateX(".concat(l,"px)")}else this.dom.content.style.transform="translateX(".concat(Math.max(a-i,0),"px)");break;case"center":if(this.options.rtl){var u=-1*Math.max((a-i)/2,0);this.dom.content.style.transform="translateX(".concat(u,"px)")}else this.dom.content.style.transform="translateX(".concat(Math.max((a-i)/2,0),"px)");break;default:if(e=this.overflow?o>0?Math.max(-r,0):-i:r<0?-r:0,this.options.rtl){var h=-1*e;this.dom.content.style.transform="translateX(".concat(h,"px)")}else this.dom.content.style.transform="translateX(".concat(e,"px)")}}},{key:"repositionY",value:function(){var t=this.options.orientation.item,e=this.dom.box;e.style.top="".concat("top"==t?this.top:this.parent.height-this.top-this.height,"px")}},{key:"_repaintDragLeft",value:function(){if((this.selected||this.options.itemsAlwaysDraggable.range)&&this.options.editable.updateTime&&!this.dom.dragLeft){var t=document.createElement("div");t.className="vis-drag-left",t.dragLeftItem=this,this.dom.box.appendChild(t),this.dom.dragLeft=t}else this.selected||this.options.itemsAlwaysDraggable.range||!this.dom.dragLeft||(this.dom.dragLeft.parentNode&&this.dom.dragLeft.parentNode.removeChild(this.dom.dragLeft),this.dom.dragLeft=null)}},{key:"_repaintDragRight",value:function(){if((this.selected||this.options.itemsAlwaysDraggable.range)&&this.options.editable.updateTime&&!this.dom.dragRight){var t=document.createElement("div");t.className="vis-drag-right",t.dragRightItem=this,this.dom.box.appendChild(t),this.dom.dragRight=t}else this.selected||this.options.itemsAlwaysDraggable.range||!this.dom.dragRight||(this.dom.dragRight.parentNode&&this.dom.dragRight.parentNode.removeChild(this.dom.dragRight),this.dom.dragRight=null)}}]),e}(vT);bT.prototype.baseClassName="vis-item vis-range";var _T=function(t){function e(t,i,n){var r;if(Ew(this,e),(r=Nk(this,Gk(e).call(this,t,i,n))).props={content:{width:0}},r.overflow=!1,t){if(null==t.start)throw new Error('Property "start" missing in item '.concat(t.id));if(null==t.end)throw new Error('Property "end" missing in item '.concat(t.id))}return r}return Bk(e,t),jw(e,[{key:"isVisible",value:function(t){return this.data.start<t.end&&this.data.end>t.start}},{key:"_createDomElement",value:function(){this.dom||(this.dom={},this.dom.box=document.createElement("div"),this.dom.frame=document.createElement("div"),this.dom.frame.className="vis-item-overflow",this.dom.box.appendChild(this.dom.frame),this.dom.content=document.createElement("div"),this.dom.content.className="vis-item-content",this.dom.frame.appendChild(this.dom.content),this.dirty=!0)}},{key:"_appendDomElement",value:function(){if(!this.parent)throw new Error("Cannot redraw item: no parent attached");if(!this.dom.box.parentNode){var t=this.parent.dom.background;if(!t)throw new Error("Cannot redraw item: parent has no background container element");t.appendChild(this.dom.box)}this.displayed=!0}},{key:"_updateDirtyDomComponents",value:function(){if(this.dirty){this._updateContents(this.dom.content),this._updateDataAttributes(this.dom.content),this._updateStyle(this.dom.box);var t=(this.data.className?" "+this.data.className:"")+(this.selected?" vis-selected":"");this.dom.box.className=this.baseClassName+t}}},{key:"_getDomComponentsSizes",value:function(){return this.overflow="hidden"!==window.getComputedStyle(this.dom.content).overflow,{content:{width:this.dom.content.offsetWidth}}}},{key:"_updateDomComponentsSizes",value:function(t){this.props.content.width=t.content.width,this.height=0,this.dirty=!1}},{key:"_repaintDomAdditionals",value:function(){}},{key:"redraw",value:function(t){var e,i,n,r,o,s,a=this,l=[Tw(e=this._createDomElement).call(e,this),Tw(i=this._appendDomElement).call(i,this),Tw(n=this._updateDirtyDomComponents).call(n,this),function(){var t;a.dirty&&(o=Tw(t=a._getDomComponentsSizes).call(t,a)())},function(){var t;a.dirty&&Tw(t=a._updateDomComponentsSizes).call(t,a)(o)},Tw(r=this._repaintDomAdditionals).call(r,this)];return t?l:(rw(l).call(l,(function(t){s=t()})),s)}},{key:"repositionY",value:function(t){var e,i=this.options.orientation.item;if(void 0!==this.data.subgroup){var n=this.data.subgroup;this.dom.box.style.height="".concat(this.parent.subgroups[n].height,"px"),this.dom.box.style.top="".concat("top"==i?this.parent.top+this.parent.subgroups[n].top:this.parent.top+this.parent.height-this.parent.subgroups[n].top-this.parent.subgroups[n].height,"px"),this.dom.box.style.bottom=""}else this.parent instanceof mT?(e=Math.max(this.parent.height,this.parent.itemSet.body.domProps.center.height,this.parent.itemSet.body.domProps.centerContainer.height),this.dom.box.style.bottom="bottom"==i?"0":"",this.dom.box.style.top="top"==i?"0":""):(e=this.parent.height,this.dom.box.style.top="".concat(this.parent.top,"px"),this.dom.box.style.bottom="");this.dom.box.style.height="".concat(e,"px")}}]),e}(vT);_T.prototype.baseClassName="vis-item vis-background",_T.prototype.stack=!1,_T.prototype.show=bT.prototype.show,_T.prototype.hide=bT.prototype.hide,_T.prototype.repositionX=bT.prototype.repositionX;var wT=function(){function t(e,i){Ew(this,t),this.container=e,this.overflowMethod=i||"cap",this.x=0,this.y=0,this.padding=5,this.hidden=!1,this.frame=document.createElement("div"),this.frame.className="vis-tooltip",this.container.appendChild(this.frame)}return jw(t,[{key:"setPosition",value:function(t,e){this.x=kO(t),this.y=kO(e)}},{key:"setText",value:function(t){t instanceof Element?(this.frame.innerHTML="",this.frame.appendChild(t)):this.frame.innerHTML=t}},{key:"show",value:function(t){if(void 0===t&&(t=!0),!0===t){var e=this.frame.clientHeight,i=this.frame.clientWidth,n=this.frame.parentNode.clientHeight,r=this.frame.parentNode.clientWidth,o=0,s=0;if("flip"==this.overflowMethod||"none"==this.overflowMethod){var a=!1,l=!0;"flip"==this.overflowMethod&&(this.y-e<this.padding&&(l=!1),this.x+i>r-this.padding&&(a=!0)),o=a?this.x-i:this.x,s=l?this.y-e:this.y}else(s=this.y-e)+e+this.padding>n&&(s=n-e-this.padding),s<this.padding&&(s=this.padding),(o=this.x)+i+this.padding>r&&(o=r-i-this.padding),o<this.padding&&(o=this.padding);this.frame.style.left=o+"px",this.frame.style.top=s+"px",this.frame.style.visibility="visible",this.hidden=!1}else this.hide()}},{key:"hide",value:function(){this.hidden=!0,this.frame.style.left="0",this.frame.style.top="0",this.frame.style.visibility="hidden"}},{key:"destroy",value:function(){this.frame.parentNode.removeChild(this.frame)}}]),t}(),kT=z_.every,ST=W_("every"),DT=X_("every");Cb({target:"Array",proto:!0,forced:!ST||!DT},{every:function(t){return kT(this,t,arguments.length>1?arguments[1]:void 0)}});var xT=tw("Array").every,OT=Array.prototype,MT=function(t){var e=t.every;return t===OT||t instanceof Array&&e===OT.every?xT:e},TT=pb.f,CT=function(t){return function(e){for(var i,n=Sy(e),r=n_(n),o=r.length,s=0,a=[];o>s;)i=r[s++],My&&!TT.call(n,i)||a.push(t?[i,n[i]]:n[i]);return a}},PT={entries:CT(!0),values:CT(!1)}.values;Cb({target:"Object",stat:!0},{values:function(t){return PT(t)}});var ET=Db.Object.values,AT=function(t){function e(t,i,n){var r;Ew(this,e);var o=LM({},{fitOnDoubleClick:!0},n,{editable:!1});if((r=Nk(this,Gk(e).call(this,t,i,o))).props={content:{width:0,height:0}},!t||null==t.uiItems)throw new Error('Property "uiItems" missing in item '+t.id);return r.id=RM(),r.group=t.group,r._setupRange(),r.emitter=r.data.eventEmitter,r.range=r.data.range,r.attached=!1,r.isCluster=!0,r.data.isCluster=!0,r}return Bk(e,t),jw(e,[{key:"hasItems",value:function(){return this.data.uiItems&&this.data.uiItems.length&&this.attached}},{key:"setUiItems",value:function(t){this.detach(),this.data.uiItems=t,this._setupRange(),this.attach()}},{key:"isVisible",value:function(t){var e=this.data.end?this.data.end-this.data.start:0,i=this.width*t.getMillisecondsPerPixel(),n=Math.max(e,this.data.start.getTime()+i);return this.data.start<t.end&&n>t.start&&this.hasItems()}},{key:"getData",value:function(){return{isCluster:!0,id:this.id,items:this.data.items||[],data:this.data}}},{key:"redraw",value:function(t){var e,i,n,r,o,s,a,l,u=[Tw(e=this._createDomElement).call(e,this),Tw(i=this._appendDomElement).call(i,this),Tw(n=this._updateDirtyDomComponents).call(n,this),Tw(r=function(){this.dirty&&(a=this._getDomComponentsSizes())}).call(r,this),Tw(o=function(){var t;this.dirty&&Tw(t=this._updateDomComponentsSizes).call(t,this)(a)}).call(o,this),Tw(s=this._repaintDomAdditionals).call(s,this)];return t?u:(rw(u).call(u,(function(t){l=t()})),l)}},{key:"show",value:function(){this.displayed||this.redraw()}},{key:"hide",value:function(){if(this.displayed){var t=this.dom;t.box.parentNode&&t.box.parentNode.removeChild(t.box),this.options.showStipes&&(t.line.parentNode&&t.line.parentNode.removeChild(t.line),t.dot.parentNode&&t.dot.parentNode.removeChild(t.dot)),this.displayed=!1}}},{key:"repositionX",value:function(){var t=this.conversion.toScreen(this.data.start),e=this.data.end?this.conversion.toScreen(this.data.end):0;if(e)this.repositionXWithRanges(t,e);else{var i=void 0===this.data.align?this.options.align:this.data.align;this.repositionXWithoutRanges(t,i)}this.options.showStipes&&(this.dom.line.style.display=this._isStipeVisible()?"block":"none",this.dom.dot.style.display=this._isStipeVisible()?"block":"none",this._isStipeVisible()&&this.repositionStype(t,e))}},{key:"repositionStype",value:function(t,e){this.dom.line.style.display="block",this.dom.dot.style.display="block";var i=this.dom.line.offsetWidth,n=this.dom.dot.offsetWidth;if(e){var r=i+t+(e-t)/2,o=r-n/2,s=this.options.rtl?-1*r:r,a=this.options.rtl?-1*o:o;this.dom.line.style.transform="translateX(".concat(s,"px)"),this.dom.dot.style.transform="translateX(".concat(a,"px)")}else{var l=this.options.rtl?-1*t:t,u=this.options.rtl?-1*(t-n/2):t-n/2;this.dom.line.style.transform="translateX(".concat(l,"px)"),this.dom.dot.style.transform="translateX(".concat(u,"px)")}}},{key:"repositionXWithoutRanges",value:function(t,e){"right"==e?this.options.rtl?(this.right=t-this.width,this.dom.box.style.right=this.right+"px"):(this.left=t-this.width,this.dom.box.style.left=this.left+"px"):"left"==e?this.options.rtl?(this.right=t,this.dom.box.style.right=this.right+"px"):(this.left=t,this.dom.box.style.left=this.left+"px"):this.options.rtl?(this.right=t-this.width/2,this.dom.box.style.right=this.right+"px"):(this.left=t-this.width/2,this.dom.box.style.left=this.left+"px")}},{key:"repositionXWithRanges",value:function(t,e){var i=Math.round(Math.max(e-t+.5,1));this.options.rtl?this.right=t:this.left=t,this.width=Math.max(i,this.minWidth||0),this.options.rtl?this.dom.box.style.right=this.right+"px":this.dom.box.style.left=this.left+"px",this.dom.box.style.width=i+"px"}},{key:"repositionY",value:function(){var t=this.options.orientation.item,e=this.dom.box;if(e.style.top="top"==t?(this.top||0)+"px":(this.parent.height-this.top-this.height||0)+"px",this.options.showStipes){if("top"==t)this.dom.line.style.top="0",this.dom.line.style.height=this.parent.top+this.top+1+"px",this.dom.line.style.bottom="";else{var i=this.parent.itemSet.props.height,n=i-this.parent.top-this.parent.height+this.top;this.dom.line.style.top=i-n+"px",this.dom.line.style.bottom="0"}this.dom.dot.style.top=-this.dom.dot.offsetHeight/2+"px"}}},{key:"getWidthLeft",value:function(){return this.width/2}},{key:"getWidthRight",value:function(){return this.width/2}},{key:"move",value:function(){this.repositionX(),this.repositionY()}},{key:"attach",value:function(){var t,e=!0,i=!1,n=void 0;try{for(var r,o=vM(this.data.uiItems);!(e=(r=o.next()).done);e=!0){r.value.cluster=this}}catch(t){i=!0,n=t}finally{try{e||null==o.return||o.return()}finally{if(i)throw n}}this.data.items=gS(t=this.data.uiItems).call(t,(function(t){return t.data})),this.attached=!0,this.dirty=!0}},{key:"detach",value:function(){var t=arguments.length>0&&void 0!==arguments[0]&&arguments[0];if(this.hasItems()){var e=!0,i=!1,n=void 0;try{for(var r,o=vM(this.data.uiItems);!(e=(r=o.next()).done);e=!0){var s=r.value;delete s.cluster}}catch(t){i=!0,n=t}finally{try{e||null==o.return||o.return()}finally{if(i)throw n}}this.attached=!1,t&&this.group&&(this.group.remove(this),this.group=null),this.data.items=[],this.dirty=!0}}},{key:"_onDoubleClick",value:function(){this._fit()}},{key:"_setupRange",value:function(){var t,e,i,n=gS(t=this.data.uiItems).call(t,(function(t){return{start:t.data.start.valueOf(),end:t.data.end?t.data.end.valueOf():t.data.start.valueOf()}}));this.data.min=Math.min.apply(Math,CM(gS(n).call(n,(function(t){return Math.min(t.start,t.end||t.start)})))),this.data.max=Math.max.apply(Math,CM(gS(n).call(n,(function(t){return Math.max(t.start,t.end||t.start)}))));var r=gS(e=this.data.uiItems).call(e,(function(t){return t.center})),o=cS(r).call(r,(function(t,e){return t+e}),0)/this.data.uiItems.length;DD(i=this.data.uiItems).call(i,(function(t){return t.data.end}))?(this.data.start=new Date(this.data.min),this.data.end=new Date(this.data.max)):(this.data.start=new Date(o),this.data.end=null)}},{key:"_getUiItems",value:function(){var t,e=this;return this.data.uiItems&&this.data.uiItems.length?gw(t=this.data.uiItems).call(t,(function(t){return t.cluster===e})):[]}},{key:"_createDomElement",value:function(){if(!this.dom){var t;if(this.dom={},this.dom.box=document.createElement("DIV"),this.dom.content=document.createElement("DIV"),this.dom.content.className="vis-item-content",this.dom.box.appendChild(this.dom.content),this.options.showStipes&&(this.dom.line=document.createElement("DIV"),this.dom.line.className="vis-cluster-line",this.dom.line.style.display="none",this.dom.dot=document.createElement("DIV"),this.dom.dot.className="vis-cluster-dot",this.dom.dot.style.display="none"),this.options.fitOnDoubleClick)this.dom.box.ondblclick=Tw(t=e.prototype._onDoubleClick).call(t,this);this.dom.box["vis-item"]=this,this.dirty=!0}}},{key:"_appendDomElement",value:function(){if(!this.parent)throw new Error("Cannot redraw item: no parent attached");if(!this.dom.box.parentNode){var t=this.parent.dom.foreground;if(!t)throw new Error("Cannot redraw item: parent has no foreground container element");t.appendChild(this.dom.box)}var e=this.parent.dom.background;if(this.options.showStipes){if(!this.dom.line.parentNode){if(!e)throw new Error("Cannot redraw item: parent has no background container element");e.appendChild(this.dom.line)}if(!this.dom.dot.parentNode){var i=this.parent.dom.axis;if(!e)throw new Error("Cannot redraw item: parent has no axis container element");i.appendChild(this.dom.dot)}}this.displayed=!0}},{key:"_updateDirtyDomComponents",value:function(){if(this.dirty){this._updateContents(this.dom.content),this._updateDataAttributes(this.dom.box),this._updateStyle(this.dom.box);var t=this.baseClassName+" "+(this.data.className?" "+this.data.className:"")+(this.selected?" vis-selected":"")+" vis-readonly";this.dom.box.className="vis-item "+t,this.options.showStipes&&(this.dom.line.className="vis-item vis-cluster-line "+(this.selected?" vis-selected":""),this.dom.dot.className="vis-item vis-cluster-dot "+(this.selected?" vis-selected":"")),this.data.end&&(this.dom.content.style.maxWidth="none")}}},{key:"_getDomComponentsSizes",value:function(){return{previous:{right:this.dom.box.style.right,left:this.dom.box.style.left},dot:{height:this.dom.dot.offsetHeight,width:this.dom.dot.offsetWidth},line:{width:this.dom.line.offsetWidth},box:{width:this.dom.box.offsetWidth,height:this.dom.box.offsetHeight}}}},{key:"_updateDomComponentsSizes",value:function(t){this.options.rtl?this.dom.box.style.right="0px":this.dom.box.style.left="0px",this.data.end?this.minWidth=t.box.width:this.width=t.box.width,this.height=t.box.height,this.options.rtl?this.dom.box.style.right=t.previous.right:this.dom.box.style.left=t.previous.left,this.dirty=!1}},{key:"_repaintDomAdditionals",value:function(){this._repaintOnItemUpdateTimeTooltip(this.dom.box)}},{key:"_isStipeVisible",value:function(){return this.minWidth>=this.width||!this.data.end}},{key:"_getFitRange",value:function(){var t=.05*(this.data.max-this.data.min)/2;return{fitStart:this.data.min-t,fitEnd:this.data.max+t}}},{key:"_fit",value:function(){if(this.emitter){var t=this._getFitRange(),e=t.fitStart,i=t.fitEnd,n={start:new Date(e),end:new Date(i),animation:!0};this.emitter.emit("fit",n)}}},{key:"_getItemData",value:function(){return this.data}}]),e}(vT);AT.prototype.baseClassName="vis-item vis-range vis-cluster";var LT="__ungrouped__",IT=function(){function t(e){Ew(this,t),this.itemSet=e,this.groups={},this.cache={},this.cache[-1]=[]}return jw(t,[{key:"createClusterItem",value:function(t,e,i){return new AT(t,e,i)}},{key:"setItems",value:function(t,e){this.items=t||[],this.dataChanged=!0,this.applyOnChangedLevel=!1,e&&e.applyOnChangedLevel&&(this.applyOnChangedLevel=e.applyOnChangedLevel)}},{key:"updateData",value:function(){this.dataChanged=!0,this.applyOnChangedLevel=!1}},{key:"getClusters",value:function(t,e,i){var n="boolean"==typeof i?{}:i,r=n.maxItems,o=n.clusterCriteria;o||(o=function(){return!0}),r=r||1;var s=-1,a=0;if(e>0){if(e>=1)return[];s=Math.abs(Math.round(Math.log(100/e)/Math.log(2))),a=Math.abs(Math.pow(2,s))}if(this.dataChanged){var l=s!=this.cacheLevel;(!this.applyOnChangedLevel||l)&&(this._dropLevelsCache(),this._filterData())}this.cacheLevel=s;var u=this.cache[s];if(!u){for(var h in u=[],this.groups)if(this.groups.hasOwnProperty(h))for(var c=this.groups[h],d=c.length,f=0;f<d;){for(var p=c[f],m=1,v=f-1;v>=0&&p.center-c[v].center<a/2;)!c[v].cluster&&o(p.data,c[v].data)&&m++,v--;for(var g=f+1;g<c.length&&c[g].center-p.center<a/2;)o(p.data,c[g].data)&&m++,g++;for(var y=u.length-1;y>=0&&p.center-u[y].center<a;)p.group==u[y].group&&o(p.data,u[y].data)&&m++,y--;if(m>r){for(var b=m-r+1,_=[],w=f;_.length<b&&w<c.length;)o(c[w].data,c[w].data)&&_.push(c[w]),w++;var k=this.itemSet.getGroupId(p.data),S=this.itemSet.groups[k]||this.itemSet.groups[LT],D=this._getClusterForItems(_,S,t,i);u.push(D),f+=b}else delete p.cluster,f+=1}this.cache[s]=u}return u}},{key:"_filterData",value:function(){var t={};this.groups=t;for(var e=0,i=ET(this.items);e<i.length;e++){var n=i[e],r=n.parent?n.parent.groupId:"",o=t[r];o||(o=[],t[r]=o),o.push(n),n.data.start&&(n.data.end?n.center=(n.data.start.valueOf()+n.data.end.valueOf())/2:n.center=n.data.start.valueOf())}for(var s in t){var a;if(t.hasOwnProperty(s))KS(a=t[s]).call(a,(function(t,e){return t.center-e.center}))}this.dataChanged=!1}},{key:"_getClusterForItems",value:function(t,e,i,n){var r,o,s=gS(r=i||[]).call(r,(function(t){var e;return{cluster:t,itemsIds:new lM(gS(e=t.data.uiItems).call(e,(function(t){return t.id})))}}));if(s.length){var a=!0,l=!1,u=void 0;try{for(var h,c=function(){var e=h.value;if(e.itemsIds.size===t.length&&MT(t).call(t,(function(t){return e.itemsIds.has(t.id)})))return o=e.cluster,"break"},d=vM(s);!(a=(h=d.next()).done);a=!0){if("break"===c())break}}catch(t){l=!0,u=t}finally{try{a||null==d.return||d.return()}finally{if(l)throw u}}}if(o)return o.setUiItems(t),o.group!==e&&(o.group&&o.group.remove(o),e&&(e.add(o),o.group=e)),o;var f=n.titleTemplate||"",p={toScreen:this.itemSet.body.util.toScreen,toTime:this.itemSet.body.util.toTime},m='<div title="'+v+'">'+t.length+"</div>",v=f.replace(/{count}/,t.length),g=LM({},n,this.itemSet.options),y={content:m,title:v,group:e,uiItems:t,eventEmitter:this.itemSet.body.emitter,range:this.itemSet.body.range};return o=this.createClusterItem(y,p,g),e&&(e.add(o),o.group=e),o.attach(),o}},{key:"_dropLevelsCache",value:function(){this.cache={},this.cacheLevel=-1,this.cache[this.cacheLevel]=[]}}]),t}(),jT="__background__",YT=function(t){function e(t,i){var n;Ew(this,e),(n=Nk(this,Gk(e).call(this))).body=t,n.defaultOptions={type:null,orientation:{item:"bottom"},align:"auto",stack:!0,stackSubgroups:!0,groupOrderSwap:function(t,e,i){var n=e.order;e.order=t.order,t.order=n},groupOrder:"order",selectable:!0,multiselect:!1,longSelectPressTime:251,itemsAlwaysDraggable:{item:!1,range:!1},editable:{updateTime:!1,updateGroup:!1,add:!1,remove:!1,overrideItems:!1},groupEditable:{order:!1,add:!1,remove:!1},snap:SO.snap,onDropObjectOnItem:function(t,e,i){i(e)},onAdd:function(t,e){e(t)},onUpdate:function(t,e){e(t)},onMove:function(t,e){e(t)},onRemove:function(t,e){e(t)},onMoving:function(t,e){e(t)},onAddGroup:function(t,e){e(t)},onMoveGroup:function(t,e){e(t)},onRemoveGroup:function(t,e){e(t)},margin:{item:{horizontal:10,vertical:10},axis:20},showTooltips:!0,tooltip:{followMouse:!1,overflowMethod:"flip",delay:500},tooltipOnItemUpdateTime:!1},n.options=kS.extend({},n.defaultOptions),n.options.rtl=i.rtl,n.options.onTimeout=i.onTimeout,n.conversion={toScreen:t.util.toScreen,toTime:t.util.toTime},n.dom={},n.props={},n.hammer=null;var r=Yk(n);return n.itemsData=null,n.groupsData=null,n.itemsSettingTime=null,n.initialItemSetDrawn=!1,n.userContinueNotBail=null,n.sequentialSelection=!1,n.itemListeners={add:function(t,e,i){r._onAdd(e.items),r.options.cluster&&r.clusterGenerator.setItems(r.items,{applyOnChangedLevel:!1}),r.redraw()},update:function(t,e,i){r._onUpdate(e.items),r.options.cluster&&r.clusterGenerator.setItems(r.items,{applyOnChangedLevel:!1}),r.redraw()},remove:function(t,e,i){r._onRemove(e.items),r.options.cluster&&r.clusterGenerator.setItems(r.items,{applyOnChangedLevel:!1}),r.redraw()}},n.groupListeners={add:function(t,e,i){if(r._onAddGroups(e.items),r.groupsData&&r.groupsData.length>0){var n,o=r.groupsData.getDataSet();rw(n=o.get()).call(n,(function(t){if(t.nestedGroups){var e;0!=t.showNested&&(t.showNested=!0);var n=[];rw(e=t.nestedGroups).call(e,(function(e){var i=o.get(e);i&&(i.nestedInGroup=t.id,0==t.showNested&&(i.visible=!1),n=WS(n).call(n,i))})),o.update(n,i)}}))}},update:function(t,e,i){r._onUpdateGroups(e.items)},remove:function(t,e,i){r._onRemoveGroups(e.items)}},n.items={},n.groups={},n.groupIds=[],n.selection=[],n.popup=null,n.popupTimer=null,n.touchParams={},n.groupTouchParams={group:null,isDragging:!1},n._create(),n.setOptions(i),n.clusters=[],n}return Bk(e,t),jw(e,[{key:"_create",value:function(){var t,e,i,n,r,o,s,a,l,u,h,c,d,f,p,m=this,v=document.createElement("div");v.className="vis-itemset",v["vis-itemset"]=this,this.dom.frame=v;var g=document.createElement("div");g.className="vis-background",v.appendChild(g),this.dom.background=g;var y=document.createElement("div");y.className="vis-foreground",v.appendChild(y),this.dom.foreground=y;var b=document.createElement("div");b.className="vis-axis",this.dom.axis=b;var _=document.createElement("div");_.className="vis-labelset",this.dom.labelSet=_,this._updateUngrouped();var w=new mT(jT,null,this);w.show(),this.groups[jT]=w,this.hammer=new vO(this.body.dom.centerContainer),this.hammer.on("hammer.input",(function(t){t.isFirst&&m._onTouch(t)})),this.hammer.on("panstart",Tw(t=this._onDragStart).call(t,this)),this.hammer.on("panmove",Tw(e=this._onDrag).call(e,this)),this.hammer.on("panend",Tw(i=this._onDragEnd).call(i,this)),this.hammer.get("pan").set({threshold:5,direction:vO.ALL}),this.hammer.on("tap",Tw(n=this._onSelectItem).call(n,this)),this.hammer.on("press",Tw(r=this._onMultiSelectItem).call(r,this)),this.hammer.on("doubletap",Tw(o=this._onAddItem).call(o,this)),this.options.rtl?this.groupHammer=new vO(this.body.dom.rightContainer):this.groupHammer=new vO(this.body.dom.leftContainer),this.groupHammer.on("tap",Tw(s=this._onGroupClick).call(s,this)),this.groupHammer.on("panstart",Tw(a=this._onGroupDragStart).call(a,this)),this.groupHammer.on("panmove",Tw(l=this._onGroupDrag).call(l,this)),this.groupHammer.on("panend",Tw(u=this._onGroupDragEnd).call(u,this)),this.groupHammer.get("pan").set({threshold:5,direction:vO.DIRECTION_VERTICAL}),this.body.dom.centerContainer.addEventListener("mouseover",Tw(h=this._onMouseOver).call(h,this)),this.body.dom.centerContainer.addEventListener("mouseout",Tw(c=this._onMouseOut).call(c,this)),this.body.dom.centerContainer.addEventListener("mousemove",Tw(d=this._onMouseMove).call(d,this)),this.body.dom.centerContainer.addEventListener("contextmenu",Tw(f=this._onDragEnd).call(f,this)),this.body.dom.centerContainer.addEventListener("mousewheel",Tw(p=this._onMouseWheel).call(p,this)),this.show()}},{key:"setOptions",value:function(t){var e=this;if(t){var i,n;kS.selectiveExtend(["type","rtl","align","order","stack","stackSubgroups","selectable","multiselect","sequentialSelection","multiselectPerGroup","longSelectPressTime","groupOrder","dataAttributes","template","groupTemplate","visibleFrameTemplate","hide","snap","groupOrderSwap","showTooltips","tooltip","tooltipOnItemUpdateTime","groupHeightMode","onTimeout"],this.options,t),"itemsAlwaysDraggable"in t&&("boolean"==typeof t.itemsAlwaysDraggable?(this.options.itemsAlwaysDraggable.item=t.itemsAlwaysDraggable,this.options.itemsAlwaysDraggable.range=!1):"object"===jk(t.itemsAlwaysDraggable)&&(kS.selectiveExtend(["item","range"],this.options.itemsAlwaysDraggable,t.itemsAlwaysDraggable),this.options.itemsAlwaysDraggable.item||(this.options.itemsAlwaysDraggable.range=!1))),"sequentialSelection"in t&&"boolean"==typeof t.sequentialSelection&&(this.options.sequentialSelection=t.sequentialSelection),"orientation"in t&&("string"==typeof t.orientation?this.options.orientation.item="top"===t.orientation?"top":"bottom":"object"===jk(t.orientation)&&"item"in t.orientation&&(this.options.orientation.item=t.orientation.item)),"margin"in t&&("number"==typeof t.margin?(this.options.margin.axis=t.margin,this.options.margin.item.horizontal=t.margin,this.options.margin.item.vertical=t.margin):"object"===jk(t.margin)&&(kS.selectiveExtend(["axis"],this.options.margin,t.margin),"item"in t.margin&&("number"==typeof t.margin.item?(this.options.margin.item.horizontal=t.margin.item,this.options.margin.item.vertical=t.margin.item):"object"===jk(t.margin.item)&&kS.selectiveExtend(["horizontal","vertical"],this.options.margin.item,t.margin.item)))),rw(i=["locale","locales"]).call(i,(function(i){i in t&&(e.options[i]=t[i])})),"editable"in t&&("boolean"==typeof t.editable?(this.options.editable.updateTime=t.editable,this.options.editable.updateGroup=t.editable,this.options.editable.add=t.editable,this.options.editable.remove=t.editable,this.options.editable.overrideItems=!1):"object"===jk(t.editable)&&kS.selectiveExtend(["updateTime","updateGroup","add","remove","overrideItems"],this.options.editable,t.editable)),"groupEditable"in t&&("boolean"==typeof t.groupEditable?(this.options.groupEditable.order=t.groupEditable,this.options.groupEditable.add=t.groupEditable,this.options.groupEditable.remove=t.groupEditable):"object"===jk(t.groupEditable)&&kS.selectiveExtend(["order","add","remove"],this.options.groupEditable,t.groupEditable));rw(n=["onDropObjectOnItem","onAdd","onUpdate","onRemove","onMove","onMoving","onAddGroup","onMoveGroup","onRemoveGroup"]).call(n,(function(i){var n=t[i];if(n){var r;if("function"!=typeof n)throw new Error(WS(r="option ".concat(i," must be a function ")).call(r,i,"(item, callback)"));e.options[i]=n}})),t.cluster?(LM(this.options,{cluster:t.cluster}),this.clusterGenerator||(this.clusterGenerator=new IT(this)),this.clusterGenerator.setItems(this.items,{applyOnChangedLevel:!1}),this.markDirty({refreshItems:!0,restackGroups:!0}),this.redraw()):this.clusterGenerator?(this._detachAllClusters(),this.clusters=[],this.clusterGenerator=null,this.options.cluster=void 0,this.markDirty({refreshItems:!0,restackGroups:!0}),this.redraw()):this.markDirty()}}},{key:"markDirty",value:function(t){this.groupIds=[],t&&(t.refreshItems&&rw(kS).call(kS,this.items,(function(t){t.dirty=!0,t.displayed&&t.redraw()})),t.restackGroups&&rw(kS).call(kS,this.groups,(function(t,e){e!==jT&&(t.stackDirty=!0)})))}},{key:"destroy",value:function(){this.clearPopupTimer(),this.hide(),this.setItems(null),this.setGroups(null),this.hammer&&this.hammer.destroy(),this.groupHammer&&this.groupHammer.destroy(),this.hammer=null,this.body=null,this.conversion=null}},{key:"hide",value:function(){this.dom.frame.parentNode&&this.dom.frame.parentNode.removeChild(this.dom.frame),this.dom.axis.parentNode&&this.dom.axis.parentNode.removeChild(this.dom.axis),this.dom.labelSet.parentNode&&this.dom.labelSet.parentNode.removeChild(this.dom.labelSet)}},{key:"show",value:function(){this.dom.frame.parentNode||this.body.dom.center.appendChild(this.dom.frame),this.dom.axis.parentNode||this.body.dom.backgroundVertical.appendChild(this.dom.axis),this.dom.labelSet.parentNode||(this.options.rtl?this.body.dom.right.appendChild(this.dom.labelSet):this.body.dom.left.appendChild(this.dom.labelSet))}},{key:"setPopupTimer",value:function(t){if(this.clearPopupTimer(),t){var e=this.options.tooltip.delay||"number"==typeof this.options.tooltip.delay?this.options.tooltip.delay:500;this.popupTimer=ww((function(){t.show()}),e)}}},{key:"clearPopupTimer",value:function(){null!=this.popupTimer&&(clearTimeout(this.popupTimer),this.popupTimer=null)}},{key:"setSelection",value:function(t){var e;null==t&&(t=[]),Pw(t)||(t=[t]);var i=gw(e=this.selection).call(e,(function(e){return-1===FD(t).call(t,e)})),n=!0,r=!1,o=void 0;try{for(var s,a=vM(i);!(n=(s=a.next()).done);n=!0){var l=s.value,u=this.getItemById(l);u&&u.unselect()}}catch(t){r=!0,o=t}finally{try{n||null==a.return||a.return()}finally{if(r)throw o}}this.selection=CM(t);var h=!0,c=!1,d=void 0;try{for(var f,p=vM(t);!(h=(f=p.next()).done);h=!0){var m=f.value,v=this.getItemById(m);v&&v.select()}}catch(t){c=!0,d=t}finally{try{h||null==p.return||p.return()}finally{if(c)throw d}}}},{key:"getSelection",value:function(){var t;return WS(t=this.selection).call(t,[])}},{key:"getVisibleItems",value:function(){var t,e,i=this.body.range.getRange();this.options.rtl?(t=this.body.util.toScreen(i.start),e=this.body.util.toScreen(i.end)):(e=this.body.util.toScreen(i.start),t=this.body.util.toScreen(i.end));var n=[];for(var r in this.groups)if(this.groups.hasOwnProperty(r)){var o=this.groups[r],s=o.isVisible?o.visibleItems:[],a=!0,l=!1,u=void 0;try{for(var h,c=vM(s);!(a=(h=c.next()).done);a=!0){var d=h.value;this.options.rtl?d.right<e&&d.right+d.width>t&&n.push(d.id):d.left<t&&d.left+d.width>e&&n.push(d.id)}}catch(t){l=!0,u=t}finally{try{a||null==c.return||c.return()}finally{if(l)throw u}}}return n}},{key:"getVisibleGroups",value:function(){var t=[];for(var e in this.groups){if(this.groups.hasOwnProperty(e))this.groups[e].isVisible&&t.push(e)}return t}},{key:"getItemById",value:function(t){var e;return this.items[t]||mM(e=this.clusters).call(e,(function(e){return e.id===t}))}},{key:"_deselect",value:function(t){for(var e=this.selection,i=0,n=e.length;i<n;i++)if(e[i]==t){ED(e).call(e,i,1);break}}},{key:"redraw",value:function(){var t=this,e=this.options.margin,i=this.body.range,n=kS.option.asSize,r=this.options,o=r.orientation.item,s=!1,a=this.dom.frame;this.props.top=this.body.domProps.top.height+this.body.domProps.border.top,this.options.rtl?this.props.right=this.body.domProps.right.width+this.body.domProps.border.right:this.props.left=this.body.domProps.left.width+this.body.domProps.border.left,a.className="vis-itemset",this.options.cluster&&this._clusterItems(),s=this._orderGroups()||s;var l=i.end-i.start,u=l!=this.lastVisibleInterval||this.props.width!=this.props.lastWidth,h=i.start!=this.lastRangeStart,c=r.stack!=this.lastStack,d=r.stackSubgroups!=this.lastStackSubgroups,f=u||h||c||d;this.lastVisibleInterval=l,this.lastRangeStart=i.start,this.lastStack=r.stack,this.lastStackSubgroups=r.stackSubgroups,this.props.lastWidth=this.props.width;var p=this._firstGroup(),m={item:e.item,axis:e.axis},v={item:e.item,axis:e.item.vertical/2},g=0,y=e.axis+e.item.vertical;this.groups[jT].redraw(i,v,f);var b={},_=0;return rw(kS).call(kS,this.groups,(function(t,e){if(e!==jT){var n=t==p?m:v;b[e]=t.redraw(i,n,f,!0),_=b[e].length}})),_>0&&function(){for(var e={},i=function(t){rw(kS).call(kS,b,(function(i,n){e[n]=i[t]()}))},n=0;n<_;n++)i(n);rw(kS).call(kS,t.groups,(function(t,i){if(i!==jT){var n=e[i];s=n||s,g+=t.height}})),g=Math.max(g,y)}(),g=Math.max(g,y),a.style.height=n(g),this.props.width=a.offsetWidth,this.props.height=g,this.dom.axis.style.top=n("top"==o?this.body.domProps.top.height+this.body.domProps.border.top:this.body.domProps.top.height+this.body.domProps.centerContainer.height),this.options.rtl?this.dom.axis.style.right="0":this.dom.axis.style.left="0",this.hammer.get("press").set({time:this.options.longSelectPressTime}),this.initialItemSetDrawn=!0,s=this._isResized()||s}},{key:"_firstGroup",value:function(){var t="top"==this.options.orientation.item?0:this.groupIds.length-1,e=this.groupIds[t];return this.groups[e]||this.groups.__ungrouped__||null}},{key:"_updateUngrouped",value:function(){var t,e,i=this.groups.__ungrouped__;if(this.groupsData){if(i)for(e in i.dispose(),delete this.groups.__ungrouped__,this.items)if(this.items.hasOwnProperty(e)){(t=this.items[e]).parent&&t.parent.remove(t);var n=this.getGroupId(t.data),r=this.groups[n];r&&r.add(t)||t.hide()}}else if(!i){for(e in i=new pT(null,null,this),this.groups.__ungrouped__=i,this.items)this.items.hasOwnProperty(e)&&(t=this.items[e],i.add(t));i.show()}}},{key:"getLabelSet",value:function(){return this.dom.labelSet}},{key:"setItems",value:function(t){this.itemsSettingTime=new Date;var e,i=this,n=this.itemsData;if(t){if(!(t instanceof my||t instanceof vy))throw new TypeError("Data must be an instance of DataSet or DataView");this.itemsData=wS(t)}else this.itemsData=null;if(n&&(rw(kS).call(kS,this.itemListeners,(function(t,e){n.off(e,t)})),n.dispose(),e=n.getIds(),this._onRemove(e)),this.itemsData){var r=this.id;rw(kS).call(kS,this.itemListeners,(function(t,e){i.itemsData.on(e,t,r)})),e=this.itemsData.getIds(),this._onAdd(e),this._updateUngrouped()}this.body.emitter.emit("_change",{queue:!0})}},{key:"getItems",value:function(){return null!=this.itemsData?this.itemsData.rawDS:null}},{key:"setGroups",value:function(t){var e,i=this;if(this.groupsData&&(rw(kS).call(kS,this.groupListeners,(function(t,e){i.groupsData.off(e,t)})),e=this.groupsData.getIds(),this.groupsData=null,this._onRemoveGroups(e)),t){if(!(t instanceof my||t instanceof vy))throw new TypeError("Data must be an instance of DataSet or DataView");this.groupsData=t}else this.groupsData=null;if(this.groupsData){var n,r=this.groupsData;this.groupsData instanceof vy&&(r=this.groupsData.getDataSet()),rw(n=r.get()).call(n,(function(t){var e;t.nestedGroups&&rw(e=t.nestedGroups).call(e,(function(e){var i=r.get(e);i.nestedInGroup=t.id,0==t.showNested&&(i.visible=!1),r.update(i)}))}));var o=this.id;rw(kS).call(kS,this.groupListeners,(function(t,e){i.groupsData.on(e,t,o)})),e=this.groupsData.getIds(),this._onAddGroups(e)}this._updateUngrouped(),this._order(),this.options.cluster&&(this.clusterGenerator.updateData(),this._clusterItems(),this.markDirty({refreshItems:!0,restackGroups:!0})),this.body.emitter.emit("_change",{queue:!0})}},{key:"getGroups",value:function(){return this.groupsData}},{key:"removeItem",value:function(t){var e=this,i=this.itemsData.get(t);i&&this.options.onRemove(i,(function(i){i&&e.itemsData.remove(t)}))}},{key:"_getType",value:function(t){return t.type||this.options.type||(t.end?"range":"box")}},{key:"getGroupId",value:function(t){return"background"==this._getType(t)&&null==t.group?jT:this.groupsData?t.group:"__ungrouped__"}},{key:"_onUpdate",value:function(t){var i=this,n=this;rw(t).call(t,(function(t){var r,o=n.itemsData.get(t),s=n.items[t],a=o?n._getType(o):null,l=e.types[a];if(s&&(l&&s instanceof l?n._updateItem(s,o):(r=s.selected,n._removeItem(s),s=null)),!s&&o){if(!l)throw new TypeError('Unknown item type "'.concat(a,'"'));(s=new l(o,n.conversion,n.options)).id=t,n._addItem(s),r&&(i.selection.push(t),s.select())}})),this._order(),this.options.cluster&&(this.clusterGenerator.setItems(this.items,{applyOnChangedLevel:!1}),this._clusterItems()),this.body.emitter.emit("_change",{queue:!0})}},{key:"_onRemove",value:function(t){var e=0,i=this;rw(t).call(t,(function(t){var n=i.items[t];n&&(e++,i._removeItem(n))})),e&&(this._order(),this.body.emitter.emit("_change",{queue:!0}))}},{key:"_order",value:function(){rw(kS).call(kS,this.groups,(function(t){t.order()}))}},{key:"_onUpdateGroups",value:function(t){this._onAddGroups(t)}},{key:"_onAddGroups",value:function(t){var e=this;rw(t).call(t,(function(t){var i=e.groupsData.get(t),n=e.groups[t];if(n)n.setData(i);else{if("__ungrouped__"==t||t==jT)throw new Error("Illegal group id. ".concat(t," is a reserved id."));var r=uM(e.options);for(var o in kS.extend(r,{height:null}),n=new pT(t,i,e),e.groups[t]=n,e.items)if(e.items.hasOwnProperty(o)){var s=e.items[o];s.data.group==t&&n.add(s)}n.order(),n.show()}})),this.body.emitter.emit("_change",{queue:!0})}},{key:"_onRemoveGroups",value:function(t){var e=this;rw(t).call(t,(function(t){var i=e.groups[t];i&&(i.dispose(),delete e.groups[t])})),this.options.cluster&&(this.clusterGenerator.updateData(),this._clusterItems()),this.markDirty({restackGroups:!!this.options.cluster}),this.body.emitter.emit("_change",{queue:!0})}},{key:"_orderGroups",value:function(){if(this.groupsData){var t=this.groupsData.getIds({order:this.options.groupOrder});t=this._orderNestedGroups(t);var e=!kS.equalArray(t,this.groupIds);if(e){var i=this.groups;rw(t).call(t,(function(t){i[t].hide()})),rw(t).call(t,(function(t){i[t].show()})),this.groupIds=t}return e}return!1}},{key:"_orderNestedGroups",value:function(t){var e=this;return function t(e,i){var n=[];return rw(i).call(i,(function(i){if(n.push(i),e.groupsData.get(i).nestedGroups){var r,o=gS(r=e.groupsData.get({filter:function(t){return t.nestedInGroup==i},order:e.options.groupOrder})).call(r,(function(t){return t.id}));n=WS(n).call(n,t(e,o))}})),n}(this,gw(t).call(t,(function(t){return!e.groupsData.get(t).nestedInGroup})))}},{key:"_addItem",value:function(t){this.items[t.id]=t;var e=this.getGroupId(t.data),i=this.groups[e];i?i&&i.data&&i.data.showNested&&(t.groupShowing=!0):t.groupShowing=!1,i&&i.add(t)}},{key:"_updateItem",value:function(t,e){t.setData(e);var i=this.getGroupId(t.data),n=this.groups[i];n?n&&n.data&&n.data.showNested&&(t.groupShowing=!0):t.groupShowing=!1}},{key:"_removeItem",value:function(t){var e,i;t.hide(),delete this.items[t.id];var n=FD(e=this.selection).call(e,t.id);-1!=n&&ED(i=this.selection).call(i,n,1),t.parent&&t.parent.remove(t),null!=this.popup&&this.popup.hide()}},{key:"_constructByEndArray",value:function(t){for(var e=[],i=0;i<t.length;i++)t[i]instanceof bT&&e.push(t[i]);return e}},{key:"_onTouch",value:function(t){this.touchParams.item=this.itemFromTarget(t),this.touchParams.dragLeftItem=t.target.dragLeftItem||!1,this.touchParams.dragRightItem=t.target.dragRightItem||!1,this.touchParams.itemProps=null}},{key:"_getGroupIndex",value:function(t){for(var e=0;e<this.groupIds.length;e++)if(t==this.groupIds[e])return e}},{key:"_onDragStart",value:function(t){var e=this;if(!this.touchParams.itemIsDragging){var i,n=this.touchParams.item||null,r=this;if(n&&(n.selected||this.options.itemsAlwaysDraggable.item)){if(this.options.editable.overrideItems&&!this.options.editable.updateTime&&!this.options.editable.updateGroup)return;if(null!=n.editable&&!n.editable.updateTime&&!n.editable.updateGroup&&!this.options.editable.overrideItems)return;var o=this.touchParams.dragLeftItem,s=this.touchParams.dragRightItem;if(this.touchParams.itemIsDragging=!0,this.touchParams.selectedItem=n,o)i={item:o,initialX:t.center.x,dragLeft:!0,data:this._cloneItemData(n.data)},this.touchParams.itemProps=[i];else if(s)i={item:s,initialX:t.center.x,dragRight:!0,data:this._cloneItemData(n.data)},this.touchParams.itemProps=[i];else if(this.options.editable.add&&(t.srcEvent.ctrlKey||t.srcEvent.metaKey))this._onDragStartAddItem(t);else{this.groupIds.length<1&&this.redraw();var a=this._getGroupIndex(n.data.group),l=this.options.itemsAlwaysDraggable.item&&!n.selected?[n.id]:this.getSelection();this.touchParams.itemProps=gS(l).call(l,(function(i){var n=r.items[i],o=r._getGroupIndex(n.data.group);return{item:n,initialX:t.center.x,groupOffset:a-o,data:e._cloneItemData(n.data)}}))}t.stopPropagation()}else this.options.editable.add&&(t.srcEvent.ctrlKey||t.srcEvent.metaKey)&&this._onDragStartAddItem(t)}}},{key:"_onDragStartAddItem",value:function(t){var e=this.options.snap||null,i=this.dom.frame.getBoundingClientRect(),n=this.options.rtl?i.right-t.center.x+10:t.center.x-i.left-10,r=this.body.util.toTime(n),o=this.body.util.getScale(),s=this.body.util.getStep(),a=e?e(r,o,s):r,l={type:"range",start:a,end:a,content:"new item"},u=RM();l[this.itemsData.idProp]=u;var h=this.groupFromTarget(t);h&&(l.group=h.groupId);var c=new bT(l,this.conversion,this.options);c.id=u,c.data=this._cloneItemData(l),this._addItem(c),this.touchParams.selectedItem=c;var d={item:c,initialX:t.center.x,data:c.data};this.options.rtl?d.dragLeft=!0:d.dragRight=!0,this.touchParams.itemProps=[d],t.stopPropagation()}},{key:"_onDrag",value:function(t){var e=this;if(null!=this.popup&&this.options.showTooltips&&!this.popup.hidden){var i=this.body.dom.centerContainer,n=i.getBoundingClientRect();this.popup.setPosition(t.center.x-n.left+i.offsetLeft,t.center.y-n.top+i.offsetTop),this.popup.show()}if(this.touchParams.itemProps){var r;t.stopPropagation();var o=this,s=this.options.snap||null,a=this.body.dom.root.offsetLeft,l=this.options.rtl?a+this.body.domProps.right.width:a+this.body.domProps.left.width,u=this.body.util.getScale(),h=this.body.util.getStep(),c=this.touchParams.selectedItem,d=(this.options.editable.overrideItems||null==c.editable)&&this.options.editable.updateGroup||!this.options.editable.overrideItems&&null!=c.editable&&c.editable.updateGroup,f=null;if(d&&c&&null!=c.data.group){var p=o.groupFromTarget(t);p&&(f=this._getGroupIndex(p.groupId))}rw(r=this.touchParams.itemProps).call(r,(function(i){var n,r,a,p,m,v=o.body.util.toTime(t.center.x-l),g=o.body.util.toTime(i.initialX-l);n=e.options.rtl?-(v-g):v-g;var y=e._cloneItemData(i.item.data);if(null==i.item.editable||i.item.editable.updateTime||i.item.editable.updateGroup||o.options.editable.overrideItems){if((e.options.editable.overrideItems||null==c.editable)&&e.options.editable.updateTime||!e.options.editable.overrideItems&&null!=c.editable&&c.editable.updateTime)if(i.dragLeft)e.options.rtl?null!=y.end&&(a=kS.convert(i.data.end,"Date"),m=new Date(a.valueOf()+n),y.end=s?s(m,u,h):m):null!=y.start&&(r=kS.convert(i.data.start,"Date"),p=new Date(r.valueOf()+n),y.start=s?s(p,u,h):p);else if(i.dragRight)e.options.rtl?null!=y.start&&(r=kS.convert(i.data.start,"Date"),p=new Date(r.valueOf()+n),y.start=s?s(p,u,h):p):null!=y.end&&(a=kS.convert(i.data.end,"Date"),m=new Date(a.valueOf()+n),y.end=s?s(m,u,h):m);else if(null!=y.start)if(r=kS.convert(i.data.start,"Date").valueOf(),p=new Date(r+n),null!=y.end){var b=(a=kS.convert(i.data.end,"Date")).valueOf()-r.valueOf();y.start=s?s(p,u,h):p,y.end=new Date(y.start.valueOf()+b)}else y.start=s?s(p,u,h):p;if(d&&!i.dragLeft&&!i.dragRight&&null!=f&&null!=y.group){var _=f-i.groupOffset;_=Math.max(0,_),_=Math.min(o.groupIds.length-1,_),y.group=o.groupIds[_]}y=e._cloneItemData(y),o.options.onMoving(y,(function(t){t&&i.item.setData(e._cloneItemData(t,"Date"))}))}})),this.body.emitter.emit("_change")}}},{key:"_moveToGroup",value:function(t,e){var i=this.groups[e];if(i&&i.groupId!=t.data.group){var n=t.parent;n.remove(t),n.order(),t.data.group=i.groupId,i.add(t),i.order()}}},{key:"_onDragEnd",value:function(t){var e=this;if(this.touchParams.itemIsDragging=!1,this.touchParams.itemProps){t.stopPropagation();var i=this,n=this.touchParams.itemProps;this.touchParams.itemProps=null,rw(n).call(n,(function(t){var n=t.item.id;if(null!=i.itemsData.get(n)){var r=e._cloneItemData(t.item.data);i.options.onMove(r,(function(r){r?(r[e.itemsData.idProp]=n,e.itemsData.update(r)):(t.item.setData(t.data),i.body.emitter.emit("_change"))}))}else i.options.onAdd(t.item.data,(function(e){i._removeItem(t.item),e&&i.itemsData.add(e),i.body.emitter.emit("_change")}))}))}}},{key:"_onGroupClick",value:function(t){var e=this,i=this.groupFromTarget(t);ww((function(){e.toggleGroupShowNested(i)}),1)}},{key:"toggleGroupShowNested",value:function(t){var e,i=arguments.length>1&&void 0!==arguments[1]?arguments[1]:void 0;if(t&&t.nestedGroups){var n=this.groupsData.getDataSet();t.showNested=null!=i?!!i:!t.showNested;var r=n.get(t.groupId);r.showNested=t.showNested;for(var o=t.nestedGroups,s=o;s.length>0;){var a=s;s=[];for(var l=0;l<a.length;l++){var u=n.get(a[l]);u.nestedGroups&&(s=WS(s).call(s,u.nestedGroups))}s.length>0&&(o=WS(o).call(o,s))}var h=gS(e=n.get(o)).call(e,(function(t){return null==t.visible&&(t.visible=!0),t.visible=!!r.showNested,t}));n.update(WS(h).call(h,r)),r.showNested?(kS.removeClassName(t.dom.label,"collapsed"),kS.addClassName(t.dom.label,"expanded")):(kS.removeClassName(t.dom.label,"expanded"),kS.addClassName(t.dom.label,"collapsed"))}}},{key:"toggleGroupDragClassName",value:function(t){t.dom.label.classList.toggle("vis-group-is-dragging"),t.dom.foreground.classList.toggle("vis-group-is-dragging")}},{key:"_onGroupDragStart",value:function(t){this.groupTouchParams.isDragging||this.options.groupEditable.order&&(this.groupTouchParams.group=this.groupFromTarget(t),this.groupTouchParams.group&&(t.stopPropagation(),this.groupTouchParams.isDragging=!0,this.toggleGroupDragClassName(this.groupTouchParams.group),this.groupTouchParams.originalOrder=this.groupsData.getIds({order:this.options.groupOrder})))}},{key:"_onGroupDrag",value:function(t){if(this.options.groupEditable.order&&this.groupTouchParams.group){t.stopPropagation();var e=this.groupsData;this.groupsData instanceof vy&&(e=this.groupsData.getDataSet());var i=this.groupFromTarget(t);if(i&&i.height!=this.groupTouchParams.group.height){var n=i.top<this.groupTouchParams.group.top,r=t.center?t.center.y:t.clientY,o=i.dom.foreground.getBoundingClientRect(),s=this.groupTouchParams.group.height;if(n){if(o.top+s<r)return}else{var a=i.height;if(o.top+a-s>r)return}}if(i&&i!=this.groupTouchParams.group){var l=e.get(i.groupId),u=e.get(this.groupTouchParams.group.groupId);u&&l&&(this.options.groupOrderSwap(u,l,e),e.update(u),e.update(l));var h=e.getIds({order:this.options.groupOrder});if(!kS.equalArray(h,this.groupTouchParams.originalOrder))for(var c=this.groupTouchParams.originalOrder,d=this.groupTouchParams.group.groupId,f=Math.min(c.length,h.length),p=0,m=0,v=0;p<f;){for(;p+m<f&&p+v<f&&h[p+m]==c[p+v];)p++;if(p+m>=f)break;if(h[p+m]==d)m=1;else if(c[p+v]==d)v=1;else{var g=FD(h).call(h,c[p+v]),y=e.get(h[p+m]),b=e.get(c[p+v]);this.options.groupOrderSwap(y,b,e),e.update(y),e.update(b);var _=h[p+m];h[p+m]=c[p+v],h[g]=_,p++}}}}}},{key:"_onGroupDragEnd",value:function(t){if(this.groupTouchParams.isDragging=!1,this.options.groupEditable.order&&this.groupTouchParams.group){t.stopPropagation();var e=this,i=e.groupTouchParams.group.groupId,n=e.groupsData.getDataSet(),r=kS.extend({},n.get(i));e.options.onMoveGroup(r,(function(t){if(t)t[n._idProp]=i,n.update(t);else{var r=n.getIds({order:e.options.groupOrder});if(!kS.equalArray(r,e.groupTouchParams.originalOrder))for(var o=e.groupTouchParams.originalOrder,s=Math.min(o.length,r.length),a=0;a<s;){for(;a<s&&r[a]==o[a];)a++;if(a>=s)break;var l=FD(r).call(r,o[a]),u=n.get(r[a]),h=n.get(o[a]);e.options.groupOrderSwap(u,h,n),n.update(u),n.update(h);var c=r[a];r[a]=o[a],r[l]=c,a++}}})),e.body.emitter.emit("groupDragged",{groupId:i}),this.toggleGroupDragClassName(this.groupTouchParams.group),this.groupTouchParams.group=null}}},{key:"_onSelectItem",value:function(t){if(this.options.selectable){var e=t.srcEvent&&(t.srcEvent.ctrlKey||t.srcEvent.metaKey),i=t.srcEvent&&t.srcEvent.shiftKey;if(e||i)this._onMultiSelectItem(t);else{var n=this.getSelection(),r=this.itemFromTarget(t),o=r&&r.selectable?[r.id]:[];this.setSelection(o);var s=this.getSelection();(s.length>0||n.length>0)&&this.body.emitter.emit("select",{items:s,event:t})}}}},{key:"_onMouseOver",value:function(t){var e=this.itemFromTarget(t);if(e&&e!==this.itemFromRelatedTarget(t)){var i=e.getTitle();if(this.options.showTooltips&&i){null==this.popup&&(this.popup=new wT(this.body.dom.root,this.options.tooltip.overflowMethod||"flip")),this.popup.setText(i);var n=this.body.dom.centerContainer,r=n.getBoundingClientRect();this.popup.setPosition(t.clientX-r.left+n.offsetLeft,t.clientY-r.top+n.offsetTop),this.setPopupTimer(this.popup)}else this.clearPopupTimer(),null!=this.popup&&this.popup.hide();this.body.emitter.emit("itemover",{item:e.id,event:t})}}},{key:"_onMouseOut",value:function(t){var e=this.itemFromTarget(t);e&&(e!==this.itemFromRelatedTarget(t)&&(this.clearPopupTimer(),null!=this.popup&&this.popup.hide(),this.body.emitter.emit("itemout",{item:e.id,event:t})))}},{key:"_onMouseMove",value:function(t){if(this.itemFromTarget(t)&&(null!=this.popupTimer&&this.setPopupTimer(this.popup),this.options.showTooltips&&this.options.tooltip.followMouse&&this.popup&&!this.popup.hidden)){var e=this.body.dom.centerContainer,i=e.getBoundingClientRect();this.popup.setPosition(t.clientX-i.left+e.offsetLeft,t.clientY-i.top+e.offsetTop),this.popup.show()}}},{key:"_onMouseWheel",value:function(t){this.touchParams.itemIsDragging&&this._onDragEnd(t)}},{key:"_onUpdateItem",value:function(t){if(this.options.selectable&&(this.options.editable.updateTime||this.options.editable.updateGroup)){var e=this;if(t){var i=e.itemsData.get(t.id);this.options.onUpdate(i,(function(t){t&&e.itemsData.update(t)}))}}}},{key:"_onDropObjectOnItem",value:function(t){var e=this.itemFromTarget(t),i=JSON.parse(t.dataTransfer.getData("text"));this.options.onDropObjectOnItem(i,e)}},{key:"_onAddItem",value:function(t){if(this.options.selectable&&this.options.editable.add){var e,i,n=this,r=this.options.snap||null,o=this.dom.frame.getBoundingClientRect(),s=this.options.rtl?o.right-t.center.x:t.center.x-o.left,a=this.body.util.toTime(s),l=this.body.util.getScale(),u=this.body.util.getStep();"drop"==t.type?((i=JSON.parse(t.dataTransfer.getData("text"))).content=i.content?i.content:"new item",i.start=i.start?i.start:r?r(a,l,u):a,i.type=i.type||"box",i[this.itemsData.idProp]=i.id||RM(),"range"!=i.type||i.end||(e=this.body.util.toTime(s+this.props.width/5),i.end=r?r(e,l,u):e)):((i={start:r?r(a,l,u):a,content:"new item"})[this.itemsData.idProp]=RM(),"range"===this.options.type&&(e=this.body.util.toTime(s+this.props.width/5),i.end=r?r(e,l,u):e));var h=this.groupFromTarget(t);h&&(i.group=h.groupId),i=this._cloneItemData(i),this.options.onAdd(i,(function(e){e&&(n.itemsData.add(e),"drop"==t.type&&n.setSelection([e.id]))}))}}},{key:"_onMultiSelectItem",value:function(t){var i=this;if(this.options.selectable){var n=this.itemFromTarget(t);if(n){var r=this.options.multiselect?this.getSelection():[];if((t.srcEvent&&t.srcEvent.shiftKey||!1||this.options.sequentialSelection)&&this.options.multiselect){var o=this.itemsData.get(n.id).group,s=void 0;this.options.multiselectPerGroup&&r.length>0&&(s=this.itemsData.get(r[0]).group),this.options.multiselectPerGroup&&null!=s&&s!=o||r.push(n.id);var a=e._getItemRange(this.itemsData.get(r));if(!this.options.multiselectPerGroup||s==o)for(var l in r=[],this.items)if(this.items.hasOwnProperty(l)){var u=this.items[l],h=u.data.start,c=void 0!==u.data.end?u.data.end:h;!(h>=a.min&&c<=a.max)||this.options.multiselectPerGroup&&s!=this.itemsData.get(u.id).group||u instanceof _T||r.push(u.id)}}else{var d=FD(r).call(r,n.id);-1==d?r.push(n.id):ED(r).call(r,d,1)}var f=gw(r).call(r,(function(t){return i.getItemById(t).selectable}));this.setSelection(f),this.body.emitter.emit("select",{items:this.getSelection(),event:t})}}}},{key:"itemFromElement",value:function(t){for(var e=t;e;){if(e.hasOwnProperty("vis-item"))return e["vis-item"];e=e.parentNode}return null}},{key:"itemFromTarget",value:function(t){return this.itemFromElement(t.target)}},{key:"itemFromRelatedTarget",value:function(t){return this.itemFromElement(t.relatedTarget)}},{key:"groupFromTarget",value:function(t){var e=t.center?t.center.y:t.clientY,i=this.groupIds;i.length<=0&&this.groupsData&&(i=this.groupsData.getIds({order:this.options.groupOrder}));for(var n=0;n<i.length;n++){var r=i[n],o=this.groups[r],s=o.dom.foreground,a=s.getBoundingClientRect();if(e>=a.top&&e<a.top+s.offsetHeight)return o;if("top"===this.options.orientation.item){if(n===this.groupIds.length-1&&e>a.top)return o}else if(0===n&&e<a.top+s.offset)return o}return null}},{key:"_cloneItemData",value:function(t,e){var i=kS.extend({},t);return e||(e=this.itemsData.type),null!=i.start&&(i.start=kS.convert(i.start,e&&e.start||"Date")),null!=i.end&&(i.end=kS.convert(i.end,e&&e.end||"Date")),i}},{key:"_clusterItems",value:function(){if(this.options.cluster){var t=this.body.range.conversion(this.body.domProps.center.width).scale,e=this.clusterGenerator.getClusters(this.clusters,t,this.options.cluster);if(this.clusters!=e){if(this._detachAllClusters(),e){var i=!0,n=!1,r=void 0;try{for(var o,s=vM(e);!(i=(o=s.next()).done);i=!0){o.value.attach()}}catch(t){n=!0,r=t}finally{try{i||null==s.return||s.return()}finally{if(n)throw r}}this.clusters=e}this._updateClusters(e)}}}},{key:"_detachAllClusters",value:function(){if(this.options.cluster&&this.clusters&&this.clusters.length){var t=!0,e=!1,i=void 0;try{for(var n,r=vM(this.clusters);!(t=(n=r.next()).done);t=!0){n.value.detach()}}catch(t){e=!0,i=t}finally{try{t||null==r.return||r.return()}finally{if(e)throw i}}}}},{key:"_updateClusters",value:function(t){if(this.clusters&&this.clusters.length){var e,i=new lM(gS(t).call(t,(function(t){return t.id}))),n=gw(e=this.clusters).call(e,(function(t){return!i.has(t.id)})),r=!1,o=!0,s=!1,a=void 0;try{for(var l,u=vM(n);!(o=(l=u.next()).done);o=!0){var h,c,d=l.value,f=FD(h=this.selection).call(h,d.id);if(-1!==f)d.unselect(),ED(c=this.selection).call(c,f,1),r=!0}}catch(t){s=!0,a=t}finally{try{o||null==u.return||u.return()}finally{if(s)throw a}}if(r){var p=this.getSelection();this.body.emitter.emit("select",{items:p,event:event})}}this.clusters=t||[]}}],[{key:"_getItemRange",value:function(t){var e=null,i=null;return rw(t).call(t,(function(t){(null==i||t.start<i)&&(i=t.start),null!=t.end?(null==e||t.end>e)&&(e=t.end):(null==e||t.start>e)&&(e=t.start)})),{min:i,max:e}}},{key:"itemSetFromTarget",value:function(t){for(var e=t.target;e;){if(e.hasOwnProperty("vis-itemset"))return e["vis-itemset"];e=e.parentNode}return null}}]),e}(VS);YT.types={background:_T,box:gT,range:bT,point:yT},YT.prototype._onAdd=YT.prototype._onUpdate;var NT,RT=!1,FT="background: #FFeeee; color: #dd0000",HT=function(){function t(){Ew(this,t)}return jw(t,null,[{key:"validate",value:function(e,i,n){RT=!1,NT=i;var r=i;return void 0!==n&&(r=i[n]),t.parse(e,r,[]),RT}},{key:"parse",value:function(e,i,n){for(var r in e)e.hasOwnProperty(r)&&t.check(r,e,i,n)}},{key:"check",value:function(e,i,n,r){if(void 0!==n[e]||void 0!==n.__any__){var o=e,s=!0;void 0===n[e]&&void 0!==n.__any__&&(o="__any__",s="object"===t.getType(i[e]));var a=n[o];s&&void 0!==a.__type__&&(a=a.__type__),t.checkFields(e,i,n,o,a,r)}else t.getSuggestion(e,n,r)}},{key:"checkFields",value:function(e,i,n,r,o,s){var a=function(i){console.log("%c"+i+t.printLocation(s,e),FT)},l=t.getType(i[e]),u=o[l];void 0!==u?"array"===t.getType(u)&&-1===FD(u).call(u,i[e])?(a('Invalid option detected in "'+e+'". Allowed values are:'+t.print(u)+' not "'+i[e]+'". '),RT=!0):"object"===l&&"__any__"!==r&&(s=kS.copyAndExtendArray(s,e),t.parse(i[e],n[r],s)):void 0===o.any&&(a('Invalid type received for "'+e+'". Expected: '+t.print(rS(o))+". Received ["+l+'] "'+i[e]+'"'),RT=!0)}},{key:"getType",value:function(t){var e=jk(t);return"object"===e?null===t?"null":t instanceof Boolean?"boolean":t instanceof Number?"number":t instanceof String?"string":Pw(t)?"array":t instanceof Date?"date":void 0!==t.nodeType?"dom":!0===t._isAMomentObject?"moment":"object":"number"===e?"number":"boolean"===e?"boolean":"string"===e?"string":void 0===e?"undefined":e}},{key:"getSuggestion",value:function(e,i,n){var r,o=t.findInOptions(e,i,n,!1),s=t.findInOptions(e,NT,[],!0);r=void 0!==o.indexMatch?" in "+t.printLocation(o.path,e,"")+'Perhaps it was incomplete? Did you mean: "'+o.indexMatch+'"?\n\n':s.distance<=4&&o.distance>s.distance?" in "+t.printLocation(o.path,e,"")+"Perhaps it was misplaced? Matching option found at: "+t.printLocation(s.path,s.closestMatch,""):o.distance<=8?'. Did you mean "'+o.closestMatch+'"?'+t.printLocation(o.path,e):". Did you mean one of these: "+t.print(rS(i))+t.printLocation(n,e),console.log('%cUnknown option detected: "'+e+'"'+r,FT),RT=!0}},{key:"findInOptions",value:function(e,i,n){var r=arguments.length>3&&void 0!==arguments[3]&&arguments[3],o=1e9,s="",a=[],l=e.toLowerCase(),u=void 0;for(var h in i){var c=void 0;if(void 0!==i[h].__type__&&!0===r){var d=t.findInOptions(e,i[h],kS.copyAndExtendArray(n,h));o>d.distance&&(s=d.closestMatch,a=d.path,o=d.distance,u=d.indexMatch)}else{var f;-1!==FD(f=h.toLowerCase()).call(f,l)&&(u=h),o>(c=t.levenshteinDistance(e,h))&&(s=h,a=kS.copyArray(n),o=c)}}return{closestMatch:s,path:a,distance:o,indexMatch:u}}},{key:"printLocation",value:function(t,e){for(var i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:"Problem value found at: \n",n="\n\n"+i+"options = {\n",r=0;r<t.length;r++){for(var o=0;o<r+1;o++)n+="  ";n+=t[r]+": {\n"}for(var s=0;s<t.length+1;s++)n+="  ";n+=e+"\n";for(var a=0;a<t.length+1;a++){for(var l=0;l<t.length-a;l++)n+="  ";n+="}\n"}return n+"\n\n"}},{key:"print",value:function(t){return HS(t).replace(/(\")|(\[)|(\])|(,"__type__")/g,"").replace(/(\,)/g,", ")}},{key:"levenshteinDistance",value:function(t,e){if(0===t.length)return e.length;if(0===e.length)return t.length;var i,n,r=[];for(i=0;i<=e.length;i++)r[i]=[i];for(n=0;n<=t.length;n++)r[0][n]=n;for(i=1;i<=e.length;i++)for(n=1;n<=t.length;n++)e.charAt(i-1)==t.charAt(n-1)?r[i][n]=r[i-1][n-1]:r[i][n]=Math.min(r[i-1][n-1]+1,Math.min(r[i][n-1]+1,r[i-1][n]+1));return r[e.length][t.length]}}]),t}(),GT="string",zT="boolean",WT="number",VT="object",UT={configure:{enabled:{boolean:zT},filter:{boolean:zT,function:"function"},container:{dom:"dom"},__type__:{object:VT,boolean:zT,function:"function"}},align:{string:GT},alignCurrentTime:{string:GT,undefined:"undefined"},rtl:{boolean:zT,undefined:"undefined"},rollingMode:{follow:{boolean:zT},offset:{number:WT,undefined:"undefined"},__type__:{object:VT}},onTimeout:{timeoutMs:{number:WT},callback:{function:"function"},__type__:{object:VT}},verticalScroll:{boolean:zT,undefined:"undefined"},horizontalScroll:{boolean:zT,undefined:"undefined"},autoResize:{boolean:zT},throttleRedraw:{number:WT},clickToUse:{boolean:zT},dataAttributes:{string:GT,array:"array"},editable:{add:{boolean:zT,undefined:"undefined"},remove:{boolean:zT,undefined:"undefined"},updateGroup:{boolean:zT,undefined:"undefined"},updateTime:{boolean:zT,undefined:"undefined"},overrideItems:{boolean:zT,undefined:"undefined"},__type__:{boolean:zT,object:VT}},end:{number:WT,date:"date",string:GT,moment:"moment"},format:{minorLabels:{millisecond:{string:GT,undefined:"undefined"},second:{string:GT,undefined:"undefined"},minute:{string:GT,undefined:"undefined"},hour:{string:GT,undefined:"undefined"},weekday:{string:GT,undefined:"undefined"},day:{string:GT,undefined:"undefined"},week:{string:GT,undefined:"undefined"},month:{string:GT,undefined:"undefined"},year:{string:GT,undefined:"undefined"},__type__:{object:VT,function:"function"}},majorLabels:{millisecond:{string:GT,undefined:"undefined"},second:{string:GT,undefined:"undefined"},minute:{string:GT,undefined:"undefined"},hour:{string:GT,undefined:"undefined"},weekday:{string:GT,undefined:"undefined"},day:{string:GT,undefined:"undefined"},week:{string:GT,undefined:"undefined"},month:{string:GT,undefined:"undefined"},year:{string:GT,undefined:"undefined"},__type__:{object:VT,function:"function"}},__type__:{object:VT}},moment:{function:"function"},groupHeightMode:{string:GT},groupOrder:{string:GT,function:"function"},groupEditable:{add:{boolean:zT,undefined:"undefined"},remove:{boolean:zT,undefined:"undefined"},order:{boolean:zT,undefined:"undefined"},__type__:{boolean:zT,object:VT}},groupOrderSwap:{function:"function"},height:{string:GT,number:WT},hiddenDates:{start:{date:"date",number:WT,string:GT,moment:"moment"},end:{date:"date",number:WT,string:GT,moment:"moment"},repeat:{string:GT},__type__:{object:VT,array:"array"}},itemsAlwaysDraggable:{item:{boolean:zT,undefined:"undefined"},range:{boolean:zT,undefined:"undefined"},__type__:{boolean:zT,object:VT}},limitSize:{boolean:zT},locale:{string:GT},locales:{__any__:{any:"any"},__type__:{object:VT}},longSelectPressTime:{number:WT},margin:{axis:{number:WT},item:{horizontal:{number:WT,undefined:"undefined"},vertical:{number:WT,undefined:"undefined"},__type__:{object:VT,number:WT}},__type__:{object:VT,number:WT}},max:{date:"date",number:WT,string:GT,moment:"moment"},maxHeight:{number:WT,string:GT},maxMinorChars:{number:WT},min:{date:"date",number:WT,string:GT,moment:"moment"},minHeight:{number:WT,string:GT},moveable:{boolean:zT},multiselect:{boolean:zT},multiselectPerGroup:{boolean:zT},onAdd:{function:"function"},onDropObjectOnItem:{function:"function"},onUpdate:{function:"function"},onMove:{function:"function"},onMoving:{function:"function"},onRemove:{function:"function"},onAddGroup:{function:"function"},onMoveGroup:{function:"function"},onRemoveGroup:{function:"function"},onInitialDrawComplete:{function:"function"},order:{function:"function"},orientation:{axis:{string:GT,undefined:"undefined"},item:{string:GT,undefined:"undefined"},__type__:{string:GT,object:VT}},selectable:{boolean:zT},sequentialSelection:{boolean:zT},showCurrentTime:{boolean:zT},showMajorLabels:{boolean:zT},showMinorLabels:{boolean:zT},showWeekScale:{boolean:zT},stack:{boolean:zT},stackSubgroups:{boolean:zT},cluster:{maxItems:{number:WT,undefined:"undefined"},titleTemplate:{string:GT,undefined:"undefined"},clusterCriteria:{function:"function",undefined:"undefined"},showStipes:{boolean:zT,undefined:"undefined"},fitOnDoubleClick:{boolean:zT,undefined:"undefined"},__type__:{boolean:zT,object:VT}},snap:{function:"function",null:"null"},start:{date:"date",number:WT,string:GT,moment:"moment"},template:{function:"function"},loadingScreenTemplate:{function:"function"},groupTemplate:{function:"function"},visibleFrameTemplate:{string:GT,function:"function"},showTooltips:{boolean:zT},tooltip:{followMouse:{boolean:zT},overflowMethod:{string:["cap","flip","none"]},delay:{number:WT},template:{function:"function"},__type__:{object:VT}},tooltipOnItemUpdateTime:{template:{function:"function"},__type__:{boolean:zT,object:VT}},timeAxis:{scale:{string:GT,undefined:"undefined"},step:{number:WT,undefined:"undefined"},__type__:{object:VT}},type:{string:GT},width:{string:GT,number:WT},preferZoom:{boolean:zT},zoomable:{boolean:zT},zoomKey:{string:["ctrlKey","altKey","shiftKey","metaKey",""]},zoomFriction:{number:WT},zoomMax:{number:WT},zoomMin:{number:WT},__type__:{object:VT}},BT={global:{align:["center","left","right"],alignCurrentTime:["none","year","month","quarter","week","isoWeek","day","date","hour","minute","second"],direction:!1,autoResize:!0,clickToUse:!1,editable:{add:!1,remove:!1,updateGroup:!1,updateTime:!1},end:"",format:{minorLabels:{millisecond:"SSS",second:"s",minute:"HH:mm",hour:"HH:mm",weekday:"ddd D",day:"D",week:"w",month:"MMM",year:"YYYY"},majorLabels:{millisecond:"HH:mm:ss",second:"D MMMM HH:mm",minute:"ddd D MMMM",hour:"ddd D MMMM",weekday:"MMMM YYYY",day:"MMMM YYYY",week:"MMMM YYYY",month:"YYYY",year:""}},groupHeightMode:["auto","fixed","fitItems"],groupsDraggable:!1,height:"",locale:"",longSelectPressTime:251,margin:{axis:[20,0,100,1],item:{horizontal:[10,0,100,1],vertical:[10,0,100,1]}},max:"",maxHeight:"",maxMinorChars:[7,0,20,1],min:"",minHeight:"",moveable:!1,multiselect:!1,multiselectPerGroup:!1,orientation:{axis:["both","bottom","top"],item:["bottom","top"]},preferZoom:!1,selectable:!0,showCurrentTime:!1,showMajorLabels:!0,showMinorLabels:!0,stack:!0,stackSubgroups:!0,cluster:!1,start:"",showTooltips:!0,tooltip:{followMouse:!1,overflowMethod:"flip",delay:[500,0,99999,100]},tooltipOnItemUpdateTime:!1,type:["box","point","range","background"],width:"100%",zoomable:!0,zoomKey:["ctrlKey","altKey","shiftKey","metaKey",""],zoomMax:[31536e10,10,31536e10,1],zoomMin:[10,10,31536e10,1]}};Cb({target:"Array",proto:!0},{fill:function(t){for(var e=Pb(this),i=qb(e.length),n=arguments.length,r=$b(n>1?arguments[1]:void 0,i),o=n>2?arguments[2]:void 0,s=void 0===o?i:$b(o,i);s>r;)e[r++]=t;return e}});var XT=tw("Array").fill,qT=Array.prototype,ZT=function(t){var e=t.fill;return t===qT||t instanceof Array&&e===qT.fill?XT:e},JT={black:"#000000",navy:"#000080",darkblue:"#00008B",mediumblue:"#0000CD",blue:"#0000FF",darkgreen:"#006400",green:"#008000",teal:"#008080",darkcyan:"#008B8B",deepskyblue:"#00BFFF",darkturquoise:"#00CED1",mediumspringgreen:"#00FA9A",lime:"#00FF00",springgreen:"#00FF7F",aqua:"#00FFFF",cyan:"#00FFFF",midnightblue:"#191970",dodgerblue:"#1E90FF",lightseagreen:"#20B2AA",forestgreen:"#228B22",seagreen:"#2E8B57",darkslategray:"#2F4F4F",limegreen:"#32CD32",mediumseagreen:"#3CB371",turquoise:"#40E0D0",royalblue:"#4169E1",steelblue:"#4682B4",darkslateblue:"#483D8B",mediumturquoise:"#48D1CC",indigo:"#4B0082",darkolivegreen:"#556B2F",cadetblue:"#5F9EA0",cornflowerblue:"#6495ED",mediumaquamarine:"#66CDAA",dimgray:"#696969",slateblue:"#6A5ACD",olivedrab:"#6B8E23",slategray:"#708090",lightslategray:"#778899",mediumslateblue:"#7B68EE",lawngreen:"#7CFC00",chartreuse:"#7FFF00",aquamarine:"#7FFFD4",maroon:"#800000",purple:"#800080",olive:"#808000",gray:"#808080",skyblue:"#87CEEB",lightskyblue:"#87CEFA",blueviolet:"#8A2BE2",darkred:"#8B0000",darkmagenta:"#8B008B",saddlebrown:"#8B4513",darkseagreen:"#8FBC8F",lightgreen:"#90EE90",mediumpurple:"#9370D8",darkviolet:"#9400D3",palegreen:"#98FB98",darkorchid:"#9932CC",yellowgreen:"#9ACD32",sienna:"#A0522D",brown:"#A52A2A",darkgray:"#A9A9A9",lightblue:"#ADD8E6",greenyellow:"#ADFF2F",paleturquoise:"#AFEEEE",lightsteelblue:"#B0C4DE",powderblue:"#B0E0E6",firebrick:"#B22222",darkgoldenrod:"#B8860B",mediumorchid:"#BA55D3",rosybrown:"#BC8F8F",darkkhaki:"#BDB76B",silver:"#C0C0C0",mediumvioletred:"#C71585",indianred:"#CD5C5C",peru:"#CD853F",chocolate:"#D2691E",tan:"#D2B48C",lightgrey:"#D3D3D3",palevioletred:"#D87093",thistle:"#D8BFD8",orchid:"#DA70D6",goldenrod:"#DAA520",crimson:"#DC143C",gainsboro:"#DCDCDC",plum:"#DDA0DD",burlywood:"#DEB887",lightcyan:"#E0FFFF",lavender:"#E6E6FA",darksalmon:"#E9967A",violet:"#EE82EE",palegoldenrod:"#EEE8AA",lightcoral:"#F08080",khaki:"#F0E68C",aliceblue:"#F0F8FF",honeydew:"#F0FFF0",azure:"#F0FFFF",sandybrown:"#F4A460",wheat:"#F5DEB3",beige:"#F5F5DC",whitesmoke:"#F5F5F5",mintcream:"#F5FFFA",ghostwhite:"#F8F8FF",salmon:"#FA8072",antiquewhite:"#FAEBD7",linen:"#FAF0E6",lightgoldenrodyellow:"#FAFAD2",oldlace:"#FDF5E6",red:"#FF0000",fuchsia:"#FF00FF",magenta:"#FF00FF",deeppink:"#FF1493",orangered:"#FF4500",tomato:"#FF6347",hotpink:"#FF69B4",coral:"#FF7F50",darkorange:"#FF8C00",lightsalmon:"#FFA07A",orange:"#FFA500",lightpink:"#FFB6C1",pink:"#FFC0CB",gold:"#FFD700",peachpuff:"#FFDAB9",navajowhite:"#FFDEAD",moccasin:"#FFE4B5",bisque:"#FFE4C4",mistyrose:"#FFE4E1",blanchedalmond:"#FFEBCD",papayawhip:"#FFEFD5",lavenderblush:"#FFF0F5",seashell:"#FFF5EE",cornsilk:"#FFF8DC",lemonchiffon:"#FFFACD",floralwhite:"#FFFAF0",snow:"#FFFAFA",yellow:"#FFFF00",lightyellow:"#FFFFE0",ivory:"#FFFFF0",white:"#FFFFFF"},$T=function(){function t(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:1;Ew(this,t),this.pixelRatio=e,this.generated=!1,this.centerCoordinates={x:144.5,y:144.5},this.r=289*.49,this.color={r:255,g:255,b:255,a:1},this.hueCircle=void 0,this.initialColor={r:255,g:255,b:255,a:1},this.previousColor=void 0,this.applied=!1,this.updateCallback=function(){},this.closeCallback=function(){},this._create()}return jw(t,[{key:"insertTo",value:function(t){void 0!==this.hammer&&(this.hammer.destroy(),this.hammer=void 0),this.container=t,this.container.appendChild(this.frame),this._bindHammer(),this._setSize()}},{key:"setUpdateCallback",value:function(t){if("function"!=typeof t)throw new Error("Function attempted to set as colorPicker update callback is not a function.");this.updateCallback=t}},{key:"setCloseCallback",value:function(t){if("function"!=typeof t)throw new Error("Function attempted to set as colorPicker closing callback is not a function.");this.closeCallback=t}},{key:"_isColorString",value:function(t){if("string"==typeof t)return JT[t]}},{key:"setColor",value:function(t){var e=!(arguments.length>1&&void 0!==arguments[1])||arguments[1];if("none"!==t){var i,n=this._isColorString(t);if(void 0!==n&&(t=n),!0===kS.isString(t)){if(!0===kS.isValidRGB(t)){var r=t.substr(4).substr(0,t.length-5).split(",");i={r:r[0],g:r[1],b:r[2],a:1}}else if(!0===kS.isValidRGBA(t)){var o=t.substr(5).substr(0,t.length-6).split(",");i={r:o[0],g:o[1],b:o[2],a:o[3]}}else if(!0===kS.isValidHex(t)){var s=kS.hexToRGB(t);i={r:s.r,g:s.g,b:s.b,a:1}}}else if(t instanceof Object&&void 0!==t.r&&void 0!==t.g&&void 0!==t.b){var a=void 0!==t.a?t.a:"1.0";i={r:t.r,g:t.g,b:t.b,a:a}}if(void 0===i)throw new Error("Unknown color passed to the colorPicker. Supported are strings: rgb, hex, rgba. Object: rgb ({r:r,g:g,b:b,[a:a]}). Supplied: "+HS(t));this._setColor(i,e)}}},{key:"show",value:function(){void 0!==this.closeCallback&&(this.closeCallback(),this.closeCallback=void 0),this.applied=!1,this.frame.style.display="block",this._generateHueCircle()}},{key:"_hide",value:function(){var t=this,e=!(arguments.length>0&&void 0!==arguments[0])||arguments[0];!0===e&&(this.previousColor=kS.extend({},this.color)),!0===this.applied&&this.updateCallback(this.initialColor),this.frame.style.display="none",ww((function(){void 0!==t.closeCallback&&(t.closeCallback(),t.closeCallback=void 0)}),0)}},{key:"_save",value:function(){this.updateCallback(this.color),this.applied=!1,this._hide()}},{key:"_apply",value:function(){this.applied=!0,this.updateCallback(this.color),this._updatePicker(this.color)}},{key:"_loadLast",value:function(){void 0!==this.previousColor?this.setColor(this.previousColor,!1):alert("There is no last color to load...")}},{key:"_setColor",value:function(t){var e=!(arguments.length>1&&void 0!==arguments[1])||arguments[1];!0===e&&(this.initialColor=kS.extend({},t)),this.color=t;var i=kS.RGBToHSV(t.r,t.g,t.b),n=2*Math.PI,r=this.r*i.s,o=this.centerCoordinates.x+r*Math.sin(n*i.h),s=this.centerCoordinates.y+r*Math.cos(n*i.h);this.colorPickerSelector.style.left=o-.5*this.colorPickerSelector.clientWidth+"px",this.colorPickerSelector.style.top=s-.5*this.colorPickerSelector.clientHeight+"px",this._updatePicker(t)}},{key:"_setOpacity",value:function(t){this.color.a=t/100,this._updatePicker(this.color)}},{key:"_setBrightness",value:function(t){var e=kS.RGBToHSV(this.color.r,this.color.g,this.color.b);e.v=t/100;var i=kS.HSVToRGB(e.h,e.s,e.v);i.a=this.color.a,this.color=i,this._updatePicker()}},{key:"_updatePicker",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:this.color,e=kS.RGBToHSV(t.r,t.g,t.b),i=this.colorPickerCanvas.getContext("2d");void 0===this.pixelRation&&(this.pixelRatio=(window.devicePixelRatio||1)/(i.webkitBackingStorePixelRatio||i.mozBackingStorePixelRatio||i.msBackingStorePixelRatio||i.oBackingStorePixelRatio||i.backingStorePixelRatio||1)),i.setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0);var n=this.colorPickerCanvas.clientWidth,r=this.colorPickerCanvas.clientHeight;i.clearRect(0,0,n,r),i.putImageData(this.hueCircle,0,0),i.fillStyle="rgba(0,0,0,"+(1-e.v)+")",i.circle(this.centerCoordinates.x,this.centerCoordinates.y,this.r),ZT(i).call(i),this.brightnessRange.value=100*e.v,this.opacityRange.value=100*t.a,this.initialColorDiv.style.backgroundColor="rgba("+this.initialColor.r+","+this.initialColor.g+","+this.initialColor.b+","+this.initialColor.a+")",this.newColorDiv.style.backgroundColor="rgba("+this.color.r+","+this.color.g+","+this.color.b+","+this.color.a+")"}},{key:"_setSize",value:function(){this.colorPickerCanvas.style.width="100%",this.colorPickerCanvas.style.height="100%",this.colorPickerCanvas.width=289*this.pixelRatio,this.colorPickerCanvas.height=289*this.pixelRatio}},{key:"_create",value:function(){var t,e,i,n;if(this.frame=document.createElement("div"),this.frame.className="vis-color-picker",this.colorPickerDiv=document.createElement("div"),this.colorPickerSelector=document.createElement("div"),this.colorPickerSelector.className="vis-selector",this.colorPickerDiv.appendChild(this.colorPickerSelector),this.colorPickerCanvas=document.createElement("canvas"),this.colorPickerDiv.appendChild(this.colorPickerCanvas),this.colorPickerCanvas.getContext){var r=this.colorPickerCanvas.getContext("2d");this.pixelRatio=(window.devicePixelRatio||1)/(r.webkitBackingStorePixelRatio||r.mozBackingStorePixelRatio||r.msBackingStorePixelRatio||r.oBackingStorePixelRatio||r.backingStorePixelRatio||1),this.colorPickerCanvas.getContext("2d").setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0)}else{var o=document.createElement("DIV");o.style.color="red",o.style.fontWeight="bold",o.style.padding="10px",o.innerHTML="Error: your browser does not support HTML canvas",this.colorPickerCanvas.appendChild(o)}this.colorPickerDiv.className="vis-color",this.opacityDiv=document.createElement("div"),this.opacityDiv.className="vis-opacity",this.brightnessDiv=document.createElement("div"),this.brightnessDiv.className="vis-brightness",this.arrowDiv=document.createElement("div"),this.arrowDiv.className="vis-arrow",this.opacityRange=document.createElement("input");try{this.opacityRange.type="range",this.opacityRange.min="0",this.opacityRange.max="100"}catch(t){}this.opacityRange.value="100",this.opacityRange.className="vis-range",this.brightnessRange=document.createElement("input");try{this.brightnessRange.type="range",this.brightnessRange.min="0",this.brightnessRange.max="100"}catch(t){}this.brightnessRange.value="100",this.brightnessRange.className="vis-range",this.opacityDiv.appendChild(this.opacityRange),this.brightnessDiv.appendChild(this.brightnessRange);var s=this;this.opacityRange.onchange=function(){s._setOpacity(this.value)},this.opacityRange.oninput=function(){s._setOpacity(this.value)},this.brightnessRange.onchange=function(){s._setBrightness(this.value)},this.brightnessRange.oninput=function(){s._setBrightness(this.value)},this.brightnessLabel=document.createElement("div"),this.brightnessLabel.className="vis-label vis-brightness",this.brightnessLabel.innerHTML="brightness:",this.opacityLabel=document.createElement("div"),this.opacityLabel.className="vis-label vis-opacity",this.opacityLabel.innerHTML="opacity:",this.newColorDiv=document.createElement("div"),this.newColorDiv.className="vis-new-color",this.newColorDiv.innerHTML="new",this.initialColorDiv=document.createElement("div"),this.initialColorDiv.className="vis-initial-color",this.initialColorDiv.innerHTML="initial",this.cancelButton=document.createElement("div"),this.cancelButton.className="vis-button vis-cancel",this.cancelButton.innerHTML="cancel",this.cancelButton.onclick=Tw(t=this._hide).call(t,this,!1),this.applyButton=document.createElement("div"),this.applyButton.className="vis-button vis-apply",this.applyButton.innerHTML="apply",this.applyButton.onclick=Tw(e=this._apply).call(e,this),this.saveButton=document.createElement("div"),this.saveButton.className="vis-button vis-save",this.saveButton.innerHTML="save",this.saveButton.onclick=Tw(i=this._save).call(i,this),this.loadButton=document.createElement("div"),this.loadButton.className="vis-button vis-load",this.loadButton.innerHTML="load last",this.loadButton.onclick=Tw(n=this._loadLast).call(n,this),this.frame.appendChild(this.colorPickerDiv),this.frame.appendChild(this.arrowDiv),this.frame.appendChild(this.brightnessLabel),this.frame.appendChild(this.brightnessDiv),this.frame.appendChild(this.opacityLabel),this.frame.appendChild(this.opacityDiv),this.frame.appendChild(this.newColorDiv),this.frame.appendChild(this.initialColorDiv),this.frame.appendChild(this.cancelButton),this.frame.appendChild(this.applyButton),this.frame.appendChild(this.saveButton),this.frame.appendChild(this.loadButton)}},{key:"_bindHammer",value:function(){var t=this;this.drag={},this.pinch={},this.hammer=new vO(this.colorPickerCanvas),this.hammer.get("pinch").set({enable:!0}),gO(this.hammer,(function(e){t._moveSelector(e)})),this.hammer.on("tap",(function(e){t._moveSelector(e)})),this.hammer.on("panstart",(function(e){t._moveSelector(e)})),this.hammer.on("panmove",(function(e){t._moveSelector(e)})),this.hammer.on("panend",(function(e){t._moveSelector(e)}))}},{key:"_generateHueCircle",value:function(){if(!1===this.generated){var t=this.colorPickerCanvas.getContext("2d");void 0===this.pixelRation&&(this.pixelRatio=(window.devicePixelRatio||1)/(t.webkitBackingStorePixelRatio||t.mozBackingStorePixelRatio||t.msBackingStorePixelRatio||t.oBackingStorePixelRatio||t.backingStorePixelRatio||1)),t.setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0);var e,i,n,r,o=this.colorPickerCanvas.clientWidth,s=this.colorPickerCanvas.clientHeight;t.clearRect(0,0,o,s),this.centerCoordinates={x:.5*o,y:.5*s},this.r=.49*o;var a,l=2*Math.PI/360,u=1/this.r;for(n=0;n<360;n++)for(r=0;r<this.r;r++)e=this.centerCoordinates.x+r*Math.sin(l*n),i=this.centerCoordinates.y+r*Math.cos(l*n),a=kS.HSVToRGB(n*(1/360),r*u,1),t.fillStyle="rgb("+a.r+","+a.g+","+a.b+")",t.fillRect(e-.5,i-.5,2,2);t.strokeStyle="rgba(0,0,0,1)",t.circle(this.centerCoordinates.x,this.centerCoordinates.y,this.r),t.stroke(),this.hueCircle=t.getImageData(0,0,o,s)}this.generated=!0}},{key:"_moveSelector",value:function(t){var e=this.colorPickerDiv.getBoundingClientRect(),i=t.center.x-e.left,n=t.center.y-e.top,r=.5*this.colorPickerDiv.clientHeight,o=.5*this.colorPickerDiv.clientWidth,s=i-o,a=n-r,l=Math.atan2(s,a),u=.98*Math.min(Math.sqrt(s*s+a*a),o),h=Math.cos(l)*u+r,c=Math.sin(l)*u+o;this.colorPickerSelector.style.top=h-.5*this.colorPickerSelector.clientHeight+"px",this.colorPickerSelector.style.left=c-.5*this.colorPickerSelector.clientWidth+"px";var d=l/(2*Math.PI);d=d<0?d+1:d;var f=u/this.r,p=kS.RGBToHSV(this.color.r,this.color.g,this.color.b);p.h=d,p.s=f;var m=kS.HSVToRGB(p.h,p.s,p.v);m.a=this.color.a,this.color=m,this.initialColorDiv.style.backgroundColor="rgba("+this.initialColor.r+","+this.initialColor.g+","+this.initialColor.b+","+this.initialColor.a+")",this.newColorDiv.style.backgroundColor="rgba("+this.color.r+","+this.color.g+","+this.color.b+","+this.color.a+")"}}]),t}(),KT=function(){function t(e,i,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:1;Ew(this,t),this.parent=e,this.changedOptions=[],this.container=i,this.allowCreation=!1,this.options={},this.initialized=!1,this.popupCounter=0,this.defaultOptions={enabled:!1,filter:!0,container:void 0,showButton:!0},kS.extend(this.options,this.defaultOptions),this.configureOptions=n,this.moduleOptions={},this.domElements=[],this.popupDiv={},this.popupLimit=5,this.popupHistory={},this.colorPicker=new $T(r),this.wrapper=void 0}return jw(t,[{key:"setOptions",value:function(t){if(void 0!==t){this.popupHistory={},this._removePopup();var e=!0;if("string"==typeof t)this.options.filter=t;else if(t instanceof Array)this.options.filter=t.join();else if("object"===jk(t)){if(null==t)throw new TypeError("options cannot be null");void 0!==t.container&&(this.options.container=t.container),void 0!==gw(t)&&(this.options.filter=gw(t)),void 0!==t.showButton&&(this.options.showButton=t.showButton),void 0!==t.enabled&&(e=t.enabled)}else"boolean"==typeof t?(this.options.filter=!0,e=t):"function"==typeof t&&(this.options.filter=t,e=!0);!1===gw(this.options)&&(e=!1),this.options.enabled=e}this._clean()}},{key:"setModuleOptions",value:function(t){this.moduleOptions=t,!0===this.options.enabled&&(this._clean(),void 0!==this.options.container&&(this.container=this.options.container),this._create())}},{key:"_create",value:function(){this._clean(),this.changedOptions=[];var t=gw(this.options),e=0,i=!1;for(var n in this.configureOptions)this.configureOptions.hasOwnProperty(n)&&(this.allowCreation=!1,i=!1,"function"==typeof t?i=(i=t(n,[]))||this._handleObject(this.configureOptions[n],[n],!0):!0!==t&&-1===FD(t).call(t,n)||(i=!0),!1!==i&&(this.allowCreation=!0,e>0&&this._makeItem([]),this._makeHeader(n),this._handleObject(this.configureOptions[n],[n])),e++);this._makeButton(),this._push()}},{key:"_push",value:function(){this.wrapper=document.createElement("div"),this.wrapper.className="vis-configuration-wrapper",this.container.appendChild(this.wrapper);for(var t=0;t<this.domElements.length;t++)this.wrapper.appendChild(this.domElements[t]);this._showPopupIfNeeded()}},{key:"_clean",value:function(){for(var t=0;t<this.domElements.length;t++)this.wrapper.removeChild(this.domElements[t]);void 0!==this.wrapper&&(this.container.removeChild(this.wrapper),this.wrapper=void 0),this.domElements=[],this._removePopup()}},{key:"_getValue",value:function(t){for(var e=this.moduleOptions,i=0;i<t.length;i++){if(void 0===e[t[i]]){e=void 0;break}e=e[t[i]]}return e}},{key:"_makeItem",value:function(t){if(!0===this.allowCreation){var e=document.createElement("div");e.className="vis-configuration vis-config-item vis-config-s"+t.length;for(var i=arguments.length,n=new Array(i>1?i-1:0),r=1;r<i;r++)n[r-1]=arguments[r];return rw(n).call(n,(function(t){e.appendChild(t)})),this.domElements.push(e),this.domElements.length}return 0}},{key:"_makeHeader",value:function(t){var e=document.createElement("div");e.className="vis-configuration vis-config-header",e.innerHTML=t,this._makeItem([],e)}},{key:"_makeLabel",value:function(t,e){var i=arguments.length>2&&void 0!==arguments[2]&&arguments[2],n=document.createElement("div");return n.className="vis-configuration vis-config-label vis-config-s"+e.length,n.innerHTML=!0===i?"<i><b>"+t+":</b></i>":t+":",n}},{key:"_makeDropdown",value:function(t,e,i){var n=document.createElement("select");n.className="vis-configuration vis-config-select";var r=0;void 0!==e&&-1!==FD(t).call(t,e)&&(r=FD(t).call(t,e));for(var o=0;o<t.length;o++){var s=document.createElement("option");s.value=t[o],o===r&&(s.selected="selected"),s.innerHTML=t[o],n.appendChild(s)}var a=this;n.onchange=function(){a._update(this.value,i)};var l=this._makeLabel(i[i.length-1],i);this._makeItem(i,l,n)}},{key:"_makeRange",value:function(t,e,i){var n=t[0],r=t[1],o=t[2],s=t[3],a=document.createElement("input");a.className="vis-configuration vis-config-range";try{a.type="range",a.min=r,a.max=o}catch(t){}a.step=s;var l="",u=0;if(void 0!==e){e<0&&1.2*e<r?(a.min=Math.ceil(1.2*e),u=a.min,l="range increased"):e/1.2<r&&(a.min=Math.ceil(e/1.2),u=a.min,l="range increased"),1.2*e>o&&1!==o&&(a.max=Math.ceil(1.2*e),u=a.max,l="range increased"),a.value=e}else a.value=n;var h=document.createElement("input");h.className="vis-configuration vis-config-rangeinput",h.value=Number(a.value);var c=this;a.onchange=function(){h.value=this.value,c._update(Number(this.value),i)},a.oninput=function(){h.value=this.value};var d=this._makeLabel(i[i.length-1],i),f=this._makeItem(i,d,a,h);""!==l&&this.popupHistory[f]!==u&&(this.popupHistory[f]=u,this._setupPopup(l,f))}},{key:"_makeButton",value:function(){var t=this;if(!0===this.options.showButton){var e=document.createElement("div");e.className="vis-configuration vis-config-button",e.innerHTML="generate options",e.onclick=function(){t._printOptions()},e.onmouseover=function(){e.className="vis-configuration vis-config-button hover"},e.onmouseout=function(){e.className="vis-configuration vis-config-button"},this.optionsContainer=document.createElement("div"),this.optionsContainer.className="vis-configuration vis-config-option-container",this.domElements.push(this.optionsContainer),this.domElements.push(e)}}},{key:"_setupPopup",value:function(t,e){var i=this;if(!0===this.initialized&&!0===this.allowCreation&&this.popupCounter<this.popupLimit){var n=document.createElement("div");n.id="vis-configuration-popup",n.className="vis-configuration-popup",n.innerHTML=t,n.onclick=function(){i._removePopup()},this.popupCounter+=1,this.popupDiv={html:n,index:e}}}},{key:"_removePopup",value:function(){void 0!==this.popupDiv.html&&(this.popupDiv.html.parentNode.removeChild(this.popupDiv.html),clearTimeout(this.popupDiv.hideTimeout),clearTimeout(this.popupDiv.deleteTimeout),this.popupDiv={})}},{key:"_showPopupIfNeeded",value:function(){var t=this;if(void 0!==this.popupDiv.html){var e=this.domElements[this.popupDiv.index].getBoundingClientRect();this.popupDiv.html.style.left=e.left+"px",this.popupDiv.html.style.top=e.top-30+"px",document.body.appendChild(this.popupDiv.html),this.popupDiv.hideTimeout=ww((function(){t.popupDiv.html.style.opacity=0}),1500),this.popupDiv.deleteTimeout=ww((function(){t._removePopup()}),1800)}}},{key:"_makeCheckbox",value:function(t,e,i){var n=document.createElement("input");n.type="checkbox",n.className="vis-configuration vis-config-checkbox",n.checked=t,void 0!==e&&(n.checked=e,e!==t&&("object"===jk(t)?e!==t.enabled&&this.changedOptions.push({path:i,value:e}):this.changedOptions.push({path:i,value:e})));var r=this;n.onchange=function(){r._update(this.checked,i)};var o=this._makeLabel(i[i.length-1],i);this._makeItem(i,o,n)}},{key:"_makeTextInput",value:function(t,e,i){var n=document.createElement("input");n.type="text",n.className="vis-configuration vis-config-text",n.value=e,e!==t&&this.changedOptions.push({path:i,value:e});var r=this;n.onchange=function(){r._update(this.value,i)};var o=this._makeLabel(i[i.length-1],i);this._makeItem(i,o,n)}},{key:"_makeColorField",value:function(t,e,i){var n=this,r=t[1],o=document.createElement("div");"none"!==(e=void 0===e?r:e)?(o.className="vis-configuration vis-config-colorBlock",o.style.backgroundColor=e):o.className="vis-configuration vis-config-colorBlock none",e=void 0===e?r:e,o.onclick=function(){n._showColorPicker(e,o,i)};var s=this._makeLabel(i[i.length-1],i);this._makeItem(i,s,o)}},{key:"_showColorPicker",value:function(t,e,i){var n=this;e.onclick=function(){},this.colorPicker.insertTo(e),this.colorPicker.show(),this.colorPicker.setColor(t),this.colorPicker.setUpdateCallback((function(t){var r="rgba("+t.r+","+t.g+","+t.b+","+t.a+")";e.style.backgroundColor=r,n._update(r,i)})),this.colorPicker.setCloseCallback((function(){e.onclick=function(){n._showColorPicker(t,e,i)}}))}},{key:"_handleObject",value:function(t){var e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[],i=arguments.length>2&&void 0!==arguments[2]&&arguments[2],n=!1,r=gw(this.options),o=!1;for(var s in t)if(t.hasOwnProperty(s)){n=!0;var a=t[s],l=kS.copyAndExtendArray(e,s);if("function"==typeof r&&!1===(n=r(s,e))&&!(a instanceof Array)&&"string"!=typeof a&&"boolean"!=typeof a&&a instanceof Object&&(this.allowCreation=!1,n=this._handleObject(a,l,!0),this.allowCreation=!1===i),!1!==n){o=!0;var u=this._getValue(l);if(a instanceof Array)this._handleArray(a,u,l);else if("string"==typeof a)this._makeTextInput(a,u,l);else if("boolean"==typeof a)this._makeCheckbox(a,u,l);else if(a instanceof Object){var h=!0;if(-1!==FD(e).call(e,"physics")&&this.moduleOptions.physics.solver!==s&&(h=!1),!0===h)if(void 0!==a.enabled){var c=kS.copyAndExtendArray(l,"enabled"),d=this._getValue(c);if(!0===d){var f=this._makeLabel(s,l,!0);this._makeItem(l,f),o=this._handleObject(a,l)||o}else this._makeCheckbox(a,d,l)}else{var p=this._makeLabel(s,l,!0);this._makeItem(l,p),o=this._handleObject(a,l)||o}}else console.error("dont know how to handle",a,s,l)}}return o}},{key:"_handleArray",value:function(t,e,i){"string"==typeof t[0]&&"color"===t[0]?(this._makeColorField(t,e,i),t[1]!==e&&this.changedOptions.push({path:i,value:e})):"string"==typeof t[0]?(this._makeDropdown(t,e,i),t[0]!==e&&this.changedOptions.push({path:i,value:e})):"number"==typeof t[0]&&(this._makeRange(t,e,i),t[0]!==e&&this.changedOptions.push({path:i,value:Number(e)}))}},{key:"_update",value:function(t,e){var i=this._constructOptions(t,e);this.parent.body&&this.parent.body.emitter&&this.parent.body.emitter.emit&&this.parent.body.emitter.emit("configChange",i),this.initialized=!0,this.parent.setOptions(i)}},{key:"_constructOptions",value:function(t,e){var i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},n=i;t="false"!==(t="true"===t||t)&&t;for(var r=0;r<e.length;r++)"global"!==e[r]&&(void 0===n[e[r]]&&(n[e[r]]={}),r!==e.length-1?n=n[e[r]]:n[e[r]]=t);return i}},{key:"_printOptions",value:function(){var t=this.getOptions();this.optionsContainer.innerHTML="<pre>var options = "+HS(t,null,2)+"</pre>"}},{key:"getOptions",value:function(){for(var t={},e=0;e<this.changedOptions.length;e++)this._constructOptions(this.changedOptions[e].value,this.changedOptions[e].path,t);return t}}]),t}(),QT=function(t){function e(t,i,n,r){var o,s,a,l,u,h,c,d;if(Ew(this,e),(d=Nk(this,Gk(e).call(this))).initTime=new Date,d.itemsDone=!1,!(Yk(d)instanceof e))throw new SyntaxError("Constructor must be called with the new operator");if(!(Pw(n)||n instanceof my||n instanceof vy)&&n instanceof Object){var f=r;r=n,n=f}r&&r.throttleRedraw&&console.warn('Timeline option "throttleRedraw" is DEPRICATED and no longer supported. It will be removed in the next MAJOR release.');var p=Yk(d);if(d.defaultOptions={autoResize:!0,longSelectPressTime:251,orientation:{axis:"bottom",item:"bottom"},moment:Xk},d.options=kS.deepExtend({},d.defaultOptions),d._create(t),!r||r&&void 0===r.rtl){var m;d.dom.root.style.visibility="hidden";for(var v=d.dom.root;!m&&v;)m=window.getComputedStyle(v,null).direction,v=v.parentElement;d.options.rtl=m&&"rtl"==m.toLowerCase()}else d.options.rtl=r.rtl;r&&(r.rollingMode&&(d.options.rollingMode=r.rollingMode),r.onInitialDrawComplete&&(d.options.onInitialDrawComplete=r.onInitialDrawComplete),r.onTimeout&&(d.options.onTimeout=r.onTimeout),r.loadingScreenTemplate&&(d.options.loadingScreenTemplate=r.loadingScreenTemplate));var g=document.createElement("div");if(d.options.loadingScreenTemplate){var y,b=Tw(y=d.options.loadingScreenTemplate).call(y,Yk(d)),_=b(d.dom.loadingScreen);_ instanceof Object&&!(_ instanceof Element)?b(g):_ instanceof Element?(g.innerHTML="",g.appendChild(_)):null!=_&&(g.innerHTML=_)}return d.dom.loadingScreen.appendChild(g),d.components=[],d.body={dom:d.dom,domProps:d.props,emitter:{on:Tw(o=d.on).call(o,Yk(d)),off:Tw(s=d.off).call(s,Yk(d)),emit:Tw(a=d.emit).call(a,Yk(d))},hiddenDates:[],util:{getScale:function(){return p.timeAxis.step.scale},getStep:function(){return p.timeAxis.step.step},toScreen:Tw(l=p._toScreen).call(l,p),toGlobalScreen:Tw(u=p._toGlobalScreen).call(u,p),toTime:Tw(h=p._toTime).call(h,p),toGlobalTime:Tw(c=p._toGlobalTime).call(c,p)}},d.range=new vD(d.body,d.options),d.components.push(d.range),d.body.range=d.range,d.timeAxis=new DO(d.body,d.options),d.timeAxis2=null,d.components.push(d.timeAxis),d.currentTime=new GO(d.body,d.options),d.components.push(d.currentTime),d.itemSet=new YT(d.body,d.options),d.components.push(d.itemSet),d.itemsData=null,d.groupsData=null,d.dom.root.onclick=function(t){p.emit("click",p.getEventProperties(t))},d.dom.root.ondblclick=function(t){p.emit("doubleClick",p.getEventProperties(t))},d.dom.root.oncontextmenu=function(t){p.emit("contextmenu",p.getEventProperties(t))},d.dom.root.onmouseover=function(t){p.emit("mouseOver",p.getEventProperties(t))},window.PointerEvent?(d.dom.root.onpointerdown=function(t){p.emit("mouseDown",p.getEventProperties(t))},d.dom.root.onpointermove=function(t){p.emit("mouseMove",p.getEventProperties(t))},d.dom.root.onpointerup=function(t){p.emit("mouseUp",p.getEventProperties(t))}):(d.dom.root.onmousemove=function(t){p.emit("mouseMove",p.getEventProperties(t))},d.dom.root.onmousedown=function(t){p.emit("mouseDown",p.getEventProperties(t))},d.dom.root.onmouseup=function(t){p.emit("mouseUp",p.getEventProperties(t))}),d.initialFitDone=!1,d.on("changed",(function(){if(null!=p.itemsData){if(!p.initialFitDone&&!p.options.rollingMode)if(p.initialFitDone=!0,null!=p.options.start||null!=p.options.end){if(null==p.options.start||null==p.options.end)var t=p.getItemRange();var e=null!=p.options.start?p.options.start:t.min,i=null!=p.options.end?p.options.end:t.max;p.setWindow(e,i,{animation:!1})}else p.fit({animation:!1});p.initialDrawDone||!p.initialRangeChangeDone&&(p.options.start||p.options.end)&&!p.options.rollingMode||(p.initialDrawDone=!0,p.itemSet.initialDrawDone=!0,p.dom.root.style.visibility="visible",p.dom.loadingScreen.parentNode.removeChild(p.dom.loadingScreen),p.options.onInitialDrawComplete&&ww((function(){return p.options.onInitialDrawComplete()}),0))}})),d.on("destroyTimeline",(function(){p.destroy()})),r&&d.setOptions(r),d.body.emitter.on("fit",(function(t){d._onFit(t),d.redraw()})),n&&d.setGroups(n),i&&d.setItems(i),d._redraw(),d}return Bk(e,t),jw(e,[{key:"_createConfigurator",value:function(){return new KT(this,this.dom.container,BT)}},{key:"redraw",value:function(){this.itemSet&&this.itemSet.markDirty({refreshItems:!0}),this._redraw()}},{key:"setOptions",value:function(t){if(!0===HT.validate(t,UT)&&console.log("%cErrors have been found in the supplied options object.",FT),HO.prototype.setOptions.call(this,t),"type"in t&&t.type!==this.options.type){this.options.type=t.type;var e=this.itemsData;if(e){var i=this.getSelection();this.setItems(null),this.setItems(e.rawDS),this.setSelection(i)}}}},{key:"setItems",value:function(t){var e;this.itemsDone=!1,e=t?wS(t instanceof my||t instanceof vy?t:new my(t)):null,this.itemsData&&this.itemsData.dispose(),this.itemsData=e,this.itemSet&&this.itemSet.setItems(null!=e?e.rawDS:null)}},{key:"setGroups",value:function(t){var e;if(t){var i=function(t){return!1!==t.visible};e=t instanceof my||t instanceof vy?new vy(t,{filter:i}):new my(gw(t).call(t,i))}else e=null;this.groupsData instanceof vy&&this.groupsData.setData(null),this.groupsData=e,this.itemSet.setGroups(e)}},{key:"setData",value:function(t){t&&t.groups&&this.setGroups(t.groups),t&&t.items&&this.setItems(t.items)}},{key:"setSelection",value:function(t,e){this.itemSet&&this.itemSet.setSelection(t),e&&e.focus&&this.focus(t,e)}},{key:"getSelection",value:function(){return this.itemSet&&this.itemSet.getSelection()||[]}},{key:"focus",value:function(t,e){if(this.itemsData&&null!=t){var i=Pw(t)?t:[t],n=this.itemsData.get(i),r=null,o=null;if(rw(n).call(n,(function(t){var e=t.start.valueOf(),i="end"in t?t.end.valueOf():t.start.valueOf();(null===r||e<r)&&(r=e),(null===o||i>o)&&(o=i)})),null!==r&&null!==o){var s=this,a=this.itemSet.items[i[0]],l=-1*this._getScrollTop(),u=null,h=function(){var t=iC(s,a);t.shouldScroll&&t.itemTop!=u.itemTop&&(s._setScrollTop(-t.scrollOffset),s._redraw())},c=!e||void 0===e.zoom||e.zoom,d=(r+o)/2,f=c?1.1*(o-r):Math.max(this.range.end-this.range.start,1.1*(o-r)),p=!e||void 0===e.animation||e.animation;p||(u={shouldScroll:!1,scrollOffset:-1,itemTop:-1}),this.range.setRange(d-f/2,d+f/2,{animation:p},(function(){h(),ww(h,100)}),(function(t,e,i){var n=iC(s,a);if(!1!==n&&(u||(u=n),u.itemTop!=n.itemTop||u.shouldScroll)){u.itemTop!=n.itemTop&&n.shouldScroll&&(u=n,l=-1*s._getScrollTop());var r=l,o=u.scrollOffset,h=i?o:r+(o-r)*t;s._setScrollTop(-h),e||s._redraw()}}))}}}},{key:"fit",value:function(t,e){var i,n=!t||void 0===t.animation||t.animation;1===this.itemsData.length&&void 0===this.itemsData.get()[0].end?(i=this.getDataRange(),this.moveTo(i.min.valueOf(),{animation:n},e)):(i=this.getItemRange(),this.range.setRange(i.min,i.max,{animation:n},e))}},{key:"getItemRange",value:function(){var t=this,e=this.getDataRange(),i=null!==e.min?e.min.valueOf():null,n=null!==e.max?e.max.valueOf():null,r=null,o=null;if(null!=i&&null!=n){var s=n-i;s<=0&&(s=10);var a=s/this.props.center.width,l={},u=0;if(rw(kS).call(kS,this.itemSet.items,(function(t,e){if(t.groupShowing){l[e]=t.redraw(!0),u=l[e].length}})),u>0)for(var h=function(t){rw(kS).call(kS,l,(function(e){e[t]()}))},c=0;c<u;c++)h(c);if(rw(kS).call(kS,this.itemSet.items,(function(e){var s,l,u=tC(e),h=eC(e);t.options.rtl?(s=u-(e.getWidthRight()+10)*a,l=h+(e.getWidthLeft()+10)*a):(s=u-(e.getWidthLeft()+10)*a,l=h+(e.getWidthRight()+10)*a),s<i&&(i=s,r=e),l>n&&(n=l,o=e)})),r&&o){var d=r.getWidthLeft()+10,f=o.getWidthRight()+10,p=this.props.center.width-d-f;p>0&&(this.options.rtl?(i=tC(r)-f*s/p,n=eC(o)+d*s/p):(i=tC(r)-d*s/p,n=eC(o)+f*s/p))}}return{min:null!=i?new Date(i):null,max:null!=n?new Date(n):null}}},{key:"getDataRange",value:function(){var t,e=null,i=null;this.itemsData&&rw(t=this.itemsData).call(t,(function(t){var n=kS.convert(t.start,"Date").valueOf(),r=kS.convert(null!=t.end?t.end:t.start,"Date").valueOf();(null===e||n<e)&&(e=n),(null===i||r>i)&&(i=r)}));return{min:null!=e?new Date(e):null,max:null!=i?new Date(i):null}}},{key:"getEventProperties",value:function(t){var e=t.center?t.center.x:t.clientX,i=t.center?t.center.y:t.clientY,n=this.dom.centerContainer.getBoundingClientRect(),r=this.options.rtl?n.right-e:e-n.left,o=i-n.top,s=this.itemSet.itemFromTarget(t),a=this.itemSet.groupFromTarget(t),l=FO.customTimeFromTarget(t),u=this.itemSet.options.snap||null,h=this.body.util.getScale(),c=this.body.util.getStep(),d=this._toTime(r),f=u?u(d,h,c):d,p=kS.getTarget(t),m=null;return null!=s?m="item":null!=l?m="custom-time":kS.hasParent(p,this.timeAxis.dom.foreground)?m="axis":this.timeAxis2&&kS.hasParent(p,this.timeAxis2.dom.foreground)?m="axis":kS.hasParent(p,this.itemSet.dom.labelSet)?m="group-label":kS.hasParent(p,this.currentTime.bar)?m="current-time":kS.hasParent(p,this.dom.center)&&(m="background"),{event:t,item:s?s.id:null,isCluster:!!s&&!!s.isCluster,items:s?s.items||[]:null,group:a?a.groupId:null,customTime:l?l.options.id:null,what:m,pageX:t.srcEvent?t.srcEvent.pageX:t.pageX,pageY:t.srcEvent?t.srcEvent.pageY:t.pageY,x:r,y:o,time:d,snappedTime:f}}},{key:"toggleRollingMode",value:function(){this.range.rolling?this.range.stopRolling():(null==this.options.rollingMode&&this.setOptions(this.options),this.range.startRolling())}},{key:"_redraw",value:function(){HO.prototype._redraw.call(this)}},{key:"_onFit",value:function(t){var e=t.start,i=t.end,n=t.animation;i?this.range.setRange(e,i,{animation:n}):this.moveTo(e.valueOf(),{animation:n})}}]),e}(HO);function tC(t){return kS.convert(t.data.start,"Date").valueOf()}function eC(t){var e=null!=t.data.end?t.data.end:t.data.start;return kS.convert(e,"Date").valueOf()}function iC(t,e){if(!e.parent)return!1;var i=t.options.rtl?t.props.rightContainer.height:t.props.leftContainer.height,n=t.props.center.height,r=e.parent,o=r.top,s=!0,a=t.timeAxis.options.orientation.axis,l=function(){return"bottom"==a?r.height-e.top-e.height:e.top},u=-1*t._getScrollTop(),h=o+l(),c=e.height;return h<u?o+i<=o+l()+c&&(o+=l()-t.itemSet.options.margin.item.vertical):h+c>u+i?o+=l()+c-i+t.itemSet.options.margin.item.vertical:s=!1,{shouldScroll:s,scrollOffset:o=Math.min(o,n-i),itemTop:h}}var nC=function(){function t(e,i,n,r,o,s){var a=arguments.length>6&&void 0!==arguments[6]&&arguments[6],l=arguments.length>7&&void 0!==arguments[7]&&arguments[7];if(Ew(this,t),this.majorSteps=[1,2,5,10],this.minorSteps=[.25,.5,1,2],this.customLines=null,this.containerHeight=o,this.majorCharHeight=s,this._start=e,this._end=i,this.scale=1,this.minorStepIdx=-1,this.magnitudefactor=1,this.determineScale(),this.zeroAlign=a,this.autoScaleStart=n,this.autoScaleEnd=r,this.formattingFunction=l,n||r){var u=this,h=function(t){var e=t-t%(u.magnitudefactor*u.minorSteps[u.minorStepIdx]);return t%(u.magnitudefactor*u.minorSteps[u.minorStepIdx])>u.magnitudefactor*u.minorSteps[u.minorStepIdx]*.5?e+u.magnitudefactor*u.minorSteps[u.minorStepIdx]:e};n&&(this._start-=2*this.magnitudefactor*this.minorSteps[this.minorStepIdx],this._start=h(this._start)),r&&(this._end+=this.magnitudefactor*this.minorSteps[this.minorStepIdx],this._end=h(this._end)),this.determineScale()}}return jw(t,[{key:"setCharHeight",value:function(t){this.majorCharHeight=t}},{key:"setHeight",value:function(t){this.containerHeight=t}},{key:"determineScale",value:function(){var t=this._end-this._start;this.scale=this.containerHeight/t;var e=this.majorCharHeight/this.scale,i=t>0?Math.round(Math.log(t)/Math.LN10):0;this.minorStepIdx=-1,this.magnitudefactor=Math.pow(10,i);var n=0;i<0&&(n=i);for(var r=!1,o=n;Math.abs(o)<=Math.abs(i);o++){this.magnitudefactor=Math.pow(10,o);for(var s=0;s<this.minorSteps.length;s++){if(this.magnitudefactor*this.minorSteps[s]>=e){r=!0,this.minorStepIdx=s;break}}if(!0===r)break}}},{key:"is_major",value:function(t){return t%(this.magnitudefactor*this.majorSteps[this.minorStepIdx])==0}},{key:"getStep",value:function(){return this.magnitudefactor*this.minorSteps[this.minorStepIdx]}},{key:"getFirstMajor",value:function(){var t=this.magnitudefactor*this.majorSteps[this.minorStepIdx];return this.convertValue(this._start+(t-this._start%t)%t)}},{key:"formatValue",value:function(t){var e=t.toPrecision(5);return"function"==typeof this.formattingFunction&&(e=this.formattingFunction(t)),"number"==typeof e?"".concat(e):"string"==typeof e?e:t.toPrecision(5)}},{key:"getLines",value:function(){for(var t=[],e=this.getStep(),i=(e-this._start%e)%e,n=this._start+i;this._end-n>1e-5;n+=e)n!=this._start&&t.push({major:this.is_major(n),y:this.convertValue(n),val:this.formatValue(n)});return t}},{key:"followScale",value:function(t){var e=this.minorStepIdx,i=this._start,n=this._end,r=this,o=function(){r.magnitudefactor*=2},s=function(){r.magnitudefactor/=2};t.minorStepIdx<=1&&this.minorStepIdx<=1||t.minorStepIdx>1&&this.minorStepIdx>1||(t.minorStepIdx<this.minorStepIdx?(this.minorStepIdx=1,2==e?o():(o(),o())):(this.minorStepIdx=2,1==e?s():(s(),s())));for(var a=t.convertValue(0),l=t.getStep()*t.scale,u=!1,h=0;!u&&h++<5;){this.scale=l/(this.minorSteps[this.minorStepIdx]*this.magnitudefactor);var c=this.containerHeight/this.scale;this._start=i,this._end=this._start+c;var d=this._end*this.scale,f=this.magnitudefactor*this.majorSteps[this.minorStepIdx],p=this.getFirstMajor()-t.getFirstMajor();if(this.zeroAlign){var m=a-d;this._end+=m/this.scale,this._start=this._end-c}else this.autoScaleStart?(this._start-=p/this.scale,this._end=this._start+c):(this._start+=f-p/this.scale,this._end=this._start+c);if(!this.autoScaleEnd&&this._end>n+1e-5)s(),u=!1;else{if(!this.autoScaleStart&&this._start<i-1e-5){if(!(this.zeroAlign&&i>=0)){s(),u=!1;continue}console.warn("Can't adhere to given 'min' range, due to zeroalign")}this.autoScaleStart&&this.autoScaleEnd&&c<n-i?(o(),u=!1):u=!0}}}},{key:"convertValue",value:function(t){return this.containerHeight-(t-this._start)*this.scale}},{key:"screenToValue",value:function(t){return(this.containerHeight-t)/this.scale+this._start}}]),t}(),rC=function(t){function e(t,i,n,r){var o;Ew(this,e),(o=Nk(this,Gk(e).call(this))).id=RM(),o.body=t,o.defaultOptions={orientation:"left",showMinorLabels:!0,showMajorLabels:!0,showWeekScale:!1,icons:!1,majorLinesOffset:7,minorLinesOffset:4,labelOffsetX:10,labelOffsetY:2,iconWidth:20,width:"40px",visible:!0,alignZeros:!0,left:{range:{min:void 0,max:void 0},format:function(t){return"".concat(AS(t.toPrecision(3)))},title:{text:void 0,style:void 0}},right:{range:{min:void 0,max:void 0},format:function(t){return"".concat(AS(t.toPrecision(3)))},title:{text:void 0,style:void 0}}},o.linegraphOptions=r,o.linegraphSVG=n,o.props={},o.DOMelements={lines:{},labels:{},title:{}},o.dom={},o.scale=void 0,o.range={start:0,end:0},o.options=kS.extend({},o.defaultOptions),o.conversionFactor=1,o.setOptions(i),o.width=Number("".concat(o.options.width).replace("px","")),o.minWidth=o.width,o.height=o.linegraphSVG.getBoundingClientRect().height,o.hidden=!1,o.stepPixels=25,o.zeroCrossing=-1,o.amountOfSteps=-1,o.lineOffset=0,o.master=!0,o.masterAxis=null,o.svgElements={},o.iconsRemoved=!1,o.groups={},o.amountOfGroups=0,o._create(),null==o.scale&&o._redrawLabels(),o.framework={svg:o.svg,svgElements:o.svgElements,options:o.options,groups:o.groups};var s=Yk(o);return o.body.emitter.on("verticalDrag",(function(){s.dom.lineContainer.style.top="".concat(s.body.domProps.scrollTop,"px")})),o}return Bk(e,t),jw(e,[{key:"addGroup",value:function(t,e){this.groups.hasOwnProperty(t)||(this.groups[t]=e),this.amountOfGroups+=1}},{key:"updateGroup",value:function(t,e){this.groups.hasOwnProperty(t)||(this.amountOfGroups+=1),this.groups[t]=e}},{key:"removeGroup",value:function(t){this.groups.hasOwnProperty(t)&&(delete this.groups[t],this.amountOfGroups-=1)}},{key:"setOptions",value:function(t){if(t){var e=!1;this.options.orientation!=t.orientation&&void 0!==t.orientation&&(e=!0);kS.selectiveDeepExtend(["orientation","showMinorLabels","showMajorLabels","icons","majorLinesOffset","minorLinesOffset","labelOffsetX","labelOffsetY","iconWidth","width","visible","left","right","alignZeros"],this.options,t),this.minWidth=Number("".concat(this.options.width).replace("px","")),!0===e&&this.dom.frame&&(this.hide(),this.show())}}},{key:"_create",value:function(){this.dom.frame=document.createElement("div"),this.dom.frame.style.width=this.options.width,this.dom.frame.style.height=this.height,this.dom.lineContainer=document.createElement("div"),this.dom.lineContainer.style.width="100%",this.dom.lineContainer.style.height=this.height,this.dom.lineContainer.style.position="relative",this.dom.lineContainer.style.visibility="visible",this.dom.lineContainer.style.display="block",this.svg=document.createElementNS("http://www.w3.org/2000/svg","svg"),this.svg.style.position="absolute",this.svg.style.top="0px",this.svg.style.height="100%",this.svg.style.width="100%",this.svg.style.display="block",this.dom.frame.appendChild(this.svg)}},{key:"_redrawGroupIcons",value:function(){var t;is(this.svgElements);var e=this.options.iconWidth,i=11.5;t="left"===this.options.orientation?4:this.width-e-4;var n=rS(this.groups);KS(n).call(n,(function(t,e){return t<e?-1:1}));var r=!0,o=!1,s=void 0;try{for(var a,l=vM(n);!(r=(a=l.next()).done);r=!0){var u=a.value;!0!==this.groups[u].visible||void 0!==this.linegraphOptions.visibility[u]&&!0!==this.linegraphOptions.visibility[u]||(this.groups[u].getLegend(e,15,this.framework,t,i),i+=19)}}catch(t){o=!0,s=t}finally{try{r||null==l.return||l.return()}finally{if(o)throw s}}ns(this.svgElements),this.iconsRemoved=!1}},{key:"_cleanupIcons",value:function(){!1===this.iconsRemoved&&(is(this.svgElements),ns(this.svgElements),this.iconsRemoved=!0)}},{key:"show",value:function(){this.hidden=!1,this.dom.frame.parentNode||("left"===this.options.orientation?this.body.dom.left.appendChild(this.dom.frame):this.body.dom.right.appendChild(this.dom.frame)),this.dom.lineContainer.parentNode||this.body.dom.backgroundHorizontal.appendChild(this.dom.lineContainer),this.dom.lineContainer.style.display="block"}},{key:"hide",value:function(){this.hidden=!0,this.dom.frame.parentNode&&this.dom.frame.parentNode.removeChild(this.dom.frame),this.dom.lineContainer.style.display="none"}},{key:"setRange",value:function(t,e){this.range.start=t,this.range.end=e}},{key:"redraw",value:function(){var t=!1,e=0;for(var i in this.dom.lineContainer.style.top="".concat(this.body.domProps.scrollTop,"px"),this.groups)this.groups.hasOwnProperty(i)&&(!0!==this.groups[i].visible||void 0!==this.linegraphOptions.visibility[i]&&!0!==this.linegraphOptions.visibility[i]||e++);if(0===this.amountOfGroups||0===e)this.hide();else{this.show(),this.height=Number(this.linegraphSVG.style.height.replace("px","")),this.dom.lineContainer.style.height="".concat(this.height,"px"),this.width=!0===this.options.visible?Number("".concat(this.options.width).replace("px","")):0;var n=this.props,r=this.dom.frame;r.className="vis-data-axis",this._calculateCharSize();var o=this.options.orientation,s=this.options.showMinorLabels,a=this.options.showMajorLabels,l=this.body.dom.backgroundHorizontal.offsetWidth;n.minorLabelHeight=s?n.minorCharHeight:0,n.majorLabelHeight=a?n.majorCharHeight:0,n.minorLineWidth=l-this.lineOffset-this.width+2*this.options.minorLinesOffset,n.minorLineHeight=1,n.majorLineWidth=l-this.lineOffset-this.width+2*this.options.majorLinesOffset,n.majorLineHeight=1,"left"===o?(r.style.top="0",r.style.left="0",r.style.bottom="",r.style.width="".concat(this.width,"px"),r.style.height="".concat(this.height,"px"),this.props.width=this.body.domProps.left.width,this.props.height=this.body.domProps.left.height):(r.style.top="",r.style.bottom="0",r.style.left="0",r.style.width="".concat(this.width,"px"),r.style.height="".concat(this.height,"px"),this.props.width=this.body.domProps.right.width,this.props.height=this.body.domProps.right.height),t=this._redrawLabels(),t=this._isResized()||t,!0===this.options.icons?this._redrawGroupIcons():this._cleanupIcons(),this._redrawTitle(o)}return t}},{key:"_redrawLabels",value:function(){var t=this,e=!1;is(this.DOMelements.lines),is(this.DOMelements.labels);var i=this.options.orientation,n=null!=this.options[i].range?this.options[i].range:{},r=!0;null!=n.max&&(this.range.end=n.max,r=!1);var o=!0;null!=n.min&&(this.range.start=n.min,o=!1),this.scale=new nC(this.range.start,this.range.end,o,r,this.dom.frame.offsetHeight,this.props.majorCharHeight,this.options.alignZeros,this.options[i].format),!1===this.master&&null!=this.masterAxis?(this.scale.followScale(this.masterAxis.scale),this.dom.lineContainer.style.display="none"):this.dom.lineContainer.style.display="block",this.maxLabelSize=0;var s=this.scale.getLines();rw(s).call(s,(function(e){var n=e.y,r=e.major;t.options.showMinorLabels&&!1===r&&t._redrawLabel(n-2,e.val,i,"vis-y-axis vis-minor",t.props.minorCharHeight),r&&n>=0&&t._redrawLabel(n-2,e.val,i,"vis-y-axis vis-major",t.props.majorCharHeight),!0===t.master&&(r?t._redrawLine(n,i,"vis-grid vis-horizontal vis-major",t.options.majorLinesOffset,t.props.majorLineWidth):t._redrawLine(n,i,"vis-grid vis-horizontal vis-minor",t.options.minorLinesOffset,t.props.minorLineWidth))}));var a=0;void 0!==this.options[i].title&&void 0!==this.options[i].title.text&&(a=this.props.titleCharHeight);var l=!0===this.options.icons?Math.max(this.options.iconWidth,a)+this.options.labelOffsetX+15:a+this.options.labelOffsetX+15;return this.maxLabelSize>this.width-l&&!0===this.options.visible?(this.width=this.maxLabelSize+l,this.options.width="".concat(this.width,"px"),ns(this.DOMelements.lines),ns(this.DOMelements.labels),this.redraw(),e=!0):this.maxLabelSize<this.width-l&&!0===this.options.visible&&this.width>this.minWidth?(this.width=Math.max(this.minWidth,this.maxLabelSize+l),this.options.width="".concat(this.width,"px"),ns(this.DOMelements.lines),ns(this.DOMelements.labels),this.redraw(),e=!0):(ns(this.DOMelements.lines),ns(this.DOMelements.labels),e=!1),e}},{key:"convertValue",value:function(t){return this.scale.convertValue(t)}},{key:"screenToValue",value:function(t){return this.scale.screenToValue(t)}},{key:"_redrawLabel",value:function(t,e,i,n,r){var o=ss("div",this.DOMelements.labels,this.dom.frame);o.className=n,o.innerHTML=e,"left"===i?(o.style.left="-".concat(this.options.labelOffsetX,"px"),o.style.textAlign="right"):(o.style.right="-".concat(this.options.labelOffsetX,"px"),o.style.textAlign="left"),o.style.top="".concat(t-.5*r+this.options.labelOffsetY,"px"),e+="";var s=Math.max(this.props.majorCharWidth,this.props.minorCharWidth);this.maxLabelSize<e.length*s&&(this.maxLabelSize=e.length*s)}},{key:"_redrawLine",value:function(t,e,i,n,r){if(!0===this.master){var o=ss("div",this.DOMelements.lines,this.dom.lineContainer);o.className=i,o.innerHTML="","left"===e?o.style.left="".concat(this.width-n,"px"):o.style.right="".concat(this.width-n,"px"),o.style.width="".concat(r,"px"),o.style.top="".concat(t,"px")}}},{key:"_redrawTitle",value:function(t){if(is(this.DOMelements.title),void 0!==this.options[t].title&&void 0!==this.options[t].title.text){var e=ss("div",this.DOMelements.title,this.dom.frame);e.className="vis-y-axis vis-title vis-".concat(t),e.innerHTML=this.options[t].title.text,void 0!==this.options[t].title.style&&kS.addCssText(e,this.options[t].title.style),"left"===t?e.style.left="".concat(this.props.titleCharHeight,"px"):e.style.right="".concat(this.props.titleCharHeight,"px"),e.style.width="".concat(this.height,"px")}ns(this.DOMelements.title)}},{key:"_calculateCharSize",value:function(){if(!("minorCharHeight"in this.props)){var t=document.createTextNode("0"),e=document.createElement("div");e.className="vis-y-axis vis-minor vis-measure",e.appendChild(t),this.dom.frame.appendChild(e),this.props.minorCharHeight=e.clientHeight,this.props.minorCharWidth=e.clientWidth,this.dom.frame.removeChild(e)}if(!("majorCharHeight"in this.props)){var i=document.createTextNode("0"),n=document.createElement("div");n.className="vis-y-axis vis-major vis-measure",n.appendChild(i),this.dom.frame.appendChild(n),this.props.majorCharHeight=n.clientHeight,this.props.majorCharWidth=n.clientWidth,this.dom.frame.removeChild(n)}if(!("titleCharHeight"in this.props)){var r=document.createTextNode("0"),o=document.createElement("div");o.className="vis-y-axis vis-title vis-measure",o.appendChild(r),this.dom.frame.appendChild(o),this.props.titleCharHeight=o.clientHeight,this.props.titleCharWidth=o.clientWidth,this.dom.frame.removeChild(o)}}}]),e}(VS);function oC(t,e){}function sC(t,e){return{style:(e=void 0===e?{}:e).style||t.options.drawPoints.style,styles:e.styles||t.options.drawPoints.styles,size:e.size||t.options.drawPoints.size,className:e.className||t.className}}function aC(t,e){}function lC(t,e){}function uC(t,e,i,n){this.id=e;this.options=kS.selectiveBridgeObject(["sampling","style","sort","yAxisOrientation","barChart","drawPoints","shaded","interpolation","zIndex","excludeFromStacking","excludeFromLegend"],i),this.usingDefaultStyle=void 0===t.className,this.groupsUsingDefaultStyles=n,this.zeroPosition=0,this.update(t),1==this.usingDefaultStyle&&(this.groupsUsingDefaultStyles[0]+=1),this.itemsData=[],this.visible=void 0===t.visible||t.visible}function hC(t,e,i,n){this.body=t,this.defaultOptions={enabled:!1,icons:!0,iconSize:20,iconSpacing:6,left:{visible:!0,position:"top-left"},right:{visible:!0,position:"top-right"}},this.side=i,this.options=kS.extend({},this.defaultOptions),this.linegraphOptions=n,this.svgElements={},this.dom={},this.groups={},this.amountOfGroups=0,this._create(),this.framework={svg:this.svg,svgElements:this.svgElements,options:this.options,groups:this.groups},this.setOptions(e)}oC.draw=function(t,e,i,n){n=n||0;for(var r=function(t,e){var i=void 0;t.options&&t.options.drawPoints&&t.options.drawPoints.onRender&&"function"==typeof t.options.drawPoints.onRender&&(i=t.options.drawPoints.onRender);e.group.options&&e.group.options.drawPoints&&e.group.options.drawPoints.onRender&&"function"==typeof e.group.options.drawPoints.onRender&&(i=e.group.options.drawPoints.onRender);return i}(i,e),o=0;o<t.length;o++)if(r){var s=r(t[o],e);!0!==s&&"object"!==jk(s)||as(t[o].screen_x+n,t[o].screen_y,sC(e,s),i.svgElements,i.svg,t[o].label)}else as(t[o].screen_x+n,t[o].screen_y,sC(e),i.svgElements,i.svg,t[o].label)},oC.drawIcon=function(t,e,i,n,r,o){var s=.5*r,a=os("rect",o.svgElements,o.svg);a.setAttributeNS(null,"x",e),a.setAttributeNS(null,"y",i-s),a.setAttributeNS(null,"width",n),a.setAttributeNS(null,"height",2*s),a.setAttributeNS(null,"class","vis-outline"),as(e+.5*n,i,sC(t),o.svgElements,o.svg)},aC.drawIcon=function(t,e,i,n,r,o){var s=.5*r,a=os("rect",o.svgElements,o.svg);a.setAttributeNS(null,"x",e),a.setAttributeNS(null,"y",i-s),a.setAttributeNS(null,"width",n),a.setAttributeNS(null,"height",2*s),a.setAttributeNS(null,"class","vis-outline");var l=Math.round(.3*n),u=t.options.barChart.width/l,h=Math.round(.4*r),c=Math.round(.75*r),d=Math.round((n-2*l)/3);if(ls(e+.5*l+d,i+s-h-1,l,h,t.className+" vis-bar",o.svgElements,o.svg,t.style),ls(e+1.5*l+d+2,i+s-c-1,l,c,t.className+" vis-bar",o.svgElements,o.svg,t.style),1==t.options.drawPoints.enabled){var f={style:t.options.drawPoints.style,styles:t.options.drawPoints.styles,size:t.options.drawPoints.size/u,className:t.className};as(e+.5*l+d,i+s-h-1,f,o.svgElements,o.svg),as(e+1.5*l+d+2,i+s-c-1,f,o.svgElements,o.svg)}},aC.draw=function(t,e,i){var n,r,o,s,a,l,u=[],h={},c=0;for(a=0;a<t.length;a++)if("bar"===(s=i.groups[t[a]]).options.style&&!0===s.visible&&(void 0===i.options.groups.visibility[t[a]]||!0===i.options.groups.visibility[t[a]]))for(l=0;l<e[t[a]].length;l++)u.push({screen_x:e[t[a]][l].screen_x,screen_end:e[t[a]][l].screen_end,screen_y:e[t[a]][l].screen_y,x:e[t[a]][l].x,end:e[t[a]][l].end,y:e[t[a]][l].y,groupId:t[a],label:e[t[a]][l].label}),c+=1;if(0!==c)for(KS(u).call(u,(function(t,e){return t.screen_x===e.screen_x?t.groupId<e.groupId?-1:1:t.screen_x-e.screen_x})),aC._getDataIntersections(h,u),a=0;a<u.length;a++){var d=null!=(s=i.groups[u[a].groupId]).options.barChart.minWidth?s.options.barChart.minWidth:.1*s.options.barChart.width,f=0;if(void 0===h[r=u[a].screen_x])a+1<u.length&&(n=Math.abs(u[a+1].screen_x-r)),o=aC._getSafeDrawData(n,s,d);else{var p=a+(h[r].amount-h[r].resolved);p<u.length&&(n=Math.abs(u[p].screen_x-r)),o=aC._getSafeDrawData(n,s,d),h[r].resolved+=1,!0===s.options.stack&&!0!==s.options.excludeFromStacking?u[a].screen_y<s.zeroPosition?(f=h[r].accumulatedNegative,h[r].accumulatedNegative+=s.zeroPosition-u[a].screen_y):(f=h[r].accumulatedPositive,h[r].accumulatedPositive+=s.zeroPosition-u[a].screen_y):!0===s.options.barChart.sideBySide&&(o.width=o.width/h[r].amount,o.offset+=h[r].resolved*o.width-.5*o.width*(h[r].amount+1))}var m=o.width,v=u[a].screen_x;if(null!=u[a].screen_end?v+=.5*(m=u[a].screen_end-u[a].screen_x):v+=o.offset,ls(v,u[a].screen_y-f,m,s.zeroPosition-u[a].screen_y,s.className+" vis-bar",i.svgElements,i.svg,s.style),!0===s.options.drawPoints.enabled){var g={screen_x:u[a].screen_x,screen_y:u[a].screen_y-f,x:u[a].x,y:u[a].y,groupId:u[a].groupId,label:u[a].label};oC.draw([g],s,i,o.offset)}}},aC._getDataIntersections=function(t,e){for(var i,n=0;n<e.length;n++)n+1<e.length&&(i=Math.abs(e[n+1].screen_x-e[n].screen_x)),n>0&&(i=Math.min(i,Math.abs(e[n-1].screen_x-e[n].screen_x))),0===i&&(void 0===t[e[n].screen_x]&&(t[e[n].screen_x]={amount:0,resolved:0,accumulatedPositive:0,accumulatedNegative:0}),t[e[n].screen_x].amount+=1)},aC._getSafeDrawData=function(t,e,i){var n,r;return t<e.options.barChart.width&&t>0?(n=t<i?i:t,r=0,"left"===e.options.barChart.align?r-=.5*t:"right"===e.options.barChart.align&&(r+=.5*t)):(n=e.options.barChart.width,r=0,"left"===e.options.barChart.align?r-=.5*e.options.barChart.width:"right"===e.options.barChart.align&&(r+=.5*e.options.barChart.width)),{width:n,offset:r}},aC.getStackedYRange=function(t,e,i,n,r){if(t.length>0){KS(t).call(t,(function(t,e){return t.screen_x===e.screen_x?t.groupId<e.groupId?-1:1:t.screen_x-e.screen_x}));var o={};aC._getDataIntersections(o,t),e[n]=aC._getStackedYRange(o,t),e[n].yAxisOrientation=r,i.push(n)}},aC._getStackedYRange=function(t,e){for(var i,n=e[0].screen_y,r=e[0].screen_y,o=0;o<e.length;o++)void 0===t[i=e[o].screen_x]?(n=n>e[o].screen_y?e[o].screen_y:n,r=r<e[o].screen_y?e[o].screen_y:r):e[o].screen_y<0?t[i].accumulatedNegative+=e[o].screen_y:t[i].accumulatedPositive+=e[o].screen_y;for(var s in t)t.hasOwnProperty(s)&&(n=(n=n>t[s].accumulatedNegative?t[s].accumulatedNegative:n)>t[s].accumulatedPositive?t[s].accumulatedPositive:n,r=(r=r<t[s].accumulatedNegative?t[s].accumulatedNegative:r)<t[s].accumulatedPositive?t[s].accumulatedPositive:r);return{min:n,max:r}},lC.calcPath=function(t,e){if(null!=t&&t.length>0){return 1==e.options.interpolation.enabled?lC._catmullRom(t,e):lC._linear(t)}},lC.drawIcon=function(t,e,i,n,r,o){var s,a,l=.5*r,u=os("rect",o.svgElements,o.svg);(u.setAttributeNS(null,"x",e),u.setAttributeNS(null,"y",i-l),u.setAttributeNS(null,"width",n),u.setAttributeNS(null,"height",2*l),u.setAttributeNS(null,"class","vis-outline"),(s=os("path",o.svgElements,o.svg)).setAttributeNS(null,"class",t.className),void 0!==t.style&&s.setAttributeNS(null,"style",t.style),s.setAttributeNS(null,"d","M"+e+","+i+" L"+(e+n)+","+i),1==t.options.shaded.enabled&&(a=os("path",o.svgElements,o.svg),"top"==t.options.shaded.orientation?a.setAttributeNS(null,"d","M"+e+", "+(i-l)+"L"+e+","+i+" L"+(e+n)+","+i+" L"+(e+n)+","+(i-l)):a.setAttributeNS(null,"d","M"+e+","+i+" L"+e+","+(i+l)+" L"+(e+n)+","+(i+l)+"L"+(e+n)+","+i),a.setAttributeNS(null,"class",t.className+" vis-icon-fill"),void 0!==t.options.shaded.style&&""!==t.options.shaded.style&&a.setAttributeNS(null,"style",t.options.shaded.style)),1==t.options.drawPoints.enabled)&&as(e+.5*n,i,{style:t.options.drawPoints.style,styles:t.options.drawPoints.styles,size:t.options.drawPoints.size,className:t.className},o.svgElements,o.svg)},lC.drawShading=function(t,e,i,n){if(1==e.options.shaded.enabled){var r,o=Number(n.svg.style.height.replace("px","")),s=os("path",n.svgElements,n.svg),a="L";1==e.options.interpolation.enabled&&(a="C");var l=0;l="top"==e.options.shaded.orientation?0:"bottom"==e.options.shaded.orientation?o:Math.min(Math.max(0,e.zeroPosition),o),r="group"==e.options.shaded.orientation&&null!=i&&null!=i?"M"+t[0][0]+","+t[0][1]+" "+this.serializePath(t,a,!1)+" L"+i[i.length-1][0]+","+i[i.length-1][1]+" "+this.serializePath(i,a,!0)+i[0][0]+","+i[0][1]+" Z":"M"+t[0][0]+","+t[0][1]+" "+this.serializePath(t,a,!1)+" V"+l+" H"+t[0][0]+" Z",s.setAttributeNS(null,"class",e.className+" vis-fill"),void 0!==e.options.shaded.style&&s.setAttributeNS(null,"style",e.options.shaded.style),s.setAttributeNS(null,"d",r)}},lC.draw=function(t,e,i){if(null!=t&&null!=t){var n=os("path",i.svgElements,i.svg);n.setAttributeNS(null,"class",e.className),void 0!==e.style&&n.setAttributeNS(null,"style",e.style);var r="L";1==e.options.interpolation.enabled&&(r="C"),n.setAttributeNS(null,"d","M"+t[0][0]+","+t[0][1]+" "+this.serializePath(t,r,!1))}},lC.serializePath=function(t,e,i){if(t.length<2)return"";var n,r=e;if(i)for(n=t.length-2;n>0;n--)r+=t[n][0]+","+t[n][1]+" ";else for(n=1;n<t.length;n++)r+=t[n][0]+","+t[n][1]+" ";return r},lC._catmullRomUniform=function(t){var e,i,n,r,o,s,a=[];a.push([Math.round(t[0].screen_x),Math.round(t[0].screen_y)]);for(var l=t.length,u=0;u<l-1;u++)e=0==u?t[0]:t[u-1],i=t[u],n=t[u+1],r=u+2<l?t[u+2]:n,o={screen_x:(-e.screen_x+6*i.screen_x+n.screen_x)*(1/6),screen_y:(-e.screen_y+6*i.screen_y+n.screen_y)*(1/6)},s={screen_x:(i.screen_x+6*n.screen_x-r.screen_x)*(1/6),screen_y:(i.screen_y+6*n.screen_y-r.screen_y)*(1/6)},a.push([o.screen_x,o.screen_y]),a.push([s.screen_x,s.screen_y]),a.push([n.screen_x,n.screen_y]);return a},lC._catmullRom=function(t,e){var i=e.options.interpolation.alpha;if(0==i||void 0===i)return this._catmullRomUniform(t);var n,r,o,s,a,l,u,h,c,d,f,p,m,v,g,y,b,_,w,k=[];k.push([Math.round(t[0].screen_x),Math.round(t[0].screen_y)]);for(var S=t.length,D=0;D<S-1;D++)n=0==D?t[0]:t[D-1],r=t[D],o=t[D+1],s=D+2<S?t[D+2]:o,u=Math.sqrt(Math.pow(n.screen_x-r.screen_x,2)+Math.pow(n.screen_y-r.screen_y,2)),h=Math.sqrt(Math.pow(r.screen_x-o.screen_x,2)+Math.pow(r.screen_y-o.screen_y,2)),c=Math.sqrt(Math.pow(o.screen_x-s.screen_x,2)+Math.pow(o.screen_y-s.screen_y,2)),v=Math.pow(c,i),y=Math.pow(c,2*i),g=Math.pow(h,i),b=Math.pow(h,2*i),w=Math.pow(u,i),d=2*(_=Math.pow(u,2*i))+3*w*g+b,f=2*y+3*v*g+b,(p=3*w*(w+g))>0&&(p=1/p),(m=3*v*(v+g))>0&&(m=1/m),a={screen_x:(-b*n.screen_x+d*r.screen_x+_*o.screen_x)*p,screen_y:(-b*n.screen_y+d*r.screen_y+_*o.screen_y)*p},l={screen_x:(y*r.screen_x+f*o.screen_x-b*s.screen_x)*m,screen_y:(y*r.screen_y+f*o.screen_y-b*s.screen_y)*m},0==a.screen_x&&0==a.screen_y&&(a=r),0==l.screen_x&&0==l.screen_y&&(l=o),k.push([a.screen_x,a.screen_y]),k.push([l.screen_x,l.screen_y]),k.push([o.screen_x,o.screen_y]);return k},lC._linear=function(t){for(var e=[],i=0;i<t.length;i++)e.push([t[i].screen_x,t[i].screen_y]);return e},uC.prototype.setItems=function(t){null!=t?(this.itemsData=t,1==KS(this.options)&&kS.insertSort(this.itemsData,(function(t,e){return t.x>e.x?1:-1}))):this.itemsData=[]},uC.prototype.getItems=function(){return this.itemsData},uC.prototype.setZeroPosition=function(t){this.zeroPosition=t},uC.prototype.setOptions=function(t){if(void 0!==t){kS.selectiveDeepExtend(["sampling","style","sort","yAxisOrientation","barChart","zIndex","excludeFromStacking","excludeFromLegend"],this.options,t),"function"==typeof t.drawPoints&&(t.drawPoints={onRender:t.drawPoints}),kS.mergeOptions(this.options,t,"interpolation"),kS.mergeOptions(this.options,t,"drawPoints"),kS.mergeOptions(this.options,t,"shaded"),t.interpolation&&"object"==jk(t.interpolation)&&t.interpolation.parametrization&&("uniform"==t.interpolation.parametrization?this.options.interpolation.alpha=0:"chordal"==t.interpolation.parametrization?this.options.interpolation.alpha=1:(this.options.interpolation.parametrization="centripetal",this.options.interpolation.alpha=.5))}},uC.prototype.update=function(t){this.group=t,this.content=t.content||"graph",this.className=t.className||this.className||"vis-graph-group"+this.groupsUsingDefaultStyles[0]%10,this.visible=void 0===t.visible||t.visible,this.style=t.style,this.setOptions(t.options)},uC.prototype.getLegend=function(t,e,i,n,r){null!=i&&null!=i||(i={svg:document.createElementNS("http://www.w3.org/2000/svg","svg"),svgElements:{},options:this.options,groups:[this]});switch(null!=n&&null!=n||(n=0),null!=r&&null!=r||(r=.5*e),this.options.style){case"line":lC.drawIcon(this,n,r,t,e,i);break;case"points":case"point":oC.drawIcon(this,n,r,t,e,i);break;case"bar":aC.drawIcon(this,n,r,t,e,i)}return{icon:i.svg,label:this.content,orientation:this.options.yAxisOrientation}},uC.prototype.getYRange=function(t){for(var e=t[0].y,i=t[0].y,n=0;n<t.length;n++)e=e>t[n].y?t[n].y:e,i=i<t[n].y?t[n].y:i;return{min:e,max:i,yAxisOrientation:this.options.yAxisOrientation}},hC.prototype=new VS,hC.prototype.clear=function(){this.groups={},this.amountOfGroups=0},hC.prototype.addGroup=function(t,e){1!=e.options.excludeFromLegend&&(this.groups.hasOwnProperty(t)||(this.groups[t]=e),this.amountOfGroups+=1)},hC.prototype.updateGroup=function(t,e){this.groups[t]=e},hC.prototype.removeGroup=function(t){this.groups.hasOwnProperty(t)&&(delete this.groups[t],this.amountOfGroups-=1)},hC.prototype._create=function(){this.dom.frame=document.createElement("div"),this.dom.frame.className="vis-legend",this.dom.frame.style.position="absolute",this.dom.frame.style.top="10px",this.dom.frame.style.display="block",this.dom.textArea=document.createElement("div"),this.dom.textArea.className="vis-legend-text",this.dom.textArea.style.position="relative",this.dom.textArea.style.top="0px",this.svg=document.createElementNS("http://www.w3.org/2000/svg","svg"),this.svg.style.position="absolute",this.svg.style.top="0px",this.svg.style.width=this.options.iconSize+5+"px",this.svg.style.height="100%",this.dom.frame.appendChild(this.svg),this.dom.frame.appendChild(this.dom.textArea)},hC.prototype.hide=function(){this.dom.frame.parentNode&&this.dom.frame.parentNode.removeChild(this.dom.frame)},hC.prototype.show=function(){this.dom.frame.parentNode||this.body.dom.center.appendChild(this.dom.frame)},hC.prototype.setOptions=function(t){kS.selectiveDeepExtend(["enabled","orientation","icons","left","right"],this.options,t)},hC.prototype.redraw=function(){var t=0,e=rS(this.groups);KS(e).call(e,(function(t,e){return t<e?-1:1}));for(var i=0;i<e.length;i++){var n=e[i];1!=this.groups[n].visible||void 0!==this.linegraphOptions.visibility[n]&&1!=this.linegraphOptions.visibility[n]||t++}if(0==this.options[this.side].visible||0==this.amountOfGroups||0==this.options.enabled||0==t)this.hide();else{if(this.show(),"top-left"==this.options[this.side].position||"bottom-left"==this.options[this.side].position?(this.dom.frame.style.left="4px",this.dom.frame.style.textAlign="left",this.dom.textArea.style.textAlign="left",this.dom.textArea.style.left=this.options.iconSize+15+"px",this.dom.textArea.style.right="",this.svg.style.left="0px",this.svg.style.right=""):(this.dom.frame.style.right="4px",this.dom.frame.style.textAlign="right",this.dom.textArea.style.textAlign="right",this.dom.textArea.style.right=this.options.iconSize+15+"px",this.dom.textArea.style.left="",this.svg.style.right="0px",this.svg.style.left=""),"top-left"==this.options[this.side].position||"top-right"==this.options[this.side].position)this.dom.frame.style.top=4-Number(this.body.dom.center.style.top.replace("px",""))+"px",this.dom.frame.style.bottom="";else{var r=this.body.domProps.center.height-this.body.domProps.centerContainer.height;this.dom.frame.style.bottom=4+r+Number(this.body.dom.center.style.top.replace("px",""))+"px",this.dom.frame.style.top=""}0==this.options.icons?(this.dom.frame.style.width=this.dom.textArea.offsetWidth+10+"px",this.dom.textArea.style.right="",this.dom.textArea.style.left="",this.svg.style.width="0px"):(this.dom.frame.style.width=this.options.iconSize+15+this.dom.textArea.offsetWidth+10+"px",this.drawLegendIcons());var o="";for(i=0;i<e.length;i++)n=e[i],1!=this.groups[n].visible||void 0!==this.linegraphOptions.visibility[n]&&1!=this.linegraphOptions.visibility[n]||(o+=this.groups[n].content+"<br />");this.dom.textArea.innerHTML=o,this.dom.textArea.style.lineHeight=.75*this.options.iconSize+this.options.iconSpacing+"px"}},hC.prototype.drawLegendIcons=function(){if(this.dom.frame.parentNode){var t=rS(this.groups);KS(t).call(t,(function(t,e){return t<e?-1:1})),rs(this.svgElements);var e=window.getComputedStyle(this.dom.frame).paddingTop,i=Number(e.replace("px","")),n=i,r=this.options.iconSize,o=.75*this.options.iconSize,s=i+.5*o+3;this.svg.style.width=r+5+i+"px";for(var a=0;a<t.length;a++){var l=t[a];1!=this.groups[l].visible||void 0!==this.linegraphOptions.visibility[l]&&1!=this.linegraphOptions.visibility[l]||(this.groups[l].getLegend(r,o,this.framework,n,s),s+=o+this.options.iconSpacing)}}};function cC(t,e){this.id=RM(),this.body=t,this.defaultOptions={yAxisOrientation:"left",defaultGroup:"default",sort:!0,sampling:!0,stack:!1,graphHeight:"400px",shaded:{enabled:!1,orientation:"bottom"},style:"line",barChart:{width:50,sideBySide:!1,align:"center"},interpolation:{enabled:!0,parametrization:"centripetal",alpha:.5},drawPoints:{enabled:!0,size:6,style:"square"},dataAxis:{},legend:{},groups:{visibility:{}}},this.options=kS.extend({},this.defaultOptions),this.dom={},this.props={},this.hammer=null,this.groups={},this.abortedGraphUpdate=!1,this.updateSVGheight=!1,this.updateSVGheightOnResize=!1,this.forceGraphUpdate=!0;var i=this;this.itemsData=null,this.groupsData=null,this.itemListeners={add:function(t,e,n){i._onAdd(e.items)},update:function(t,e,n){i._onUpdate(e.items)},remove:function(t,e,n){i._onRemove(e.items)}},this.groupListeners={add:function(t,e,n){i._onAddGroups(e.items)},update:function(t,e,n){i._onUpdateGroups(e.items)},remove:function(t,e,n){i._onRemoveGroups(e.items)}},this.items={},this.selection=[],this.lastStart=this.body.range.start,this.touchParams={},this.svgElements={},this.setOptions(e),this.groupsUsingDefaultStyles=[0],this.body.emitter.on("rangechanged",(function(){i.lastStart=i.body.range.start,i.svg.style.left=kS.option.asSize(-i.props.width),i.forceGraphUpdate=!0,i.redraw.call(i)})),this._create(),this.framework={svg:this.svg,svgElements:this.svgElements,options:this.options,groups:this.groups}}cC.prototype=new VS,cC.prototype._create=function(){var t=document.createElement("div");t.className="vis-line-graph",this.dom.frame=t,this.svg=document.createElementNS("http://www.w3.org/2000/svg","svg"),this.svg.style.position="relative",this.svg.style.height=(""+this.options.graphHeight).replace("px","")+"px",this.svg.style.display="block",t.appendChild(this.svg),this.options.dataAxis.orientation="left",this.yAxisLeft=new rC(this.body,this.options.dataAxis,this.svg,this.options.groups),this.options.dataAxis.orientation="right",this.yAxisRight=new rC(this.body,this.options.dataAxis,this.svg,this.options.groups),delete this.options.dataAxis.orientation,this.legendLeft=new hC(this.body,this.options.legend,"left",this.options.groups),this.legendRight=new hC(this.body,this.options.legend,"right",this.options.groups),this.show()},cC.prototype.setOptions=function(t){if(t){void 0===t.graphHeight&&void 0!==t.height?(this.updateSVGheight=!0,this.updateSVGheightOnResize=!0):void 0!==this.body.domProps.centerContainer.height&&void 0!==t.graphHeight&&kO((t.graphHeight+"").replace("px",""))<this.body.domProps.centerContainer.height&&(this.updateSVGheight=!0),kS.selectiveDeepExtend(["sampling","defaultGroup","stack","height","graphHeight","yAxisOrientation","style","barChart","dataAxis","sort","groups"],this.options,t),kS.mergeOptions(this.options,t,"interpolation"),kS.mergeOptions(this.options,t,"drawPoints"),kS.mergeOptions(this.options,t,"shaded"),kS.mergeOptions(this.options,t,"legend"),t.interpolation&&"object"==jk(t.interpolation)&&t.interpolation.parametrization&&("uniform"==t.interpolation.parametrization?this.options.interpolation.alpha=0:"chordal"==t.interpolation.parametrization?this.options.interpolation.alpha=1:(this.options.interpolation.parametrization="centripetal",this.options.interpolation.alpha=.5)),this.yAxisLeft&&void 0!==t.dataAxis&&(this.yAxisLeft.setOptions(this.options.dataAxis),this.yAxisRight.setOptions(this.options.dataAxis)),this.legendLeft&&void 0!==t.legend&&(this.legendLeft.setOptions(this.options.legend),this.legendRight.setOptions(this.options.legend)),this.groups.hasOwnProperty("__ungrouped__")&&this.groups.__ungrouped__.setOptions(t)}this.dom.frame&&(this.forceGraphUpdate=!0,this.body.emitter.emit("_change",{queue:!0}))},cC.prototype.hide=function(){this.dom.frame.parentNode&&this.dom.frame.parentNode.removeChild(this.dom.frame)},cC.prototype.show=function(){this.dom.frame.parentNode||this.body.dom.center.appendChild(this.dom.frame)},cC.prototype.setItems=function(t){var e,i=this,n=this.itemsData;if(t){if(!(t instanceof my||t instanceof vy))throw new TypeError("Data must be an instance of DataSet or DataView");this.itemsData=wS(t)}else this.itemsData=null;if(n&&(rw(kS).call(kS,this.itemListeners,(function(t,e){n.off(e,t)})),n.dispose(),e=n.getIds(),this._onRemove(e)),this.itemsData){var r=this.id;rw(kS).call(kS,this.itemListeners,(function(t,e){i.itemsData.on(e,t,r)})),e=this.itemsData.getIds(),this._onAdd(e)}},cC.prototype.setGroups=function(t){var e,i=this;if(this.groupsData){rw(kS).call(kS,this.groupListeners,(function(t,e){i.groupsData.off(e,t)})),e=this.groupsData.getIds(),this.groupsData=null;for(var n=0;n<e.length;n++)this._removeGroup(e[n])}if(t){if(!(t instanceof my||t instanceof vy))throw new TypeError("Data must be an instance of DataSet or DataView");this.groupsData=t}else this.groupsData=null;if(this.groupsData){var r=this.id;rw(kS).call(kS,this.groupListeners,(function(t,e){i.groupsData.on(e,t,r)})),e=this.groupsData.getIds(),this._onAddGroups(e)}},cC.prototype._onUpdate=function(t){this._updateAllGroupData(t)},cC.prototype._onAdd=function(t){this._onUpdate(t)},cC.prototype._onRemove=function(t){this._onUpdate(t)},cC.prototype._onUpdateGroups=function(t){this._updateAllGroupData(null,t)},cC.prototype._onAddGroups=function(t){this._onUpdateGroups(t)},cC.prototype._onRemoveGroups=function(t){for(var e=0;e<t.length;e++)this._removeGroup(t[e]);this.forceGraphUpdate=!0,this.body.emitter.emit("_change",{queue:!0})},cC.prototype._removeGroup=function(t){this.groups.hasOwnProperty(t)&&("right"==this.groups[t].options.yAxisOrientation?(this.yAxisRight.removeGroup(t),this.legendRight.removeGroup(t),this.legendRight.redraw()):(this.yAxisLeft.removeGroup(t),this.legendLeft.removeGroup(t),this.legendLeft.redraw()),delete this.groups[t])},cC.prototype._updateGroup=function(t,e){this.groups.hasOwnProperty(e)?(this.groups[e].update(t),"right"==this.groups[e].options.yAxisOrientation?(this.yAxisRight.updateGroup(e,this.groups[e]),this.legendRight.updateGroup(e,this.groups[e]),this.yAxisLeft.removeGroup(e),this.legendLeft.removeGroup(e)):(this.yAxisLeft.updateGroup(e,this.groups[e]),this.legendLeft.updateGroup(e,this.groups[e]),this.yAxisRight.removeGroup(e),this.legendRight.removeGroup(e))):(this.groups[e]=new uC(t,e,this.options,this.groupsUsingDefaultStyles),"right"==this.groups[e].options.yAxisOrientation?(this.yAxisRight.addGroup(e,this.groups[e]),this.legendRight.addGroup(e,this.groups[e])):(this.yAxisLeft.addGroup(e,this.groups[e]),this.legendLeft.addGroup(e,this.groups[e]))),this.legendLeft.redraw(),this.legendRight.redraw()},cC.prototype._updateAllGroupData=function(t,e){if(null!=this.itemsData){var i={},n=this.itemsData.get(),r=this.itemsData.idProp,o={};t&&gS(t).call(t,(function(t){o[t]=t}));for(var s={},a=0;a<n.length;a++){var l=n[a],u=l.group;null==u&&(u="__ungrouped__"),s.hasOwnProperty(u)?s[u]++:s[u]=1}var h={};if(!e&&t)for(u in this.groups)if(this.groups.hasOwnProperty(u)){var c=(m=this.groups[u]).getItems();i[u]=gw(c).call(c,(function(t){return h[t[r]]=t[r],t[r]!==o[t[r]]}));var d=s[u];s[u]-=i[u].length,i[u].length<d&&(i[u][d-1]={})}for(a=0;a<n.length;a++)if(null==(u=(l=n[a]).group)&&(u="__ungrouped__"),e||!t||l[r]===o[l[r]]||!h.hasOwnProperty(l[r])){i.hasOwnProperty(u)||(i[u]=new Array(s[u]));var f=kS.bridgeObject(l);f.x=kS.convert(l.x,"Date"),f.end=kS.convert(l.end,"Date"),f.orginalY=l.y,f.y=Number(l.y),f[r]=l[r];var p=i[u].length-s[u]--;i[u][p]=f}for(u in this.groups)this.groups.hasOwnProperty(u)&&(i.hasOwnProperty(u)||(i[u]=new Array(0)));for(u in i)if(i.hasOwnProperty(u))if(0==i[u].length)this.groups.hasOwnProperty(u)&&this._removeGroup(u);else{var m=void 0;null!=this.groupsData&&(m=this.groupsData.get(u)),null==m&&(m={id:u,content:this.options.defaultGroup+u}),this._updateGroup(m,u),this.groups[u].setItems(i[u])}this.forceGraphUpdate=!0,this.body.emitter.emit("_change",{queue:!0})}},cC.prototype.redraw=function(){var t=!1;this.props.width=this.dom.frame.offsetWidth,this.props.height=this.body.domProps.centerContainer.height-this.body.domProps.border.top-this.body.domProps.border.bottom,t=this._isResized()||t;var e,i=this.body.range.end-this.body.range.start,n=i!=this.lastVisibleInterval;(this.lastVisibleInterval=i,1==t)&&(this.svg.style.width=kS.option.asSize(3*this.props.width),this.svg.style.left=kS.option.asSize(-this.props.width),-1==FD(e=this.options.height+"").call(e,"%")&&1!=this.updateSVGheightOnResize||(this.updateSVGheight=!0));if(1==this.updateSVGheight?(this.options.graphHeight!=this.props.height+"px"&&(this.options.graphHeight=this.props.height+"px",this.svg.style.height=this.props.height+"px"),this.updateSVGheight=!1):this.svg.style.height=(""+this.options.graphHeight).replace("px","")+"px",1==t||1==n||1==this.abortedGraphUpdate||1==this.forceGraphUpdate)t=this._updateGraph()||t,this.forceGraphUpdate=!1;else if(0!=this.lastStart){var r=this.body.range.start-this.lastStart,o=this.body.range.end-this.body.range.start;if(0!=this.props.width){var s=r*(this.props.width/o);this.svg.style.left=-this.props.width-s+"px"}}return this.legendLeft.redraw(),this.legendRight.redraw(),t},cC.prototype._getSortedGroupIds=function(){var t=[];for(var e in this.groups)if(this.groups.hasOwnProperty(e)){var i=this.groups[e];1!=i.visible||void 0!==this.options.groups.visibility[e]&&1!=this.options.groups.visibility[e]||t.push({id:e,zIndex:i.options.zIndex})}kS.insertSort(t,(function(t,e){var i=t.zIndex,n=e.zIndex;return void 0===i&&(i=0),void 0===n&&(n=0),i==n?0:i<n?-1:1}));for(var n=new Array(t.length),r=0;r<t.length;r++)n[r]=t[r].id;return n},cC.prototype._updateGraph=function(){if(is(this.svgElements),0!=this.props.width&&null!=this.itemsData){var t,e,i={},n=this.body.util.toGlobalTime(-this.body.domProps.root.width),r=this.body.util.toGlobalTime(2*this.body.domProps.root.width),o=this._getSortedGroupIds();if(o.length>0){var s={};for(this._getRelevantData(o,s,n,r),this._applySampling(o,s),e=0;e<o.length;e++)this._convertXcoordinates(s[o[e]]);if(this._getYRanges(o,s,i),1==this._updateYAxis(o,i))return ns(this.svgElements),this.abortedGraphUpdate=!0,!0;this.abortedGraphUpdate=!1;var a=void 0;for(e=0;e<o.length;e++)t=this.groups[o[e]],!0===this.options.stack&&"line"===this.options.style&&(null!=t.options.excludeFromStacking&&t.options.excludeFromStacking||(null!=a&&(this._stack(s[t.id],s[a.id]),1==t.options.shaded.enabled&&"group"!==t.options.shaded.orientation&&("top"==t.options.shaded.orientation&&"group"!==a.options.shaded.orientation?(a.options.shaded.orientation="group",a.options.shaded.groupId=t.id):(t.options.shaded.orientation="group",t.options.shaded.groupId=a.id))),a=t)),this._convertYcoordinates(s[o[e]],t);var l={};for(e=0;e<o.length;e++)if("line"===(t=this.groups[o[e]]).options.style&&1==t.options.shaded.enabled){var u=s[o[e]];if(null==u||0==u.length)continue;if(l.hasOwnProperty(o[e])||(l[o[e]]=lC.calcPath(u,t)),"group"===t.options.shaded.orientation){var h=t.options.shaded.groupId;if(-1===FD(o).call(o,h)){console.log(t.id+": Unknown shading group target given:"+h);continue}l.hasOwnProperty(h)||(l[h]=lC.calcPath(s[h],this.groups[h])),lC.drawShading(l[o[e]],t,l[h],this.framework)}else lC.drawShading(l[o[e]],t,void 0,this.framework)}for(aC.draw(o,s,this.framework),e=0;e<o.length;e++)if(t=this.groups[o[e]],s[o[e]].length>0)switch(t.options.style){case"line":l.hasOwnProperty(o[e])||(l[o[e]]=lC.calcPath(s[o[e]],t)),lC.draw(l[o[e]],t,this.framework);case"point":case"points":"point"!=t.options.style&&"points"!=t.options.style&&1!=t.options.drawPoints.enabled||oC.draw(s[o[e]],t,this.framework)}}}return ns(this.svgElements),!1},cC.prototype._stack=function(t,e){var i,n,r,o,s;i=0;for(var a=0;a<t.length;a++){o=void 0,s=void 0;for(var l=i;l<e.length;l++){if(e[l].x===t[a].x){o=e[l],s=e[l],i=l;break}if(e[l].x>t[a].x){s=e[l],o=0==l?s:e[l-1],i=l;break}}void 0===s&&(o=e[e.length-1],s=e[e.length-1]),n=s.x-o.x,r=s.y-o.y,t[a].y=0==n?t[a].orginalY+s.y:t[a].orginalY+r/n*(t[a].x-o.x)+o.y}},cC.prototype._getRelevantData=function(t,e,i,n){var r,o,s,a;if(t.length>0)for(o=0;o<t.length;o++){var l=(r=this.groups[t[o]]).getItems();if(1==KS(r.options)){var u=function(t,e){return t.getTime()==e.getTime()?0:t<e?-1:1},h=Math.max(0,kS.binarySearchValue(l,i,"x","before",u)),c=Math.min(l.length,kS.binarySearchValue(l,n,"x","after",u)+1);c<=0&&(c=l.length);var d=new Array(c-h);for(s=h;s<c;s++)a=r.itemsData[s],d[s-h]=a;e[t[o]]=d}else e[t[o]]=r.itemsData}},cC.prototype._applySampling=function(t,e){if(t.length>0)for(var i=0;i<t.length;i++)if(1==this.groups[t[i]].options.sampling){var n=e[t[i]];if(n.length>0){var r,o=n.length,s=o/(this.body.util.toGlobalScreen(n[n.length-1].x)-this.body.util.toGlobalScreen(n[0].x));r=Math.min(Math.ceil(.2*o),Math.max(1,Math.round(s)));for(var a=new Array(o),l=0;l<o;l+=r){a[Math.round(l/r)]=n[l]}e[t[i]]=ED(a).call(a,0,Math.round(o/r))}}},cC.prototype._getYRanges=function(t,e,i){var n,r,o,s,a=[],l=[];if(t.length>0){for(o=0;o<t.length;o++)n=e[t[o]],s=this.groups[t[o]].options,n.length>0&&(r=this.groups[t[o]],!0===s.stack&&"bar"===s.style?"left"===s.yAxisOrientation?a=WS(a).call(a,n):l=WS(l).call(l,n):i[t[o]]=r.getYRange(n,t[o]));aC.getStackedYRange(a,i,t,"__barStackLeft","left"),aC.getStackedYRange(l,i,t,"__barStackRight","right")}},cC.prototype._updateYAxis=function(t,e){var i,n,r=!1,o=!1,s=!1,a=1e9,l=1e9,u=-1e9,h=-1e9;if(t.length>0){for(var c=0;c<t.length;c++){var d=this.groups[t[c]];d&&"right"!=d.options.yAxisOrientation?(o=!0,a=1e9,u=-1e9):d&&d.options.yAxisOrientation&&(s=!0,l=1e9,h=-1e9)}for(c=0;c<t.length;c++)e.hasOwnProperty(t[c])&&!0!==e[t[c]].ignore&&(i=e[t[c]].min,n=e[t[c]].max,"right"!=e[t[c]].yAxisOrientation?(o=!0,a=a>i?i:a,u=u<n?n:u):(s=!0,l=l>i?i:l,h=h<n?n:h));1==o&&this.yAxisLeft.setRange(a,u),1==s&&this.yAxisRight.setRange(l,h)}r=this._toggleAxisVisiblity(o,this.yAxisLeft)||r,r=this._toggleAxisVisiblity(s,this.yAxisRight)||r,1==s&&1==o?(this.yAxisLeft.drawIcons=!0,this.yAxisRight.drawIcons=!0):(this.yAxisLeft.drawIcons=!1,this.yAxisRight.drawIcons=!1),this.yAxisRight.master=!o,this.yAxisRight.masterAxis=this.yAxisLeft,0==this.yAxisRight.master?(this.yAxisLeft.lineOffset=1==s?this.yAxisRight.width:0,r=this.yAxisLeft.redraw()||r,r=this.yAxisRight.redraw()||r):r=this.yAxisRight.redraw()||r;var f=["__barStackLeft","__barStackRight","__lineStackLeft","__lineStackRight"];for(c=0;c<f.length;c++)-1!=FD(t).call(t,f[c])&&ED(t).call(t,FD(t).call(t,f[c]),1);return r},cC.prototype._toggleAxisVisiblity=function(t,e){var i=!1;return 0==t?e.dom.frame.parentNode&&0==e.hidden&&(e.hide(),i=!0):e.dom.frame.parentNode||1!=e.hidden||(e.show(),i=!0),i},cC.prototype._convertXcoordinates=function(t){for(var e=this.body.util.toScreen,i=0;i<t.length;i++)t[i].screen_x=e(t[i].x)+this.props.width,t[i].screen_y=t[i].y,null!=t[i].end?t[i].screen_end=e(t[i].end)+this.props.width:t[i].screen_end=void 0},cC.prototype._convertYcoordinates=function(t,e){var i=this.yAxisLeft,n=Number(this.svg.style.height.replace("px",""));"right"==e.options.yAxisOrientation&&(i=this.yAxisRight);for(var r=0;r<t.length;r++)t[r].screen_y=Math.round(i.convertValue(t[r].y));e.setZeroPosition(Math.min(n,i.convertValue(0)))};var dC="boolean",fC={configure:{enabled:{boolean:dC},filter:{boolean:dC,function:"function"},container:{dom:"dom"},__type__:{object:"object",boolean:dC,function:"function"}},alignCurrentTime:{string:"string",undefined:"undefined"},yAxisOrientation:{string:["left","right"]},defaultGroup:{string:"string"},sort:{boolean:dC},sampling:{boolean:dC},stack:{boolean:dC},graphHeight:{string:"string",number:"number"},shaded:{enabled:{boolean:dC},orientation:{string:["bottom","top","zero","group"]},groupId:{object:"object"},__type__:{boolean:dC,object:"object"}},style:{string:["line","bar","points"]},barChart:{width:{number:"number"},minWidth:{number:"number"},sideBySide:{boolean:dC},align:{string:["left","center","right"]},__type__:{object:"object"}},interpolation:{enabled:{boolean:dC},parametrization:{string:["centripetal","chordal","uniform"]},alpha:{number:"number"},__type__:{object:"object",boolean:dC}},drawPoints:{enabled:{boolean:dC},onRender:{function:"function"},size:{number:"number"},style:{string:["square","circle"]},__type__:{object:"object",boolean:dC,function:"function"}},dataAxis:{showMinorLabels:{boolean:dC},showMajorLabels:{boolean:dC},showWeekScale:{boolean:dC},icons:{boolean:dC},width:{string:"string",number:"number"},visible:{boolean:dC},alignZeros:{boolean:dC},left:{range:{min:{number:"number",undefined:"undefined"},max:{number:"number",undefined:"undefined"},__type__:{object:"object"}},format:{function:"function"},title:{text:{string:"string",number:"number",undefined:"undefined"},style:{string:"string",undefined:"undefined"},__type__:{object:"object"}},__type__:{object:"object"}},right:{range:{min:{number:"number",undefined:"undefined"},max:{number:"number",undefined:"undefined"},__type__:{object:"object"}},format:{function:"function"},title:{text:{string:"string",number:"number",undefined:"undefined"},style:{string:"string",undefined:"undefined"},__type__:{object:"object"}},__type__:{object:"object"}},__type__:{object:"object"}},legend:{enabled:{boolean:dC},icons:{boolean:dC},left:{visible:{boolean:dC},position:{string:["top-right","bottom-right","top-left","bottom-left"]},__type__:{object:"object"}},right:{visible:{boolean:dC},position:{string:["top-right","bottom-right","top-left","bottom-left"]},__type__:{object:"object"}},__type__:{object:"object",boolean:dC}},groups:{visibility:{any:"any"},__type__:{object:"object"}},autoResize:{boolean:dC},throttleRedraw:{number:"number"},clickToUse:{boolean:dC},end:{number:"number",date:"date",string:"string",moment:"moment"},format:{minorLabels:{millisecond:{string:"string",undefined:"undefined"},second:{string:"string",undefined:"undefined"},minute:{string:"string",undefined:"undefined"},hour:{string:"string",undefined:"undefined"},weekday:{string:"string",undefined:"undefined"},day:{string:"string",undefined:"undefined"},week:{string:"string",undefined:"undefined"},month:{string:"string",undefined:"undefined"},quarter:{string:"string",undefined:"undefined"},year:{string:"string",undefined:"undefined"},__type__:{object:"object"}},majorLabels:{millisecond:{string:"string",undefined:"undefined"},second:{string:"string",undefined:"undefined"},minute:{string:"string",undefined:"undefined"},hour:{string:"string",undefined:"undefined"},weekday:{string:"string",undefined:"undefined"},day:{string:"string",undefined:"undefined"},week:{string:"string",undefined:"undefined"},month:{string:"string",undefined:"undefined"},quarter:{string:"string",undefined:"undefined"},year:{string:"string",undefined:"undefined"},__type__:{object:"object"}},__type__:{object:"object"}},moment:{function:"function"},height:{string:"string",number:"number"},hiddenDates:{start:{date:"date",number:"number",string:"string",moment:"moment"},end:{date:"date",number:"number",string:"string",moment:"moment"},repeat:{string:"string"},__type__:{object:"object",array:"array"}},locale:{string:"string"},locales:{__any__:{any:"any"},__type__:{object:"object"}},max:{date:"date",number:"number",string:"string",moment:"moment"},maxHeight:{number:"number",string:"string"},maxMinorChars:{number:"number"},min:{date:"date",number:"number",string:"string",moment:"moment"},minHeight:{number:"number",string:"string"},moveable:{boolean:dC},multiselect:{boolean:dC},orientation:{string:"string"},showCurrentTime:{boolean:dC},showMajorLabels:{boolean:dC},showMinorLabels:{boolean:dC},showWeekScale:{boolean:dC},start:{date:"date",number:"number",string:"string",moment:"moment"},timeAxis:{scale:{string:"string",undefined:"undefined"},step:{number:"number",undefined:"undefined"},__type__:{object:"object"}},width:{string:"string",number:"number"},zoomable:{boolean:dC},zoomKey:{string:["ctrlKey","altKey","metaKey",""]},zoomMax:{number:"number"},zoomMin:{number:"number"},zIndex:{number:"number"},__type__:{object:"object"}},pC={global:{alignCurrentTime:["none","year","month","quarter","week","isoWeek","day","date","hour","minute","second"],sort:!0,sampling:!0,stack:!1,shaded:{enabled:!1,orientation:["zero","top","bottom","group"]},style:["line","bar","points"],barChart:{width:[50,5,100,5],minWidth:[50,5,100,5],sideBySide:!1,align:["left","center","right"]},interpolation:{enabled:!0,parametrization:["centripetal","chordal","uniform"]},drawPoints:{enabled:!0,size:[6,2,30,1],style:["square","circle"]},dataAxis:{showMinorLabels:!0,showMajorLabels:!0,showWeekScale:!1,icons:!1,width:[40,0,200,1],visible:!0,alignZeros:!0,left:{title:{text:"",style:""}},right:{title:{text:"",style:""}}},legend:{enabled:!1,icons:!0,left:{visible:!0,position:["top-right","bottom-right","top-left","bottom-left"]},right:{visible:!0,position:["top-right","bottom-right","top-left","bottom-left"]}},autoResize:!0,clickToUse:!1,end:"",format:{minorLabels:{millisecond:"SSS",second:"s",minute:"HH:mm",hour:"HH:mm",weekday:"ddd D",day:"D",week:"w",month:"MMM",quarter:"[Q]Q",year:"YYYY"},majorLabels:{millisecond:"HH:mm:ss",second:"D MMMM HH:mm",minute:"ddd D MMMM",hour:"ddd D MMMM",weekday:"MMMM YYYY",day:"MMMM YYYY",week:"MMMM YYYY",month:"YYYY",quarter:"YYYY",year:""}},height:"",locale:"",max:"",maxHeight:"",maxMinorChars:[7,0,20,1],min:"",minHeight:"",moveable:!0,orientation:["both","bottom","top"],showCurrentTime:!1,showMajorLabels:!0,showMinorLabels:!0,showWeekScale:!1,start:"",width:"100%",zoomable:!0,zoomKey:["ctrlKey","altKey","metaKey",""],zoomMax:[31536e10,10,31536e10,1],zoomMin:[10,10,31536e10,1],zIndex:0}};function mC(t,e,i,n){var r,o,s,a,l,u,h;if(!(Pw(i)||i instanceof my||i instanceof vy)&&i instanceof Object){var c=n;n=i,i=c}n&&n.throttleRedraw&&console.warn('Graph2d option "throttleRedraw" is DEPRICATED and no longer supported. It will be removed in the next MAJOR release.');var d=this;this.defaultOptions={start:null,end:null,autoResize:!0,orientation:{axis:"bottom",item:"bottom"},moment:Xk,width:null,height:null,maxHeight:null,minHeight:null},this.options=kS.deepExtend({},this.defaultOptions),this._create(t),this.components=[],this.body={dom:this.dom,domProps:this.props,emitter:{on:Tw(r=this.on).call(r,this),off:Tw(o=this.off).call(o,this),emit:Tw(s=this.emit).call(s,this)},hiddenDates:[],util:{toScreen:Tw(a=d._toScreen).call(a,d),toGlobalScreen:Tw(l=d._toGlobalScreen).call(l,d),toTime:Tw(u=d._toTime).call(u,d),toGlobalTime:Tw(h=d._toGlobalTime).call(h,d)}},this.range=new vD(this.body),this.components.push(this.range),this.body.range=this.range,this.timeAxis=new DO(this.body),this.components.push(this.timeAxis),this.currentTime=new GO(this.body),this.components.push(this.currentTime),this.linegraph=new cC(this.body),this.components.push(this.linegraph),this.itemsData=null,this.groupsData=null,this.on("tap",(function(t){d.emit("click",d.getEventProperties(t))})),this.on("doubletap",(function(t){d.emit("doubleClick",d.getEventProperties(t))})),this.dom.root.oncontextmenu=function(t){d.emit("contextmenu",d.getEventProperties(t))},this.initialFitDone=!1,this.on("changed",(function(){if(null!=d.itemsData){if(!d.initialFitDone&&!d.options.rollingMode)if(d.initialFitDone=!0,null!=d.options.start||null!=d.options.end){if(null==d.options.start||null==d.options.end)var t=d.getItemRange();var e=null!=d.options.start?d.options.start:t.min,i=null!=d.options.end?d.options.end:t.max;d.setWindow(e,i,{animation:!1})}else d.fit({animation:!1});d.initialDrawDone||!d.initialRangeChangeDone&&(d.options.start||d.options.end)&&!d.options.rollingMode||(d.initialDrawDone=!0,d.dom.root.style.visibility="visible",d.dom.loadingScreen.parentNode.removeChild(d.dom.loadingScreen),d.options.onInitialDrawComplete&&ww((function(){return d.options.onInitialDrawComplete()}),0))}})),n&&this.setOptions(n),i&&this.setGroups(i),e&&this.setItems(e),this._redraw()}mC.prototype=new HO,mC.prototype.setOptions=function(t){!0===HT.validate(t,fC)&&console.log("%cErrors have been found in the supplied options object.",FT),HO.prototype.setOptions.call(this,t)},mC.prototype.setItems=function(t){var e,i=null==this.itemsData;if(e=t?wS(t instanceof my||t instanceof vy?t:new my(t)):null,this.itemsData&&this.itemsData.dispose(),this.itemsData=e,this.linegraph&&this.linegraph.setItems(null!=e?e.rawDS:null),i)if(null!=this.options.start||null!=this.options.end){var n=null!=this.options.start?this.options.start:null,r=null!=this.options.end?this.options.end:null;this.setWindow(n,r,{animation:!1})}else this.fit({animation:!1})},mC.prototype.setGroups=function(t){var e;e=t?t instanceof my||t instanceof vy?t:new my(t):null,this.groupsData=e,this.linegraph.setGroups(e)},mC.prototype.getLegend=function(t,e,i){return void 0===e&&(e=15),void 0===i&&(i=15),void 0!==this.linegraph.groups[t]?this.linegraph.groups[t].getLegend(e,i):"cannot find group:'"+t+"'"},mC.prototype.isGroupVisible=function(t){return void 0!==this.linegraph.groups[t]&&(this.linegraph.groups[t].visible&&(void 0===this.linegraph.options.groups.visibility[t]||1==this.linegraph.options.groups.visibility[t]))},mC.prototype.getDataRange=function(){var t=null,e=null;for(var i in this.linegraph.groups)if(this.linegraph.groups.hasOwnProperty(i)&&1==this.linegraph.groups[i].visible)for(var n=0;n<this.linegraph.groups[i].itemsData.length;n++){var r=this.linegraph.groups[i].itemsData[n],o=kS.convert(r.x,"Date").valueOf();t=null==t?o:t>o?o:t,e=null==e?o:e<o?o:e}return{min:null!=t?new Date(t):null,max:null!=e?new Date(e):null}},mC.prototype.getEventProperties=function(t){var e=t.center?t.center.x:t.clientX,i=t.center?t.center.y:t.clientY,n=e-kS.getAbsoluteLeft(this.dom.centerContainer),r=i-kS.getAbsoluteTop(this.dom.centerContainer),o=this._toTime(n),s=FO.customTimeFromTarget(t),a=kS.getTarget(t),l=null;kS.hasParent(a,this.timeAxis.dom.foreground)?l="axis":this.timeAxis2&&kS.hasParent(a,this.timeAxis2.dom.foreground)?l="axis":kS.hasParent(a,this.linegraph.yAxisLeft.dom.frame)?l="data-axis":kS.hasParent(a,this.linegraph.yAxisRight.dom.frame)?l="data-axis":kS.hasParent(a,this.linegraph.legendLeft.dom.frame)?l="legend":kS.hasParent(a,this.linegraph.legendRight.dom.frame)?l="legend":null!=s?l="custom-time":kS.hasParent(a,this.currentTime.bar)?l="current-time":kS.hasParent(a,this.dom.center)&&(l="background");var u=[],h=this.linegraph.yAxisLeft,c=this.linegraph.yAxisRight;return!h.hidden&&this.itemsData.length>0&&u.push(h.screenToValue(r)),!c.hidden&&this.itemsData.length>0&&u.push(c.screenToValue(r)),{event:t,customTime:s?s.options.id:null,what:l,pageX:t.srcEvent?t.srcEvent.pageX:t.pageX,pageY:t.srcEvent?t.srcEvent.pageY:t.pageY,x:n,y:r,time:o,value:u}},mC.prototype._createConfigurator=function(){return new KT(this,this.dom.container,pC)},console.warn(["This build has been deprecated.","","In case you are importing this through a URL it will result in a 404 eventually.","In case you are importing this through Node it will be replaced by the peer build eventually.","","Please use the peer or standalone build instead.","Peer: https://visjs.github.io/vis-timeline/examples/timeline/peer-build.html","Standalone: https://visjs.github.io/vis-timeline/examples/timeline/standalone-build.html"].join("\n"));var vC=us();Xk.locale(vC);var gC={Core:HO,DateUtil:mD,Range:vD,stack:dT,TimeStep:SO,components:{items:{Item:vT,BackgroundItem:_T,BoxItem:gT,PointItem:yT,RangeItem:bT},BackgroundGroup:mT,Component:VS,CurrentTime:GO,CustomTime:FO,DataAxis:rC,DataScale:nC,GraphGroup:uC,Group:pT,ItemSet:YT,Legend:hC,LineGraph:cC,TimeAxis:DO}},yC={util:ts,DOMutil:hs,DataSet:my,DataView:vy,Queue:ry,Timeline:QT,Graph2d:mC,timeline:gC,moment:Xk,Hammer:vO,keycharm:OO};t.DOMutil=hs,t.DataSet=my,t.DataView=vy,t.Graph2d=mC,t.Hammer=vO,t.Queue=ry,t.Timeline=QT,t.default=yC,t.keycharm=OO,t.moment=Xk,t.timeline=gC,t.util=ts,Object.defineProperty(t,"__esModule",{value:!0})}));
//# sourceMappingURL=vis-timeline-graph2d.min.js.map
